'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var React = require('react');
var styled = require('styled-components');
var styledSystem = require('styled-system');
var get = require('lodash/get');
var noop = require('lodash/noop');
var debounce = require('lodash/debounce');
var throttle = require('lodash/throttle');
var reactRouterDom = require('react-router-dom');
var reactTransitionGroup = require('react-transition-group');

function _interopDefaultLegacy (e) { return e && typeof e === 'object' && 'default' in e ? e : { 'default': e }; }

var React__default = /*#__PURE__*/_interopDefaultLegacy(React);
var styled__default = /*#__PURE__*/_interopDefaultLegacy(styled);
var get__default = /*#__PURE__*/_interopDefaultLegacy(get);
var noop__default = /*#__PURE__*/_interopDefaultLegacy(noop);
var debounce__default = /*#__PURE__*/_interopDefaultLegacy(debounce);
var throttle__default = /*#__PURE__*/_interopDefaultLegacy(throttle);

/*! *****************************************************************************
Copyright (c) Microsoft Corporation.

Permission to use, copy, modify, and/or distribute this software for any
purpose with or without fee is hereby granted.

THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES WITH
REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY
AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY SPECIAL, DIRECT,
INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM
LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR
OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR
PERFORMANCE OF THIS SOFTWARE.
***************************************************************************** */

var __assign = function() {
    __assign = Object.assign || function __assign(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p)) t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};

function __rest(s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
}

function __spreadArray(to, from) {
    for (var i = 0, il = from.length, j = to.length; i < il; i++, j++)
        to[j] = from[i];
    return to;
}

function __makeTemplateObject(cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
}

var getThemeValue = function (path, fallback) { return function (theme) {
    return get__default['default'](theme, path, fallback);
}; };

var rotate$1 = styled.keyframes(templateObject_1$Q || (templateObject_1$Q = __makeTemplateObject(["\n  from {\n    transform: rotate(0deg);\n  }\n  to {\n    transform: rotate(360deg);\n  }\n"], ["\n  from {\n    transform: rotate(0deg);\n  }\n  to {\n    transform: rotate(360deg);\n  }\n"])));
var spinStyle = styled.css(templateObject_2$j || (templateObject_2$j = __makeTemplateObject(["\n  animation: ", " 2s linear infinite;\n"], ["\n  animation: ", " 2s linear infinite;\n"])), rotate$1);
var Svg = styled__default['default'].svg(templateObject_3$9 || (templateObject_3$9 = __makeTemplateObject(["\n  fill: ", ";\n  flex-shrink: 0;\n\n  ", "\n  ", "\n"], ["\n  fill: ", ";\n  flex-shrink: 0;\n\n  ", "\n  ", "\n"])), function (_a) {
    var theme = _a.theme, color = _a.color;
    return getThemeValue("colors." + color, color)(theme);
}, function (_a) {
    var spin = _a.spin;
    return spin && spinStyle;
}, styledSystem.space);
Svg.defaultProps = {
    color: "text",
    width: "20px",
    xmlns: "http://www.w3.org/2000/svg",
    spin: false,
};
var templateObject_1$Q, templateObject_2$j, templateObject_3$9;

var Icon$1l = function (props) {
    return (React__default['default'].createElement(Svg, __assign({ viewBox: "0 0 24 24" }, props),
        React__default['default'].createElement("path", { d: "M12 2C6.48 2 2 6.48 2 12C2 17.52 6.48 22 12 22C17.52 22 22 17.52 22 12C22 6.48 17.52 2 12 2ZM12 20C7.59 20 4 16.41 4 12C4 7.59 7.59 4 12 4C16.41 4 20 7.59 20 12C20 16.41 16.41 20 12 20ZM15.88 8.29L10 14.17L8.12 12.29C7.73 11.9 7.1 11.9 6.71 12.29C6.32 12.68 6.32 13.31 6.71 13.7L9.3 16.29C9.69 16.68 10.32 16.68 10.71 16.29L17.3 9.7C17.69 9.31 17.69 8.68 17.3 8.29C16.91 7.9 16.27 7.9 15.88 8.29Z" })));
};

var Icon$1k = function (props) {
    return (React__default['default'].createElement(Svg, __assign({ viewBox: "0 0 24 24" }, props),
        React__default['default'].createElement("path", { d: "M12 7C12.55 7 13 7.45 13 8V12C13 12.55 12.55 13 12 13C11.45 13 11 12.55 11 12V8C11 7.45 11.45 7 12 7ZM11.99 2C6.47 2 2 6.48 2 12C2 17.52 6.47 22 11.99 22C17.52 22 22 17.52 22 12C22 6.48 17.52 2 11.99 2ZM12 20C7.58 20 4 16.42 4 12C4 7.58 7.58 4 12 4C16.42 4 20 7.58 20 12C20 16.42 16.42 20 12 20ZM13 17H11V15H13V17Z" })));
};

var Icon$1j = function (props) {
    return (React__default['default'].createElement(Svg, __assign({ viewBox: "0 0 24 24" }, props),
        React__default['default'].createElement("path", { d: "M12 22C17.52 22 22 17.52 22 12C22 6.48 17.52 2 12 2C6.48 2 2 6.48 2 12C2 17.52 6.48 22 12 22ZM12 4C16.42 4 20 7.58 20 12C20 13.85 19.37 15.55 18.31 16.9L7.1 5.69C8.45 4.63 10.15 4 12 4ZM5.69 7.1L16.9 18.31C15.55 19.37 13.85 20 12 20C7.58 20 4 16.42 4 12C4 10.15 4.63 8.45 5.69 7.1Z" })));
};

var Icon$1i = function (props) {
    return (React__default['default'].createElement(Svg, __assign({ viewBox: "0 0 24 24" }, props),
        React__default['default'].createElement("path", { d: "M11 7H13V9H11V7ZM12 17C12.55 17 13 16.55 13 16V12C13 11.45 12.55 11 12 11C11.45 11 11 11.45 11 12V16C11 16.55 11.45 17 12 17ZM12 2C6.48 2 2 6.48 2 12C2 17.52 6.48 22 12 22C17.52 22 22 17.52 22 12C22 6.48 17.52 2 12 2ZM12 20C7.59 20 4 16.41 4 12C4 7.59 7.59 4 12 4C16.41 4 20 7.59 20 12C20 16.41 16.41 20 12 20Z" })));
};

var getColor = function (_a) {
    var color = _a.color, theme = _a.theme;
    return getThemeValue("colors." + color, color)(theme);
};
var getFontSize = function (_a) {
    var fontSize = _a.fontSize, small = _a.small;
    return small ? "14px" : fontSize || "16px";
};
var Text = styled__default['default'].div(templateObject_1$P || (templateObject_1$P = __makeTemplateObject(["\n  color: ", ";\n  font-size: ", ";\n  font-weight: ", ";\n  line-height: 1.5;\n  ", "\n  ", "\n  ", "\n"], ["\n  color: ", ";\n  font-size: ", ";\n  font-weight: ", ";\n  line-height: 1.5;\n  ", "\n  ", "\n  ", "\n"])), getColor, getFontSize, function (_a) {
    var bold = _a.bold;
    return (bold ? 600 : 400);
}, function (_a) {
    var textTransform = _a.textTransform;
    return textTransform && "text-transform: " + textTransform + ";";
}, styledSystem.space, styledSystem.typography);
Text.defaultProps = {
    color: "text",
    small: false,
};
var templateObject_1$P;

var getExternalLinkProps = function () { return ({
    target: "_blank",
    rel: "noreferrer noopener",
}); };

var scales$5 = {
    MD: "md",
    SM: "sm",
    XS: "xs",
};
var variants$3 = {
    PRIMARY: "primary",
    SECONDARY: "secondary",
    TERTIARY: "tertiary",
    TEXT: "text",
    DANGER: "danger",
    SUBTLE: "subtle",
    SUCCESS: "success",
};

var _a$4, _b$1;
var scaleVariants$1 = (_a$4 = {},
    _a$4[scales$5.MD] = {
        height: "48px",
        padding: "0 24px",
    },
    _a$4[scales$5.SM] = {
        height: "32px",
        padding: "0 16px",
    },
    _a$4[scales$5.XS] = {
        height: "20px",
        fontSize: "12px",
        padding: "0 8px",
    },
    _a$4);
var styleVariants$2 = (_b$1 = {},
    _b$1[variants$3.PRIMARY] = {
        backgroundColor: "primary",
        color: "white",
    },
    _b$1[variants$3.SECONDARY] = {
        backgroundColor: "transparent",
        border: "2px solid",
        borderColor: "primary",
        boxShadow: "none",
        color: "primary",
        ":disabled": {
            backgroundColor: "transparent",
        },
    },
    _b$1[variants$3.TERTIARY] = {
        backgroundColor: "tertiary",
        boxShadow: "none",
        color: "primary",
    },
    _b$1[variants$3.SUBTLE] = {
        backgroundColor: "textSubtle",
        color: "white",
    },
    _b$1[variants$3.DANGER] = {
        backgroundColor: "failure",
        color: "white",
    },
    _b$1[variants$3.SUCCESS] = {
        backgroundColor: "success",
        color: "white",
    },
    _b$1[variants$3.TEXT] = {
        backgroundColor: "transparent",
        color: "primary",
        boxShadow: "none",
    },
    _b$1);

var getDisabledStyles = function (_a) {
    var isLoading = _a.isLoading, theme = _a.theme;
    if (isLoading === true) {
        return "\n      &:disabled,\n      &.pancake-button--disabled {\n        cursor: not-allowed;\n      }\n    ";
    }
    return "\n    &:disabled,\n    &.pancake-button--disabled {\n      background-color: " + theme.colors.backgroundDisabled + ";\n      border-color: " + theme.colors.backgroundDisabled + ";\n      box-shadow: none;\n      color: " + theme.colors.textDisabled + ";\n      cursor: not-allowed;\n    }\n  ";
};
var getOpacity = function (_a) {
    var _b = _a.$isLoading, $isLoading = _b === void 0 ? false : _b;
    return $isLoading ? ".5" : "1";
};
var StyledButton = styled__default['default'].button(templateObject_1$O || (templateObject_1$O = __makeTemplateObject(["\n  align-items: center;\n  border: 0;\n  border-radius: 16px;\n  box-shadow: 0px -1px 0px 0px rgba(14, 14, 44, 0.4) inset;\n  cursor: pointer;\n  display: inline-flex;\n  font-family: inherit;\n  font-size: 16px;\n  font-weight: 600;\n  justify-content: center;\n  letter-spacing: 0.03em;\n  line-height: 1;\n  opacity: ", ";\n  outline: 0;\n  transition: background-color 0.2s;\n\n  &:hover:not(:disabled):not(.pancake-button--disabled):not(.pancake-button--disabled):not(:active) {\n    opacity: 0.65;\n  }\n\n  &:active:not(:disabled):not(.pancake-button--disabled):not(.pancake-button--disabled) {\n    opacity: 0.85;\n  }\n\n  ", "\n  ", "\n  ", "\n  ", "\n  ", "\n"], ["\n  align-items: center;\n  border: 0;\n  border-radius: 16px;\n  box-shadow: 0px -1px 0px 0px rgba(14, 14, 44, 0.4) inset;\n  cursor: pointer;\n  display: inline-flex;\n  font-family: inherit;\n  font-size: 16px;\n  font-weight: 600;\n  justify-content: center;\n  letter-spacing: 0.03em;\n  line-height: 1;\n  opacity: ", ";\n  outline: 0;\n  transition: background-color 0.2s;\n\n  &:hover:not(:disabled):not(.pancake-button--disabled):not(.pancake-button--disabled):not(:active) {\n    opacity: 0.65;\n  }\n\n  &:active:not(:disabled):not(.pancake-button--disabled):not(.pancake-button--disabled) {\n    opacity: 0.85;\n  }\n\n  ", "\n  ",
    "\n  ",
    "\n  ", "\n  ", "\n"])), getOpacity, getDisabledStyles, styledSystem.variant({
    prop: "scale",
    variants: scaleVariants$1,
}), styledSystem.variant({
    variants: styleVariants$2,
}), styledSystem.layout, styledSystem.space);
var templateObject_1$O;

var Button = function (props) {
    var startIcon = props.startIcon, endIcon = props.endIcon, external = props.external, className = props.className, isLoading = props.isLoading, disabled = props.disabled, children = props.children, rest = __rest(props, ["startIcon", "endIcon", "external", "className", "isLoading", "disabled", "children"]);
    var internalProps = external ? getExternalLinkProps() : {};
    var isDisabled = isLoading || disabled;
    var classNames = className ? [className] : [];
    if (isLoading) {
        classNames.push("pancake-button--loading");
    }
    if (isDisabled && !isLoading) {
        classNames.push("pancake-button--disabled");
    }
    return (React__default['default'].createElement(StyledButton, __assign({ "$isLoading": isLoading, className: classNames.join(" "), disabled: isDisabled }, internalProps, rest),
        React__default['default'].createElement(React__default['default'].Fragment, null,
            React.isValidElement(startIcon) &&
                React.cloneElement(startIcon, {
                    mr: "0.5rem",
                }),
            children,
            React.isValidElement(endIcon) &&
                React.cloneElement(endIcon, {
                    ml: "0.5rem",
                }))));
};
Button.defaultProps = {
    isLoading: false,
    external: false,
    variant: variants$3.PRIMARY,
    scale: scales$5.MD,
    disabled: false,
};

var IconButton = styled__default['default'](Button)(templateObject_1$N || (templateObject_1$N = __makeTemplateObject(["\n  padding: 0;\n  width: ", ";\n"], ["\n  padding: 0;\n  width: ", ";\n"])), function (_a) {
    var scale = _a.scale;
    return (scale === "sm" ? "32px" : "48px");
});
var templateObject_1$N;

var Icon$1h = function (props) {
    return (React__default['default'].createElement(Svg, __assign({ viewBox: "0 0 24 24" }, props),
        React__default['default'].createElement("path", { d: "M18 13H13V18C13 18.55 12.55 19 12 19C11.45 19 11 18.55 11 18V13H6C5.45 13 5 12.55 5 12C5 11.45 5.45 11 6 11H11V6C11 5.45 11.45 5 12 5C12.55 5 13 5.45 13 6V11H18C18.55 11 19 11.45 19 12C19 12.55 18.55 13 18 13Z" })));
};

var Icon$1g = function (props) {
    return (React__default['default'].createElement(Svg, __assign({ viewBox: "0 0 24 24" }, props),
        React__default['default'].createElement("path", { d: "M19 11H7.82998L12.71 6.12C13.1 5.73 13.1 5.09 12.71 4.7C12.32 4.31 11.69 4.31 11.3 4.7L4.70998 11.29C4.31998 11.68 4.31998 12.31 4.70998 12.7L11.3 19.29C11.69 19.68 12.32 19.68 12.71 19.29C13.1 18.9 13.1 18.27 12.71 17.88L7.82998 13H19C19.55 13 20 12.55 20 12C20 11.45 19.55 11 19 11Z" })));
};

var Icon$1f = function (props) {
    return (React__default['default'].createElement(Svg, __assign({ viewBox: "0 0 24 24" }, props),
        React__default['default'].createElement("path", { d: "M11 5V16.17L6.11997 11.29C5.72997 10.9 5.08997 10.9 4.69997 11.29C4.30997 11.68 4.30997 12.31 4.69997 12.7L11.29 19.29C11.68 19.68 12.31 19.68 12.7 19.29L19.29 12.7C19.68 12.31 19.68 11.68 19.29 11.29C18.9 10.9 18.27 10.9 17.88 11.29L13 16.17V5C13 4.45 12.55 4 12 4C11.45 4 11 4.45 11 5Z" })));
};

var Icon$1e = function (props) {
    return (React__default['default'].createElement(Svg, __assign({ viewBox: "0 0 24 24" }, props),
        React__default['default'].createElement("path", { d: "M8.71005 11.71L11.3001 14.3C11.6901 14.69 12.3201 14.69 12.7101 14.3L15.3001 11.71C15.9301 11.08 15.4801 10 14.5901 10H9.41005C8.52005 10 8.08005 11.08 8.71005 11.71Z" })));
};

var Icon$1d = function (props) {
    return (React__default['default'].createElement(Svg, __assign({ viewBox: "0 0 24 24" }, props),
        React__default['default'].createElement("path", { d: "M8.71005 12.29L11.3001 9.69997C11.6901 9.30997 12.3201 9.30997 12.7101 9.69997L15.3001 12.29C15.9301 12.92 15.4801 14 14.5901 14H9.41005C8.52005 14 8.08005 12.92 8.71005 12.29Z" })));
};

var Icon$1c = function (props) {
    return (React__default['default'].createElement(Svg, __assign({ viewBox: "0 0 24 24" }, props),
        React__default['default'].createElement("path", { d: "M5 13H16.17L11.29 17.88C10.9 18.27 10.9 18.91 11.29 19.3C11.68 19.69 12.31 19.69 12.7 19.3L19.29 12.71C19.68 12.32 19.68 11.69 19.29 11.3L12.71 4.7C12.32 4.31 11.69 4.31 11.3 4.7C10.91 5.09 10.91 5.72 11.3 6.11L16.17 11H5C4.45 11 4 11.45 4 12C4 12.55 4.45 13 5 13Z" })));
};

var Icon$1b = function (props) {
    return (React__default['default'].createElement(Svg, __assign({ viewBox: "0 0 24 24" }, props),
        React__default['default'].createElement("path", { d: "M13 19V7.83001L17.88 12.71C18.27 13.1 18.91 13.1 19.3 12.71C19.69 12.32 19.69 11.69 19.3 11.3L12.71 4.71001C12.32 4.32001 11.69 4.32001 11.3 4.71001L4.69997 11.29C4.30997 11.68 4.30997 12.31 4.69997 12.7C5.08997 13.09 5.71997 13.09 6.10997 12.7L11 7.83001V19C11 19.55 11.45 20 12 20C12.55 20 13 19.55 13 19Z" })));
};

var Icon$1a = function (props) {
    return (React__default['default'].createElement(Svg, __assign({ viewBox: "0 0 24 24" }, props),
        React__default['default'].createElement("path", { d: "M12 6V7.79C12 8.24 12.54 8.46 12.85 8.14L15.64 5.35C15.84 5.15 15.84 4.84 15.64 4.64L12.85 1.85C12.54 1.54 12 1.76 12 2.21V4C7.58 4 4 7.58 4 12C4 13.04 4.2 14.04 4.57 14.95C4.84 15.62 5.7 15.8 6.21 15.29C6.48 15.02 6.59 14.61 6.44 14.25C6.15 13.56 6 12.79 6 12C6 8.69 8.69 6 12 6ZM17.79 8.71C17.52 8.98 17.41 9.4 17.56 9.75C17.84 10.45 18 11.21 18 12C18 15.31 15.31 18 12 18V16.21C12 15.76 11.46 15.54 11.15 15.86L8.36 18.65C8.16 18.85 8.16 19.16 8.36 19.36L11.15 22.15C11.46 22.46 12 22.24 12 21.8V20C16.42 20 20 16.42 20 12C20 10.96 19.8 9.96 19.43 9.05C19.16 8.38 18.3 8.2 17.79 8.71Z" })));
};

var Icon$19 = function (props) {
    return (React__default['default'].createElement(Svg, __assign({ viewBox: "0 0 16 16" }, props),
        React__default['default'].createElement("circle", { cx: "8", cy: "8", r: "8", fill: "#F0B90B" }),
        React__default['default'].createElement("path", { d: "M5.01656 8.00006L3.79256 9.23256L2.56006 8.00006L3.79256 6.76756L5.01656 8.00006ZM8.00006 5.01656L10.1081 7.12456L11.3406 5.89206L9.23256 3.79256L8.00006 2.56006L6.76756 3.79256L4.66806 5.89206L5.90056 7.12456L8.00006 5.01656ZM12.2076 6.76756L10.9836 8.00006L12.2161 9.23256L13.4401 8.00006L12.2076 6.76756ZM8.00006 10.9836L5.89206 8.87556L4.66806 10.1081L6.77606 12.2161L8.00006 13.4401L9.23256 12.2076L11.3406 10.0996L10.1081 8.87556L8.00006 10.9836ZM8.00006 9.23256L9.23256 8.00006L8.00006 6.76756L6.76756 8.00006L8.00006 9.23256Z", fill: "#FFFDFA" })));
};

var Icon$18 = function (props) {
    var theme = styled.useTheme();
    var primaryColor = theme.isDark ? "#3C3742" : "#e9eaeb";
    var secondaryColor = theme.isDark ? "#666171" : "#bdc2c4";
    return (React__default['default'].createElement(Svg, __assign({ viewBox: "0 0 72 72" }, props),
        React__default['default'].createElement("path", { d: "M72 36C72 55.8823 55.8823 72 36 72C16.1177 72 0 55.8823 0 36C0 16.1177 16.1177 0 36 0C55.8823 0 72 16.1177 72 36Z", fill: primaryColor }),
        React__default['default'].createElement("mask", { id: "mask0", "mask-type": "alpha", maskUnits: "userSpaceOnUse", x: "3", y: "3", width: "66", height: "66" },
            React__default['default'].createElement("path", { d: "M68.25 36C68.25 53.8112 53.8112 68.25 36 68.25C18.1888 68.25 3.75 53.8112 3.75 36C3.75 18.1888 18.1888 3.75 36 3.75C53.8112 3.75 68.25 18.1888 68.25 36Z", fill: "#C4C4C4" })),
        React__default['default'].createElement("g", { mask: "url(#mask0)" },
            React__default['default'].createElement("path", { fillRule: "evenodd", clipRule: "evenodd", d: "M20.9927 23.2654C26.1289 23.1362 30.0824 27.7278 29.2039 32.7879L27.6838 41.5445C30.2298 41.0514 32.9304 40.7875 35.7229 40.7875C37.7063 40.7875 39.6424 40.9206 41.5089 41.1741L49.2862 29.5726C51.7713 25.8657 56.7909 24.8751 60.4978 27.3602C64.7827 30.2326 65.3155 36.33 61.5938 39.9021L55.2585 45.9828C59.9045 49.0009 63.1305 53.2977 63.1306 58.4066V62.322C63.1306 67.644 59.6097 72.0998 54.6877 75.1077C49.7272 78.1391 43.0165 79.9412 35.7229 79.9412C28.4292 79.9412 21.7186 78.1391 16.7581 75.1077C11.836 72.0998 8.31519 67.644 8.31519 62.322V58.4067C8.31522 54.4286 10.2963 50.9169 13.3384 48.1585L13.0101 31.6154C12.9208 27.115 16.4929 23.3785 20.9927 23.2654ZM15.617 49.1514C15.6003 49.0112 15.5903 48.8688 15.5874 48.7246L15.2471 31.571C15.1822 28.3014 17.7798 25.5842 21.049 25.502C24.7712 25.4084 27.637 28.733 26.9996 32.4052L24.8971 44.5163C25.6681 44.2915 26.4607 44.0899 27.2726 43.9131C29.9138 43.338 32.7585 43.0248 35.7229 43.0248C38.1625 43.0248 40.5211 43.237 42.7519 43.6326C42.8725 43.2609 43.0459 42.8995 43.2742 42.5589L51.1446 30.8185C52.9416 28.1379 56.5714 27.4216 59.252 29.2186C62.3505 31.2957 62.7358 35.7049 60.0446 38.2879L51.5469 46.4441C52.264 46.7988 52.9486 47.1771 53.5975 47.577C58.1074 50.3568 60.8932 54.1829 60.8932 58.4066V62.322C60.8932 70.8172 49.6241 77.7039 35.7229 77.7039C21.8217 77.7039 10.5525 70.8172 10.5525 62.322V58.4067C10.5526 54.9322 12.4377 51.7266 15.617 49.1514Z", fill: secondaryColor }),
            React__default['default'].createElement("path", { d: "M60.8932 62.3221C60.8932 70.8173 49.624 77.704 35.7228 77.704C21.8216 77.704 10.5525 70.8173 10.5525 62.3221V58.4067H60.8932V62.3221Z", fill: primaryColor }),
            React__default['default'].createElement("path", { fillRule: "evenodd", clipRule: "evenodd", d: "M26.9995 32.4051C27.637 28.733 24.7711 25.4083 21.0489 25.5019C17.7797 25.5842 15.1821 28.3013 15.247 31.5709L15.5874 48.7245C15.5903 48.8687 15.6002 49.0111 15.617 49.1513C12.4376 51.7266 10.5525 54.9321 10.5525 58.4066C10.5525 66.9018 21.8216 73.7885 35.7228 73.7885C49.624 73.7885 60.8932 66.9018 60.8932 58.4066C60.8932 53.5752 57.2481 49.264 51.5468 46.444L60.0445 38.2879C62.7358 35.7048 62.3504 31.2956 59.252 29.2185C56.5714 27.4215 52.9416 28.1378 51.1446 30.8184L43.2742 42.5588C43.0458 42.8994 42.8724 43.2609 42.7519 43.6326C40.521 43.2369 38.1625 43.0248 35.7228 43.0248C31.8473 43.0248 28.1763 43.56 24.897 44.5162L26.9995 32.4051Z", fill: primaryColor }),
            React__default['default'].createElement("path", { d: "M32.0873 57.2881C32.0873 59.6049 30.8352 61.4831 29.2906 61.4831C27.746 61.4831 26.4939 59.6049 26.4939 57.2881C26.4939 54.9712 27.746 53.093 29.2906 53.093C30.8352 53.093 32.0873 54.9712 32.0873 57.2881Z", fill: secondaryColor }),
            React__default['default'].createElement("path", { fillRule: "evenodd", clipRule: "evenodd", d: "M28.891 54.0353C29.461 54.8903 29.8499 56.1359 29.8499 57.5677C29.8499 58.1855 30.3508 58.6864 30.9686 58.6864C31.5864 58.6864 32.0873 58.1855 32.0873 57.5677C32.0873 55.7558 31.5997 54.0649 30.7526 52.7943C29.9107 51.5314 28.6248 50.5759 27.0532 50.5759C25.4816 50.5759 24.1957 51.5314 23.3538 52.7943C22.5067 54.0649 22.0191 55.7558 22.0191 57.5677C22.0191 58.55 22.1622 59.4908 22.4244 60.3463C22.6055 60.937 23.2311 61.2691 23.8218 61.088C24.4125 60.9069 24.7446 60.2813 24.5635 59.6906C24.3685 59.0543 24.2565 58.3349 24.2565 57.5677C24.2565 56.1359 24.6454 54.8903 25.2154 54.0353C25.7906 53.1725 26.4624 52.8133 27.0532 52.8133C27.644 52.8133 28.3158 53.1725 28.891 54.0353Z", fill: secondaryColor }),
            React__default['default'].createElement("path", { fillRule: "evenodd", clipRule: "evenodd", d: "M48.1883 54.0353C48.7582 54.8903 49.1472 56.1359 49.1472 57.5677C49.1472 58.1855 49.648 58.6864 50.2658 58.6864C50.8837 58.6864 51.3845 58.1855 51.3845 57.5677C51.3845 55.7558 50.8969 54.0649 50.0498 52.7943C49.208 51.5314 47.9221 50.5759 46.3505 50.5759C44.7788 50.5759 43.4929 51.5314 42.6511 52.7943C41.804 54.0649 41.3164 55.7558 41.3164 57.5677C41.3164 58.55 41.4594 59.4908 41.7216 60.3463C41.9027 60.937 42.5284 61.2691 43.1191 61.088C43.7098 60.9069 44.0418 60.2813 43.8608 59.6906C43.6657 59.0543 43.5538 58.3349 43.5538 57.5677C43.5538 56.1359 43.9427 54.8903 44.5127 54.0353C45.0879 53.1725 45.7597 52.8133 46.3505 52.8133C46.9412 52.8133 47.613 53.1725 48.1883 54.0353Z", fill: secondaryColor }),
            React__default['default'].createElement("path", { d: "M51.3844 57.2881C51.3844 59.6049 50.1323 61.4831 48.5877 61.4831C47.0431 61.4831 45.791 59.6049 45.791 57.2881C45.791 54.9712 47.0431 53.093 48.5877 53.093C50.1323 53.093 51.3844 54.9712 51.3844 57.2881Z", fill: secondaryColor }),
            React__default['default'].createElement("path", { d: "M34.0221 25.9463V25.2697C34.0221 24.32 34.2121 23.5247 34.5919 22.8836C34.9956 22.2426 35.5297 21.6134 36.1945 20.9961C36.8118 20.4026 37.4172 19.8921 38.0108 19.4648C38.6043 19.0374 39.091 18.5863 39.4709 18.1115C39.8508 17.6367 40.0407 17.0787 40.0407 16.4377C40.0407 15.5118 39.7083 14.8589 39.0436 14.479C38.4025 14.0754 37.3223 13.8736 35.8028 13.8736C34.8056 13.8736 33.8203 14.0041 32.8469 14.2653C31.8735 14.5027 31.0425 14.8114 30.354 15.1912V10.3835C31.2325 9.95615 32.2652 9.61189 33.4523 9.35073C34.6632 9.08957 35.9808 8.95898 37.4054 8.95898C40.1594 8.95898 42.2606 9.5644 43.7088 10.7752C45.1571 11.9623 45.8812 13.6005 45.8812 15.6898C45.8812 17.0194 45.6082 18.0996 45.0621 18.9306C44.5161 19.7378 43.7207 20.5688 42.6761 21.4235C41.7976 22.1595 41.0616 22.8005 40.4681 23.3466C39.8745 23.8689 39.5777 24.5812 39.5777 25.4834V25.9463H34.0221ZM33.7728 32.2498V28.1187H39.7914V32.2498H33.7728Z", fill: secondaryColor })),
        React__default['default'].createElement("path", { fillRule: "evenodd", clipRule: "evenodd", d: "M71.9838 37.09L69.7348 37.0231C69.7449 36.6834 69.75 36.3423 69.75 36C69.75 35.6577 69.7449 35.3166 69.7348 34.9769L71.9838 34.91C71.9946 35.272 72 35.6354 72 36C72 36.3646 71.9946 36.728 71.9838 37.09ZM71.8544 32.7398L69.6134 32.941C69.5523 32.2603 69.471 31.5857 69.3702 30.9176L71.5949 30.5818C71.7025 31.2945 71.7892 32.014 71.8544 32.7398ZM71.2052 28.4414L69.0048 28.9115C68.8622 28.2441 68.6999 27.5841 68.5185 26.932L70.6861 26.3289C70.8798 27.0248 71.053 27.7292 71.2052 28.4414ZM70.0397 24.2525L67.9128 24.9864C67.6906 24.3424 67.4494 23.7072 67.1899 23.0815L69.2683 22.2196C69.5452 22.8874 69.8026 23.5652 70.0397 24.2525ZM68.3746 20.237L66.3524 21.2235C66.0538 20.6114 65.7373 20.0097 65.4034 19.419L67.3622 18.3119C67.7183 18.942 68.0561 19.584 68.3746 20.237ZM66.2353 16.4517L64.347 17.6751C63.977 17.104 63.5901 16.5448 63.1872 15.998L64.9984 14.6631C65.4281 15.2462 65.8407 15.8426 66.2353 16.4517ZM63.656 12.952L61.9283 14.3934C61.4925 13.8711 61.0413 13.3621 60.5752 12.8671L62.2132 11.3246C62.7102 11.8523 63.1914 12.3951 63.656 12.952ZM60.6754 9.78678L59.1329 11.4248C58.6379 10.9587 58.1289 10.5074 57.6066 10.0717L59.048 8.34397C59.6049 8.80865 60.1477 9.28984 60.6754 9.78678ZM57.3369 7.00159L56.002 8.8128C55.4552 8.40985 54.896 8.02303 54.3249 7.65302L55.5482 5.76468C56.1574 6.15933 56.7538 6.57187 57.3369 7.00159ZM53.6881 4.63782L52.581 6.5966C51.9903 6.26271 51.3886 5.94615 50.7765 5.64759L51.7629 3.62536C52.416 3.94392 53.058 4.28165 53.6881 4.63782ZM49.7804 2.7317L48.9185 4.81008C48.2928 4.55061 47.6576 4.30943 47.0136 4.08723L47.7475 1.96028C48.4348 2.19743 49.1126 2.4548 49.7804 2.7317ZM45.6711 1.31385L45.068 3.48152C44.4159 3.3001 43.7559 3.13777 43.0885 2.99517L43.5586 0.794831C44.2708 0.947003 44.9752 1.12024 45.6711 1.31385ZM41.4182 0.405049L41.0824 2.62985C40.4143 2.529 39.7397 2.44772 39.059 2.38662L39.2602 0.14563C39.986 0.210778 40.7055 0.297466 41.4182 0.405049ZM37.09 0.0161859C36.728 0.0054207 36.3646 0 36 0C35.6354 0 35.272 0.00542073 34.91 0.016186L34.9769 2.26519C35.3166 2.25509 35.6577 2.25 36 2.25C36.3423 2.25 36.6834 2.25509 37.0231 2.26519L37.09 0.0161859ZM32.7398 0.145631L32.941 2.38662C32.2603 2.44772 31.5857 2.529 30.9176 2.62985L30.5818 0.405049C31.2945 0.297467 32.014 0.210779 32.7398 0.145631ZM28.4414 0.794832L28.9115 2.99517C28.2441 3.13777 27.5841 3.3001 26.932 3.48152L26.3289 1.31386C27.0248 1.12024 27.7292 0.947004 28.4414 0.794832ZM24.2525 1.96028L24.9864 4.08723C24.3424 4.30944 23.7072 4.55061 23.0815 4.81008L22.2196 2.7317C22.8874 2.45481 23.5652 2.19743 24.2525 1.96028ZM20.237 3.62536L21.2235 5.64759C20.6114 5.94616 20.0097 6.26272 19.419 6.5966L18.3119 4.63783C18.942 4.28165 19.584 3.94392 20.237 3.62536ZM16.4517 5.76469L17.6751 7.65302C17.104 8.02303 16.5448 8.40985 15.998 8.81281L14.6631 7.00159C15.2462 6.57188 15.8426 6.15933 16.4517 5.76469ZM12.952 8.34398L14.3934 10.0717C13.8711 10.5075 13.3621 10.9587 12.8671 11.4248L11.3246 9.78679C11.8523 9.28984 12.3951 8.80865 12.952 8.34398ZM9.78678 11.3246L11.4248 12.8671C10.9587 13.3621 10.5074 13.8711 10.0717 14.3934L8.34397 12.952C8.80865 12.3951 9.28984 11.8523 9.78678 11.3246ZM7.00159 14.6631L8.8128 15.998C8.40985 16.5448 8.02303 17.104 7.65302 17.6751L5.76468 16.4518C6.15933 15.8426 6.57187 15.2462 7.00159 14.6631ZM4.63782 18.3119L6.5966 19.419C6.26271 20.0097 5.94615 20.6114 5.64759 21.2235L3.62536 20.2371C3.94392 19.584 4.28165 18.942 4.63782 18.3119ZM2.7317 22.2196L4.81008 23.0815C4.55061 23.7072 4.30943 24.3424 4.08723 24.9864L1.96028 24.2525C2.19743 23.5652 2.4548 22.8874 2.7317 22.2196ZM1.31385 26.3289L3.48152 26.932C3.3001 27.5841 3.13777 28.2441 2.99517 28.9115L0.794831 28.4414C0.947003 27.7292 1.12024 27.0248 1.31385 26.3289ZM0.405049 30.5818L2.62985 30.9176C2.529 31.5857 2.44772 32.2603 2.38662 32.941L0.14563 32.7398C0.210778 32.014 0.297466 31.2945 0.405049 30.5818ZM0.0161859 34.91C0.0054207 35.272 0 35.6354 0 36C0 36.3646 0.00542073 36.728 0.016186 37.09L2.26519 37.0231C2.25509 36.6834 2.25 36.3423 2.25 36C2.25 35.6577 2.25509 35.3166 2.26519 34.9769L0.0161859 34.91ZM0.145631 39.2602L2.38662 39.059C2.44772 39.7397 2.529 40.4143 2.62985 41.0824L0.40505 41.4182C0.297467 40.7055 0.210779 39.986 0.145631 39.2602ZM0.794833 43.5586L2.99517 43.0885C3.13777 43.7559 3.3001 44.4159 3.48152 45.068L1.31386 45.6711C1.12024 44.9752 0.947004 44.2708 0.794833 43.5586ZM1.96028 47.7475L4.08723 47.0136C4.30944 47.6576 4.55061 48.2928 4.81008 48.9185L2.7317 49.7804C2.45481 49.1126 2.19743 48.4348 1.96028 47.7475ZM3.62536 51.763L5.64759 50.7765C5.94616 51.3886 6.26272 51.9903 6.5966 52.581L4.63783 53.6881C4.28165 53.058 3.94392 52.416 3.62536 51.763ZM5.76469 55.5482L7.65302 54.3249C8.02303 54.896 8.40985 55.4552 8.81281 56.002L7.00159 57.3369C6.57188 56.7538 6.15933 56.1574 5.76469 55.5482ZM8.34398 59.048L10.0717 57.6066C10.5075 58.1289 10.9587 58.6379 11.4248 59.1329L9.78679 60.6754C9.28984 60.1477 8.80865 59.6049 8.34398 59.048ZM11.3246 62.2132L12.8671 60.5752C13.3621 61.0413 13.8711 61.4925 14.3934 61.9283L12.952 63.656C12.3951 63.1914 11.8523 62.7102 11.3246 62.2132ZM14.6631 64.9984L15.998 63.1872C16.5448 63.5901 17.104 63.977 17.6751 64.347L16.4518 66.2353C15.8426 65.8407 15.2462 65.4281 14.6631 64.9984ZM18.3119 67.3622L19.419 65.4034C20.0097 65.7373 20.6114 66.0538 21.2235 66.3524L20.2371 68.3746C19.584 68.0561 18.942 67.7184 18.3119 67.3622ZM22.2196 69.2683L23.0815 67.1899C23.7072 67.4494 24.3424 67.6906 24.9864 67.9128L24.2525 70.0397C23.5652 69.8026 22.8874 69.5452 22.2196 69.2683ZM26.3289 70.6861L26.932 68.5185C27.5841 68.6999 28.2441 68.8622 28.9115 69.0048L28.4414 71.2052C27.7292 71.053 27.0248 70.8798 26.3289 70.6861ZM30.5818 71.595L30.9176 69.3702C31.5857 69.471 32.2603 69.5523 32.941 69.6134L32.7398 71.8544C32.014 71.7892 31.2945 71.7025 30.5818 71.595ZM34.91 71.9838L34.9769 69.7348C35.3166 69.7449 35.6577 69.75 36 69.75C36.3423 69.75 36.6834 69.7449 37.0231 69.7348L37.09 71.9838C36.728 71.9946 36.3646 72 36 72C35.6354 72 35.272 71.9946 34.91 71.9838ZM39.2602 71.8544L39.059 69.6134C39.7397 69.5523 40.4143 69.471 41.0824 69.3702L41.4182 71.5949C40.7055 71.7025 39.986 71.7892 39.2602 71.8544ZM43.5586 71.2052L43.0885 69.0048C43.7559 68.8622 44.4159 68.6999 45.068 68.5185L45.6711 70.6861C44.9752 70.8798 44.2708 71.053 43.5586 71.2052ZM47.7475 70.0397L47.0136 67.9128C47.6576 67.6906 48.2928 67.4494 48.9185 67.1899L49.7804 69.2683C49.1126 69.5452 48.4348 69.8026 47.7475 70.0397ZM51.7629 68.3746L50.7765 66.3524C51.3886 66.0538 51.9903 65.7373 52.581 65.4034L53.6881 67.3622C53.058 67.7183 52.416 68.0561 51.7629 68.3746ZM55.5482 66.2353L54.3249 64.347C54.896 63.977 55.4552 63.5901 56.002 63.1872L57.3369 64.9984C56.7538 65.4281 56.1574 65.8407 55.5482 66.2353ZM59.048 63.656L57.6066 61.9283C58.1289 61.4925 58.6379 61.0413 59.1329 60.5752L60.6754 62.2132C60.1477 62.7102 59.6049 63.1914 59.048 63.656ZM62.2132 60.6754L60.5752 59.1329C61.0413 58.6379 61.4925 58.1289 61.9283 57.6066L63.656 59.048C63.1914 59.6049 62.7102 60.1477 62.2132 60.6754ZM64.9984 57.3369L63.1872 56.002C63.5901 55.4552 63.977 54.896 64.347 54.3249L66.2353 55.5482C65.8407 56.1574 65.4281 56.7538 64.9984 57.3369ZM67.3622 53.6881L65.4034 52.581C65.7373 51.9903 66.0538 51.3886 66.3524 50.7765L68.3746 51.7629C68.0561 52.416 67.7184 53.058 67.3622 53.6881ZM69.2683 49.7804L67.1899 48.9185C67.4494 48.2928 67.6906 47.6576 67.9128 47.0136L70.0397 47.7475C69.8026 48.4348 69.5452 49.1126 69.2683 49.7804ZM70.6861 45.6711L68.5185 45.068C68.6999 44.4159 68.8622 43.7559 69.0048 43.0885L71.2052 43.5586C71.053 44.2708 70.8798 44.9752 70.6861 45.6711ZM71.595 41.4182L69.3702 41.0824C69.471 40.4143 69.5523 39.7397 69.6134 39.059L71.8544 39.2602C71.7892 39.986 71.7025 40.7055 71.595 41.4182Z", fill: secondaryColor })));
};

var Icon$17 = function (props) {
    return (React__default['default'].createElement(Svg, __assign({ viewBox: "0 0 24 24" }, props),
        React__default['default'].createElement("path", { fillRule: "evenodd", clipRule: "evenodd", d: "M12.0967 17.8521L7.87565 20.2891C6.91907 20.8414 5.69589 20.5136 5.1436 19.557L0.999729 12.3796C0.447444 11.4231 0.775193 10.1999 1.73178 9.64759L6.31754 7C6.53486 6.87453 6.76593 6.79448 6.99977 6.75691V6C6.99977 4.89543 7.8952 4 8.99977 4H14.9998C16.1043 4 16.9998 4.89543 16.9998 6V6.73545C17.299 6.75379 17.5986 6.83993 17.8759 7L22.4616 9.64759C23.4182 10.1999 23.746 11.4231 23.1937 12.3796L19.0498 19.557C18.4975 20.5136 17.2743 20.8414 16.3178 20.2891L12.0967 17.8521ZM8.99977 6L14.9998 6L14.9998 7.98154L11.2363 14.5H8.99977L8.99977 6ZM6.99977 14.5L6.99977 8.91551L2.73178 11.3796L6.87565 18.557L10.4386 16.5H8.99977C7.8952 16.5 6.99977 15.6046 6.99977 14.5ZM16.8759 8.73205L21.4616 11.3796L17.3178 18.557L12.732 15.9094L16.8759 8.73205Z" })));
};

var Icon$16 = function (props) {
    return (React__default['default'].createElement(Svg, __assign({ viewBox: "0 0 24 24" }, props),
        React__default['default'].createElement("path", { d: "M4.5 12H7.5C8.05 12 8.5 11.55 8.5 11V7C8.5 6.45 8.05 6 7.5 6H4.5C3.95 6 3.5 6.45 3.5 7V11C3.5 11.55 3.95 12 4.5 12ZM4.5 19H7.5C8.05 19 8.5 18.55 8.5 18V14C8.5 13.45 8.05 13 7.5 13H4.5C3.95 13 3.5 13.45 3.5 14V18C3.5 18.55 3.95 19 4.5 19ZM10.5 19H13.5C14.05 19 14.5 18.55 14.5 18V14C14.5 13.45 14.05 13 13.5 13H10.5C9.95 13 9.5 13.45 9.5 14V18C9.5 18.55 9.95 19 10.5 19ZM16.5 19H19.5C20.05 19 20.5 18.55 20.5 18V14C20.5 13.45 20.05 13 19.5 13H16.5C15.95 13 15.5 13.45 15.5 14V18C15.5 18.55 15.95 19 16.5 19ZM10.5 12H13.5C14.05 12 14.5 11.55 14.5 11V7C14.5 6.45 14.05 6 13.5 6H10.5C9.95 6 9.5 6.45 9.5 7V11C9.5 11.55 9.95 12 10.5 12ZM15.5 7V11C15.5 11.55 15.95 12 16.5 12H19.5C20.05 12 20.5 11.55 20.5 11V7C20.5 6.45 20.05 6 19.5 6H16.5C15.95 6 15.5 6.45 15.5 7Z" })));
};

var Icon$15 = function (props) {
    return (React__default['default'].createElement(Svg, __assign({ viewBox: "0 0 24 24" }, props),
        React__default['default'].createElement("path", { d: "M19 3H5C3.9 3 3 3.9 3 5V19C3 20.1 3.9 21 5 21H19C20.1 21 21 20.1 21 19V5C21 3.9 20.1 3 19 3ZM19 19H5V5H19V19Z" }),
        React__default['default'].createElement("path", { d: "M11.25 7.72H6.25V9.22H11.25V7.72Z" }),
        React__default['default'].createElement("path", { d: "M18 15.75H13V17.25H18V15.75Z" }),
        React__default['default'].createElement("path", { d: "M18 13.25H13V14.75H18V13.25Z" }),
        React__default['default'].createElement("path", { d: "M8 18H9.5V16H11.5V14.5H9.5V12.5H8V14.5H6V16H8V18Z" }),
        React__default['default'].createElement("path", { d: "M14.09 10.95L15.5 9.54L16.91 10.95L17.97 9.89L16.56 8.47L17.97 7.06L16.91 6L15.5 7.41L14.09 6L13.03 7.06L14.44 8.47L13.03 9.89L14.09 10.95Z" })));
};

var Icon$14 = function (props) {
    return (React__default['default'].createElement(Svg, __assign({ viewBox: "0 0 24 24" }, props),
        React__default['default'].createElement("path", { d: "M5 7C5 6.44772 4.55228 6 4 6C3.44772 6 3 6.44772 3 7V18C3 19.1046 3.89543 20 5 20H20C20.5523 20 21 19.5523 21 19C21 18.4477 20.5523 18 20 18H5V7Z" }),
        React__default['default'].createElement("path", { fillRule: "evenodd", clipRule: "evenodd", d: "M19 17H7C6.44772 17 6 16.5523 6 16V12C6 11.4477 6.44772 11 7 11H10V10C10 9.44772 10.4477 9 11 9H14V7C14 6.44772 14.4477 6 15 6H19C19.5523 6 20 6.44772 20 7V16C20 16.5523 19.5523 17 19 17ZM16 8H18V15H16V8ZM12 15H14V11H12V15ZM10 13H8V15H10V13Z" })));
};

var Icon$13 = function (props) {
    return (React__default['default'].createElement(Svg, __assign({ viewBox: "0 0 18 13" }, props),
        React__default['default'].createElement("path", { d: "M6 10.2001L2.5 6.70007C2.11 6.31007 1.49 6.31007 1.1 6.70007C0.709995 7.09007 0.709995 7.71007 1.1 8.10007L5.29 12.2901C5.68 12.6801 6.31 12.6801 6.7 12.2901L17.3 1.70007C17.69 1.31007 17.69 0.690068 17.3 0.300068C16.91 -0.0899316 16.29 -0.0899316 15.9 0.300068L6 10.2001Z" })));
};

var Icon$12 = function (props) {
    return (React__default['default'].createElement(Svg, __assign({ viewBox: "0 0 24 24" }, props),
        React__default['default'].createElement("path", { d: "M8.11997 9.29006L12 13.1701L15.88 9.29006C16.27 8.90006 16.9 8.90006 17.29 9.29006C17.68 9.68006 17.68 10.3101 17.29 10.7001L12.7 15.2901C12.31 15.6801 11.68 15.6801 11.29 15.2901L6.69997 10.7001C6.30997 10.3101 6.30997 9.68006 6.69997 9.29006C7.08997 8.91006 7.72997 8.90006 8.11997 9.29006Z" })));
};

var Icon$11 = function (props) {
    return (React__default['default'].createElement(Svg, __assign({ viewBox: "0 0 24 24" }, props),
        React__default['default'].createElement("path", { d: "M14.71 15.88L10.83 12L14.71 8.12001C15.1 7.73001 15.1 7.10001 14.71 6.71001C14.32 6.32001 13.69 6.32001 13.3 6.71001L8.70998 11.3C8.31998 11.69 8.31998 12.32 8.70998 12.71L13.3 17.3C13.69 17.69 14.32 17.69 14.71 17.3C15.09 16.91 15.1 16.27 14.71 15.88Z" })));
};

var Icon$10 = function (props) {
    return (React__default['default'].createElement(Svg, __assign({ viewBox: "0 0 24 24" }, props),
        React__default['default'].createElement("path", { d: "M9.29006 15.88L13.1701 12L9.29006 8.12001C8.90006 7.73001 8.90006 7.10001 9.29006 6.71001C9.68006 6.32001 10.3101 6.32001 10.7001 6.71001L15.2901 11.3C15.6801 11.69 15.6801 12.32 15.2901 12.71L10.7001 17.3C10.3101 17.69 9.68006 17.69 9.29006 17.3C8.91006 16.91 8.90006 16.27 9.29006 15.88Z" })));
};

var Icon$$ = function (props) {
    return (React__default['default'].createElement(Svg, __assign({ viewBox: "0 0 24 24" }, props),
        React__default['default'].createElement("path", { d: "M8.11997 14.7101L12 10.8301L15.88 14.7101C16.27 15.1001 16.9 15.1001 17.29 14.7101C17.68 14.3201 17.68 13.6901 17.29 13.3001L12.7 8.7101C12.31 8.3201 11.68 8.3201 11.29 8.7101L6.69997 13.3001C6.30997 13.6901 6.30997 14.3201 6.69997 14.7101C7.08997 15.0901 7.72997 15.1001 8.11997 14.7101Z" })));
};

var Icon$_ = function (props) {
    return (React__default['default'].createElement(Svg, __assign({ viewBox: "0 0 24 24" }, props),
        React__default['default'].createElement("path", { d: "M18.3 5.70997C17.91 5.31997 17.28 5.31997 16.89 5.70997L12 10.59L7.10997 5.69997C6.71997 5.30997 6.08997 5.30997 5.69997 5.69997C5.30997 6.08997 5.30997 6.71997 5.69997 7.10997L10.59 12L5.69997 16.89C5.30997 17.28 5.30997 17.91 5.69997 18.3C6.08997 18.69 6.71997 18.69 7.10997 18.3L12 13.41L16.89 18.3C17.28 18.69 17.91 18.69 18.3 18.3C18.69 17.91 18.69 17.28 18.3 16.89L13.41 12L18.3 7.10997C18.68 6.72997 18.68 6.08997 18.3 5.70997Z" })));
};

var Icon$Z = function (props) {
    return (React__default['default'].createElement(Svg, __assign({ viewBox: "0 0 24 24" }, props),
        React__default['default'].createElement("path", { d: "M19.43 12.98C19.47 12.66 19.5 12.34 19.5 12C19.5 11.66 19.47 11.34 19.43 11.02L21.54 9.37C21.73 9.22 21.78 8.95 21.66 8.73L19.66 5.27C19.54 5.05 19.27 4.97 19.05 5.05L16.56 6.05C16.04 5.65 15.48 5.32 14.87 5.07L14.49 2.42C14.46 2.18 14.25 2 14 2H9.99996C9.74996 2 9.53996 2.18 9.50996 2.42L9.12996 5.07C8.51996 5.32 7.95996 5.66 7.43996 6.05L4.94996 5.05C4.71996 4.96 4.45996 5.05 4.33996 5.27L2.33996 8.73C2.20996 8.95 2.26996 9.22 2.45996 9.37L4.56996 11.02C4.52996 11.34 4.49996 11.67 4.49996 12C4.49996 12.33 4.52996 12.66 4.56996 12.98L2.45996 14.63C2.26996 14.78 2.21996 15.05 2.33996 15.27L4.33996 18.73C4.45996 18.95 4.72996 19.03 4.94996 18.95L7.43996 17.95C7.95996 18.35 8.51996 18.68 9.12996 18.93L9.50996 21.58C9.53996 21.82 9.74996 22 9.99996 22H14C14.25 22 14.46 21.82 14.49 21.58L14.87 18.93C15.48 18.68 16.04 18.34 16.56 17.95L19.05 18.95C19.28 19.04 19.54 18.95 19.66 18.73L21.66 15.27C21.78 15.05 21.73 14.78 21.54 14.63L19.43 12.98ZM12 15.5C10.07 15.5 8.49996 13.93 8.49996 12C8.49996 10.07 10.07 8.5 12 8.5C13.93 8.5 15.5 10.07 15.5 12C15.5 13.93 13.93 15.5 12 15.5Z" })));
};

var Icon$Y = function (props) {
    return (React__default['default'].createElement(Svg, __assign({ viewBox: "0 0 24 24" }, props),
        React__default['default'].createElement("path", { d: "M12 12.75C13.63 12.75 15.07 13.14 16.24 13.65C17.32 14.13 18 15.21 18 16.38V17C18 17.55 17.55 18 17 18H7C6.45 18 6 17.55 6 17V16.39C6 15.21 6.68 14.13 7.76 13.66C8.93 13.14 10.37 12.75 12 12.75ZM4 13C5.1 13 6 12.1 6 11C6 9.9 5.1 9 4 9C2.9 9 2 9.9 2 11C2 12.1 2.9 13 4 13ZM5.13 14.1C4.76 14.04 4.39 14 4 14C3.01 14 2.07 14.21 1.22 14.58C0.48 14.9 0 15.62 0 16.43V17C0 17.55 0.45 18 1 18H4.5V16.39C4.5 15.56 4.73 14.78 5.13 14.1ZM20 13C21.1 13 22 12.1 22 11C22 9.9 21.1 9 20 9C18.9 9 18 9.9 18 11C18 12.1 18.9 13 20 13ZM24 16.43C24 15.62 23.52 14.9 22.78 14.58C21.93 14.21 20.99 14 20 14C19.61 14 19.24 14.04 18.87 14.1C19.27 14.78 19.5 15.56 19.5 16.39V18H23C23.55 18 24 17.55 24 17V16.43ZM12 6C13.66 6 15 7.34 15 9C15 10.66 13.66 12 12 12C10.34 12 9 10.66 9 9C9 7.34 10.34 6 12 6Z" })));
};

var Icon$X = function (props) {
    return (React__default['default'].createElement(Svg, __assign({ viewBox: "0 0 18 18" }, props),
        React__default['default'].createElement("path", { d: "M16 2H14C14 0.895431 13.1046 0 12 0H6C4.89543 0 4 0.895431 4 2H2C0.9 2 0 2.9 0 4V5C0 7.55 1.92 9.63 4.39 9.94C5.02 11.44 6.37 12.57 8 12.9V16H5C4.44772 16 4 16.4477 4 17C4 17.5523 4.44772 18 5 18H13C13.5523 18 14 17.5523 14 17C14 16.4477 13.5523 16 13 16H10V12.9C11.63 12.57 12.98 11.44 13.61 9.94C16.08 9.63 18 7.55 18 5V4C18 2.9 17.1 2 16 2ZM2 5V4H4V7.82C2.84 7.4 2 6.3 2 5ZM9 11C7.35 11 6 9.65 6 8V2H12V8C12 9.65 10.65 11 9 11ZM16 5C16 6.3 15.16 7.4 14 7.82V4H16V5Z" })));
};

var Icon$W = function (props) {
    return (React__default['default'].createElement(Svg, __assign({ viewBox: "0 0 24 24" }, props),
        React__default['default'].createElement("path", { d: "M15 1H4C2.9 1 2 1.9 2 3V16C2 16.55 2.45 17 3 17C3.55 17 4 16.55 4 16V4C4 3.45 4.45 3 5 3H15C15.55 3 16 2.55 16 2C16 1.45 15.55 1 15 1ZM19 5H8C6.9 5 6 5.9 6 7V21C6 22.1 6.9 23 8 23H19C20.1 23 21 22.1 21 21V7C21 5.9 20.1 5 19 5ZM18 21H9C8.45 21 8 20.55 8 20V8C8 7.45 8.45 7 9 7H18C18.55 7 19 7.45 19 8V20C19 20.55 18.55 21 18 21Z" })));
};

var Icon$V = function (props) {
    return (React__default['default'].createElement(Svg, __assign({ viewBox: "0 0 24 24" }, props),
        React__default['default'].createElement("path", { d: "M12 2C6.48 2 2 6.48 2 12C2 17.52 6.48 22 12 22C17.52 22 22 17.52 22 12C22 6.48 17.52 2 12 2ZM12 20C7.59 20 4 16.41 4 12C4 7.59 7.59 4 12 4C16.41 4 20 7.59 20 12C20 16.41 16.41 20 12 20ZM11 16H13V18H11V16ZM12.61 6.04C10.55 5.74 8.73 7.01 8.18 8.83C8 9.41 8.44 10 9.05 10H9.25C9.66 10 9.99 9.71 10.13 9.33C10.45 8.44 11.4 7.83 12.43 8.05C13.38 8.25 14.08 9.18 14 10.15C13.9 11.49 12.38 11.78 11.55 13.03C11.55 13.04 11.54 13.04 11.54 13.05C11.53 13.07 11.52 13.08 11.51 13.1C11.42 13.25 11.33 13.42 11.26 13.6C11.25 13.63 11.23 13.65 11.22 13.68C11.21 13.7 11.21 13.72 11.2 13.75C11.08 14.09 11 14.5 11 15H13C13 14.58 13.11 14.23 13.28 13.93C13.3 13.9 13.31 13.87 13.33 13.84C13.41 13.7 13.51 13.57 13.61 13.45C13.62 13.44 13.63 13.42 13.64 13.41C13.74 13.29 13.85 13.18 13.97 13.07C14.93 12.16 16.23 11.42 15.96 9.51C15.72 7.77 14.35 6.3 12.61 6.04Z" })));
};

var Icon$U = function (props) {
    return (React__default['default'].createElement(Svg, __assign({ viewBox: "0 0 24 24" }, props),
        React__default['default'].createElement("path", { d: "M13 3C8.03 3 4 7.03 4 12H2.20711C1.76165 12 1.53857 12.5386 1.85355 12.8536L4.54604 15.546C4.73751 15.7375 5.04662 15.7418 5.24329 15.5556L8.08805 12.8631C8.4164 12.5524 8.19646 12 7.74435 12H6C6 8.13 9.13 5 13 5C16.87 5 20 8.13 20 12C20 15.87 16.87 19 13 19C11.4314 19 9.98175 18.4782 8.81739 17.601C8.37411 17.267 7.74104 17.259 7.3486 17.6514C6.95725 18.0428 6.95413 18.6823 7.38598 19.0284C8.92448 20.2615 10.8708 21 13 21C17.97 21 22 16.97 22 12C22 7.03 17.97 3 13 3ZM12 8V13L16.28 15.54L17 14.33L13.5 12.25V8H12Z" })));
};

var Icon$T = function (props) {
    return (React__default['default'].createElement(Svg, __assign({ viewBox: "0 0 20 20" }, props),
        React__default['default'].createElement("path", { d: "M4.68179 7.04592C5.06573 7.78505 5.47899 8.47752 5.91436 9.12605C4.76866 8.20293 3.15483 7.94918 1.72791 8.60664L0.865295 9.00408L0.949991 9.1879C1.87444 11.1943 4.25037 12.0714 6.25678 11.147L7.1194 10.7495C7.7588 11.5306 8.42708 12.2337 9.10661 12.8671C7.54917 12.0868 5.60297 12.3946 4.36752 13.7424L4.07604 14.0604L5.17158 15.0646C6.8001 16.5573 9.33037 16.4472 10.8231 14.8187L11.0984 14.5183C11.8534 15.0744 12.6001 15.5528 13.3138 15.9628C13.5418 16.0939 13.7667 16.218 13.9874 16.3354C12.2933 15.9571 10.485 16.7202 9.6092 18.3189L9.47337 18.5669L10.514 19.137C12.4515 20.1983 14.8825 19.4881 15.9439 17.5507L16.0715 17.3177C16.4836 17.4877 16.862 17.6297 17.1977 17.747C17.6961 17.9213 18.1016 18.0417 18.3855 18.1191L18.8453 18.2339C19.2507 18.3192 19.6484 18.0598 19.7338 17.6545C19.819 17.2494 19.56 16.8519 19.1551 16.7662L19.1524 16.7657C19.1551 16.7662 19.0729 16.7518 18.7802 16.6719C18.527 16.6029 18.1551 16.4928 17.6927 16.3311C17.1224 16.1317 16.416 15.8546 15.6253 15.4802L15.9997 14.8317C17.1043 12.9186 16.4488 10.4722 14.5356 9.36762L13.8989 9.00001L13.4324 9.80801C12.4895 11.4411 12.8291 13.4627 14.1387 14.7066C14.1128 14.6919 14.0869 14.6771 14.0609 14.6622C12.797 13.9361 11.4285 12.9847 10.1078 11.7498L10.5391 11.324C12.1111 9.77192 12.1274 7.23931 10.5753 5.66723L9.93826 5.02195L9.41242 5.5411C8.11055 6.82638 7.87565 8.78411 8.71479 10.3119C7.73795 9.1976 6.82187 7.90232 6.03634 6.39938C7.08943 4.4961 6.42732 2.09216 4.53566 1.00001L3.4039 0.346588L2.82248 1.35364C1.71791 3.26682 2.37341 5.71318 4.28658 6.81775L4.68179 7.04592Z" })));
};

var Icon$S = function (props) {
    return (React__default['default'].createElement(Svg, __assign({ viewBox: "0 0 20 20" }, props),
        React__default['default'].createElement("path", { d: "M15.3182 7.04592C14.9343 7.78505 14.521 8.47752 14.0856 9.12605C15.2313 8.20293 16.8452 7.94918 18.2721 8.60664L19.1347 9.00408L19.05 9.1879C18.1256 11.1943 15.7496 12.0714 13.7432 11.147L12.8806 10.7495C12.2412 11.5306 11.5729 12.2337 10.8934 12.8671C12.4508 12.0868 14.397 12.3946 15.6325 13.7424L15.924 14.0604L14.8284 15.0646C13.1999 16.5573 10.6696 16.4472 9.17692 14.8187L8.90162 14.5183C8.1466 15.0744 7.39992 15.5528 6.68625 15.9628C6.45816 16.0939 6.23335 16.218 6.01259 16.3354C7.70668 15.9571 9.51501 16.7202 10.3908 18.3189L10.5266 18.5669L9.486 19.137C7.54854 20.1983 5.11749 19.4881 4.05611 17.5507L3.92849 17.3177C3.51637 17.4877 3.13804 17.6297 2.80235 17.747C2.30389 17.9213 1.89839 18.0417 1.61448 18.1191L1.15466 18.2339C0.749332 18.3192 0.351572 18.0598 0.26624 17.6545C0.180958 17.2494 0.440012 16.8519 0.844932 16.7662L0.847556 16.7657C0.844932 16.7662 0.927067 16.7518 1.21981 16.6719C1.47301 16.6029 1.84485 16.4928 2.30733 16.3311C2.87756 16.1317 3.58397 15.8546 4.3747 15.4802L4.0003 14.8317C2.89573 12.9186 3.55123 10.4722 5.4644 9.36762L6.10112 9.00001L6.56763 9.80801C7.51049 11.4411 7.1709 13.4627 5.86133 14.7066C5.88719 14.6919 5.9131 14.6771 5.93906 14.6622C7.20296 13.9361 8.57146 12.9847 9.89223 11.7498L9.46094 11.324C7.88886 9.77192 7.87263 7.23931 9.42468 5.66723L10.0617 5.02195L10.5876 5.5411C11.8895 6.82638 12.1243 8.78411 11.2852 10.3119C12.2621 9.1976 13.1781 7.90232 13.9637 6.39938C12.9106 4.4961 13.5727 2.09216 15.4643 1.00001L16.5961 0.346588L17.1775 1.35364C18.2821 3.26682 17.6266 5.71318 15.7134 6.81775L15.3182 7.04592Z" })));
};

var Icon$R = function (props) {
    return (React__default['default'].createElement(Svg, __assign({ viewBox: "0 0 24 24" }, props),
        React__default['default'].createElement("path", { d: "M4.5 14H6.5C7.05 14 7.5 13.55 7.5 13V11C7.5 10.45 7.05 10 6.5 10H4.5C3.95 10 3.5 10.45 3.5 11V13C3.5 13.55 3.95 14 4.5 14ZM4.5 19H6.5C7.05 19 7.5 18.55 7.5 18V16C7.5 15.45 7.05 15 6.5 15H4.5C3.95 15 3.5 15.45 3.5 16V18C3.5 18.55 3.95 19 4.5 19ZM4.5 9H6.5C7.05 9 7.5 8.55 7.5 8V6C7.5 5.45 7.05 5 6.5 5H4.5C3.95 5 3.5 5.45 3.5 6V8C3.5 8.55 3.95 9 4.5 9ZM9.5 14H19.5C20.05 14 20.5 13.55 20.5 13V11C20.5 10.45 20.05 10 19.5 10H9.5C8.95 10 8.5 10.45 8.5 11V13C8.5 13.55 8.95 14 9.5 14ZM9.5 19H19.5C20.05 19 20.5 18.55 20.5 18V16C20.5 15.45 20.05 15 19.5 15H9.5C8.95 15 8.5 15.45 8.5 16V18C8.5 18.55 8.95 19 9.5 19ZM8.5 6V8C8.5 8.55 8.95 9 9.5 9H19.5C20.05 9 20.5 8.55 20.5 8V6C20.5 5.45 20.05 5 19.5 5H9.5C8.95 5 8.5 5.45 8.5 6Z" })));
};

var Icon$Q = function (props) {
    return (React__default['default'].createElement(Svg, __assign({ xmlns: "http://www.w3.org/2000/svg", viewBox: "0 0 16.49 23.33" }, props),
        React__default['default'].createElement("path", { fill: "#936b2c", "fill-rule": "evenodd", d: "M19.48,17.41c-.21.48-.44.94-.68,1.38a5.86,5.86,0,0,1-5.63,1.94l-.12-.06a6.18,6.18,0,0,0,5.85-2.6c.21-.22.4-.44.58-.66Zm-9,5.88C6.2,21.88,3.63,15.89,4.76,9.75S10.3-.38,14.67.71L14.46.64c-4.45-1.27-9,2.75-10.12,9s1.52,12.33,6,13.6Z", transform: "translate(-4.07 -0.41)" }),
        React__default['default'].createElement("path", { fill: "#e10714", "fill-rule": "evenodd", d: "M20.56,17.25s0,.08,0,.13c-1.81,4.54-5.58,7.18-9.3,6.12-4.44-1.28-7.11-7.37-6-13.61S10.93-.37,15.37.9a6.47,6.47,0,0,1,1.25.52l-.35-.06c-3.55-.5-7,2.83-7.92,7.83-1,5.33,1.29,10.53,5.09,11.62C16.13,21.58,18.85,20.08,20.56,17.25Z", transform: "translate(-4.07 -0.41)" })));
};

var Icon$P = function (props) {
    return (React__default['default'].createElement(Svg, { xmlns: "http://www.w3.org/2000/svg", viewBox: "0 0 16.49 23.33" },
        React__default['default'].createElement("path", { fill: "#936b2c", "fill-rule": "evenodd", d: "M19.48,17.41c-.21.48-.44.94-.68,1.38a5.86,5.86,0,0,1-5.63,1.94l-.12-.06a6.18,6.18,0,0,0,5.85-2.6c.21-.22.4-.44.58-.66Zm-9,5.88C6.2,21.88,3.63,15.89,4.76,9.75S10.3-.38,14.67.71L14.46.64c-4.45-1.27-9,2.75-10.12,9s1.52,12.33,6,13.6Z", transform: "translate(-4.07 -0.41)" }),
        React__default['default'].createElement("path", { fill: "#e10714", "fill-rule": "evenodd", d: "M20.56,17.25s0,.08,0,.13c-1.81,4.54-5.58,7.18-9.3,6.12-4.44-1.28-7.11-7.37-6-13.61S10.93-.37,15.37.9a6.47,6.47,0,0,1,1.25.52l-.35-.06c-3.55-.5-7,2.83-7.92,7.83-1,5.33,1.29,10.53,5.09,11.62C16.13,21.58,18.85,20.08,20.56,17.25Z", transform: "translate(-4.07 -0.41)" })));
};

var Icon$O = function (props) {
    return (React__default['default'].createElement(Svg, __assign({ viewBox: "0 0 35 33" }, props),
        React__default['default'].createElement("path", { d: "m32.9582 1-13.1341 9.7183 2.4424-5.72731z", fill: "#e17726", stroke: "#e17726" }),
        React__default['default'].createElement("g", { fill: "#e27625", stroke: "#e27625" },
            React__default['default'].createElement("path", { d: "m2.66296 1 13.01714 9.809-2.3254-5.81802z" }),
            React__default['default'].createElement("path", { d: "m28.2295 23.5335-3.4947 5.3386 7.4829 2.0603 2.1436-7.2823z" }),
            React__default['default'].createElement("path", { d: "m1.27281 23.6501 2.13055 7.2823 7.46994-2.0603-3.48166-5.3386z" }),
            React__default['default'].createElement("path", { d: "m10.4706 14.5149-2.0786 3.1358 7.405.3369-.2469-7.969z" }),
            React__default['default'].createElement("path", { d: "m25.1505 14.5149-5.1575-4.58704-.1688 8.05974 7.4049-.3369z" }),
            React__default['default'].createElement("path", { d: "m10.8733 28.8721 4.4819-2.1639-3.8583-3.0062z" }),
            React__default['default'].createElement("path", { d: "m20.2659 26.7082 4.4689 2.1639-.6105-5.1701z" })),
        React__default['default'].createElement("path", { d: "m24.7348 28.8721-4.469-2.1639.3638 2.9025-.039 1.231z", fill: "#d5bfb2", stroke: "#d5bfb2" }),
        React__default['default'].createElement("path", { d: "m10.8732 28.8721 4.1572 1.9696-.026-1.231.3508-2.9025z", fill: "#d5bfb2", stroke: "#d5bfb2" }),
        React__default['default'].createElement("path", { d: "m15.1084 21.7842-3.7155-1.0884 2.6243-1.2051z", fill: "#233447", stroke: "#233447" }),
        React__default['default'].createElement("path", { d: "m20.5126 21.7842 1.0913-2.2935 2.6372 1.2051z", fill: "#233447", stroke: "#233447" }),
        React__default['default'].createElement("path", { d: "m10.8733 28.8721.6495-5.3386-4.13117.1167z", fill: "#cc6228", stroke: "#cc6228" }),
        React__default['default'].createElement("path", { d: "m24.0982 23.5335.6366 5.3386 3.4946-5.2219z", fill: "#cc6228", stroke: "#cc6228" }),
        React__default['default'].createElement("path", { d: "m27.2291 17.6507-7.405.3369.6885 3.7966 1.0913-2.2935 2.6372 1.2051z", fill: "#cc6228", stroke: "#cc6228" }),
        React__default['default'].createElement("path", { d: "m11.3929 20.6958 2.6242-1.2051 1.0913 2.2935.6885-3.7966-7.40495-.3369z", fill: "#cc6228", stroke: "#cc6228" }),
        React__default['default'].createElement("path", { d: "m8.392 17.6507 3.1049 6.0513-.1039-3.0062z", fill: "#e27525", stroke: "#e27525" }),
        React__default['default'].createElement("path", { d: "m24.2412 20.6958-.1169 3.0062 3.1049-6.0513z", fill: "#e27525", stroke: "#e27525" }),
        React__default['default'].createElement("path", { d: "m15.797 17.9876-.6886 3.7967.8704 4.4833.1949-5.9087z", fill: "#e27525", stroke: "#e27525" }),
        React__default['default'].createElement("path", { d: "m19.8242 17.9876-.3638 2.3584.1819 5.9216.8704-4.4833z", fill: "#e27525", stroke: "#e27525" }),
        React__default['default'].createElement("path", { d: "m20.5127 21.7842-.8704 4.4834.6236.4406 3.8584-3.0062.1169-3.0062z", fill: "#f5841f", stroke: "#f5841f" }),
        React__default['default'].createElement("path", { d: "m11.3929 20.6958.104 3.0062 3.8583 3.0062.6236-.4406-.8704-4.4834z", fill: "#f5841f", stroke: "#f5841f" }),
        React__default['default'].createElement("path", { d: "m20.5906 30.8417.039-1.231-.3378-.2851h-4.9626l-.3248.2851.026 1.231-4.1572-1.9696 1.4551 1.1921 2.9489 2.0344h5.0536l2.962-2.0344 1.442-1.1921z", fill: "#c0ac9d", stroke: "#c0ac9d" }),
        React__default['default'].createElement("path", { d: "m20.2659 26.7082-.6236-.4406h-3.6635l-.6236.4406-.3508 2.9025.3248-.2851h4.9626l.3378.2851z", fill: "#161616", stroke: "#161616" }),
        React__default['default'].createElement("path", { d: "m33.5168 11.3532 1.1043-5.36447-1.6629-4.98873-12.6923 9.3944 4.8846 4.1205 6.8983 2.0085 1.52-1.7752-.6626-.4795 1.0523-.9588-.8054-.622 1.0523-.8034z", fill: "#763e1a", stroke: "#763e1a" }),
        React__default['default'].createElement("path", { d: "m1 5.98873 1.11724 5.36447-.71451.5313 1.06527.8034-.80545.622 1.05228.9588-.66255.4795 1.51997 1.7752 6.89835-2.0085 4.8846-4.1205-12.69233-9.3944z", fill: "#763e1a", stroke: "#763e1a" }),
        React__default['default'].createElement("path", { d: "m32.0489 16.5234-6.8983-2.0085 2.0786 3.1358-3.1049 6.0513 4.1052-.0519h6.1318z", fill: "#f5841f", stroke: "#f5841f" }),
        React__default['default'].createElement("path", { d: "m10.4705 14.5149-6.89828 2.0085-2.29944 7.1267h6.11883l4.10519.0519-3.10487-6.0513z", fill: "#f5841f", stroke: "#f5841f" }),
        React__default['default'].createElement("path", { d: "m19.8241 17.9876.4417-7.5932 2.0007-5.4034h-8.9119l2.0006 5.4034.4417 7.5932.1689 2.3842.013 5.8958h3.6635l.013-5.8958z", fill: "#f5841f", stroke: "#f5841f" })));
};

var Icon$N = function (props) {
    return (React__default['default'].createElement(Svg, __assign({ viewBox: "0 0 24 24" }, props),
        React__default['default'].createElement("path", { d: "M18 13H6C5.45 13 5 12.55 5 12C5 11.45 5.45 11 6 11H18C18.55 11 19 11.45 19 12C19 12.55 18.55 13 18 13Z" })));
};

var Icon$M = function (props) {
    var theme = styled.useTheme();
    var primaryColor = theme.isDark ? "#3C3742" : "#e9eaeb";
    var secondaryColor = theme.isDark ? "#666171" : "#bdc2c4";
    return (React__default['default'].createElement(Svg, __assign({ viewBox: "0 0 32 32" }, props),
        React__default['default'].createElement("path", { d: "M32 16c0 8.837-7.163 16-16 16S0 24.837 0 16 7.163 0 16 0s16 7.163 16 16z", fill: primaryColor }),
        React__default['default'].createElement("mask", { id: "A", "mask-type": "alpha", maskUnits: "userSpaceOnUse", x: "0", y: "0", width: "32", height: "32" },
            React__default['default'].createElement("path", { d: "M32 16c0 8.837-7.163 16-16 16S0 24.837 0 16 7.163 0 16 0s16 7.163 16 16z", fill: "#c4c4c4" })),
        React__default['default'].createElement("g", { mask: "url(#A)" },
            React__default['default'].createElement("path", { d: "M25.128 16.436c0 3.115-4.133 5.641-9.231 5.641s-9.231-2.526-9.231-5.641V15h18.461v1.436zm2.205 13.806c0-3.815-5.074-6.908-11.333-6.908S4.667 26.426 4.667 30.242V32h22.667v-1.759z", fill: secondaryColor }),
            React__default['default'].createElement("path", { fillRule: "evenodd", d: "M10.234 5.601C9.942 4.264 10.96 3 12.328 3c1.184 0 2.143.959 2.143 2.143v3.873l1.427-.067c.589 0 1.166.034 1.724.098V5.143c0-1.184.959-2.143 2.143-2.143 1.368 0 2.386 1.264 2.093 2.601l-.931 4.258c2.529 1.006 4.201 2.749 4.201 4.731 0 3.115-4.133 5.641-9.231 5.641s-9.231-2.526-9.231-5.641c0-2.053 1.794-3.849 4.476-4.836l-.908-4.153z", fill: secondaryColor }),
            React__default['default'].createElement("ellipse", { cx: "12.308", cy: "14.846", rx: "1.026", ry: "1.538", fill: primaryColor }),
            React__default['default'].createElement("ellipse", { cx: "19.385", cy: "14.846", rx: "1.026", ry: "1.538", fill: primaryColor }))));
};

var Icon$L = function (props) {
    return (React__default['default'].createElement(Svg, __assign({ viewBox: "0 0 24 24" }, props),
        React__default['default'].createElement("path", { d: "M18 19H6C5.45 19 5 18.55 5 18V6C5 5.45 5.45 5 6 5H11C11.55 5 12 4.55 12 4C12 3.45 11.55 3 11 3H5C3.89 3 3 3.9 3 5V19C3 20.1 3.9 21 5 21H19C20.1 21 21 20.1 21 19V13C21 12.45 20.55 12 20 12C19.45 12 19 12.45 19 13V18C19 18.55 18.55 19 18 19ZM14 4C14 4.55 14.45 5 15 5H17.59L8.46 14.13C8.07 14.52 8.07 15.15 8.46 15.54C8.85 15.93 9.48 15.93 9.87 15.54L19 6.41V9C19 9.55 19.45 10 20 10C20.55 10 21 9.55 21 9V4C21 3.45 20.55 3 20 3H15C14.45 3 14 3.45 14 4Z" })));
};

var Icon$K = function (props) {
    return (React__default['default'].createElement(Svg, __assign({ xmlns: "http://www.w3.org/2000/svg" }, props, { viewBox: "0 0 16.49 23.33" }),
        React__default['default'].createElement("path", { fill: "#936b2c", "fill-rule": "evenodd", className: "cls-1", d: "M19.48,17.41c-.21.48-.44.94-.68,1.38a5.86,5.86,0,0,1-5.63,1.94l-.12-.06a6.18,6.18,0,0,0,5.85-2.6c.21-.22.4-.44.58-.66Zm-9,5.88C6.2,21.88,3.63,15.89,4.76,9.75S10.3-.38,14.67.71L14.46.64c-4.45-1.27-9,2.75-10.12,9s1.52,12.33,6,13.6Z", transform: "translate(-4.07 -0.41)" }),
        React__default['default'].createElement("path", { fill: "#e10714", "fill-rule": "evenodd", d: "M20.56,17.25s0,.08,0,.13c-1.81,4.54-5.58,7.18-9.3,6.12-4.44-1.28-7.11-7.37-6-13.61S10.93-.37,15.37.9a6.47,6.47,0,0,1,1.25.52l-.35-.06c-3.55-.5-7,2.83-7.92,7.83-1,5.33,1.29,10.53,5.09,11.62C16.13,21.58,18.85,20.08,20.56,17.25Z", transform: "translate(-4.07 -0.41)" }))
    // <Svg viewBox="0 0 64 64" {...props}>
    //   <path
    //     fillRule="evenodd"
    //     clipRule="evenodd"
    //     d="M2.43832 38.1153C2.43048 38.3002 2.42654 38.4857 2.42654 38.6718C2.42654 39.3754 2.48287 40.0702 2.59273 40.7545H2.42654V41.8317C2.42654 42.3575 2.45801 42.8784 2.51976 43.3937C3.7248 53.4491 16.4632 61.3609 32 61.3609C47.5368 61.3609 60.2752 53.4491 61.4802 43.3937C61.542 42.8784 61.5735 42.3575 61.5735 41.8317V40.7545H61.4073C61.5171 40.0702 61.5735 39.3754 61.5735 38.6718C61.5735 38.4857 61.5695 38.3002 61.5617 38.1153C61.1156 27.587 48.0511 19.1426 32 19.1426C15.9489 19.1426 2.88444 27.587 2.43832 38.1153ZM0.00951064 38.1153C0.229456 31.6916 4.24297 26.2955 9.82907 22.6067C15.6197 18.7827 23.4643 16.5034 32 16.5034C40.5358 16.5034 48.3803 18.7827 54.1709 22.6067C59.757 26.2955 63.7705 31.6916 63.9905 38.1153H64V41.8317C64 48.5003 59.9176 54.102 54.1709 57.8969C48.3803 61.7208 40.5358 64.0001 32 64.0001C23.4643 64.0001 15.6197 61.7208 9.82907 57.8969C4.08238 54.102 0 48.5003 0 41.8317V38.1153H0.00951064Z"
    //     fill="#606063"
    //   />
    //   <path
    //     d="M61.5734 41.832C61.5734 52.6177 48.3329 61.3612 32 61.3612C15.667 61.3612 2.42651 52.6177 2.42651 41.832V38.7405H61.5734V41.832Z"
    //     fill="#BEBEBE"
    //   />
    //   <path
    //     d="M61.5734 38.6718C61.5734 49.4575 48.3329 58.201 32 58.201C15.667 58.201 2.42651 49.4575 2.42651 38.6718C2.42651 27.8861 15.667 19.1426 32 19.1426C48.3329 19.1426 61.5734 27.8861 61.5734 38.6718Z"
    //     fill="#FAF9FA"
    //   />
    //   <path
    //     fillRule="evenodd"
    //     clipRule="evenodd"
    //     d="M6.97668 33.1548C6.97663 33.167 6.97661 33.1792 6.97661 33.1915C6.97661 34.0795 7.09495 34.9492 7.32173 35.794H6.97634V36.9377C6.97634 37.4425 7.01459 37.9414 7.08925 38.4332C8.21673 45.8588 17.6492 51.6547 29.1184 51.6547C40.5876 51.6547 50.0201 45.8588 51.1475 38.4332C51.2222 37.9414 51.2604 37.4425 51.2604 36.9377V35.794H50.9156C51.1362 34.9723 51.2542 34.127 51.2604 33.2641C51.2606 33.2399 51.2607 33.2157 51.2607 33.1915C51.2607 33.1792 51.2607 33.167 51.2606 33.1548C51.2309 25.0436 41.329 18.4744 29.1187 18.4744C16.9083 18.4744 7.00645 25.0436 6.97668 33.1548ZM4.55012 33.1548H4.5498V36.9377C4.5498 42.269 7.79116 46.6683 12.1963 49.5962C16.643 52.5518 22.632 54.2939 29.1184 54.2939C35.6048 54.2939 41.5937 52.5518 46.0405 49.5962C50.4456 46.6683 53.687 42.269 53.687 36.9377V33.2739C53.6872 33.2464 53.6872 33.2189 53.6872 33.1915C53.6872 27.8601 50.4459 23.4609 46.0408 20.533C41.594 17.5773 35.6051 15.8352 29.1187 15.8352C22.6322 15.8352 16.6433 17.5773 12.1965 20.533C7.80153 23.4542 4.56495 27.84 4.55012 33.1548Z"
    //     fill="#633001"
    //   />
    //   <path
    //     d="M51.2604 36.9379C51.2604 45.0659 41.3471 51.6549 29.1184 51.6549C16.8897 51.6549 6.97632 45.0659 6.97632 36.9379V33.4849H51.2604V36.9379Z"
    //     fill="#FEDC90"
    //   />
    //   <path
    //     d="M51.2604 33.1914C51.2604 41.3195 41.3471 47.9085 29.1184 47.9085C16.8897 47.9085 6.97632 41.3195 6.97632 33.1914C6.97632 25.0634 16.8897 18.4744 29.1184 18.4744C41.3471 18.4744 51.2604 25.0634 51.2604 33.1914Z"
    //     fill="#D1884F"
    //   />
    //   <path
    //     fillRule="evenodd"
    //     clipRule="evenodd"
    //     d="M13.6497 25.2371C13.6496 25.2493 13.6496 25.2615 13.6496 25.2737C13.6496 26.1618 13.7679 27.0315 13.9947 27.8762H13.6493V29.0199C13.6493 29.5248 13.6876 30.0237 13.7622 30.5154C14.8897 37.941 24.3222 43.737 35.7914 43.737C47.2605 43.737 56.693 37.941 57.8205 30.5154C57.8952 30.0237 57.9334 29.5248 57.9334 29.0199V27.8762H57.5886C57.8092 27.0545 57.9271 26.2092 57.9334 25.3464C57.9336 25.3222 57.9337 25.298 57.9337 25.2737C57.9337 25.2615 57.9337 25.2493 57.9336 25.2371C57.9038 17.1259 48.0019 10.5567 35.7916 10.5567C23.5813 10.5567 13.6794 17.1259 13.6497 25.2371ZM11.2231 25.2371H11.2228V29.0199C11.2228 34.3513 14.4641 38.7505 18.8693 41.6785C23.316 44.6341 29.3049 46.3762 35.7914 46.3762C42.2778 46.3762 48.2667 44.6341 52.7135 41.6785C57.1186 38.7505 60.36 34.3513 60.36 29.0199V25.3561C60.3601 25.3287 60.3602 25.3012 60.3602 25.2737C60.3602 19.9424 57.1189 15.5432 52.7137 12.6152C48.267 9.65961 42.2781 7.91748 35.7916 7.91748C29.3052 7.91748 23.3163 9.65961 18.8695 12.6152C14.4745 15.5364 11.2379 19.9222 11.2231 25.2371Z"
    //     fill="#633001"
    //   />
    //   <path
    //     d="M57.9334 29.0201C57.9334 37.1481 48.0201 43.7372 35.7913 43.7372C23.5626 43.7372 13.6493 37.1481 13.6493 29.0201V25.5671H57.9334V29.0201Z"
    //     fill="#FEDC90"
    //   />
    //   <path
    //     d="M57.9334 25.274C57.9334 33.402 48.0201 39.991 35.7913 39.991C23.5626 39.991 13.6493 33.402 13.6493 25.274C13.6493 17.1459 23.5626 10.5569 35.7913 10.5569C48.0201 10.5569 57.9334 17.1459 57.9334 25.274Z"
    //     fill="#D1884F"
    //   />
    //   <path
    //     fillRule="evenodd"
    //     clipRule="evenodd"
    //     d="M6.97668 17.3196C6.97663 17.3318 6.97661 17.344 6.97661 17.3563C6.97661 18.2443 7.09495 19.114 7.32173 19.9588H6.97634V21.1025C6.97634 21.6073 7.01459 22.1062 7.08925 22.598C8.21673 30.0236 17.6492 35.8195 29.1184 35.8195C40.5876 35.8195 50.0201 30.0236 51.1475 22.598C51.2222 22.1062 51.2604 21.6073 51.2604 21.1025V19.9588H50.9156C51.1362 19.1371 51.2542 18.2917 51.2604 17.4289C51.2606 17.4047 51.2607 17.3805 51.2607 17.3563C51.2607 17.344 51.2607 17.3318 51.2606 17.3196C51.2309 9.20843 41.329 2.63919 29.1187 2.63919C16.9083 2.63919 7.00645 9.20843 6.97668 17.3196ZM4.55012 17.3196H4.5498V21.1025C4.5498 26.4338 7.79116 30.833 12.1963 33.761C16.643 36.7166 22.632 38.4587 29.1184 38.4587C35.6048 38.4587 41.5937 36.7166 46.0405 33.761C50.4456 30.833 53.687 26.4338 53.687 21.1025V17.4387C53.6872 17.4112 53.6872 17.3837 53.6872 17.3563C53.6872 12.0249 50.4459 7.62568 46.0408 4.69775C41.594 1.74213 35.6051 0 29.1187 0C22.6322 0 16.6433 1.74213 12.1965 4.69775C7.80153 7.61896 4.56495 12.0047 4.55012 17.3196Z"
    //     fill="#633001"
    //   />
    //   <path
    //     d="M51.2604 21.1027C51.2604 29.2307 41.3471 35.8197 29.1184 35.8197C16.8897 35.8197 6.97632 29.2307 6.97632 21.1027V17.6497H51.2604V21.1027Z"
    //     fill="#FEDC90"
    //   />
    //   <path
    //     d="M51.2604 17.3562C51.2604 25.4842 41.3471 32.0733 29.1184 32.0733C16.8897 32.0733 6.97632 25.4842 6.97632 17.3562C6.97632 9.22822 16.8897 2.63916 29.1184 2.63916C41.3471 2.63916 51.2604 9.22822 51.2604 17.3562Z"
    //     fill="#D1884F"
    //   />
    //   <path
    //     fillRule="evenodd"
    //     clipRule="evenodd"
    //     d="M12.214 18.272C12.214 20.9856 14.0269 23.4161 16.8871 25.0513L14.9054 28.7844L14.9059 28.7847H14.9054V38.2326C14.9054 39.4819 15.8366 40.4947 16.9853 40.4947C18.134 40.4947 19.0652 39.4819 19.0652 38.2326V30.7188L21.1972 26.7024C22.5605 27.0169 24.0238 27.1876 25.5468 27.1876C32.9103 27.1876 38.8796 23.196 38.8796 18.272C38.8796 13.3481 32.9103 9.35645 25.5468 9.35645C18.1833 9.35645 12.214 13.3481 12.214 18.272Z"
    //     fill="url(#paint0_linear)"
    //   />
    //   <path
    //     fillRule="evenodd"
    //     clipRule="evenodd"
    //     d="M16.8871 25.0513C16.5702 24.8701 16.2663 24.6792 15.9762 24.4793C13.6475 22.8741 12.2139 20.685 12.2139 18.272C12.2139 13.3481 18.1832 9.35641 25.5468 9.35641C32.9103 9.35641 38.8796 13.3481 38.8796 18.272C38.8796 23.1959 32.9103 27.1876 25.5468 27.1876C24.0238 27.1876 22.5604 27.0168 21.1972 26.7024L19.0652 30.7187V38.2325C19.0652 39.4819 18.134 40.4947 16.9853 40.4947C15.8366 40.4947 14.9054 39.4819 14.9054 38.2325V28.7847L16.8871 25.0513ZM12.7822 28.8244V38.2325C12.7822 40.7573 14.664 42.804 16.9853 42.804C19.3066 42.804 21.1884 40.7573 21.1884 38.2325V31.3375L22.2942 29.2544C23.3445 29.4135 24.433 29.4969 25.5468 29.4969C29.5564 29.4969 33.2881 28.4148 36.0865 26.5435C38.8503 24.6954 41.0028 21.836 41.0028 18.272C41.0028 14.708 38.8503 11.8486 36.0865 10.0005C33.2881 8.12923 29.5564 7.04712 25.5468 7.04712C21.5371 7.04712 17.8054 8.12923 15.007 10.0005C12.2432 11.8486 10.0907 14.708 10.0907 18.272C10.0907 21.4 11.738 23.9758 14.0266 25.8213L13.0813 27.6021C12.9912 27.7662 12.9192 27.9435 12.8685 28.1307C12.8064 28.3589 12.7783 28.5928 12.7822 28.8244Z"
    //     fill="#633001"
    //   />
    //   <path
    //     d="M16.3791 14.5156C16.3791 17.0663 19.3667 19.1341 23.0521 19.1341C26.7375 19.1341 29.7251 17.0663 29.7251 14.5156C29.7251 11.9648 26.7375 9.89697 23.0521 9.89697C19.3667 9.89697 16.3791 11.9648 16.3791 14.5156Z"
    //     fill="#9E7200"
    //   />
    //   <path d="M16.3792 12.5361H29.7251V14.5155H16.3792V12.5361Z" fill="#9E7200" />
    //   <path
    //     d="M16.3791 12.5361C16.3791 15.0868 19.3667 17.1546 23.0521 17.1546C26.7375 17.1546 29.7251 15.0868 29.7251 12.5361C29.7251 9.98529 26.7375 7.91748 23.0521 7.91748C19.3667 7.91748 16.3791 9.98529 16.3791 12.5361Z"
    //     fill="#F0B90B"
    //   />
    //   <path
    //     d="M20.52 11.9795L22.4008 10.6777C22.7983 10.4027 23.3062 10.4027 23.7036 10.6777L25.5845 11.9795C25.959 12.2388 25.959 12.8336 25.5845 13.0928L23.7036 14.3946C23.3062 14.6697 22.7983 14.6697 22.4008 14.3946L20.52 13.0928C20.1454 12.8336 20.1454 12.2388 20.52 11.9795Z"
    //     fill="#9E7200"
    //   />
    //   <path
    //     fillRule="evenodd"
    //     clipRule="evenodd"
    //     d="M17.1938 7.32218C18.7911 6.21664 20.8681 5.6084 23.0522 5.6084C25.2363 5.6084 27.3133 6.21664 28.9106 7.32218C30.4827 8.41029 31.8484 10.1975 31.8484 12.5363V14.5157C31.8484 16.8545 30.4827 18.6417 28.9106 19.7298C27.3133 20.8353 25.2363 21.4435 23.0522 21.4435C20.8681 21.4435 18.7911 20.8353 17.1938 19.7298C15.6217 18.6417 14.256 16.8545 14.256 14.5157V12.5363C14.256 10.1975 15.6217 8.41029 17.1938 7.32218ZM23.0522 7.91769C19.3668 7.91769 16.3792 9.9855 16.3792 12.5363V14.5157C16.3792 17.0664 19.3668 19.1343 23.0522 19.1343C26.7376 19.1343 29.7252 17.0664 29.7252 14.5157V12.5363C29.7252 9.9855 26.7376 7.91769 23.0522 7.91769Z"
    //     fill="#633001"
    //   />
    //   <defs>
    //     <linearGradient
    //       id="paint0_linear"
    //       x1="25.691"
    //       y1="9.6549"
    //       x2="25.691"
    //       y2="40.2608"
    //       gradientUnits="userSpaceOnUse"
    //     >
    //       <stop stopColor="#9F4A08" />
    //       <stop offset="0.370494" stopColor="#7D3900" />
    //       <stop offset="1" stopColor="#8D4104" />
    //     </linearGradient>
    //   </defs>
    // </Svg>
    );
};

var Icon$J = function (props) {
    return (React__default['default'].createElement(Svg, { xmlns: "http://www.w3.org/2000/svg", viewBox: "0 0 16.49 23.33" },
        React__default['default'].createElement("path", { fill: "#936b2c", "fill-rule": "evenodd", className: "cls-1", d: "M19.48,17.41c-.21.48-.44.94-.68,1.38a5.86,5.86,0,0,1-5.63,1.94l-.12-.06a6.18,6.18,0,0,0,5.85-2.6c.21-.22.4-.44.58-.66Zm-9,5.88C6.2,21.88,3.63,15.89,4.76,9.75S10.3-.38,14.67.71L14.46.64c-4.45-1.27-9,2.75-10.12,9s1.52,12.33,6,13.6Z", transform: "translate(-4.07 -0.41)" }),
        React__default['default'].createElement("path", { fill: "#e10714", "fill-rule": "evenodd", d: "M20.56,17.25s0,.08,0,.13c-1.81,4.54-5.58,7.18-9.3,6.12-4.44-1.28-7.11-7.37-6-13.61S10.93-.37,15.37.9a6.47,6.47,0,0,1,1.25.52l-.35-.06c-3.55-.5-7,2.83-7.92,7.83-1,5.33,1.29,10.53,5.09,11.62C16.13,21.58,18.85,20.08,20.56,17.25Z", transform: "translate(-4.07 -0.41)" })));
};

var Icon$I = function (props) {
    return (React__default['default'].createElement(Svg, __assign({ viewBox: "0 0 24 24" }, props),
        React__default['default'].createElement("path", { d: "M9 14.7902C9 15.555 9.82366 16.0367 10.4903 15.6617L15.4505 12.8716C16.1302 12.4893 16.1302 11.5107 15.4505 11.1284L10.4903 8.33827C9.82366 7.96331 9 8.44502 9 9.20985V14.7902ZM12 2C6.48 2 2 6.48 2 12C2 17.52 6.48 22 12 22C17.52 22 22 17.52 22 12C22 6.48 17.52 2 12 2ZM12 20C7.59 20 4 16.41 4 12C4 7.59 7.59 4 12 4C16.41 4 20 7.59 20 12C20 16.41 16.41 20 12 20Z" })));
};

var Icon$H = function (props) {
    return (React__default['default'].createElement(Svg, __assign({ viewBox: "0 0 19 23" }, props),
        React__default['default'].createElement("path", { d: "M1.18731 5.68438C0.449932 5.52604 0.449934 4.47393 1.18731 4.31559L3.3203 3.85755C3.58957 3.79973 3.79991 3.58939 3.85774 3.32012L4.31577 1.18713C4.47411 0.449748 5.52622 0.449751 5.68457 1.18713L6.1426 3.32012C6.20042 3.58939 6.41076 3.79973 6.68003 3.85755L8.81302 4.31559C9.5504 4.47393 9.5504 5.52604 8.81302 5.68438L6.68003 6.14241C6.41076 6.20024 6.20042 6.41058 6.1426 6.67985L5.68457 8.81284C5.52622 9.55022 4.47411 9.55022 4.31577 8.81284L3.85774 6.67985C3.79991 6.41058 3.58957 6.20024 3.3203 6.14241L1.18731 5.68438Z" }),
        React__default['default'].createElement("path", { fillRule: "evenodd", clipRule: "evenodd", d: "M10 2.99998C13.866 2.99998 17 6.13399 17 9.99998C17 13.866 13.866 17 10 17C6.13401 17 3 13.866 3 9.99998C3 9.4477 2.55228 8.99998 2 8.99998C1.44772 8.99998 1 9.4477 1 9.99998C1 12.8894 2.36163 15.4608 4.47822 17.1075L3.58579 18C3.21071 18.3751 3 18.8838 3 19.4142V21.5C3 22.3284 3.67157 23 4.5 23H15.5C16.3284 23 17 22.3284 17 21.5V19.4142C17 18.8838 16.7893 18.3751 16.4142 18L15.5218 17.1075C17.6384 15.4608 19 12.8894 19 9.99998C19 5.02942 14.9706 0.999985 10 0.999985C9.44771 0.999985 9 1.4477 9 1.99998C9 2.55227 9.44771 2.99998 10 2.99998ZM10 19C8.6564 19 7.38156 18.7056 6.23649 18.1777L5 19.4142L5 21H15V19.4142L13.7635 18.1777C12.6184 18.7056 11.3436 19 10 19Z" })));
};

var Icon$G = function (props) {
    return (React__default['default'].createElement(Svg, __assign({ viewBox: "0 0 48 48" }, props),
        React__default['default'].createElement("path", { d: "M38 10H34C34 7.79086 32.2091 6 30 6H18C15.7909 6 14 7.79086 14 10H10C7.8 10 6 11.8 6 14V16C6 21.1 9.84 25.26 14.78 25.88C16.04 28.88 18.74 31.14 22 31.8V38H16C14.8954 38 14 38.8954 14 40C14 41.1046 14.8954 42 16 42H32C33.1046 42 34 41.1046 34 40C34 38.8954 33.1046 38 32 38H26V31.8C29.26 31.14 31.96 28.88 33.22 25.88C38.16 25.26 42 21.1 42 16V14C42 11.8 40.2 10 38 10ZM10 16V14H14V21.64C11.68 20.8 10 18.6 10 16ZM24 28C20.7 28 18 25.3 18 22V10H30V22C30 25.3 27.3 28 24 28ZM38 16C38 18.6 36.32 20.8 34 21.64V14H38V16Z" })));
};

var Icon$F = function (props) {
    return (React__default['default'].createElement(Svg, __assign({ viewBox: "0 0 20 20" }, props),
        React__default['default'].createElement("path", { d: "M5 10C5 10.55 5.45 11 6 11H14C14.55 11 15 10.55 15 10C15 9.45 14.55 9 14 9H6C5.45 9 5 9.45 5 10ZM10 0C4.48 0 0 4.48 0 10C0 15.52 4.48 20 10 20C15.52 20 20 15.52 20 10C20 4.48 15.52 0 10 0ZM10 18C5.59 18 2 14.41 2 10C2 5.59 5.59 2 10 2C14.41 2 18 5.59 18 10C18 14.41 14.41 18 10 18Z" })));
};

var Icon$E = function (props) {
    return (React__default['default'].createElement(Svg, __assign({ viewBox: "0 0 24 24" }, props),
        React__default['default'].createElement("path", { d: "M23 12L20.56 9.21L20.9 5.52L17.29 4.7L15.4 1.5L12 2.96L8.6 1.5L6.71 4.69L3.1 5.5L3.44 9.2L1 12L3.44 14.79L3.1 18.49L6.71 19.31L8.6 22.5L12 21.03L15.4 22.49L17.29 19.3L20.9 18.48L20.56 14.79L23 12ZM9.38 16.01L7 13.61C6.61 13.22 6.61 12.59 7 12.2L7.07 12.13C7.46 11.74 8.1 11.74 8.49 12.13L10.1 13.75L15.25 8.59C15.64 8.2 16.28 8.2 16.67 8.59L16.74 8.66C17.13 9.05 17.13 9.68 16.74 10.07L10.82 16.01C10.41 16.4 9.78 16.4 9.38 16.01Z" })));
};

var Icon$D = function (props) {
    return (React__default['default'].createElement(Svg, __assign({ viewBox: "0 0 34 38" }, props),
        React__default['default'].createElement("rect", { x: "8.83594", width: "5.30132", height: "17.3191", rx: "2.65066", fill: "#D1884F" }),
        React__default['default'].createElement("rect", { x: "19.4385", width: "5.30132", height: "17.3191", rx: "2.65066", fill: "#D1884F" }),
        React__default['default'].createElement("path", { d: "M8.5 13.0084C13.1944 8.40751 20.8056 8.40751 25.5 13.0084C30.1944 17.6093 30.1944 25.0689 25.5 29.6698L17.6538 37.3597C17.2927 37.7136 16.7073 37.7136 16.3462 37.3597L8.5 29.6698C3.80558 25.0689 3.80558 17.6093 8.5 13.0084Z", fill: "#D1884F" }),
        React__default['default'].createElement("ellipse", { cx: "12.3696", cy: "19.9172", rx: "1.76711", ry: "2.59786", fill: "white" }),
        React__default['default'].createElement("ellipse", { cx: "21.2056", cy: "19.9172", rx: "1.76711", ry: "2.59786", fill: "white" })));
};

var Icon$C = function (props) {
    return (React__default['default'].createElement(Svg, __assign({ viewBox: "0 0 24 24" }, props),
        React__default['default'].createElement("path", { d: "M12 2C6.5 2 2 6.5 2 12C2 17.5 6.5 22 12 22C17.5 22 22 17.5 22 12C22 6.5 17.5 2 12 2ZM12 20C7.59 20 4 16.41 4 12C4 7.59 7.59 4 12 4C16.41 4 20 7.59 20 12C20 16.41 16.41 20 12 20ZM12.5 7.75C12.5 7.33579 12.1642 7 11.75 7C11.3358 7 11 7.33579 11 7.75V13L15.5537 15.8022C15.9106 16.0219 16.3781 15.9106 16.5978 15.5537C16.8192 15.1938 16.7041 14.7225 16.3419 14.5051L12.5 12.2V7.75Z" })));
};

var Icon$B = function (props) {
    return (React__default['default'].createElement(Svg, __assign({ viewBox: "0 0 80 80" }, props),
        React__default['default'].createElement("g", null,
            React__default['default'].createElement("path", { className: "st0", fill: "#3F0000", d: "M26,13.4c-1.1-1-2.8-0.5-3.1,0.9c-0.3,1,0.3,2.1,1.4,2.3l7.6,2L26,13.4z M18.6,13.1c1.2-4.6,6.9-6.2,10.4-3.1\n\t\tl12.3,11.1c1.8,1.7,0.2,4.6-2.2,4l-16-4.3C19.7,20,17.7,16.5,18.6,13.1z" }),
            React__default['default'].createElement("path", { className: "st0", fill: "#3F0000", d: "M42.3,10.1c0.5-1.5,2.3-1.9,3.4-0.8c0.8,0.8,0.8,2.1,0,2.9l-6.1,6.1L42.3,10.1z M49.1,5.9\n\t\tc-3.6-3.6-9.8-2.1-11.4,2.8l-5.5,17.1c-0.8,2.5,2.3,4.5,4.2,2.6l12.7-12.7C51.8,12.9,51.8,8.6,49.1,5.9z" }),
            React__default['default'].createElement("path", { className: "st1", opacity: "0.6", fill: "#CE9B9B", "enable-background": "new", d: "M70.9,42.6c0.3,1.3,2.1,1.3,2.5,0l1-3.8c0.1-0.4,0.5-0.8,0.9-0.9l3.8-1c1.3-0.3,1.3-2.1,0-2.5l-3.8-1\n\t\tc-0.4-0.1-0.8-0.5-0.9-0.9l-1-3.8c-0.3-1.3-2.1-1.3-2.5,0l-1,3.8c-0.1,0.4-0.5,0.8-0.9,0.9l-3.8,1c-1.3,0.3-1.3,2.1,0,2.5l3.8,1\n\t\tc0.4,0.1,0.8,0.5,0.9,0.9L70.9,42.6z" }),
            React__default['default'].createElement("path", { className: "st2", fill: "#CE9B9B", d: "M68,14.6c0,0.8,1,1,1.4,0.4l1.1-2c0.1-0.2,0.4-0.4,0.7-0.4l2.3,0c0.8,0,1-1,0.4-1.4l-2-1.1\n\t\tc-0.2-0.1-0.4-0.4-0.4-0.7l0-2.3c0-0.8-1-1-1.4-0.4l-1.1,2c-0.1,0.2-0.4,0.4-0.7,0.4l-2.3,0c-0.8,0-1,1-0.4,1.4l2,1.1\n\t\tc0.2,0.1,0.4,0.4,0.4,0.7L68,14.6z" }),
            React__default['default'].createElement("path", { className: "st3", opacity: "0.8", fill: "#CE9B9B", "enable-background": "new", d: "M12.7,19.7c0.7-0.2,0.7-1.2,0-1.4l-3.9-1c-0.3-0.1-0.4-0.3-0.5-0.5l-1-3.9c-0.2-0.7-1.2-0.7-1.4,0l-1,3.9\n\t\tc-0.1,0.3-0.3,0.4-0.5,0.5l-3.9,1c-0.7,0.2-0.7,1.2,0,1.4l3.9,1c0.3,0.1,0.4,0.3,0.5,0.5l1,3.9c0.2,0.7,1.2,0.7,1.4,0l1-3.9\n\t\tc0.1-0.3,0.3-0.4,0.5-0.5L12.7,19.7z" }),
            React__default['default'].createElement("linearGradient", { id: "SVGID_1_", gradientUnits: "userSpaceOnUse", x1: "40.985", y1: "42.5882", x2: "31.978", y2: "8.9739", gradientTransform: "matrix(1 0 0 -1 0 80)" },
                React__default['default'].createElement("stop", { offset: "0", style: { color: "#000000" } }),
                React__default['default'].createElement("stop", { offset: "1", style: { color: "#000000" } })),
            React__default['default'].createElement("path", { className: "st4", fill: "url(#SVGID_1_)", d: "M16.1,37.4c0.9-3.4,4.4-5.4,7.8-4.5L58,42c3.4,0.9,5.4,4.4,4.5,7.8l-5.7,21.3c-0.9,3.4-4.4,5.4-7.8,4.5\n\t\tl-34-9.1c-3.4-0.9-5.4-4.4-4.5-7.8L16.1,37.4z" }),
            React__default['default'].createElement("path", { className: "st2", fill: "#CE9B9B", d: "M57.2,45.1l-34-9.1c-1.7-0.5-3.5,0.6-3.9,2.3l-5.7,21.3c-0.5,1.7,0.6,3.5,2.3,3.9l34,9.1\n\t\tc1.7,0.5,3.5-0.6,3.9-2.3L59.4,49C59.9,47.3,58.9,45.5,57.2,45.1z M24,32.9c-3.4-0.9-6.9,1.1-7.8,4.5l-5.7,21.3\n\t\tc-0.9,3.4,1.1,6.9,4.5,7.8l34,9.1c3.4,0.9,6.9-1.1,7.8-4.5l5.7-21.3c0.9-3.4-1.1-6.9-4.5-7.8L24,32.9z" }),
            React__default['default'].createElement("path", { className: "st0", fill: "#3F0000", d: "M36,36.1l10,2.7l-9,33.6l-10-2.7L36,36.1z" }),
            React__default['default'].createElement("path", { className: "st0", fill: "#3F0000", d: "M11.9,53l2.7-10l46.6,12.5l-2.7,10L11.9,53z" }),
            React__default['default'].createElement("g", null,
                React__default['default'].createElement("path", { className: "st0", fill: "#3F0000", d: "M30.1,57.9l10.1,2.7l-0.4,1.5l-10.1-2.7L30.1,57.9z M42.9,50.5l-10.1-2.7l0.4-1.5L43.3,49L42.9,50.5z" })),
            React__default['default'].createElement("linearGradient", { id: "SVGID_2_", gradientUnits: "userSpaceOnUse", x1: "36.4919", y1: "60.495", x2: "40.1154", y2: "46.9719", gradientTransform: "matrix(1 0 0 -1 0 80)" },
                React__default['default'].createElement("stop", { offset: "0", style: { color: "#000000" } }),
                React__default['default'].createElement("stop", { offset: "1", style: { color: "#000000" } })),
            React__default['default'].createElement("path", { className: "st5", fill: "url(#SVGID_2_)", d: "M11.5,31.2c-0.7-2.6,0.8-5.2,3.4-5.9l43.3-11.6c2.6-0.7,5.2,0.8,5.9,3.4l1.1,4.3c0.7,2.6-0.8,5.2-3.4,5.9\n\t\tL18.5,38.8c-2.6,0.7-5.2-0.8-5.9-3.4L11.5,31.2z" }),
            React__default['default'].createElement("path", { className: "st2", fill: "#CE9B9B", d: "M59,16.8L15.7,28.4c-0.9,0.2-1.4,1.1-1.1,2l1.1,4.3c0.2,0.9,1.1,1.4,2,1.1l43.3-11.6c0.9-0.2,1.4-1.1,1.1-2\n\t\tl-1.1-4.3C60.7,17.1,59.8,16.6,59,16.8z M14.9,25.3c-2.6,0.7-4.1,3.3-3.4,5.9l1.1,4.3c0.7,2.6,3.3,4.1,5.9,3.4l43.3-11.6\n\t\tc2.6-0.7,4.1-3.3,3.4-5.9L64,17.1c-0.7-2.6-3.3-4.1-5.9-3.4L14.9,25.3z" }),
            React__default['default'].createElement("path", { className: "st0", fill: "#3F0000", d: "M31.5,20.9l10-2.7l3.6,13.5l-10,2.7L31.5,20.9z" }),
            React__default['default'].createElement("g", null,
                React__default['default'].createElement("path", { className: "st0", fill: "#3F0000", d: "M32,22.6l10-2.8L41.6,18l-10.2,2.8L32,22.6z" })))));
};

var Icon$A = function (props) {
    return (React__default['default'].createElement(Svg, __assign({ viewBox: "0 0 18 16" }, props),
        React__default['default'].createElement("path", { d: "M10.0002 7.33L15.0002 14H3.00018L8.00018 7.33V2H10.0002V7.33ZM12.9602 0H5.04018C4.62018 0 4.39018 0.48 4.65018 0.81L6.00018 2.5V6.67L0.200175 14.4C-0.289825 15.06 0.180175 16 1.00018 16H17.0002C17.8202 16 18.2902 15.06 17.8002 14.4L12.0002 6.67V2.5L13.3502 0.81C13.6102 0.48 13.3802 0 12.9602 0Z" })));
};

var Icon$z = function (props) {
    return (React__default['default'].createElement(Svg, __assign({ viewBox: "0 0 80 80" }, props),
        React__default['default'].createElement("g", null,
            React__default['default'].createElement("path", { className: "st0", fill: "#CE9B9B", d: "M76.3,28.7c0.8,0.8,0.9,2.1,0.3,3c-11.9,17-26.6,31.9-43.6,44l-1.3,1c-1,0.7-2.3,0.6-3.2-0.3l-6-6\n\t\tc3.6-3.7,3.5-9.7-0.2-13.3c-3.6-3.5-9.4-3.5-13.1,0l-5.5-5.5c-1.1-1.1-0.9-2.8,0.3-3.7l1.3-1C21.9,35.1,36.2,20.6,47.9,4\n\t\tc0.7-1,2.2-1.3,3.2-0.6c0.1,0.1,0.2,0.2,0.3,0.2L57,9.3c-3.6,3.7-3.5,9.7,0.2,13.3c3.6,3.5,9.4,3.5,13,0L76.3,28.7L76.3,28.7z" }),
            React__default['default'].createElement("path", { className: "st1", fill: "#3F0000", d: "M79,30.3L57.5,57.5l-27.8,21l-5.4-5.4l-1.9-2.3l1.9-2.8l0.7-2.8l-0.4-3l-1.1-2.8l-1.9-2.2l-2.2-1.5L17,55h-3\n\t\tl-3.2,1.1L9,57.8l-4.5-5.4l7.3-1.1C34.3,48,55.6,38.9,73.6,24.9L79,30.3L79,30.3z" }),
            React__default['default'].createElement("g", null,
                React__default['default'].createElement("path", { className: "st2", "fill-rule": "evenodd", "clip-rule": "evenodd", fill: "#600202", d: "M19.8,70.5c0-0.8,0.3-1.5,0.9-2.1l0,0c2.4-2.6,2.3-6.6-0.2-9.1c-2.5-2.4-6.4-2.4-8.9,0l0,0\n\t\t\tc-1.2,1.2-3,1.2-4.2,0c0,0,0,0,0,0l-5.8-5.8c-2.1-2.1-2.1-5.5,0-7.6c0.2-0.2,0.4-0.4,0.7-0.6l1.3-1l1.7,2.4l-1.3,1\n\t\t\tc-1.2,0.9-1.4,2.6-0.3,3.7l5.8,5.8l0,0c3.7-3.7,9.6-3.7,13.3,0c3.7,3.7,3.7,9.6,0,13.3l0,0l5.7,5.7c0.9,0.9,2.2,1,3.2,0.3l1.3-1\n\t\t\tc16.9-12,31.7-26.9,43.6-43.9c0.7-0.9,0.5-2.2-0.3-3l-6-6l-0.1,0.1c-3.7,3.6-9.6,3.6-13.3-0.1c-3.6-3.7-3.6-9.5,0-13.2L57,9.3\n\t\t\tl-5.7-5.7c-0.9-0.9-2.3-0.9-3.2,0C48,3.7,47.9,3.9,47.8,4c-11.6,16.6-26,31.1-42.5,42.9l-1.7-2.4C19.8,32.8,34,18.6,45.4,2.3\n\t\t\tc1.7-2.4,5-3,7.3-1.3c0.2,0.2,0.5,0.4,0.7,0.6l5.7,5.7c1.2,1.2,1.2,3.1,0,4.2c0,0,0,0,0,0l0,0c-2.4,2.6-2.3,6.6,0.2,9.1\n\t\t\tc2.5,2.4,6.4,2.4,8.9,0l0,0c1.1-1.2,3-1.2,4.2,0c0,0,0,0,0,0l6,6c1.8,1.8,2.1,4.7,0.6,6.8C66.9,50.7,52,65.8,34.8,78l-1.3,1\n\t\t\tc-2.2,1.5-5.1,1.3-7-0.6l-5.7-5.7C20.1,72.1,19.8,71.3,19.8,70.5L19.8,70.5z" }),
                React__default['default'].createElement("g", null,
                    React__default['default'].createElement("path", { id: "A", className: "st2", "fill-rule": "evenodd", "clip-rule": "evenodd", fill: "#600202", d: "M40,14.1l1.3,1.3c0.6,0.6,0.6,1.5,0,2.1c-0.6,0.6-1.5,0.6-2.1,0l-1.3-1.3c-0.6-0.6-0.6-1.5,0-2.1\n\t\t\t\tC38.5,13.5,39.4,13.5,40,14.1z" })),
                React__default['default'].createElement("g", null,
                    React__default['default'].createElement("path", { id: "A_1_", className: "st2", "fill-rule": "evenodd", "clip-rule": "evenodd", fill: "#600202", d: "M45.5,19.6l1.3,1.3c0.6,0.6,0.6,1.5,0,2.1c-0.6,0.6-1.5,0.6-2.1,0l-1.3-1.3\n\t\t\t\tc-0.6-0.6-0.6-1.5,0-2.1C44,19,45,19,45.5,19.6z" })),
                React__default['default'].createElement("g", null,
                    React__default['default'].createElement("path", { id: "B", className: "st2", "fill-rule": "evenodd", "clip-rule": "evenodd", fill: "#600202", d: "M52.4,28.5c-0.6,0.6-1.5,0.6-2.1,0l0,0L48.7,27c-0.6-0.6-0.6-1.5,0-2.1c0.6-0.6,1.5-0.6,2.1,0\n\t\t\t\tl1.6,1.6C53,27,53,27.9,52.4,28.5L52.4,28.5z" })),
                React__default['default'].createElement("g", null,
                    React__default['default'].createElement("path", { id: "B_1_", className: "st2", "fill-rule": "evenodd", "clip-rule": "evenodd", fill: "#600202", d: "M57.9,34.1c-0.6,0.6-1.5,0.6-2.1,0l0,0l-1.6-1.6c-0.6-0.6-0.6-1.5,0-2.1c0.6-0.6,1.5-0.6,2.1,0\n\t\t\t\tl1.6,1.6C58.5,32.5,58.5,33.5,57.9,34.1L57.9,34.1z" })),
                React__default['default'].createElement("path", { className: "st2", "fill-rule": "evenodd", "clip-rule": "evenodd", fill: "#600202", d: "M61.9,35.9l1.3,1.3c0.6,0.6,0.6,1.5,0,2.1c-0.6,0.6-1.5,0.6-2.1,0L59.8,38c-0.6-0.6-0.6-1.5,0-2.1\n\t\t\tC60.3,35.3,61.3,35.3,61.9,35.9L61.9,35.9z" }),
                React__default['default'].createElement("g", null,
                    React__default['default'].createElement("path", { id: "A_2_", className: "st2", "fill-rule": "evenodd", "clip-rule": "evenodd", fill: "#600202", d: "M67.4,41.4l1.3,1.3c0.6,0.6,0.6,1.5,0,2.1c-0.6,0.6-1.5,0.6-2.1,0l-1.3-1.3\n\t\t\t\tc-0.6-0.6-0.6-1.5,0-2.1C65.9,40.8,66.8,40.8,67.4,41.4z" }))),
            React__default['default'].createElement("g", null,
                React__default['default'].createElement("path", { className: "st3", "fill-rule": "evenodd", "clip-rule": "evenodd", fill: "#926A2C", d: "M49.9,50.8c-0.3,0.7-0.6,1.4-1,2c-2.3,2.4-5.2,3.5-8.1,2.8c-0.1,0-0.1,0-0.2-0.1c3.1,0.6,6.1-0.9,8.4-3.7\n\t\t\tC49.4,51.5,49.7,51.1,49.9,50.8L49.9,50.8z M37,59.3c-6.2-2-9.9-10.6-8.3-19.5c1.6-8.8,7.9-14.5,14.2-13c-0.1,0-0.2-0.1-0.3-0.1\n\t\t\tc-6.4-1.8-12.9,3.9-14.5,12.9c-1.7,9,2.2,17.7,8.6,19.6C36.8,59.2,36.9,59.2,37,59.3z" }),
                React__default['default'].createElement("path", { className: "st4", "fill-rule": "evenodd", "clip-rule": "evenodd", fill: "#E2000F", d: "M51.5,50.6c0,0.1,0,0.1-0.1,0.2c-2.6,6.5-8,10.3-13.4,8.8C31.7,57.7,27.8,49,29.5,40\n\t\t\tc1.7-9,8.2-14.7,14.5-12.9c0.6,0.2,1.2,0.4,1.8,0.7c-0.2,0-0.3-0.1-0.5-0.1c-5.1-0.7-10.1,4.1-11.4,11.3\n\t\t\tc-1.4,7.7,1.9,15.1,7.3,16.7C45.1,56.8,49,54.7,51.5,50.6z" })))));
};

var Icon$y = function (props) {
    return (React__default['default'].createElement(Svg, __assign({ viewBox: "0 0 48 48" }, props),
        React__default['default'].createElement("g", null,
            React__default['default'].createElement("path", { className: "st0", fill: "#CE9B9B", d: "M45.8,17.2c0.5,0.5,0.5,1.2,0.2,1.8c-7.1,10.2-16,19.1-26.1,26.4L19,45.9c-0.6,0.4-1.4,0.3-1.9-0.2l-3.6-3.6\n\t\tc2.2-2.2,2.1-5.8-0.1-8c-2.2-2.1-5.7-2.1-7.8,0l-3.3-3.3c-0.6-0.6-0.5-1.7,0.2-2.2l0.8-0.6C13.1,21,21.7,12.3,28.7,2.4\n\t\tC29.2,1.7,30,1.6,30.6,2c0.1,0,0.1,0.1,0.2,0.1l3.4,3.4c-2.2,2.2-2.1,5.8,0.1,8c2.2,2.1,5.6,2.1,7.8,0L45.8,17.2L45.8,17.2z" }),
            React__default['default'].createElement("path", { className: "st1", fill: "#3F0000", d: "M47.4,18.2L34.5,34.5L17.8,47.1l-3.2-3.2l-1.2-1.4l1.2-1.7l0.4-1.7l-0.2-1.8l-0.7-1.7L13,34.4l-1.3-0.9\n\t\tL10.2,33H8.4l-1.9,0.7l-1.1,1l-2.7-3.2l4.4-0.7c13.5-2,26.3-7.5,37.1-15.8L47.4,18.2L47.4,18.2z" }),
            React__default['default'].createElement("g", null,
                React__default['default'].createElement("path", { className: "st2", "fill-rule": "evenodd", "clip-rule": "evenodd", fill: "#600202", d: "M11.9,42.3c0-0.5,0.2-0.9,0.5-1.3l0,0c1.5-1.5,1.4-4-0.1-5.4c-1.5-1.4-3.8-1.4-5.3,0l0,0\n\t\t\tc-0.7,0.7-1.8,0.7-2.5,0c0,0,0,0,0,0l-3.5-3.5c-1.3-1.3-1.3-3.3,0-4.6c0.1-0.1,0.3-0.2,0.4-0.3l0.8-0.6l1,1.5l-0.8,0.6\n\t\t\tc-0.7,0.5-0.8,1.6-0.2,2.2l3.5,3.5l0,0c2.2-2.2,5.8-2.2,8,0c2.2,2.2,2.2,5.8,0,8l0,0l3.4,3.4c0.5,0.5,1.3,0.6,1.9,0.2l0.8-0.6\n\t\t\tC30,38.1,38.8,29.2,46,19c0.4-0.6,0.3-1.3-0.2-1.8l-3.6-3.6l-0.1,0.1c-2.2,2.2-5.8,2.2-8-0.1c-2.2-2.2-2.2-5.7,0-7.9l0.1-0.1\n\t\t\tl-3.4-3.4c-0.5-0.5-1.4-0.5-1.9,0c-0.1,0.1-0.1,0.1-0.1,0.2c-7,10-15.6,18.7-25.5,25.7l-1-1.5c9.7-7,18.2-15.5,25.1-25.3\n\t\t\tc1-1.4,3-1.8,4.4-0.8c0.1,0.1,0.3,0.2,0.4,0.3l3.4,3.4c0.7,0.7,0.7,1.8,0,2.5c0,0,0,0,0,0l0,0c-1.5,1.5-1.4,4,0.1,5.4\n\t\t\tc1.5,1.4,3.8,1.4,5.3,0l0,0c0.7-0.7,1.8-0.7,2.5,0c0,0,0,0,0,0l3.6,3.6c1.1,1.1,1.2,2.8,0.4,4.1c-7.3,10.4-16.2,19.4-26.6,26.8\n\t\t\tl-0.8,0.6c-1.3,0.9-3.1,0.8-4.2-0.3l-3.4-3.4C12.1,43.2,11.9,42.8,11.9,42.3L11.9,42.3z" }),
                React__default['default'].createElement("g", null,
                    React__default['default'].createElement("path", { id: "A", className: "st2", "fill-rule": "evenodd", "clip-rule": "evenodd", fill: "#600202", d: "M24,8.4l0.8,0.8c0.3,0.3,0.3,0.9,0,1.3c-0.3,0.3-0.9,0.3-1.3,0l-0.8-0.8c-0.3-0.3-0.3-0.9,0-1.3\n\t\t\t\tC23.1,8.1,23.7,8.1,24,8.4z" })),
                React__default['default'].createElement("g", null,
                    React__default['default'].createElement("path", { id: "A_1_", className: "st2", "fill-rule": "evenodd", "clip-rule": "evenodd", fill: "#600202", d: "M27.3,11.7l0.8,0.8c0.3,0.3,0.3,0.9,0,1.3c-0.3,0.3-0.9,0.3-1.3,0L26.1,13c-0.3-0.3-0.3-0.9,0-1.3\n\t\t\t\tC26.4,11.4,27,11.4,27.3,11.7z" })),
                React__default['default'].createElement("g", null,
                    React__default['default'].createElement("path", { id: "B", className: "st2", "fill-rule": "evenodd", "clip-rule": "evenodd", fill: "#600202", d: "M31.4,17.1c-0.3,0.3-0.9,0.3-1.3,0l0,0l-0.9-0.9c-0.3-0.3-0.3-0.9,0-1.3c0.3-0.3,0.9-0.3,1.3,0\n\t\t\t\tl0.9,0.9C31.8,16.2,31.8,16.8,31.4,17.1L31.4,17.1z" })),
                React__default['default'].createElement("g", null,
                    React__default['default'].createElement("path", { id: "B_1_", className: "st2", "fill-rule": "evenodd", "clip-rule": "evenodd", fill: "#600202", d: "M34.8,20.4c-0.3,0.3-0.9,0.3-1.3,0l0,0l-0.9-0.9c-0.3-0.3-0.3-0.9,0-1.3s0.9-0.3,1.3,0l0.9,0.9\n\t\t\t\tC35.1,19.5,35.1,20.1,34.8,20.4L34.8,20.4z" })),
                React__default['default'].createElement("path", { className: "st2", "fill-rule": "evenodd", "clip-rule": "evenodd", fill: "#600202", d: "M37.1,21.5l0.8,0.8c0.3,0.3,0.3,0.9,0,1.3c-0.3,0.3-0.9,0.3-1.3,0l-0.8-0.8c-0.3-0.3-0.3-0.9,0-1.3\n\t\t\tC36.2,21.2,36.8,21.2,37.1,21.5L37.1,21.5z" }),
                React__default['default'].createElement("g", null,
                    React__default['default'].createElement("path", { id: "A_2_", className: "st2", "fill-rule": "evenodd", "clip-rule": "evenodd", fill: "#600202", d: "M40.4,24.9l0.8,0.8c0.3,0.3,0.3,0.9,0,1.3c-0.3,0.3-0.9,0.3-1.3,0l-0.8-0.8\n\t\t\t\tc-0.3-0.3-0.3-0.9,0-1.3C39.5,24.5,40.1,24.5,40.4,24.9z" }))),
            React__default['default'].createElement("g", null,
                React__default['default'].createElement("path", { className: "st3", "fill-rule": "evenodd", "clip-rule": "evenodd", fill: "#926A2C", d: "M30,30.5c-0.2,0.4-0.4,0.8-0.6,1.2c-1.4,1.4-3.1,2.1-4.9,1.7c0,0-0.1,0-0.1-0.1c1.9,0.3,3.7-0.5,5-2.2\n\t\t\tC29.6,30.9,29.8,30.7,30,30.5L30,30.5z M22.2,35.6c-3.7-1.2-5.9-6.4-5-11.7c1-5.3,4.8-8.7,8.5-7.8c-0.1,0-0.1,0-0.2-0.1\n\t\t\tc-3.8-1.1-7.7,2.4-8.7,7.7c-1,5.4,1.3,10.6,5.1,11.7C22.1,35.5,22.2,35.5,22.2,35.6z" }),
                React__default['default'].createElement("path", { className: "st4", "fill-rule": "evenodd", "clip-rule": "evenodd", fill: "#E2000F", d: "M30.9,30.4c0,0,0,0.1,0,0.1c-1.6,3.9-4.8,6.2-8,5.3c-3.8-1.1-6.1-6.4-5.1-11.7c1-5.4,4.9-8.8,8.7-7.7\n\t\t\tc0.4,0.1,0.7,0.3,1.1,0.4c-0.1,0-0.2,0-0.3-0.1c-3.1-0.4-6,2.4-6.8,6.8c-0.8,4.6,1.1,9.1,4.4,10C27.1,34.1,29.4,32.8,30.9,30.4z" })))));
};

var Icon$x = function (props) {
    return (React__default['default'].createElement(Svg, __assign({ viewBox: "0 0 24 24" }, props),
        React__default['default'].createElement("path", { d: "M15.0701 1.01H9.07007V3.01H15.0701V1.01ZM11.0701 14.01H13.0701V8.01H11.0701V14.01ZM19.1001 7.39L20.5201 5.97C20.0901 5.46 19.6201 4.98 19.1101 4.56L17.6901 5.98C16.1401 4.74 14.1901 4 12.0701 4C7.10007 4 3.07007 8.03 3.07007 13C3.07007 17.97 7.09007 22 12.0701 22C17.0501 22 21.0701 17.97 21.0701 13C21.0701 10.89 20.3301 8.94 19.1001 7.39ZM12.0701 20.01C8.20007 20.01 5.07007 16.88 5.07007 13.01C5.07007 9.14 8.20007 6.01 12.0701 6.01C15.9401 6.01 19.0701 9.14 19.0701 13.01C19.0701 16.88 15.9401 20.01 12.0701 20.01Z" })));
};

var Icon$w = function (props) {
    return (React__default['default'].createElement(Svg, __assign({ viewBox: "0 0 24 24" }, props),
        React__default['default'].createElement("path", { d: "M15.5 13.9996H14.71L14.43 13.7296C15.63 12.3296 16.25 10.4196 15.91 8.38965C15.44 5.60965 13.12 3.38965 10.32 3.04965C6.09001 2.52965 2.53002 6.08965 3.05002 10.3196C3.39002 13.1196 5.61002 15.4396 8.39002 15.9096C10.42 16.2496 12.33 15.6296 13.73 14.4296L14 14.7096V15.4996L18.25 19.7496C18.66 20.1596 19.33 20.1596 19.74 19.7496C20.15 19.3396 20.15 18.6696 19.74 18.2596L15.5 13.9996ZM9.50002 13.9996C7.01002 13.9996 5.00002 11.9896 5.00002 9.49965C5.00002 7.00965 7.01002 4.99965 9.50002 4.99965C11.99 4.99965 14 7.00965 14 9.49965C14 11.9896 11.99 13.9996 9.50002 13.9996Z" })));
};

var Icon$v = function (props) {
    return (React__default['default'].createElement(Svg, __assign({ viewBox: "0 0 24 25" }, props),
        React__default['default'].createElement("path", { d: "M16 17.01V11C16 10.45 15.55 10 15 10C14.45 10 14 10.45 14 11V17.01H12.21C11.76 17.01 11.54 17.55 11.86 17.86L14.65 20.64C14.85 20.83 15.16 20.83 15.36 20.64L18.15 17.86C18.47 17.55 18.24 17.01 17.8 17.01H16ZM8.65003 3.35002L5.86003 6.14002C5.54003 6.45002 5.76003 6.99002 6.21003 6.99002H8.00003V13C8.00003 13.55 8.45003 14 9.00003 14C9.55003 14 10 13.55 10 13V6.99002H11.79C12.24 6.99002 12.46 6.45002 12.14 6.14002L9.35003 3.35002C9.16003 3.16002 8.84003 3.16002 8.65003 3.35002Z" })));
};

var Icon$u = function (props) {
    return (React__default['default'].createElement(Svg, __assign({ viewBox: "0 0 24 25" }, props),
        React__default['default'].createElement("path", { fillRule: "evenodd", clipRule: "evenodd", d: "M18.86 4.86003L21.65 7.65003C21.84 7.84003 21.84 8.16003 21.64 8.35003L18.85 11.14C18.54 11.46 18 11.24 18 10.79V9.00003H4C3.45 9.00003 3 8.55003 3 8.00003C3 7.45003 3.45 7.00003 4 7.00003H18V5.21003C18 4.76003 18.54 4.54003 18.86 4.86003ZM5.14001 19.14L2.35001 16.35C2.16001 16.16 2.16001 15.84 2.36001 15.65L5.15001 12.86C5.46001 12.54 6.00001 12.76 6.00001 13.21V15H20C20.55 15 21 15.45 21 16C21 16.55 20.55 17 20 17H6.00001V18.79C6.00001 19.24 5.46001 19.46 5.14001 19.14Z" })));
};

var Icon$t = function (props) {
    return (React__default['default'].createElement(Svg, __assign({ viewBox: "0 0 24 24" }, props),
        React__default['default'].createElement("path", { d: "M3.63 3.63C3.24 4.02 3.24 4.65 3.63 5.04L7.29 8.7L7 9H4C3.45 9 3 9.45 3 10V14C3 14.55 3.45 15 4 15H7L10.29 18.29C10.92 18.92 12 18.47 12 17.58V13.41L16.18 17.59C15.69 17.96 15.16 18.27 14.58 18.5C14.22 18.65 14 19.03 14 19.42C14 20.14 14.73 20.6 15.39 20.33C16.19 20 16.94 19.56 17.61 19.02L18.95 20.36C19.34 20.75 19.97 20.75 20.36 20.36C20.75 19.97 20.75 19.34 20.36 18.95L5.05 3.63C4.66 3.24 4.03 3.24 3.63 3.63ZM19 12C19 12.82 18.85 13.61 18.59 14.34L20.12 15.87C20.68 14.7 21 13.39 21 12C21 8.17 18.6 4.89 15.22 3.6C14.63 3.37 14 3.83 14 4.46V4.65C14 5.03 14.25 5.36 14.61 5.5C17.18 6.54 19 9.06 19 12ZM10.29 5.71L10.12 5.88L12 7.76V6.41C12 5.52 10.92 5.08 10.29 5.71ZM16.5 12C16.5 10.23 15.48 8.71 14 7.97V9.76L16.48 12.24C16.49 12.16 16.5 12.08 16.5 12Z" })));
};

var Icon$s = function (props) {
    return (React__default['default'].createElement(Svg, __assign({ viewBox: "0 0 24 24" }, props),
        React__default['default'].createElement("path", { d: "M3 10V14C3 14.55 3.45 15 4 15H7L10.29 18.29C10.92 18.92 12 18.47 12 17.58V6.41C12 5.52 10.92 5.07 10.29 5.7L7 9H4C3.45 9 3 9.45 3 10ZM16.5 12C16.5 10.23 15.48 8.71 14 7.97V16.02C15.48 15.29 16.5 13.77 16.5 12ZM14 4.45V4.65C14 5.03 14.25 5.36 14.6 5.5C17.18 6.53 19 9.06 19 12C19 14.94 17.18 17.47 14.6 18.5C14.24 18.64 14 18.97 14 19.35V19.55C14 20.18 14.63 20.62 15.21 20.4C18.6 19.11 21 15.84 21 12C21 8.16 18.6 4.89 15.21 3.6C14.63 3.37 14 3.82 14 4.45Z" })));
};

var Icon$r = function (props) {
    return (React__default['default'].createElement(Svg, __assign({ viewBox: "0 0 24 24" }, props),
        React__default['default'].createElement("path", { d: "M4.47 20.9999H19.53C21.07 20.9999 22.03 19.3299 21.26 17.9999L13.73 4.98993C12.96 3.65993 11.04 3.65993 10.27 4.98993L2.74 17.9999C1.97 19.3299 2.93 20.9999 4.47 20.9999ZM12 13.9999C11.45 13.9999 11 13.5499 11 12.9999V10.9999C11 10.4499 11.45 9.99993 12 9.99993C12.55 9.99993 13 10.4499 13 10.9999V12.9999C13 13.5499 12.55 13.9999 12 13.9999ZM13 17.9999H11V15.9999H13V17.9999Z" })));
};

var Icon$q = function (props) {
    return (React__default['default'].createElement(Svg, __assign({ viewBox: "0 0 24 24" }, props),
        React__default['default'].createElement("path", { d: "M17.65 6.35C16.02 4.72 13.71 3.78 11.17 4.04C7.50002 4.41 4.48002 7.39 4.07002 11.06C3.52002 15.91 7.27002 20 12 20C15.19 20 17.93 18.13 19.21 15.44C19.53 14.77 19.05 14 18.31 14C17.94 14 17.59 14.2 17.43 14.53C16.3 16.96 13.59 18.5 10.63 17.84C8.41002 17.35 6.62002 15.54 6.15002 13.32C5.31002 9.44 8.26002 6 12 6C13.66 6 15.14 6.69 16.22 7.78L14.71 9.29C14.08 9.92 14.52 11 15.41 11H19C19.55 11 20 10.55 20 10V6.41C20 5.52 18.92 5.07 18.29 5.7L17.65 6.35Z" })));
};

var Box = styled__default['default'].div(templateObject_1$M || (templateObject_1$M = __makeTemplateObject(["\n  ", "\n  ", "\n  ", "\n  ", "\n  ", "\n"], ["\n  ", "\n  ", "\n  ", "\n  ", "\n  ", "\n"])), styledSystem.background, styledSystem.border, styledSystem.layout, styledSystem.position, styledSystem.space);
var templateObject_1$M;

var Flex = styled__default['default'](Box)(templateObject_1$L || (templateObject_1$L = __makeTemplateObject(["\n  display: flex;\n  ", "\n"], ["\n  display: flex;\n  ", "\n"])), styledSystem.flexbox);
var templateObject_1$L;

var variants$2 = {
    INFO: "info",
    DANGER: "danger",
    SUCCESS: "success",
    WARNING: "warning",
};

var getThemeColor = function (_a) {
    var theme = _a.theme, _b = _a.variant, variant = _b === void 0 ? variants$2.INFO : _b;
    switch (variant) {
        case variants$2.DANGER:
            return theme.colors.failure;
        case variants$2.WARNING:
            return theme.colors.warning;
        case variants$2.SUCCESS:
            return theme.colors.success;
        case variants$2.INFO:
        default:
            return theme.colors.secondary;
    }
};
var getIcon = function (variant) {
    if (variant === void 0) { variant = variants$2.INFO; }
    switch (variant) {
        case variants$2.DANGER:
            return Icon$1j;
        case variants$2.WARNING:
            return Icon$1k;
        case variants$2.SUCCESS:
            return Icon$1l;
        case variants$2.INFO:
        default:
            return Icon$1i;
    }
};
var IconLabel = styled__default['default'].div(templateObject_1$K || (templateObject_1$K = __makeTemplateObject(["\n  background-color: ", ";\n  border-radius: 16px 0 0 16px;\n  color: ", ";\n  padding: 12px;\n"], ["\n  background-color: ", ";\n  border-radius: 16px 0 0 16px;\n  color: ", ";\n  padding: 12px;\n"])), getThemeColor, function (_a) {
    var theme = _a.theme;
    return theme.alert.background;
});
var withHandlerSpacing = 32 + 12 + 8; // button size + inner spacing + handler position
var Details = styled__default['default'].div(templateObject_2$i || (templateObject_2$i = __makeTemplateObject(["\n  flex: 1;\n  padding-bottom: 12px;\n  padding-left: 12px;\n  padding-right: ", ";\n  padding-top: 12px;\n"], ["\n  flex: 1;\n  padding-bottom: 12px;\n  padding-left: 12px;\n  padding-right: ", ";\n  padding-top: 12px;\n"])), function (_a) {
    var hasHandler = _a.hasHandler;
    return (hasHandler ? withHandlerSpacing + "px" : "12px");
});
var CloseHandler = styled__default['default'].div(templateObject_3$8 || (templateObject_3$8 = __makeTemplateObject(["\n  border-radius: 0 16px 16px 0;\n  right: 8px;\n  position: absolute;\n  top: 8px;\n"], ["\n  border-radius: 0 16px 16px 0;\n  right: 8px;\n  position: absolute;\n  top: 8px;\n"])));
var StyledAlert = styled__default['default'](Flex)(templateObject_4$4 || (templateObject_4$4 = __makeTemplateObject(["\n  position: relative;\n  background-color: ", ";\n  border-radius: 16px;\n  box-shadow: 0px 20px 36px -8px rgba(14, 14, 44, 0.1), 0px 1px 1px rgba(0, 0, 0, 0.05);\n"], ["\n  position: relative;\n  background-color: ", ";\n  border-radius: 16px;\n  box-shadow: 0px 20px 36px -8px rgba(14, 14, 44, 0.1), 0px 1px 1px rgba(0, 0, 0, 0.05);\n"])), function (_a) {
    var theme = _a.theme;
    return theme.alert.background;
});
var Alert = function (_a) {
    var title = _a.title, children = _a.children, variant = _a.variant, onClick = _a.onClick;
    var Icon = getIcon(variant);
    return (React__default['default'].createElement(StyledAlert, null,
        React__default['default'].createElement(IconLabel, { variant: variant, hasDescription: !!children },
            React__default['default'].createElement(Icon, { color: "currentColor", width: "24px" })),
        React__default['default'].createElement(Details, { hasHandler: !!onClick },
            React__default['default'].createElement(Text, { bold: true }, title),
            typeof children === "string" ? React__default['default'].createElement(Text, { as: "p" }, children) : children),
        onClick && (React__default['default'].createElement(CloseHandler, null,
            React__default['default'].createElement(IconButton, { scale: "sm", variant: "text", onClick: onClick },
                React__default['default'].createElement(Icon$_, { width: "24px", color: "currentColor" }))))));
};
var templateObject_1$K, templateObject_2$i, templateObject_3$8, templateObject_4$4;

var scales$4 = {
    SM: "sm",
    MD: "md",
    LG: "lg",
};

/**
 * Priority: Warning --> Success
 */
var getBoxShadow$1 = function (_a) {
    var _b = _a.isSuccess, isSuccess = _b === void 0 ? false : _b, _c = _a.isWarning, isWarning = _c === void 0 ? false : _c, theme = _a.theme;
    if (isWarning) {
        return theme.shadows.warning;
    }
    if (isSuccess) {
        return theme.shadows.success;
    }
    return theme.shadows.inset;
};
var getHeight = function (_a) {
    var _b = _a.scale, scale = _b === void 0 ? scales$4.MD : _b;
    switch (scale) {
        case scales$4.SM:
            return "32px";
        case scales$4.LG:
            return "48px";
        case scales$4.MD:
        default:
            return "40px";
    }
};
var Input$1 = styled__default['default'].input(templateObject_1$J || (templateObject_1$J = __makeTemplateObject(["\n  background-color: ", ";\n  border: 0;\n  border-radius: 16px;\n  box-shadow: ", ";\n  color: ", ";\n  display: block;\n  font-size: 16px;\n  height: ", ";\n  outline: 0;\n  padding: 0 16px;\n  width: 100%;\n\n  &::placeholder {\n    color: ", ";\n  }\n\n  &:disabled {\n    background-color: ", ";\n    box-shadow: none;\n    color: ", ";\n    cursor: not-allowed;\n  }\n\n  &:focus:not(:disabled) {\n    box-shadow: ", ";\n  }\n"], ["\n  background-color: ", ";\n  border: 0;\n  border-radius: 16px;\n  box-shadow: ", ";\n  color: ", ";\n  display: block;\n  font-size: 16px;\n  height: ", ";\n  outline: 0;\n  padding: 0 16px;\n  width: 100%;\n\n  &::placeholder {\n    color: ", ";\n  }\n\n  &:disabled {\n    background-color: ", ";\n    box-shadow: none;\n    color: ", ";\n    cursor: not-allowed;\n  }\n\n  &:focus:not(:disabled) {\n    box-shadow: ", ";\n  }\n"])), function (_a) {
    var theme = _a.theme;
    return theme.colors.input;
}, getBoxShadow$1, function (_a) {
    var theme = _a.theme;
    return theme.colors.text;
}, getHeight, function (_a) {
    var theme = _a.theme;
    return theme.colors.textSubtle;
}, function (_a) {
    var theme = _a.theme;
    return theme.colors.backgroundDisabled;
}, function (_a) {
    var theme = _a.theme;
    return theme.colors.textDisabled;
}, function (_a) {
    var theme = _a.theme;
    return theme.shadows.focus;
});
Input$1.defaultProps = {
    scale: scales$4.MD,
    isSuccess: false,
    isWarning: false,
};
var templateObject_1$J;

var StyledBalanceInput = styled__default['default'](Box)(templateObject_1$I || (templateObject_1$I = __makeTemplateObject(["\n  background-color: ", ";\n  border: 1px solid ", ";\n  border-radius: 16px;\n  box-shadow: ", ";\n  padding: 8px 16px;\n"], ["\n  background-color: ", ";\n  border: 1px solid ", ";\n  border-radius: 16px;\n  box-shadow: ", ";\n  padding: 8px 16px;\n"])), function (_a) {
    var theme = _a.theme;
    return theme.colors.input;
}, function (_a) {
    var theme = _a.theme;
    return theme.colors.inputSecondary;
}, function (_a) {
    var theme = _a.theme, isWarning = _a.isWarning;
    return theme.shadows[isWarning ? "warning" : "inset"];
});
var StyledInput$1 = styled__default['default'](Input$1)(templateObject_2$h || (templateObject_2$h = __makeTemplateObject(["\n  background: transparent;\n  border-radius: 0;\n  box-shadow: none;\n  padding-left: 0;\n  padding-right: 0;\n  text-align: right;\n\n  ::placeholder {\n    color: ", ";\n  }\n\n  &:focus:not(:disabled) {\n    box-shadow: none;\n  }\n"], ["\n  background: transparent;\n  border-radius: 0;\n  box-shadow: none;\n  padding-left: 0;\n  padding-right: 0;\n  text-align: right;\n\n  ::placeholder {\n    color: ", ";\n  }\n\n  &:focus:not(:disabled) {\n    box-shadow: none;\n  }\n"])), function (_a) {
    var theme = _a.theme;
    return theme.colors.textSubtle;
});
var templateObject_1$I, templateObject_2$h;

var BalanceInput = function (_a) {
    var value = _a.value, _b = _a.placeholder, placeholder = _b === void 0 ? "0.0" : _b, onChange = _a.onChange, currencyValue = _a.currencyValue, inputProps = _a.inputProps, _c = _a.isWarning, isWarning = _c === void 0 ? false : _c, props = __rest(_a, ["value", "placeholder", "onChange", "currencyValue", "inputProps", "isWarning"]);
    return (React__default['default'].createElement(StyledBalanceInput, __assign({ isWarning: isWarning }, props),
        React__default['default'].createElement(StyledInput$1, __assign({ type: "text", value: value, onChange: onChange, placeholder: placeholder }, inputProps)),
        currencyValue && (React__default['default'].createElement(Text, { fontSize: "12px", textAlign: "right", color: "textSubtle" }, currencyValue))));
};

var Separator = styled__default['default'].div(templateObject_1$H || (templateObject_1$H = __makeTemplateObject(["\n  align-items: center;\n  color: currentColor;\n  display: flex;\n  justify-content: center;\n  padding-left: 4px;\n  padding-right: 4px;\n\n  ", " {\n    padding-left: 8px;\n    padding-right: 8px;\n  }\n\n  ", " {\n    padding-left: 16px;\n    padding-right: 16px;\n  }\n"], ["\n  align-items: center;\n  color: currentColor;\n  display: flex;\n  justify-content: center;\n  padding-left: 4px;\n  padding-right: 4px;\n\n  ", " {\n    padding-left: 8px;\n    padding-right: 8px;\n  }\n\n  ", " {\n    padding-left: 16px;\n    padding-right: 16px;\n  }\n"])), function (_a) {
    var theme = _a.theme;
    return theme.mediaQueries.sm;
}, function (_a) {
    var theme = _a.theme;
    return theme.mediaQueries.md;
});
var StyledBreadcrumbs = styled__default['default'].ul(templateObject_2$g || (templateObject_2$g = __makeTemplateObject(["\n  align-items: center;\n  color: ", ";\n  display: flex;\n  flex-wrap: wrap;\n  list-style-type: none;\n\n  ", "\n"], ["\n  align-items: center;\n  color: ", ";\n  display: flex;\n  flex-wrap: wrap;\n  list-style-type: none;\n\n  ", "\n"])), function (_a) {
    var theme = _a.theme;
    return theme.colors.textDisabled;
}, styledSystem.space);
var insertSeparators = function (items, separator) {
    return items.reduce(function (accum, item, index) {
        if (index === 0) {
            return __spreadArray(__spreadArray([], accum), [item]);
        }
        return __spreadArray(__spreadArray([], accum), [
            React__default['default'].createElement(Separator, { "aria-hidden": true, key: "seperator-" + index }, separator),
            item,
        ]);
    }, []);
};
var DefaultSeparator = React__default['default'].createElement(Icon$10, { color: "currentColor", width: "24px" });
var Breadcrumbs = function (_a) {
    var _b = _a.separator, separator = _b === void 0 ? DefaultSeparator : _b, children = _a.children;
    var validItems = React.Children.toArray(children).filter(function (child) { return React.isValidElement(child); });
    var items = insertSeparators(validItems, separator);
    return (React__default['default'].createElement(StyledBreadcrumbs, null, items.map(function (item, index) { return (React__default['default'].createElement("li", { key: "child-" + index }, item)); })));
};
var templateObject_1$H, templateObject_2$g;

var getBackgroundColor = function (_a) {
    var theme = _a.theme, variant = _a.variant;
    return theme.colors[variant === variants$3.SUBTLE ? "input" : "tertiary"];
};
var StyledButtonMenu = styled__default['default'].div(templateObject_1$G || (templateObject_1$G = __makeTemplateObject(["\n  background-color: ", ";\n  border-radius: 16px;\n  display: inline-flex;\n\n  & > button + button,\n  & > a + a {\n    margin-left: 2px; // To avoid focus shadow overlap\n  }\n"], ["\n  background-color: ", ";\n  border-radius: 16px;\n  display: inline-flex;\n\n  & > button + button,\n  & > a + a {\n    margin-left: 2px; // To avoid focus shadow overlap\n  }\n"])), getBackgroundColor);
var templateObject_1$G;

var ButtonMenu = function (_a) {
    var _b = _a.activeIndex, activeIndex = _b === void 0 ? 0 : _b, _c = _a.scale, scale = _c === void 0 ? scales$5.MD : _c, _d = _a.variant, variant = _d === void 0 ? variants$3.PRIMARY : _d, onItemClick = _a.onItemClick, children = _a.children;
    return (React__default['default'].createElement(StyledButtonMenu, { variant: variant }, React.Children.map(children, function (child, index) {
        return React.cloneElement(child, {
            isActive: activeIndex === index,
            onClick: onItemClick ? function () { return onItemClick(index); } : undefined,
            scale: scale,
            variant: variant,
        });
    })));
};

var InactiveButton = styled__default['default'](Button)(templateObject_1$F || (templateObject_1$F = __makeTemplateObject(["\n  background-color: transparent;\n  color: ", ";\n  &:hover:not(:disabled):not(:active) {\n    background-color: transparent;\n  }\n"], ["\n  background-color: transparent;\n  color: ", ";\n  &:hover:not(:disabled):not(:active) {\n    background-color: transparent;\n  }\n"])), function (_a) {
    var theme = _a.theme, colorKey = _a.colorKey;
    return theme.colors[colorKey];
});
var ButtonMenuItem = function (_a) {
    var _b = _a.isActive, isActive = _b === void 0 ? false : _b, _c = _a.variant, variant = _c === void 0 ? variants$3.PRIMARY : _c, as = _a.as, props = __rest(_a, ["isActive", "variant", "as"]);
    if (!isActive) {
        return (React__default['default'].createElement(InactiveButton, __assign({ forwardedAs: as, variant: "tertiary", colorKey: variant === variants$3.PRIMARY ? "primary" : "textSubtle" }, props)));
    }
    return React__default['default'].createElement(Button, __assign({ as: as, variant: variant }, props));
};
var templateObject_1$F;

/**
 * Priority: Warning --> Success --> Active
 */
var getBoxShadow = function (_a) {
    var isActive = _a.isActive, isSuccess = _a.isSuccess, isWarning = _a.isWarning, theme = _a.theme;
    if (isWarning) {
        return theme.card.boxShadowWarning;
    }
    if (isSuccess) {
        return theme.card.boxShadowSuccess;
    }
    if (isActive) {
        return theme.card.boxShadowActive;
    }
    return theme.card.boxShadow;
};
var StyledCard = styled__default['default'].div(templateObject_1$E || (templateObject_1$E = __makeTemplateObject(["\n  background-color: ", ";\n  border: ", ";\n  border-radius: 32px;\n  box-shadow: ", ";\n  color: ", ";\n  overflow: hidden;\n  position: relative;\n\n  ", "\n"], ["\n  background-color: ", ";\n  border: ", ";\n  border-radius: 32px;\n  box-shadow: ", ";\n  color: ", ";\n  overflow: hidden;\n  position: relative;\n\n  ", "\n"])), function (_a) {
    var theme = _a.theme;
    return theme.card.background;
}, function (_a) {
    var theme = _a.theme;
    return theme.card.boxShadow;
}, getBoxShadow, function (_a) {
    var theme = _a.theme, isDisabled = _a.isDisabled;
    return theme.colors[isDisabled ? "textDisabled" : "text"];
}, styledSystem.space);
StyledCard.defaultProps = {
    isActive: false,
    isSuccess: false,
    isWarning: false,
    isDisabled: false,
};
var templateObject_1$E;

var Card = function (_a) {
    var ribbon = _a.ribbon, children = _a.children, props = __rest(_a, ["ribbon", "children"]);
    return (React__default['default'].createElement(StyledCard, __assign({}, props),
        ribbon,
        children));
};

var CardBody = styled__default['default'].div(templateObject_1$D || (templateObject_1$D = __makeTemplateObject(["\n  ", "\n"], ["\n  ", "\n"])), styledSystem.space);
CardBody.defaultProps = {
    p: "24px",
};
var templateObject_1$D;

var CardHeader = styled__default['default'].div(templateObject_1$C || (templateObject_1$C = __makeTemplateObject(["\n  background: ", ";\n\n  ", "\n"], ["\n  background: ", ";\n\n  ", "\n"])), function (_a) {
    var theme = _a.theme;
    return theme.card.cardHeaderBackground;
}, styledSystem.space);
CardHeader.defaultProps = {
    p: "24px",
};
var templateObject_1$C;

var CardFooter = styled__default['default'].div(templateObject_1$B || (templateObject_1$B = __makeTemplateObject(["\n  border-top: 1px solid ", ";\n  ", "\n"], ["\n  border-top: 1px solid ", ";\n  ", "\n"])), function (_a) {
    var theme = _a.theme;
    return theme.colors.borderColor;
}, styledSystem.space);
CardFooter.defaultProps = {
    p: "24px",
};
var templateObject_1$B;

var StyledCardRibbon = styled__default['default'].div(templateObject_1$A || (templateObject_1$A = __makeTemplateObject(["\n  background-color: ", ";\n  color: white;\n  margin: 0;\n  padding: 0;\n  padding: 8px 0;\n  position: absolute;\n  right: 0;\n  top: 0;\n  text-align: center;\n  transform: translateX(30%) translateY(0%) rotate(45deg);\n  transform-origin: top left;\n  width: 96px;\n\n  &:before,\n  &:after {\n    background-color: ", ";\n    content: \"\";\n    height: 100%;\n    margin: 0 -1px; /* Removes tiny gap */\n    position: absolute;\n    top: 0;\n    width: 100%;\n  }\n\n  &:before {\n    right: 100%;\n  }\n\n  &:after {\n    left: 100%;\n  }\n\n  & > div {\n    overflow: hidden;\n    text-overflow: ellipsis;\n    white-space: nowrap;\n    width: 96px;\n  }\n"], ["\n  background-color: ", ";\n  color: white;\n  margin: 0;\n  padding: 0;\n  padding: 8px 0;\n  position: absolute;\n  right: 0;\n  top: 0;\n  text-align: center;\n  transform: translateX(30%) translateY(0%) rotate(45deg);\n  transform-origin: top left;\n  width: 96px;\n\n  &:before,\n  &:after {\n    background-color: ", ";\n    content: \"\";\n    height: 100%;\n    margin: 0 -1px; /* Removes tiny gap */\n    position: absolute;\n    top: 0;\n    width: 100%;\n  }\n\n  &:before {\n    right: 100%;\n  }\n\n  &:after {\n    left: 100%;\n  }\n\n  & > div {\n    overflow: hidden;\n    text-overflow: ellipsis;\n    white-space: nowrap;\n    width: 96px;\n  }\n"])), function (_a) {
    var _b = _a.variantColor, variantColor = _b === void 0 ? "secondary" : _b, theme = _a.theme;
    return theme.colors[variantColor];
}, function (_a) {
    var _b = _a.variantColor, variantColor = _b === void 0 ? "secondary" : _b, theme = _a.theme;
    return theme.colors[variantColor];
});
var CardRibbon = function (_a) {
    var variantColor = _a.variantColor, text = _a.text;
    return (React__default['default'].createElement(StyledCardRibbon, { variantColor: variantColor },
        React__default['default'].createElement("div", { title: text }, text)));
};
var templateObject_1$A;

var scales$3 = {
    SM: "sm",
    MD: "md",
};

var getScale$2 = function (_a) {
    var scale = _a.scale;
    switch (scale) {
        case scales$3.SM:
            return "24px";
        case scales$3.MD:
        default:
            return "32px";
    }
};
var Checkbox = styled__default['default'].input.attrs({ type: "checkbox" })(templateObject_1$z || (templateObject_1$z = __makeTemplateObject(["\n  appearance: none;\n  overflow: hidden;\n  cursor: pointer;\n  position: relative;\n  display: inline-block;\n  height: ", ";\n  width: ", ";\n  vertical-align: middle;\n  transition: background-color 0.2s ease-in-out;\n  border: 0;\n  border-radius: 8px;\n  background-color: ", ";\n  box-shadow: ", ";\n\n  &:after {\n    content: \"\";\n    position: absolute;\n    border-bottom: 2px solid;\n    border-left: 2px solid;\n    border-color: transparent;\n    top: 30%;\n    left: 0;\n    right: 0;\n    width: 50%;\n    height: 25%;\n    margin: auto;\n    transform: rotate(-50deg);\n    transition: border-color 0.2s ease-in-out;\n  }\n\n  &:hover:not(:disabled):not(:checked) {\n    box-shadow: ", ";\n  }\n\n  &:focus {\n    outline: none;\n    box-shadow: ", ";\n  }\n\n  &:checked {\n    background-color: ", ";\n    &:after {\n      border-color: white;\n    }\n  }\n\n  &:disabled {\n    cursor: default;\n    opacity: 0.6;\n  }\n"], ["\n  appearance: none;\n  overflow: hidden;\n  cursor: pointer;\n  position: relative;\n  display: inline-block;\n  height: ", ";\n  width: ", ";\n  vertical-align: middle;\n  transition: background-color 0.2s ease-in-out;\n  border: 0;\n  border-radius: 8px;\n  background-color: ", ";\n  box-shadow: ", ";\n\n  &:after {\n    content: \"\";\n    position: absolute;\n    border-bottom: 2px solid;\n    border-left: 2px solid;\n    border-color: transparent;\n    top: 30%;\n    left: 0;\n    right: 0;\n    width: 50%;\n    height: 25%;\n    margin: auto;\n    transform: rotate(-50deg);\n    transition: border-color 0.2s ease-in-out;\n  }\n\n  &:hover:not(:disabled):not(:checked) {\n    box-shadow: ", ";\n  }\n\n  &:focus {\n    outline: none;\n    box-shadow: ", ";\n  }\n\n  &:checked {\n    background-color: ", ";\n    &:after {\n      border-color: white;\n    }\n  }\n\n  &:disabled {\n    cursor: default;\n    opacity: 0.6;\n  }\n"])), getScale$2, getScale$2, function (_a) {
    var theme = _a.theme;
    return theme.colors.input;
}, function (_a) {
    var theme = _a.theme;
    return theme.shadows.inset;
}, function (_a) {
    var theme = _a.theme;
    return theme.shadows.focus;
}, function (_a) {
    var theme = _a.theme;
    return theme.shadows.focus;
}, function (_a) {
    var theme = _a.theme;
    return theme.colors.success;
});
Checkbox.defaultProps = {
    scale: scales$3.MD,
};
var templateObject_1$z;

var getLeft = function (_a) {
    var position = _a.position;
    if (position === "top-right") {
        return "100%";
    }
    return "50%";
};
var getBottom = function (_a) {
    var position = _a.position;
    if (position === "top" || position === "top-right") {
        return "100%";
    }
    return "auto";
};
var DropdownContent = styled__default['default'].div(templateObject_1$y || (templateObject_1$y = __makeTemplateObject(["\n  width: max-content;\n  display: none;\n  flex-direction: column;\n  position: absolute;\n  transform: translate(-50%, 0);\n  left: ", ";\n  bottom: ", ";\n  background-color: ", ";\n  box-shadow: ", ";\n  padding: 16px;\n  max-height: 500px;\n  overflow-y: auto;\n  z-index: ", ";\n  border-radius: ", ";\n"], ["\n  width: max-content;\n  display: none;\n  flex-direction: column;\n  position: absolute;\n  transform: translate(-50%, 0);\n  left: ", ";\n  bottom: ", ";\n  background-color: ", ";\n  box-shadow: ", ";\n  padding: 16px;\n  max-height: 500px;\n  overflow-y: auto;\n  z-index: ", ";\n  border-radius: ", ";\n"])), getLeft, getBottom, function (_a) {
    var theme = _a.theme;
    return theme.nav.background;
}, function (_a) {
    var theme = _a.theme;
    return theme.shadows.level1;
}, function (_a) {
    var theme = _a.theme;
    return theme.zIndices.dropdown;
}, function (_a) {
    var theme = _a.theme;
    return theme.radii.small;
});
var Container$4 = styled__default['default'].div(templateObject_2$f || (templateObject_2$f = __makeTemplateObject(["\n  position: relative;\n  &:hover ", ", &:focus-within ", " {\n    display: flex;\n  }\n"], ["\n  position: relative;\n  &:hover ", ", &:focus-within ", " {\n    display: flex;\n  }\n"])), DropdownContent, DropdownContent);
var Dropdown = function (_a) {
    var target = _a.target, _b = _a.position, position = _b === void 0 ? "bottom" : _b, children = _a.children;
    return (React__default['default'].createElement(Container$4, null,
        target,
        React__default['default'].createElement(DropdownContent, { position: position }, children)));
};
Dropdown.defaultProps = {
    position: "bottom",
};
var templateObject_1$y, templateObject_2$f;

var bunnyFall = styled.keyframes(templateObject_1$x || (templateObject_1$x = __makeTemplateObject(["\n  0% {\n    opacity: 1;\n    transform: translate(0, -100%) rotateZ(0deg);\n  }\n\n  75% {\n    opacity: 1;\n    transform: translate(100px, 75vh) rotateZ(270deg);\n  }\n\n  100% {\n    opacity: 0;\n    transform: translate(150px, 100vh) rotateZ(360deg);\n  }\n"], ["\n  0% {\n    opacity: 1;\n    transform: translate(0, -100%) rotateZ(0deg);\n  }\n\n  75% {\n    opacity: 1;\n    transform: translate(100px, 75vh) rotateZ(270deg);\n  }\n\n  100% {\n    opacity: 0;\n    transform: translate(150px, 100vh) rotateZ(360deg);\n  }\n"])));
var Bunny = styled__default['default'].div(templateObject_2$e || (templateObject_2$e = __makeTemplateObject(["\n  display: inline-flex;\n  position: fixed;\n  top: 0;\n  left: ", ";\n  transform: translate3d(0, -100%, 0);\n  user-select: none;\n  pointer-events: none;\n  z-index: 99999;\n\n  animation-name: ", ";\n  animation-duration: ", ";\n  animation-timing-function: linear;\n  animation-iteration-count: ", ";\n  animation-play-state: running;\n\n  &:nth-child(5n + 5) {\n    animation-delay: ", ";\n  }\n\n  &:nth-child(3n + 2) {\n    animation-delay: ", ";\n  }\n\n  &:nth-child(2n + 5) {\n    animation-delay: ", ";\n  }\n\n  &:nth-child(3n + 10) {\n    animation-delay: ", ";\n  }\n\n  &:nth-child(7n + 2) {\n    animation-delay: ", ";\n  }\n\n  &:nth-child(4n + 5) {\n    animation-delay: ", ";\n  }\n\n  &:nth-child(3n + 7) {\n    animation-delay: ", ";\n  }\n"], ["\n  display: inline-flex;\n  position: fixed;\n  top: 0;\n  left: ", ";\n  transform: translate3d(0, -100%, 0);\n  user-select: none;\n  pointer-events: none;\n  z-index: 99999;\n\n  animation-name: ", ";\n  animation-duration: ", ";\n  animation-timing-function: linear;\n  animation-iteration-count: ", ";\n  animation-play-state: running;\n\n  &:nth-child(5n + 5) {\n    animation-delay: ", ";\n  }\n\n  &:nth-child(3n + 2) {\n    animation-delay: ", ";\n  }\n\n  &:nth-child(2n + 5) {\n    animation-delay: ", ";\n  }\n\n  &:nth-child(3n + 10) {\n    animation-delay: ", ";\n  }\n\n  &:nth-child(7n + 2) {\n    animation-delay: ", ";\n  }\n\n  &:nth-child(4n + 5) {\n    animation-delay: ", ";\n  }\n\n  &:nth-child(3n + 7) {\n    animation-delay: ", ";\n  }\n"])), function (_a) {
    var position = _a.position;
    return position + "vw";
}, bunnyFall, function (_a) {
    var duration = _a.duration;
    return duration + "s";
}, function (_a) {
    var iterations = _a.iterations;
    return (Number.isFinite(iterations) ? String(iterations) : "infinite");
}, function (_a) {
    var duration = _a.duration;
    return (duration / 10) * 1.3 + "s";
}, function (_a) {
    var duration = _a.duration;
    return (duration / 10) * 1.5 + "s";
}, function (_a) {
    var duration = _a.duration;
    return (duration / 10) * 1.7 + "s";
}, function (_a) {
    var duration = _a.duration;
    return (duration / 10) * 2.7 + "s";
}, function (_a) {
    var duration = _a.duration;
    return (duration / 10) * 3.5 + "s";
}, function (_a) {
    var duration = _a.duration;
    return (duration / 10) * 5.5 + "s";
}, function (_a) {
    var duration = _a.duration;
    return (duration / 10) * 8 + "s";
});
var FallingBunnies = function (_a) {
    var _b = _a.count, count = _b === void 0 ? 30 : _b, _c = _a.size, size = _c === void 0 ? 32 : _c, _d = _a.iterations, iterations = _d === void 0 ? Infinity : _d, _e = _a.duration, duration = _e === void 0 ? 10 : _e;
    var bunnies = __spreadArray([], Array(count)).map(function (_, index) { return (React__default['default'].createElement(Bunny, { key: String(index), position: Math.random() * 100, iterations: iterations, duration: duration },
        React__default['default'].createElement(Icon$Q, { width: size, height: size }))); });
    return React__default['default'].createElement("div", null, bunnies);
};
var templateObject_1$x, templateObject_2$e;

var tags = {
    H1: "h1",
    H2: "h2",
    H3: "h3",
    H4: "h4",
    H5: "h5",
    H6: "h6",
};
var sizes = {
    MD: "md",
    LG: "lg",
    XL: "xl",
    XXL: "xxl",
};

var _a$3;
var style = (_a$3 = {},
    _a$3[sizes.MD] = {
        fontSize: "20px",
        fontSizeLg: "20px",
    },
    _a$3[sizes.LG] = {
        fontSize: "24px",
        fontSizeLg: "24px",
    },
    _a$3[sizes.XL] = {
        fontSize: "32px",
        fontSizeLg: "40px",
    },
    _a$3[sizes.XXL] = {
        fontSize: "48px",
        fontSizeLg: "64px",
    },
    _a$3);
var Heading = styled__default['default'](Text).attrs({ bold: true })(templateObject_1$w || (templateObject_1$w = __makeTemplateObject(["\n  font-size: ", ";\n  font-weight: 600;\n  line-height: 1.1;\n\n  ", " {\n    font-size: ", ";\n  }\n"], ["\n  font-size: ", ";\n  font-weight: 600;\n  line-height: 1.1;\n\n  ", " {\n    font-size: ", ";\n  }\n"])), function (_a) {
    var size = _a.size;
    return style[size || sizes.MD].fontSize;
}, function (_a) {
    var theme = _a.theme;
    return theme.mediaQueries.lg;
}, function (_a) {
    var size = _a.size;
    return style[size || sizes.MD].fontSizeLg;
});
Heading.defaultProps = {
    as: tags.H2,
};
var templateObject_1$w;

var observerOptions = {
    root: null,
    rootMargin: "200px",
    threshold: 0,
};

var Wrapper$1 = styled__default['default'].div(templateObject_1$v || (templateObject_1$v = __makeTemplateObject(["\n  position: relative;\n  background-position: center center;\n  background-repeat: no-repeat;\n  background-size: cover;\n  height: ", "px;\n  max-width: ", "px;\n  max-height: ", "px;\n  width: 100%;\n  padding-top: ", "%;\n  ", "\n"], ["\n  position: relative;\n  background-position: center center;\n  background-repeat: no-repeat;\n  background-size: cover;\n  height: ", "px;\n  max-width: ", "px;\n  max-height: ", "px;\n  width: 100%;\n  padding-top: ", "%;\n  ", "\n"])), function (_a) {
    var height = _a.height, responsive = _a.responsive;
    return (responsive ? 0 : height);
}, function (_a) {
    var width = _a.width;
    return width;
}, function (_a) {
    var height = _a.height;
    return height;
}, function (_a) {
    var width = _a.width, height = _a.height, responsive = _a.responsive;
    return (responsive ? (height / width) * 100 : 0);
}, styledSystem.space);
var templateObject_1$v;

var BackgroundImage = function (_a) {
    var src = _a.src, otherProps = __rest(_a, ["src"]);
    var imgRef = React.useRef(null);
    React.useEffect(function () {
        var img = imgRef.current;
        var observer = new IntersectionObserver(function (entries) {
            entries.forEach(function (entry) {
                var isIntersecting = entry.isIntersecting;
                if (isIntersecting) {
                    img.style.backgroundImage = "url(\"" + src + "\")";
                    observer.disconnect();
                }
            });
        }, observerOptions);
        observer.observe(img);
        return function () {
            observer.disconnect();
        };
    }, [src]);
    return React__default['default'].createElement(Wrapper$1, __assign({ ref: imgRef }, otherProps));
};

var StyledImage = styled__default['default'].img(templateObject_1$u || (templateObject_1$u = __makeTemplateObject(["\n  position: absolute;\n  top: 0;\n  left: 0;\n  width: 100%;\n  height: 100%;\n  max-width: 100%;\n"], ["\n  position: absolute;\n  top: 0;\n  left: 0;\n  width: 100%;\n  height: 100%;\n  max-width: 100%;\n"])));
var Placeholder = styled__default['default'].div(templateObject_2$d || (templateObject_2$d = __makeTemplateObject(["\n  position: absolute;\n  top: 0;\n  left: 0;\n  width: 100%;\n  height: 100%;\n"], ["\n  position: absolute;\n  top: 0;\n  left: 0;\n  width: 100%;\n  height: 100%;\n"])));
var Image = function (_a) {
    var src = _a.src, alt = _a.alt, otherProps = __rest(_a, ["src", "alt"]);
    var imgRef = React.useRef(null);
    var _b = React.useState(false), isLoaded = _b[0], setIsLoaded = _b[1];
    React.useEffect(function () {
        var img = imgRef.current;
        var observer = new IntersectionObserver(function (entries) {
            entries.forEach(function (entry) {
                var isIntersecting = entry.isIntersecting;
                if (isIntersecting) {
                    setIsLoaded(true);
                    observer.disconnect();
                }
            });
        }, observerOptions);
        observer.observe(img);
        return function () {
            observer.disconnect();
        };
    }, [src]);
    return (React__default['default'].createElement(Wrapper$1, __assign({ ref: imgRef }, otherProps), isLoaded ? React__default['default'].createElement(StyledImage, { src: src, alt: alt }) : React__default['default'].createElement(Placeholder, null)));
};
var templateObject_1$u, templateObject_2$d;

var GridLayout$1 = styled__default['default'].div(templateObject_1$t || (templateObject_1$t = __makeTemplateObject(["\n  display: grid;\n  grid-template-columns: repeat(6, 1fr);\n  grid-gap: 16px;\n  ", " {\n    grid-template-columns: repeat(8, 1fr);\n    grid-gap: 24px;\n  }\n  ", " {\n    grid-template-columns: repeat(12, 1fr);\n    grid-gap: 24px;\n  }\n  ", " {\n    grid-template-columns: repeat(12, 1fr);\n    grid-gap: 32px;\n  }\n"], ["\n  display: grid;\n  grid-template-columns: repeat(6, 1fr);\n  grid-gap: 16px;\n  ", " {\n    grid-template-columns: repeat(8, 1fr);\n    grid-gap: 24px;\n  }\n  ", " {\n    grid-template-columns: repeat(12, 1fr);\n    grid-gap: 24px;\n  }\n  ", " {\n    grid-template-columns: repeat(12, 1fr);\n    grid-gap: 32px;\n  }\n"])), function (_a) {
    var theme = _a.theme;
    return theme.mediaQueries.sm;
}, function (_a) {
    var theme = _a.theme;
    return theme.mediaQueries.md;
}, function (_a) {
    var theme = _a.theme;
    return theme.mediaQueries.lg;
});
var templateObject_1$t;

var GridLayout = styled__default['default'](GridLayout$1)(templateObject_1$s || (templateObject_1$s = __makeTemplateObject(["\n  & > div {\n    grid-column: span 6;\n    ", " {\n      grid-column: span 4;\n    }\n  }\n"], ["\n  & > div {\n    grid-column: span 6;\n    ", " {\n      grid-column: span 4;\n    }\n  }\n"])), function (_a) {
    var theme = _a.theme;
    return theme.mediaQueries.sm;
});
var templateObject_1$s;

var NotificationDotRoot = styled__default['default'].span(templateObject_1$r || (templateObject_1$r = __makeTemplateObject(["\n  display: inline-flex;\n  position: relative;\n"], ["\n  display: inline-flex;\n  position: relative;\n"])));
var Dot = styled__default['default'].span(templateObject_2$c || (templateObject_2$c = __makeTemplateObject(["\n  display: ", ";\n  position: absolute;\n  top: 0;\n  right: 0;\n  width: 10px;\n  height: 10px;\n  pointer-events: none;\n  border: 2px solid ", ";\n  border-radius: 50%;\n  background-color: ", ";\n"], ["\n  display: ", ";\n  position: absolute;\n  top: 0;\n  right: 0;\n  width: 10px;\n  height: 10px;\n  pointer-events: none;\n  border: 2px solid ", ";\n  border-radius: 50%;\n  background-color: ", ";\n"])), function (_a) {
    var show = _a.show;
    return (show ? "inline-flex" : "none");
}, function (_a) {
    var theme = _a.theme;
    return theme.colors.invertedContrast;
}, function (_a) {
    var theme = _a.theme;
    return theme.colors.failure;
});
var NotificationDot = function (_a) {
    var _b = _a.show, show = _b === void 0 ? false : _b, children = _a.children, props = __rest(_a, ["show", "children"]);
    return (React__default['default'].createElement(NotificationDotRoot, null,
        React.Children.map(children, function (child) { return React.cloneElement(child, props); }),
        React__default['default'].createElement(Dot, { show: show })));
};
var templateObject_1$r, templateObject_2$c;

var scales$2 = {
    SM: "sm",
    MD: "md",
};

var getScale$1 = function (_a) {
    var scale = _a.scale;
    switch (scale) {
        case scales$2.SM:
            return "24px";
        case scales$2.MD:
        default:
            return "32px";
    }
};
var getCheckedScale = function (_a) {
    var scale = _a.scale;
    switch (scale) {
        case scales$2.SM:
            return "12px";
        case scales$2.MD:
        default:
            return "20px";
    }
};
var Radio = styled__default['default'].input.attrs({ type: "radio" })(templateObject_1$q || (templateObject_1$q = __makeTemplateObject(["\n  appearance: none;\n  overflow: hidden;\n  cursor: pointer;\n  position: relative;\n  display: inline-block;\n  height: ", ";\n  width: ", ";\n  vertical-align: middle;\n  transition: background-color 0.2s ease-in-out;\n  border: 0;\n  border-radius: 50%;\n  background-color: ", ";\n  box-shadow: ", ";\n\n  &:after {\n    border-radius: 50%;\n    content: \"\";\n    height: ", ";\n    left: 6px;\n    position: absolute;\n    top: 6px;\n    width: ", ";\n  }\n\n  &:hover:not(:disabled):not(:checked) {\n    box-shadow: ", ";\n  }\n\n  &:focus {\n    outline: none;\n    box-shadow: ", ";\n  }\n\n  &:checked {\n    background-color: ", ";\n    &:after {\n      background-color: ", ";\n    }\n  }\n\n  &:disabled {\n    cursor: default;\n    opacity: 0.6;\n  }\n  ", "\n"], ["\n  appearance: none;\n  overflow: hidden;\n  cursor: pointer;\n  position: relative;\n  display: inline-block;\n  height: ", ";\n  width: ", ";\n  vertical-align: middle;\n  transition: background-color 0.2s ease-in-out;\n  border: 0;\n  border-radius: 50%;\n  background-color: ", ";\n  box-shadow: ", ";\n\n  &:after {\n    border-radius: 50%;\n    content: \"\";\n    height: ", ";\n    left: 6px;\n    position: absolute;\n    top: 6px;\n    width: ", ";\n  }\n\n  &:hover:not(:disabled):not(:checked) {\n    box-shadow: ", ";\n  }\n\n  &:focus {\n    outline: none;\n    box-shadow: ", ";\n  }\n\n  &:checked {\n    background-color: ", ";\n    &:after {\n      background-color: ", ";\n    }\n  }\n\n  &:disabled {\n    cursor: default;\n    opacity: 0.6;\n  }\n  ", "\n"])), getScale$1, getScale$1, function (_a) {
    var theme = _a.theme;
    return theme.colors.input;
}, function (_a) {
    var theme = _a.theme;
    return theme.shadows.inset;
}, getCheckedScale, getCheckedScale, function (_a) {
    var theme = _a.theme;
    return theme.shadows.focus;
}, function (_a) {
    var theme = _a.theme;
    return theme.shadows.focus;
}, function (_a) {
    var theme = _a.theme;
    return theme.colors.success;
}, function (_a) {
    var theme = _a.theme;
    return theme.radio.handleBackground;
}, styledSystem.space);
Radio.defaultProps = {
    scale: scales$2.MD,
    m: 0,
};
var templateObject_1$q;

var variants$1 = {
    PRIMARY: "primary",
    SECONDARY: "secondary",
    SUCCESS: "success",
    TEXTDISABLED: "textDisabled",
    TEXTSUBTLE: "textSubtle",
    BINANCE: "binance",
    FAILURE: "failure",
};
var scales$1 = {
    MD: "md",
    SM: "sm",
};

var _a$2, _b;
var scaleVariants = (_a$2 = {},
    _a$2[scales$1.MD] = {
        height: "28px",
        padding: "0 8px",
        fontSize: "14px",
    },
    _a$2[scales$1.SM] = {
        height: "24px",
        padding: "0 4px",
        fontSize: "12px",
    },
    _a$2);
var styleVariants$1 = (_b = {},
    _b[variants$1.PRIMARY] = {
        backgroundColor: "primary",
    },
    _b[variants$1.SECONDARY] = {
        backgroundColor: "secondary",
    },
    _b[variants$1.SUCCESS] = {
        backgroundColor: "success",
    },
    _b[variants$1.TEXTDISABLED] = {
        backgroundColor: "textDisabled",
    },
    _b[variants$1.TEXTSUBTLE] = {
        backgroundColor: "textSubtle",
    },
    _b[variants$1.BINANCE] = {
        backgroundColor: "binance",
    },
    _b[variants$1.FAILURE] = {
        backgroundColor: "failure",
    },
    _b);

var getOutlineStyles = function (_a) {
    var outline = _a.outline, theme = _a.theme, _b = _a.variant, variantKey = _b === void 0 ? variants$1.PRIMARY : _b;
    if (outline) {
        var themeColorKey = styleVariants$1[variantKey].backgroundColor;
        var color = theme.colors[themeColorKey];
        return "\n      color: " + color + ";\n      background: transparent;\n      border: 2px solid " + color + ";\n    ";
    }
    return "";
};
var StyledTag = styled__default['default'].div(templateObject_1$p || (templateObject_1$p = __makeTemplateObject(["\n  align-items: center;\n  border-radius: 16px;\n  color: #ffffff;\n  display: inline-flex;\n  font-weight: 400;\n  white-space: nowrap;\n\n  & > svg {\n    fill: currentColor;\n  }\n\n  ", "\n  ", "\n  ", "\n\n  ", "\n"], ["\n  align-items: center;\n  border-radius: 16px;\n  color: #ffffff;\n  display: inline-flex;\n  font-weight: 400;\n  white-space: nowrap;\n\n  & > svg {\n    fill: currentColor;\n  }\n\n  ",
    "\n  ",
    "\n  ", "\n\n  ", "\n"])), styledSystem.variant({
    prop: "scale",
    variants: scaleVariants,
}), styledSystem.variant({
    variants: styleVariants$1,
}), styledSystem.space, getOutlineStyles);
var templateObject_1$p;

var Tag = function (_a) {
    var startIcon = _a.startIcon, endIcon = _a.endIcon, children = _a.children, props = __rest(_a, ["startIcon", "endIcon", "children"]);
    return (React__default['default'].createElement(StyledTag, __assign({}, props),
        React__default['default'].isValidElement(startIcon) &&
            React__default['default'].cloneElement(startIcon, {
                mr: "0.5em",
            }),
        children,
        React__default['default'].isValidElement(endIcon) &&
            React__default['default'].cloneElement(endIcon, {
                ml: "0.5em",
            })));
};
Tag.defaultProps = {
    variant: "primary",
    scale: scales$1.MD,
    outline: false,
};

var StyledLink$1 = styled__default['default'](Text)(templateObject_1$o || (templateObject_1$o = __makeTemplateObject(["\n  display: flex;\n  align-items: center;\n  width: fit-content;\n  &:hover {\n    text-decoration: underline;\n  }\n"], ["\n  display: flex;\n  align-items: center;\n  width: fit-content;\n  &:hover {\n    text-decoration: underline;\n  }\n"])));
var Link = function (_a) {
    var external = _a.external, props = __rest(_a, ["external"]);
    var internalProps = external ? getExternalLinkProps() : {};
    return React__default['default'].createElement(StyledLink$1, __assign({ as: "a", bold: true }, internalProps, props));
};
Link.defaultProps = {
    color: "primary",
};
var templateObject_1$o;

var LinkExternal = function (_a) {
    var children = _a.children, props = __rest(_a, ["children"]);
    return (React__default['default'].createElement(Link, __assign({ external: true }, props),
        children,
        React__default['default'].createElement(Icon$L, { color: "primary", ml: "4px" })));
};

var variants = {
    ROUND: "round",
    FLAT: "flat",
};

var _a$1;
var styleVariants = (_a$1 = {},
    _a$1[variants.ROUND] = {
        borderRadius: "32px",
    },
    _a$1[variants.FLAT] = {
        borderRadius: 0,
    },
    _a$1);

var Bar = styled__default['default'].div(templateObject_1$n || (templateObject_1$n = __makeTemplateObject(["\n  position: absolute;\n  top: 0;\n  left: 0;\n  background-color: ", ";\n  height: 16px;\n  transition: width 200ms ease;\n"], ["\n  position: absolute;\n  top: 0;\n  left: 0;\n  background-color: ", ";\n  height: 16px;\n  transition: width 200ms ease;\n"])), function (props) { return (props.primary ? props.theme.colors.secondary : props.theme.colors.secondary + "80"); });
Bar.defaultProps = {
    primary: false,
};
var StyledProgress = styled__default['default'].div(templateObject_2$b || (templateObject_2$b = __makeTemplateObject(["\n  position: relative;\n  background-color: ", ";\n  box-shadow: ", ";\n  height: 16px;\n  overflow: hidden;\n\n  ", " {\n    border-top-left-radius: ", ";\n    border-bottom-left-radius: ", ";\n  }\n\n  ", "\n  ", "\n"], ["\n  position: relative;\n  background-color: ", ";\n  box-shadow: ", ";\n  height: 16px;\n  overflow: hidden;\n\n  ", " {\n    border-top-left-radius: ", ";\n    border-bottom-left-radius: ", ";\n  }\n\n  ",
    "\n  ", "\n"])), function (_a) {
    var theme = _a.theme;
    return theme.colors.input;
}, function (_a) {
    var theme = _a.theme;
    return theme.shadows.inset;
}, Bar, function (_a) {
    var variant = _a.variant;
    return (variant === variants.FLAT ? "0" : "32px");
}, function (_a) {
    var variant = _a.variant;
    return (variant === variants.FLAT ? "0" : "32px");
}, styledSystem.variant({
    variants: styleVariants,
}), styledSystem.space);
var templateObject_1$n, templateObject_2$b;

var ProgressBunnyWrapper = styled__default['default'].div(templateObject_1$m || (templateObject_1$m = __makeTemplateObject(["\n  display: flex;\n  z-index: 2;\n  top: -65%;\n  position: absolute;\n  transform: translate(-50%, -50%);\n  transition: left 200ms ease-out;\n"], ["\n  display: flex;\n  z-index: 2;\n  top: -65%;\n  position: absolute;\n  transform: translate(-50%, -50%);\n  transition: left 200ms ease-out;\n"])));
var templateObject_1$m;

var stepGuard = function (step) {
    if (step < 0) {
        return 0;
    }
    if (step > 100) {
        return 100;
    }
    return step;
};
var Progress = function (_a) {
    var _b = _a.variant, variant = _b === void 0 ? variants.ROUND : _b, _c = _a.primaryStep, primaryStep = _c === void 0 ? 0 : _c, _d = _a.secondaryStep, secondaryStep = _d === void 0 ? null : _d, _e = _a.showProgressBunny, showProgressBunny = _e === void 0 ? false : _e;
    return (React__default['default'].createElement(StyledProgress, { variant: variant },
        showProgressBunny && (React__default['default'].createElement(ProgressBunnyWrapper, { style: { left: stepGuard(primaryStep) + "%" } },
            React__default['default'].createElement(Icon$D, null))),
        React__default['default'].createElement(Bar, { primary: true, style: { width: stepGuard(primaryStep) + "%" } }),
        secondaryStep ? React__default['default'].createElement(Bar, { style: { width: stepGuard(secondaryStep) + "%" } }) : null));
};

var bunnyHeadMain = "data:image/svg+xml,%3Csvg%20width%3D%2224%22%20height%3D%2232%22%20viewBox%3D%220%200%2024%2032%22%20fill%3D%22none%22%20xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%3E%3Crect%20y%3D%2218%22%20width%3D%2217%22%20height%3D%2210%22%20fill%3D%22%231FC7D4%22%2F%3E%3Cpath%20d%3D%22M7.50675%2023.7056C6.14677%2025.0656%207.73758%2027.2292%209.75419%2029.2458C11.7708%2031.2624%2013.9344%2032.8532%2015.2944%2031.4933C16.6543%2030.1333%2015.9641%2027.0691%2013.9475%2025.0525C11.9309%2023.0359%208.86673%2022.3457%207.50675%2023.7056Z%22%20fill%3D%22%231FC7D4%22%2F%3E%3Cpath%20d%3D%22M13.507%2021.706C12.1463%2023.0666%2013.7379%2025.2313%2015.7555%2027.2489C17.7731%2029.2665%2019.9378%2030.8581%2021.2984%2029.4974C22.6591%2028.1368%2021.9685%2025.0711%2019.9509%2023.0535C17.9333%2021.0359%2014.8676%2020.3453%2013.507%2021.706Z%22%20fill%3D%22%231FC7D4%22%2F%3E%3Cpath%20fill-rule%3D%22evenodd%22%20clip-rule%3D%22evenodd%22%20d%3D%22M11.7694%205.63421C11.8457%206.02664%2011.9158%206.4375%2011.9836%206.85716C11.6151%206.85766%2011.2482%206.87522%2010.8839%206.90895C10.6029%206.29464%2010.2694%205.67199%209.88441%205.05277C7.39613%201.05079%205.06199%200.901096%202.98861%202.01265C0.915239%203.12421%200.810677%205.89597%203.28297%208.59188C3.57049%208.90541%203.86254%209.23841%204.15744%209.58036C1.66027%2011.5156%200%2014.291%200%2017.2695C0%2022.8292%205.78518%2024%2012%2024C18.2148%2024%2024%2022.8292%2024%2017.2695C24%2013.8488%2021.8101%2010.6958%2018.6776%208.77602C18.8852%207.81022%2019%206.74856%2019%205.63421C19%201.17171%2017.159%200%2014.888%200C12.6171%200%2011.1155%202.27116%2011.7694%205.63421Z%22%20fill%3D%22url%28%23paint0_linear%29%22%2F%3E%3Cpath%20d%3D%22M12.7284%2016.4446C12.796%2017.3149%2012.4446%2019.0556%2010.498%2019.0556%22%20stroke%3D%22%23452A7A%22%20stroke-linecap%3D%22round%22%2F%3E%3Cpath%20d%3D%22M12.7457%2016.4446C12.6781%2017.3149%2013.0296%2019.0556%2014.9761%2019.0556%22%20stroke%3D%22%23452A7A%22%20stroke-linecap%3D%22round%22%2F%3E%3Cpath%20d%3D%22M9%2014.5C9%2015.6046%208.55228%2016%208%2016C7.44772%2016%207%2015.6046%207%2014.5C7%2013.3954%207.44772%2013%208%2013C8.55228%2013%209%2013.3954%209%2014.5Z%22%20fill%3D%22%23452A7A%22%2F%3E%3Cpath%20d%3D%22M18%2014.5C18%2015.6046%2017.5523%2016%2017%2016C16.4477%2016%2016%2015.6046%2016%2014.5C16%2013.3954%2016.4477%2013%2017%2013C17.5523%2013%2018%2013.3954%2018%2014.5Z%22%20fill%3D%22%23452A7A%22%2F%3E%3Cdefs%3E%3ClinearGradient%20id%3D%22paint0_linear%22%20x1%3D%2212%22%20y1%3D%220%22%20x2%3D%2212%22%20y2%3D%2224%22%20gradientUnits%3D%22userSpaceOnUse%22%3E%3Cstop%20stop-color%3D%22%2353DEE9%22%2F%3E%3Cstop%20offset%3D%221%22%20stop-color%3D%22%231FC7D4%22%2F%3E%3C%2FlinearGradient%3E%3C%2Fdefs%3E%3C%2Fsvg%3E";

var bunnyHeadMax = "data:image/svg+xml,%3Csvg%20width%3D%2224%22%20height%3D%2232%22%20viewBox%3D%220%200%2024%2032%22%20fill%3D%22none%22%20xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%3E%3Crect%20y%3D%2218%22%20width%3D%2217%22%20height%3D%2210%22%20fill%3D%22%231FC7D4%22%2F%3E%3Cpath%20d%3D%22M7.50675%2023.7056C6.14677%2025.0656%207.73758%2027.2292%209.75419%2029.2458C11.7708%2031.2624%2013.9344%2032.8532%2015.2944%2031.4933C16.6543%2030.1333%2015.9641%2027.0691%2013.9475%2025.0525C11.9309%2023.0359%208.86673%2022.3457%207.50675%2023.7056Z%22%20fill%3D%22%231FC7D4%22%2F%3E%3Cpath%20d%3D%22M13.507%2021.706C12.1463%2023.0666%2013.7379%2025.2313%2015.7555%2027.2489C17.7731%2029.2665%2019.9378%2030.8581%2021.2984%2029.4974C22.6591%2028.1368%2021.9685%2025.0711%2019.9509%2023.0535C17.9333%2021.0359%2014.8676%2020.3453%2013.507%2021.706Z%22%20fill%3D%22%231FC7D4%22%2F%3E%3Cpath%20fill-rule%3D%22evenodd%22%20clip-rule%3D%22evenodd%22%20d%3D%22M12.146%205.75159C12.2105%206.10896%2012.2703%206.48131%2012.3281%206.86164C12.2189%206.85865%2012.1095%206.85714%2012%206.85714C11.3803%206.85714%2010.7648%206.90539%2010.159%206.99779C9.87904%206.41458%209.55472%205.82246%209.18725%205.23145C6.69897%201.22947%204.53826%200.986793%202.67882%201.98366C0.819381%202.98052%200.856278%205.67644%203.26696%208.40538C3.58076%208.76061%203.90097%209.13983%204.2247%209.52859C1.69013%2011.4659%200%2014.2644%200%2017.2695C0%2022.8292%205.78518%2024%2012%2024C18.2148%2024%2024%2022.8292%2024%2017.2695C24%2013.8658%2021.8318%2010.7272%2018.7243%208.80476C18.9022%207.86044%2019%206.83019%2019%205.75159C19%201.19612%2017.2549%200%2015.1022%200C12.9495%200%2011.5261%202.31847%2012.146%205.75159Z%22%20fill%3D%22url%28%23paint0_linear%29%22%2F%3E%3Cpath%20d%3D%22M9.50467%2015.0634C8.94352%2013.4456%206.79685%2013.4456%206.08131%2015.0635%22%20stroke%3D%22%23452A7A%22%20stroke-linecap%3D%22round%22%2F%3E%3Cpath%20d%3D%22M18.8894%2015.0634C18.3283%2013.4456%2016.1816%2013.4456%2015.4661%2015.0635%22%20stroke%3D%22%23452A7A%22%20stroke-linecap%3D%22round%22%2F%3E%3Cpath%20d%3D%22M12.7284%2016.4446C12.796%2017.3149%2012.4446%2019.0556%2010.498%2019.0556%22%20stroke%3D%22%23452A7A%22%20stroke-linecap%3D%22round%22%2F%3E%3Cpath%20d%3D%22M12.7457%2016.4446C12.6781%2017.3149%2013.0296%2019.0556%2014.9761%2019.0556%22%20stroke%3D%22%23452A7A%22%20stroke-linecap%3D%22round%22%2F%3E%3Cpath%20d%3D%22M11.4505%2019.0787C11.4505%2020.5097%2013.955%2020.5097%2013.955%2019.0787%22%20stroke%3D%22%23452A7A%22%20stroke-linecap%3D%22round%22%2F%3E%3Cdefs%3E%3ClinearGradient%20id%3D%22paint0_linear%22%20x1%3D%2212%22%20y1%3D%220%22%20x2%3D%2212%22%20y2%3D%2224%22%20gradientUnits%3D%22userSpaceOnUse%22%3E%3Cstop%20stop-color%3D%22%2353DEE9%22%2F%3E%3Cstop%20offset%3D%221%22%20stop-color%3D%22%231FC7D4%22%2F%3E%3C%2FlinearGradient%3E%3C%2Fdefs%3E%3C%2Fsvg%3E";

var bunnyButt = "data:image/svg+xml,%3Csvg%20width%3D%2215%22%20height%3D%2232%22%20viewBox%3D%220%200%2015%2032%22%20fill%3D%22none%22%20xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%3E%3Cpath%20d%3D%22M9.58803%2020.8649C7.72935%2021.3629%208.02539%2024.0334%208.76388%2026.7895C9.50238%2029.5456%2010.5812%2032.0062%2012.4399%2031.5082C14.2986%2031.0102%2015.2334%2028.0099%2014.4949%2025.2538C13.7564%2022.4978%2011.4467%2020.3669%209.58803%2020.8649Z%22%20fill%3D%22%230098A1%22%2F%3E%3Cpath%20d%3D%22M1%2024.4516C1%2020.8885%203.88849%2018%207.45161%2018H15V28H4.54839C2.58867%2028%201%2026.4113%201%2024.4516Z%22%20fill%3D%22%231FC7D4%22%2F%3E%3Cpath%20d%3D%22M6.11115%2017.2246C6.79693%2018.4124%205.77784%2019.3343%204.52793%2020.0559C3.27802%2020.7776%201.97011%2021.1992%201.28433%2020.0114C0.598546%2018.8236%201.1635%2017.1151%202.41341%2016.3935C3.66332%2015.6718%205.42537%2016.0368%206.11115%2017.2246Z%22%20fill%3D%22%2353DEE9%22%2F%3E%3Cpath%20d%3D%22M1.64665%2023.6601C0.285995%2025.0207%201.87759%2027.1854%203.89519%2029.203C5.91279%2031.2206%208.07743%2032.8122%209.43808%2031.4515C10.7987%2030.0909%2010.1082%2027.0252%208.09058%2025.0076C6.07298%2022.99%203.0073%2022.2994%201.64665%2023.6601Z%22%20fill%3D%22%231FC7D4%22%2F%3E%3C%2Fsvg%3E";

var getCursorStyle = function (_a) {
    var _b = _a.disabled, disabled = _b === void 0 ? false : _b;
    return disabled ? "not-allowed" : "cursor";
};
var getBaseThumbStyles = function (_a) {
    var isMax = _a.isMax, disabled = _a.disabled;
    return "\n  -webkit-appearance: none;\n  background-image: url(" + (isMax ? bunnyHeadMax : bunnyHeadMain) + ");\n  cursor: " + getCursorStyle + ";\n  width: 24px;\n  height: 32px;\n  filter: " + (disabled ? "grayscale(100%)" : "none") + ";\n  transform: translate(-2px, -2px);\n  transition: 200ms transform;\n\n  &:hover {\n    transform: " + (disabled ? "scale(1) translate(-2px, -2px)" : "scale(1.1) translate(-3px, -3px)") + ";\n  }\n";
};
var SliderLabel = styled__default['default'](Text)(templateObject_1$l || (templateObject_1$l = __makeTemplateObject(["\n  bottom: 0;\n  font-size: 12px;\n  left: calc(", "%);\n  position: absolute;\n  margin-left: 16px; // offset the bunny butt width\n"], ["\n  bottom: 0;\n  font-size: 12px;\n  left: calc(", "%);\n  position: absolute;\n  margin-left: 16px; // offset the bunny butt width\n"])), function (_a) {
    var progress = _a.progress;
    return progress;
});
var BunnyButt = styled__default['default'].div(templateObject_2$a || (templateObject_2$a = __makeTemplateObject(["\n  background: url(", ") no-repeat;\n  height: 32px;\n  filter: ", ";\n  position: absolute;\n  width: 15px;\n"], ["\n  background: url(", ") no-repeat;\n  height: 32px;\n  filter: ", ";\n  position: absolute;\n  width: 15px;\n"])), bunnyButt, function (_a) {
    var disabled = _a.disabled;
    return (disabled ? "grayscale(100%)" : "none");
});
var BunnySlider = styled__default['default'].div(templateObject_3$7 || (templateObject_3$7 = __makeTemplateObject(["\n  position: absolute;\n  left: 14px;\n  width: calc(100% - 14px);\n"], ["\n  position: absolute;\n  left: 14px;\n  width: calc(100% - 14px);\n"])));
var StyledInput = styled__default['default'].input(templateObject_4$3 || (templateObject_4$3 = __makeTemplateObject(["\n  cursor: ", ";\n  height: 32px;\n  position: relative;\n\n  ::-webkit-slider-thumb {\n    -webkit-appearance: none;\n    ", "\n  }\n\n  ::-moz-range-thumb {\n    ", "\n\n    background-color: transparent;\n    border: 0;\n  }\n\n  ::-ms-thumb {\n    ", "\n  }\n"], ["\n  cursor: ", ";\n  height: 32px;\n  position: relative;\n\n  ::-webkit-slider-thumb {\n    -webkit-appearance: none;\n    ", "\n  }\n\n  ::-moz-range-thumb {\n    ", "\n\n    background-color: transparent;\n    border: 0;\n  }\n\n  ::-ms-thumb {\n    ", "\n  }\n"])), getCursorStyle, getBaseThumbStyles, getBaseThumbStyles, getBaseThumbStyles);
var BarBackground = styled__default['default'].div(templateObject_5$2 || (templateObject_5$2 = __makeTemplateObject(["\n  background-color: ", ";\n  height: 2px;\n  position: absolute;\n  top: 18px;\n  width: 100%;\n"], ["\n  background-color: ", ";\n  height: 2px;\n  position: absolute;\n  top: 18px;\n  width: 100%;\n"])), function (_a) {
    var theme = _a.theme, disabled = _a.disabled;
    return theme.colors[disabled ? "textDisabled" : "inputSecondary"];
});
var BarProgress = styled__default['default'].div(templateObject_6 || (templateObject_6 = __makeTemplateObject(["\n  background-color: ", ";\n  filter: ", ";\n  height: 10px;\n  position: absolute;\n  top: 18px;\n"], ["\n  background-color: ", ";\n  filter: ", ";\n  height: 10px;\n  position: absolute;\n  top: 18px;\n"])), function (_a) {
    var theme = _a.theme;
    return theme.colors.primary;
}, function (_a) {
    var disabled = _a.disabled;
    return (disabled ? "grayscale(100%)" : "none");
});
var templateObject_1$l, templateObject_2$a, templateObject_3$7, templateObject_4$3, templateObject_5$2, templateObject_6;

// We need to adjust the offset as the percentage increases, as 100% really is 100% - label width.
// The number 10 is arbitrary, but seems to work...
var LABEL_OFFSET = 10;
var Slider = function (_a) {
    var name = _a.name, min = _a.min, max = _a.max, value = _a.value, onValueChanged = _a.onValueChanged, valueLabel = _a.valueLabel, _b = _a.step, step = _b === void 0 ? "any" : _b, _c = _a.disabled, disabled = _c === void 0 ? false : _c, props = __rest(_a, ["name", "min", "max", "value", "onValueChanged", "valueLabel", "step", "disabled"]);
    var handleChange = function (_a) {
        var target = _a.target;
        onValueChanged(parseFloat(target.value));
    };
    var progressPercentage = (value / max) * 100;
    var isMax = value === max;
    var progressWidth = isMax ? "calc(100% - 16px)" : progressPercentage + "%";
    var labelOffset = progressPercentage - progressPercentage / LABEL_OFFSET;
    return (React__default['default'].createElement(Box, __assign({ position: "relative", height: "48px" }, props),
        React__default['default'].createElement(BunnyButt, { disabled: disabled }),
        React__default['default'].createElement(BunnySlider, null,
            React__default['default'].createElement(BarBackground, { disabled: disabled }),
            React__default['default'].createElement(BarProgress, { style: { width: progressWidth }, disabled: disabled }),
            React__default['default'].createElement(StyledInput, { name: name, type: "range", min: min, max: max, value: value, step: step, onChange: handleChange, isMax: isMax, disabled: disabled })),
        valueLabel && React__default['default'].createElement(SliderLabel, { progress: labelOffset }, valueLabel)));
};

var Icon$p = function (props) {
    return (React__default['default'].createElement(Svg, __assign({ xmlns: "http://www.w3.org/2000/svg", viewBox: "0 0 16.49 23.33" }, props),
        React__default['default'].createElement("path", { fill: "#936b2c", "fill-rule": "evenodd", d: "M19.48,17.41c-.21.48-.44.94-.68,1.38a5.86,5.86,0,0,1-5.63,1.94l-.12-.06a6.18,6.18,0,0,0,5.85-2.6c.21-.22.4-.44.58-.66Zm-9,5.88C6.2,21.88,3.63,15.89,4.76,9.75S10.3-.38,14.67.71L14.46.64c-4.45-1.27-9,2.75-10.12,9s1.52,12.33,6,13.6Z", transform: "translate(-4.07 -0.41)" }),
        React__default['default'].createElement("path", { fill: "#e10714", "fill-rule": "evenodd", d: "M20.56,17.25s0,.08,0,.13c-1.81,4.54-5.58,7.18-9.3,6.12-4.44-1.28-7.11-7.37-6-13.61S10.93-.37,15.37.9a6.47,6.47,0,0,1,1.25.52l-.35-.06c-3.55-.5-7,2.83-7.92,7.83-1,5.33,1.29,10.53,5.09,11.62C16.13,21.58,18.85,20.08,20.56,17.25Z", transform: "translate(-4.07 -0.41)" })));
};

var rotate = styled.keyframes(templateObject_1$k || (templateObject_1$k = __makeTemplateObject(["\n  from {\n    transform: rotate(0deg);\n  }\n  to {\n    transform: rotate(360deg);\n  }\n"], ["\n  from {\n    transform: rotate(0deg);\n  }\n  to {\n    transform: rotate(360deg);\n  }\n"])));
styled.keyframes(templateObject_2$9 || (templateObject_2$9 = __makeTemplateObject(["\n\t0% {\n\t\ttransform: translatey(0px);\n\t}\n\t50% {\n\t\ttransform: translatey(10px);\n\t}\n\t100% {\n\t\ttransform: translatey(0px);\n\t}\n"], ["\n\t0% {\n\t\ttransform: translatey(0px);\n\t}\n\t50% {\n\t\ttransform: translatey(10px);\n\t}\n\t100% {\n\t\ttransform: translatey(0px);\n\t}\n"])));
var Container$3 = styled__default['default'].div(templateObject_3$6 || (templateObject_3$6 = __makeTemplateObject(["\n  position: relative;\n"], ["\n  position: relative;\n"])));
var RotatingLokumIcon = styled__default['default'](Icon$p)(templateObject_4$2 || (templateObject_4$2 = __makeTemplateObject(["\n  position: absolute;\n  top: 0;\n  left: 0;\n  animation: ", " 2s linear infinite;\n  transform: translate3d(0, 0, 0);\n"], ["\n  position: absolute;\n  top: 0;\n  left: 0;\n  animation: ", " 2s linear infinite;\n  transform: translate3d(0, 0, 0);\n"])), rotate);
var Spinner = function (_a) {
    var _b = _a.size, size = _b === void 0 ? 128 : _b;
    return (React__default['default'].createElement(Container$3, null,
        React__default['default'].createElement(RotatingLokumIcon, { width: size * 0.5 + "px" })));
};
var templateObject_1$k, templateObject_2$9, templateObject_3$6, templateObject_4$2;

var animation = {
    WAVES: "waves",
    PULSE: "pulse",
};
var variant = {
    RECT: "rect",
    CIRCLE: "circle",
};

var waves = styled.keyframes(templateObject_1$j || (templateObject_1$j = __makeTemplateObject(["\n   from {\n        left: -150px;\n    }\n    to   {\n        left: 100%;\n    }\n"], ["\n   from {\n        left: -150px;\n    }\n    to   {\n        left: 100%;\n    }\n"])));
var pulse = styled.keyframes(templateObject_2$8 || (templateObject_2$8 = __makeTemplateObject(["\n  0% {\n    opacity: 1;\n  }\n  50% {\n    opacity: 0.4;\n  }\n  100% {\n    opacity: 1;\n  }\n"], ["\n  0% {\n    opacity: 1;\n  }\n  50% {\n    opacity: 0.4;\n  }\n  100% {\n    opacity: 1;\n  }\n"])));
var Root = styled__default['default'].div(templateObject_3$5 || (templateObject_3$5 = __makeTemplateObject(["\n  min-height: 20px;\n  display: block;\n  background-color: ", ";\n  border-radius: ", ";\n\n  ", "\n  ", "\n"], ["\n  min-height: 20px;\n  display: block;\n  background-color: ", ";\n  border-radius: ", ";\n\n  ", "\n  ", "\n"])), function (_a) {
    var theme = _a.theme;
    return theme.colors.backgroundDisabled;
}, function (_a) {
    var variant$1 = _a.variant, theme = _a.theme;
    return (variant$1 === variant.CIRCLE ? theme.radii.circle : theme.radii.small);
}, styledSystem.layout, styledSystem.space);
var Pulse = styled__default['default'](Root)(templateObject_4$1 || (templateObject_4$1 = __makeTemplateObject(["\n  animation: ", " 2s infinite ease-out;\n  transform: translate3d(0, 0, 0);\n"], ["\n  animation: ", " 2s infinite ease-out;\n  transform: translate3d(0, 0, 0);\n"])), pulse);
var Waves = styled__default['default'](Root)(templateObject_5$1 || (templateObject_5$1 = __makeTemplateObject(["\n  position: relative;\n  overflow: hidden;\n  transform: translate3d(0, 0, 0);\n  &:before {\n    content: \"\";\n    position: absolute;\n    background-image: linear-gradient(90deg, transparent, rgba(243, 243, 243, 0.5), transparent);\n    top: 0;\n    left: -150px;\n    height: 100%;\n    width: 150px;\n    animation: ", " 2s cubic-bezier(0.4, 0, 0.2, 1) infinite;\n  }\n"], ["\n  position: relative;\n  overflow: hidden;\n  transform: translate3d(0, 0, 0);\n  &:before {\n    content: \"\";\n    position: absolute;\n    background-image: linear-gradient(90deg, transparent, rgba(243, 243, 243, 0.5), transparent);\n    top: 0;\n    left: -150px;\n    height: 100%;\n    width: 150px;\n    animation: ", " 2s cubic-bezier(0.4, 0, 0.2, 1) infinite;\n  }\n"])), waves);
var Skeleton = function (_a) {
    var _b = _a.variant, variant$1 = _b === void 0 ? variant.RECT : _b, _c = _a.animation, animation$1 = _c === void 0 ? animation.PULSE : _c, props = __rest(_a, ["variant", "animation"]);
    if (animation$1 === animation.WAVES) {
        return React__default['default'].createElement(Waves, __assign({ variant: variant$1 }, props));
    }
    return React__default['default'].createElement(Pulse, __assign({ variant: variant$1 }, props));
};
var templateObject_1$j, templateObject_2$8, templateObject_3$5, templateObject_4$1, templateObject_5$1;

var scaleKeyValues = {
    sm: {
        handleHeight: "16px",
        handleWidth: "16px",
        handleLeft: "2px",
        handleTop: "2px",
        checkedLeft: "calc(100% - 18px)",
        toggleHeight: "20px",
        toggleWidth: "36px",
    },
    md: {
        handleHeight: "32px",
        handleWidth: "32px",
        handleLeft: "4px",
        handleTop: "4px",
        checkedLeft: "calc(100% - 36px)",
        toggleHeight: "40px",
        toggleWidth: "72px",
    },
};
var getScale = function (property) { return function (_a) {
    var _b = _a.scale, scale = _b === void 0 ? scales$3.MD : _b;
    return scaleKeyValues[scale][property];
}; };
var Handle = styled__default['default'].div(templateObject_1$i || (templateObject_1$i = __makeTemplateObject(["\n  background-color: ", ";\n  border-radius: 50%;\n  cursor: pointer;\n  height: ", ";\n  left: ", ";\n  position: absolute;\n  top: ", ";\n  transition: left 200ms ease-in;\n  width: ", ";\n  z-index: 1;\n"], ["\n  background-color: ", ";\n  border-radius: 50%;\n  cursor: pointer;\n  height: ", ";\n  left: ", ";\n  position: absolute;\n  top: ", ";\n  transition: left 200ms ease-in;\n  width: ", ";\n  z-index: 1;\n"])), function (_a) {
    var theme = _a.theme;
    return theme.toggle.handleBackground;
}, getScale("handleHeight"), getScale("handleLeft"), getScale("handleTop"), getScale("handleWidth"));
var Input = styled__default['default'].input(templateObject_2$7 || (templateObject_2$7 = __makeTemplateObject(["\n  cursor: pointer;\n  opacity: 0;\n  height: 100%;\n  position: absolute;\n  width: 100%;\n  z-index: 3;\n\n  &:checked + ", " {\n    left: ", ";\n  }\n\n  &:focus + ", " {\n    box-shadow: ", ";\n  }\n\n  &:hover + ", ":not(:disabled):not(:checked) {\n    box-shadow: ", ";\n  }\n"], ["\n  cursor: pointer;\n  opacity: 0;\n  height: 100%;\n  position: absolute;\n  width: 100%;\n  z-index: 3;\n\n  &:checked + ", " {\n    left: ", ";\n  }\n\n  &:focus + ", " {\n    box-shadow: ", ";\n  }\n\n  &:hover + ", ":not(:disabled):not(:checked) {\n    box-shadow: ", ";\n  }\n"])), Handle, getScale("checkedLeft"), Handle, function (_a) {
    var theme = _a.theme;
    return theme.shadows.focus;
}, Handle, function (_a) {
    var theme = _a.theme;
    return theme.shadows.focus;
});
var StyledToggle = styled__default['default'].div(templateObject_3$4 || (templateObject_3$4 = __makeTemplateObject(["\n  align-items: center;\n  background-color: ", ";\n  border-radius: 24px;\n  box-shadow: ", ";\n  cursor: pointer;\n  display: inline-flex;\n  height: ", ";\n  position: relative;\n  transition: background-color 200ms;\n  width: ", ";\n"], ["\n  align-items: center;\n  background-color: ", ";\n  border-radius: 24px;\n  box-shadow: ", ";\n  cursor: pointer;\n  display: inline-flex;\n  height: ", ";\n  position: relative;\n  transition: background-color 200ms;\n  width: ", ";\n"])), function (_a) {
    var theme = _a.theme, checked = _a.checked;
    return theme.colors[checked ? "success" : "input"];
}, function (_a) {
    var theme = _a.theme;
    return theme.shadows.inset;
}, getScale("toggleHeight"), getScale("toggleWidth"));
var templateObject_1$i, templateObject_2$7, templateObject_3$4;

var scales = {
    SM: "sm",
    MD: "md",
};

var Toggle = function (_a) {
    var checked = _a.checked, _b = _a.scale, scale = _b === void 0 ? scales.MD : _b, props = __rest(_a, ["checked", "scale"]);
    var isChecked = !!checked;
    return (React__default['default'].createElement(StyledToggle, { checked: isChecked, scale: scale },
        React__default['default'].createElement(Input, __assign({ checked: checked, scale: scale }, props, { type: "checkbox" })),
        React__default['default'].createElement(Handle, { scale: scale })));
};
Toggle.defaultProps = {
    scale: scales.MD,
};

var byTextAscending = function (getTextProperty) { return function (objectA, objectB) {
    var upperA = getTextProperty(objectA).toUpperCase();
    var upperB = getTextProperty(objectB).toUpperCase();
    if (upperA < upperB) {
        return -1;
    }
    if (upperA > upperB) {
        return 1;
    }
    return 0;
}; };
var byTextDescending = function (getTextProperty) { return function (objectA, objectB) {
    var upperA = getTextProperty(objectA).toUpperCase();
    var upperB = getTextProperty(objectB).toUpperCase();
    if (upperA > upperB) {
        return -1;
    }
    if (upperA < upperB) {
        return 1;
    }
    return 0;
}; };

var sortByColumn = function (data, sortColumn, columns) {
    var isAscending = null;
    var sortedRows = __spreadArray([], data);
    columns.forEach(function (column) {
        // if the row was found
        if (sortColumn === column.name) {
            isAscending = column.sorted.asc;
            if (column.sort) {
                sortedRows = isAscending ? data.sort(column.sort) : data.sort(column.sort).reverse();
                // default to sort by string
            }
            else {
                sortedRows = isAscending
                    ? data.sort(byTextAscending(function (object) { return object.original[sortColumn]; }))
                    : data.sort(byTextDescending(function (object) { return object.original[sortColumn]; }));
            }
        }
    });
    return sortedRows;
};
var getPaginatedData = function (rows, perPage, page) {
    var start = (page - 1) * perPage;
    var end = start + perPage;
    return rows.slice(start, end);
};
var getColumnsByName = function (columns) {
    var columnsByName = {};
    columns.forEach(function (column) {
        var col = {
            name: column.name,
            label: column.label,
        };
        if (column.render) {
            col.render = column.render;
        }
        col.hidden = column.hidden;
        columnsByName[column.name] = col;
    });
    return columnsByName;
};
var createReducer = function () { return function (state, action) {
    var rows = [];
    var nextPage = 0;
    var prevPage = 0;
    var isAscending = null;
    var sortedRows = [];
    var columnCopy = [];
    var filteredRows = [];
    var selectedRowsById = {};
    var stateCopy = __assign({}, state);
    var rowIds = {};
    switch (action.type) {
        case "SET_ROWS":
            rows = __spreadArray([], action.data);
            // preserve sorting if a sort is already enabled when data changes
            if (state.sortColumn) {
                rows = sortByColumn(action.data, state.sortColumn, state.columns);
            }
            if (state.paginationEnabled === true) {
                rows = getPaginatedData(rows, state.pagination.perPage, state.pagination.page);
            }
            if (state.paginationEnabled === true) {
                rows = getPaginatedData(rows, state.pagination.perPage, state.pagination.page);
            }
            columnCopy = state.columns.map(function (column) {
                if (state.sortColumn === column.name) {
                    return __assign(__assign({}, column), { sorted: {
                            on: true,
                            asc: column.sorted.asc,
                        } });
                }
                return column;
            });
            return __assign(__assign({}, state), { rows: rows, originalRows: action.data, columns: columnCopy });
        case "NEXT_PAGE":
            nextPage = state.pagination.page + 1;
            return __assign(__assign({}, state), { rows: getPaginatedData(state.originalRows, state.pagination.perPage, nextPage), pagination: __assign(__assign({}, state.pagination), { page: nextPage, canNext: nextPage * state.pagination.perPage < state.originalRows.length, canPrev: nextPage !== 1 }) });
        case "PREV_PAGE":
            prevPage = state.pagination.page === 1 ? 1 : state.pagination.page - 1;
            return __assign(__assign({}, state), { rows: getPaginatedData(state.originalRows, state.pagination.perPage, prevPage), pagination: __assign(__assign({}, state.pagination), { page: prevPage, canNext: prevPage * state.pagination.perPage < state.originalRows.length, canPrev: prevPage !== 1 }) });
        case "TOGGLE_SORT":
            if (!(action.columnName in state.columnsByName)) {
                throw new Error("Invalid column, " + action.columnName + " not found");
            }
            // loop through all columns and set the sort parameter to off unless
            // it's the specified column (only one column at a time for )
            columnCopy = state.columns.map(function (column) {
                // if the row was found
                if (action.columnName === column.name) {
                    if (action.isAscOverride !== undefined) {
                        // force the sort order
                        isAscending = action.isAscOverride;
                    }
                    else {
                        // if it's undefined, start by setting to ascending, otherwise toggle
                        isAscending = column.sorted.asc === undefined ? true : !column.sorted.asc;
                    }
                    if (column.sort) {
                        sortedRows = isAscending ? state.rows.sort(column.sort) : state.rows.sort(column.sort).reverse();
                        // default to sort by string
                    }
                    else {
                        sortedRows = isAscending
                            ? state.rows.sort(byTextAscending(function (object) { return object.original[action.columnName]; }))
                            : state.rows.sort(byTextDescending(function (object) { return object.original[action.columnName]; }));
                    }
                    return __assign(__assign({}, column), { sorted: {
                            on: true,
                            asc: isAscending,
                        } });
                }
                // set sorting to false for all other columns
                return __assign(__assign({}, column), { sorted: {
                        on: false,
                        asc: false,
                    } });
            });
            return __assign(__assign({}, state), { columns: columnCopy, rows: sortedRows, sortColumn: action.columnName, columnsByName: getColumnsByName(columnCopy) });
        case "GLOBAL_FILTER":
            filteredRows = action.filter(state.originalRows);
            selectedRowsById = {};
            state.selectedRows.forEach(function (row) {
                var _a;
                selectedRowsById[row.id] = (_a = row.selected) !== null && _a !== void 0 ? _a : false;
            });
            return __assign(__assign({}, state), { rows: filteredRows.map(function (row) {
                    return selectedRowsById[row.id] ? __assign(__assign({}, row), { selected: selectedRowsById[row.id] }) : __assign({}, row);
                }), filterOn: true });
        case "SELECT_ROW":
            stateCopy = __assign({}, state);
            stateCopy.rows = stateCopy.rows.map(function (row) {
                var newRow = __assign({}, row);
                if (newRow.id === action.rowId) {
                    newRow.selected = !newRow.selected;
                }
                return newRow;
            });
            stateCopy.originalRows = stateCopy.originalRows.map(function (row) {
                var newRow = __assign({}, row);
                if (newRow.id === action.rowId) {
                    newRow.selected = !newRow.selected;
                }
                return newRow;
            });
            stateCopy.selectedRows = stateCopy.originalRows.filter(function (row) { return row.selected === true; });
            stateCopy.toggleAllState =
                stateCopy.selectedRows.length === stateCopy.rows.length
                    ? (stateCopy.toggleAllState = true)
                    : (stateCopy.toggleAllState = false);
            return stateCopy;
        case "SEARCH_STRING":
            stateCopy = __assign({}, state);
            stateCopy.rows = stateCopy.originalRows.filter(function (row) {
                return (row.cells.filter(function (cell) {
                    if (cell.value.includes(action.searchString)) {
                        return true;
                    }
                    return false;
                }).length > 0);
            });
            return stateCopy;
        case "TOGGLE_ALL":
            if (state.selectedRows.length < state.rows.length) {
                stateCopy.rows = stateCopy.rows.map(function (row) {
                    rowIds[row.id] = true;
                    return __assign(__assign({}, row), { selected: true });
                });
                stateCopy.toggleAllState = true;
            }
            else {
                stateCopy.rows = stateCopy.rows.map(function (row) {
                    rowIds[row.id] = false;
                    return __assign(__assign({}, row), { selected: false });
                });
                stateCopy.toggleAllState = false;
            }
            stateCopy.originalRows = stateCopy.originalRows.map(function (row) {
                return row.id in rowIds ? __assign(__assign({}, row), { selected: rowIds[row.id] }) : __assign({}, row);
            });
            stateCopy.selectedRows = stateCopy.originalRows.filter(function (row) { return row.selected; });
            return stateCopy;
        default:
            throw new Error("Invalid reducer action");
    }
}; };
var sortDataInOrder = function (data, columns) {
    // eslint-disable-next-line @typescript-eslint/no-explicit-any
    return data.map(function (row) {
        // eslint-disable-next-line @typescript-eslint/no-explicit-any
        var newRow = {};
        columns.forEach(function (column) {
            if (!(column.name in row)) {
                throw new Error("Invalid row data, " + column.name + " not found");
            }
            newRow[column.name] = row[column.name];
        });
        return newRow;
    });
};
var makeRender = function (
// eslint-disable-next-line
value, 
// eslint-disable-next-line @typescript-eslint/no-explicit-any
render, row) {
    return render ? function () { return render({ row: row, value: value }); } : function () { return value; };
};
var makeHeaderRender = function (label, render) {
    return render ? function () { return render({ label: label }); } : function () { return label; };
};
var useTable = function (columns, data, options) {
    var columnsWithSorting = React.useMemo(function () {
        return columns.map(function (column) {
            return __assign(__assign({}, column), { label: column.label ? column.label : column.name, hidden: column.hidden ? column.hidden : false, sort: column.sort, sorted: {
                    on: false,
                    asc: false,
                } });
        });
    }, [columns]);
    var columnsByName = React.useMemo(function () { return getColumnsByName(columnsWithSorting); }, [columnsWithSorting]);
    var tableData = React.useMemo(function () {
        var sortedData = sortDataInOrder(data, columnsWithSorting);
        var newData = sortedData.map(function (row, idx) {
            return {
                id: idx,
                selected: false,
                hidden: false,
                original: row,
                cells: Object.entries(row)
                    .map(function (_a) {
                    var column = _a[0], value = _a[1];
                    return {
                        hidden: columnsByName[column].hidden,
                        field: column,
                        value: value,
                        render: makeRender(value, columnsByName[column].render, row),
                    };
                })
                    .filter(function (cell) { return !cell.hidden; }),
            };
        });
        return newData;
    }, [data, columnsWithSorting, columnsByName]);
    var reducer = createReducer();
    var _a = React.useReducer(reducer, {
        columns: columnsWithSorting,
        columnsByName: columnsByName,
        originalRows: tableData,
        rows: tableData,
        selectedRows: [],
        toggleAllState: false,
        filterOn: !!(options === null || options === void 0 ? void 0 : options.filter),
        sortColumn: options === null || options === void 0 ? void 0 : options.sortColumn,
        paginationEnabled: !!(options === null || options === void 0 ? void 0 : options.pagination),
        pagination: {
            page: 1,
            perPage: 10,
            canNext: true,
            canPrev: false,
            // eslint-disable-next-line @typescript-eslint/no-empty-function
            nextPage: noop__default['default'],
            // eslint-disable-next-line @typescript-eslint/no-empty-function
            prevPage: noop__default['default'],
        },
    }), state = _a[0], dispatch = _a[1];
    state.pagination.nextPage = React.useCallback(function () {
        dispatch({ type: "NEXT_PAGE" });
    }, [dispatch]);
    state.pagination.prevPage = React.useCallback(function () { return dispatch({ type: "PREV_PAGE" }); }, [dispatch]);
    React.useEffect(function () {
        dispatch({ type: "SET_ROWS", data: tableData });
    }, [tableData]);
    var headers = React.useMemo(function () {
        return __spreadArray([], state.columns.map(function (column) {
            var label = column.label ? column.label : column.name;
            return __assign(__assign({}, column), { render: makeHeaderRender(label, column.headerRender) });
        }));
    }, [state.columns]);
    React.useEffect(function () {
        if (options && options.filter) {
            dispatch({ type: "GLOBAL_FILTER", filter: options.filter });
        }
    });
    return {
        headers: headers.filter(function (column) { return !column.hidden; }),
        rows: state.rows,
        originalRows: state.originalRows,
        selectedRows: state.selectedRows,
        dispatch: dispatch,
        selectRow: function (rowId) { return dispatch({ type: "SELECT_ROW", rowId: rowId }); },
        toggleAll: function () { return dispatch({ type: "TOGGLE_ALL" }); },
        toggleSort: function (columnName, isAscOverride) {
            return dispatch({ type: "TOGGLE_SORT", columnName: columnName, isAscOverride: isAscOverride });
        },
        setSearchString: function (searchString) { return dispatch({ type: "SEARCH_STRING", searchString: searchString }); },
        pagination: state.pagination,
        toggleAllState: state.toggleAllState,
    };
};

var breakpointMap = {
    xs: 370,
    sm: 576,
    md: 852,
    lg: 968,
    xl: 1080,
};
var breakpoints = Object.values(breakpointMap).map(function (breakpoint) { return breakpoint + "px"; });
var mediaQueries$1 = {
    xs: "@media screen and (min-width: " + breakpointMap.xs + "px)",
    sm: "@media screen and (min-width: " + breakpointMap.sm + "px)",
    md: "@media screen and (min-width: " + breakpointMap.md + "px)",
    lg: "@media screen and (min-width: " + breakpointMap.lg + "px)",
    xl: "@media screen and (min-width: " + breakpointMap.xl + "px)",
    nav: "@media screen and (min-width: " + breakpointMap.lg + "px)",
};
var shadows = {
    level1: "0px 2px 12px -8px rgba(25, 19, 38, 0.1), 0px 1px 1px rgba(25, 19, 38, 0.05)",
    active: "0px 0px 0px 1px #0098A1, 0px 0px 4px 8px rgba(31, 199, 212, 0.4)",
    success: "0px 0px 0px 1px #5c0202, 0px 0px 0px 4px rgba(49, 208, 170, 0.2)",
    warning: "0px 0px 0px 1px #ed4b4b, 0px 0px 0px 4px rgba(237, 75, 158, 0.2)",
    focus: "0px 0px 0px 1px #e06363, 0px 0px 0px 4px rgba(118, 69, 217, 0.6)",
    inset: "inset 0px 2px 2px -1px rgba(74, 74, 104, 0.1)",
};
var spacing = [0, 4, 8, 16, 24, 32, 48, 64];
var radii = {
    small: "4px",
    default: "16px",
    card: "32px",
    circle: "50%",
};
var zIndices = {
    dropdown: 10,
    modal: 100,
};
var base = {
    siteWidth: 1200,
    breakpoints: breakpoints,
    mediaQueries: mediaQueries$1,
    spacing: spacing,
    shadows: shadows,
    radii: radii,
    zIndices: zIndices,
};

/**
 * Can't use the media queries from "base.mediaQueries" because of how matchMedia works
 * In order for the listener to trigger we need have have the media query with a range, e.g.
 * (min-width: 370px) and (max-width: 576px)
 * @see https://developer.mozilla.org/en-US/docs/Web/API/MediaQueryList
 */
var mediaQueries = (function () {
    var prevMinWidth = 0;
    return Object.keys(breakpointMap).reduce(function (accum, size, index) {
        var _a, _b;
        // Largest size is just a min-width of second highest max-width
        if (index === Object.keys(breakpointMap).length - 1) {
            return __assign(__assign({}, accum), (_a = {}, _a[size] = "(min-width: " + prevMinWidth + "px)", _a));
        }
        var minWidth = prevMinWidth;
        var breakpoint = breakpointMap[size];
        // Min width for next iteration
        prevMinWidth = breakpoint + 1;
        return __assign(__assign({}, accum), (_b = {}, _b[size] = "(min-width: " + minWidth + "px) and (max-width: " + breakpoint + "px)", _b));
    }, {});
})();
var getKey = function (size) { return "is" + size.charAt(0).toUpperCase() + size.slice(1); };
var useMatchBreakpoints = function () {
    var _a = React.useState(function () {
        return Object.keys(mediaQueries).reduce(function (accum, size) {
            var _a;
            var key = getKey(size);
            var mql = window.matchMedia(mediaQueries[size]);
            return __assign(__assign({}, accum), (_a = {}, _a[key] = mql.matches, _a));
        }, {});
    }), state = _a[0], setState = _a[1];
    React.useEffect(function () {
        // Create listeners for each media query returning a function to unsubscribe
        var handlers = Object.keys(mediaQueries).map(function (size) {
            var mql = window.matchMedia(mediaQueries[size]);
            var handler = function (matchMediaQuery) {
                var key = getKey(size);
                setState(function (prevState) {
                    var _a;
                    return (__assign(__assign({}, prevState), (_a = {}, _a[key] = matchMediaQuery.matches, _a)));
                });
            };
            // Safari < 14 fix
            if (mql.addEventListener) {
                mql.addEventListener("change", handler);
            }
            return function () {
                // Safari < 14 fix
                if (mql.removeEventListener) {
                    mql.removeEventListener("change", handler);
                }
            };
        });
        return function () {
            handlers.forEach(function (unsubscribe) {
                unsubscribe();
            });
        };
    }, [setState]);
    return state;
};

var defaultParticleOptions = {
    size: 30,
    distance: 500,
};
var createParticle = function (x, y, imgSrc, options) {
    if (options === void 0) { options = {}; }
    var _a = __assign(__assign({}, defaultParticleOptions), options), size = _a.size, distance = _a.distance;
    var particle = document.createElement("particle");
    document.body.appendChild(particle);
    var width = Math.floor(Math.random() * size + 8);
    var height = width;
    var destinationX = (Math.random() - 0.5) * distance;
    var destinationY = (Math.random() - 0.5) * distance;
    var rotation = Math.random() * 520;
    var delay = Math.random() * 200;
    particle.style.backgroundRepeat = "no-repeat";
    particle.style.backgroundSize = "contain";
    particle.style.backgroundImage = "url(" + imgSrc + ")";
    particle.style.left = "0";
    particle.style.top = "0";
    particle.style.opacity = "0";
    particle.style.pointerEvents = "none";
    particle.style.position = "fixed";
    particle.style.width = width + "px";
    particle.style.height = height + "px";
    var animation = particle.animate([
        {
            transform: "translate(-50%, -50%) translate(" + x + "px, " + y + "px) rotate(0deg)",
            opacity: 1,
        },
        {
            transform: "translate(-50%, -50%) translate(" + (x + destinationX) + "px, " + (y + destinationY) + "px) rotate(" + rotation + "deg)",
            opacity: 0,
        },
    ], {
        duration: Math.random() * 1000 + 5000,
        easing: "cubic-bezier(0, .9, .57, 1)",
        delay: delay,
    });
    animation.onfinish = function () {
        particle.remove();
    };
};
var defaultOptions = {
    numberOfParticles: 30,
    debounceDuration: 200,
    particleOptions: {},
};
/**
 * @see https://css-tricks.com/playing-with-particles-using-the-web-animations-api/
 */
var useParticleBurst = function (options) {
    var _a = __assign(__assign({}, defaultOptions), options), selector = _a.selector, numberOfParticles = _a.numberOfParticles, debounceDuration = _a.debounceDuration, imgSrc = _a.imgSrc, disableWhen = _a.disableWhen, particleOptions = _a.particleOptions;
    var makeListener = React.useCallback(function () {
        return debounce__default['default'](function (event) {
            var isDisabled = disableWhen && disableWhen();
            if (!isDisabled) {
                var node = event.currentTarget;
                if (event.clientX === 0 && event.clientY === 0) {
                    var _a = node.getBoundingClientRect(), left = _a.left, width = _a.width, top = _a.top, height = _a.height;
                    var x = left + width / 2;
                    var y = top + height / 2;
                    for (var i = 0; i < numberOfParticles; i += 1) {
                        createParticle(x, y, imgSrc, particleOptions);
                    }
                }
                else {
                    for (var i = 0; i < numberOfParticles; i += 1) {
                        createParticle(event.clientX, event.clientY + window.scrollY, imgSrc, particleOptions);
                    }
                }
            }
        }, debounceDuration, { leading: true });
    }, [debounceDuration, numberOfParticles, imgSrc, disableWhen, particleOptions]);
    var listener = makeListener();
    var initialize = React.useCallback(function () {
        if (selector) {
            document.querySelectorAll(selector).forEach(function (element) {
                element.addEventListener("click", listener);
            });
        }
        else {
            document.addEventListener("click", listener);
        }
    }, [selector, listener]);
    var teardown = React.useCallback(function () {
        if (selector) {
            document.querySelectorAll(selector).forEach(function (element) {
                element.removeEventListener("click", listener);
            });
        }
        else {
            document.removeEventListener("click", listener);
        }
    }, [selector, listener]);
    React.useEffect(function () {
        initialize();
        return function () { return teardown(); };
    }, [initialize, teardown]);
    return { initialize: initialize, teardown: teardown };
};

var useKonamiCheatCode = function (matchedCodeHandler) {
    React.useEffect(function () {
        var pattern = [
            "ArrowUp",
            "ArrowUp",
            "ArrowDown",
            "ArrowDown",
            "ArrowLeft",
            "ArrowRight",
            "ArrowLeft",
            "ArrowRight",
        ];
        var currentIndex = 0;
        var onKeyUpHandler = function (event) {
            var key = event.key;
            // is key in correct order otherwise reset
            if (key !== pattern[currentIndex]) {
                currentIndex = 0;
                return;
            }
            currentIndex += 1;
            if (pattern.length === currentIndex) {
                currentIndex = 0;
                matchedCodeHandler();
            }
        };
        document.addEventListener("keyup", onKeyUpHandler);
        return function () { return document.removeEventListener("keyup", onKeyUpHandler); };
    }, [matchedCodeHandler]);
};

var StyledModal = styled__default['default'].div(templateObject_1$h || (templateObject_1$h = __makeTemplateObject(["\n  background: ", ";\n  box-shadow: 0px 20px 36px -8px rgba(14, 14, 44, 0.1), 0px 1px 1px rgba(0, 0, 0, 0.05);\n  border: 1px solid ", ";\n  border-radius: 32px;\n  width: 100%;\n  z-index: ", ";\n  overflow-y: auto;\n  ", " {\n    width: auto;\n    min-width: ", ";\n    max-width: 100%;\n  }\n"], ["\n  background: ", ";\n  box-shadow: 0px 20px 36px -8px rgba(14, 14, 44, 0.1), 0px 1px 1px rgba(0, 0, 0, 0.05);\n  border: 1px solid ", ";\n  border-radius: 32px;\n  width: 100%;\n  z-index: ", ";\n  overflow-y: auto;\n  ", " {\n    width: auto;\n    min-width: ", ";\n    max-width: 100%;\n  }\n"])), function (_a) {
    var theme = _a.theme;
    return theme.modal.background;
}, function (_a) {
    var theme = _a.theme;
    return theme.colors.borderColor;
}, function (_a) {
    var theme = _a.theme;
    return theme.zIndices.modal;
}, function (_a) {
    var theme = _a.theme;
    return theme.mediaQueries.xs;
}, function (_a) {
    var minWidth = _a.minWidth;
    return minWidth;
});
var ModalHeader = styled__default['default'].div(templateObject_2$6 || (templateObject_2$6 = __makeTemplateObject(["\n  display: flex;\n  align-items: center;\n  border-bottom: 1px solid #e9eaeb;\n  align-items: center;\n  padding: 12px 24px;\n  background: ", ";\n"], ["\n  display: flex;\n  align-items: center;\n  border-bottom: 1px solid #e9eaeb;\n  align-items: center;\n  padding: 12px 24px;\n  background: ", ";\n"])), function (_a) {
    var background = _a.background;
    return background;
});
var ModalTitle = styled__default['default'](Flex)(templateObject_3$3 || (templateObject_3$3 = __makeTemplateObject(["\n  align-items: center;\n  flex: 1;\n"], ["\n  align-items: center;\n  flex: 1;\n"])));
var Modal = function (_a) {
    var title = _a.title, onDismiss = _a.onDismiss, onBack = _a.onBack, children = _a.children, _b = _a.hideCloseButton, hideCloseButton = _b === void 0 ? false : _b, _c = _a.bodyPadding, bodyPadding = _c === void 0 ? "24px" : _c, _d = _a.headerBackground, headerBackground = _d === void 0 ? "transparent" : _d, _e = _a.minWidth, minWidth = _e === void 0 ? "360px" : _e;
    return (React__default['default'].createElement(StyledModal, { minWidth: minWidth },
        React__default['default'].createElement(ModalHeader, { background: headerBackground },
            React__default['default'].createElement(ModalTitle, null,
                onBack && (React__default['default'].createElement(IconButton, { variant: "text", onClick: onBack, "area-label": "go back", mr: "8px" },
                    React__default['default'].createElement(Icon$1g, { color: "primary" }))),
                React__default['default'].createElement(Heading, null, title)),
            !hideCloseButton && (React__default['default'].createElement(IconButton, { variant: "text", onClick: onDismiss, "aria-label": "Close the dialog" },
                React__default['default'].createElement(Icon$_, { color: "primary" })))),
        React__default['default'].createElement(Flex, { flexDirection: "column", p: bodyPadding }, children)));
};
var templateObject_1$h, templateObject_2$6, templateObject_3$3;

var Overlay = styled__default['default'].div.attrs({ role: "presentation" })(templateObject_1$g || (templateObject_1$g = __makeTemplateObject(["\n  position: fixed;\n  top: 0px;\n  left: 0px;\n  width: 100%;\n  height: 100%;\n  background-color: #452a7a;\n  transition: opacity 0.4s;\n  opacity: ", ";\n  z-index: ", ";\n  pointer-events: ", ";\n"], ["\n  position: fixed;\n  top: 0px;\n  left: 0px;\n  width: 100%;\n  height: 100%;\n  background-color: #452a7a;\n  transition: opacity 0.4s;\n  opacity: ", ";\n  z-index: ", ";\n  pointer-events: ", ";\n"])), function (_a) {
    var show = _a.show;
    return (show ? 0.6 : 0);
}, function (_a) {
    var zIndex = _a.zIndex;
    return zIndex;
}, function (_a) {
    var show = _a.show;
    return (show ? "initial" : "none");
});
Overlay.defaultProps = {
    show: false,
    zIndex: 10,
};
var templateObject_1$g;

var ModalWrapper = styled__default['default'].div(templateObject_1$f || (templateObject_1$f = __makeTemplateObject(["\n  display: flex;\n  flex-direction: column;\n  justify-content: center;\n  align-items: center;\n  position: fixed;\n  top: 0;\n  right: 0;\n  bottom: 0;\n  left: 0;\n  z-index: ", ";\n"], ["\n  display: flex;\n  flex-direction: column;\n  justify-content: center;\n  align-items: center;\n  position: fixed;\n  top: 0;\n  right: 0;\n  bottom: 0;\n  left: 0;\n  z-index: ", ";\n"])), function (_a) {
    var theme = _a.theme;
    return theme.zIndices.modal - 1;
});
var Context = React.createContext({
    onPresent: function () { return null; },
    onDismiss: function () { return null; },
    setCloseOnOverlayClick: function () { return true; },
});
var ModalProvider = function (_a) {
    var children = _a.children;
    var _b = React.useState(false), isOpen = _b[0], setIsOpen = _b[1];
    var _c = React.useState(), modalNode = _c[0], setModalNode = _c[1];
    var _d = React.useState(true), closeOnOverlayClick = _d[0], setCloseOnOverlayClick = _d[1];
    var handlePresent = function (node) {
        setModalNode(node);
        setIsOpen(true);
    };
    var handleDismiss = function () {
        setModalNode(undefined);
        setIsOpen(false);
    };
    var handleOverlayDismiss = function () {
        if (closeOnOverlayClick) {
            handleDismiss();
        }
    };
    return (React__default['default'].createElement(Context.Provider, { value: {
            onPresent: handlePresent,
            onDismiss: handleDismiss,
            setCloseOnOverlayClick: setCloseOnOverlayClick,
        } },
        isOpen && (React__default['default'].createElement(ModalWrapper, null,
            React__default['default'].createElement(Overlay, { show: true, onClick: handleOverlayDismiss }),
            React__default['default'].isValidElement(modalNode) &&
                React__default['default'].cloneElement(modalNode, {
                    onDismiss: handleDismiss,
                }))),
        children));
};
var templateObject_1$f;

var useModal = function (modal, closeOnOverlayClick) {
    if (closeOnOverlayClick === void 0) { closeOnOverlayClick = true; }
    var _a = React.useContext(Context), onPresent = _a.onPresent, onDismiss = _a.onDismiss, setCloseOnOverlayClick = _a.setCloseOnOverlayClick;
    var onPresentCallback = React.useCallback(function () {
        onPresent(modal);
    }, [modal, onPresent]);
    React.useEffect(function () {
        setCloseOnOverlayClick(closeOnOverlayClick);
    }, [closeOnOverlayClick, setCloseOnOverlayClick]);
    return [onPresentCallback, onDismiss];
};

var Icon$o = function (_a) {
    _a.isDark; var props = __rest(_a, ["isDark"]);
    return (React__default['default'].createElement(Svg, __assign({ viewBox: "0 0 24 24" }, props),
        React__default['default'].createElement("path", { "fill-rule": "evenodd", d: "M8.36,17.69c.61-5.26,3.2-8.39,5.85-7s4.38,6.75,3.91,12.09l0-.26c.55-5.42-1.19-11-3.89-12.35S8.93,12,8.38,17.43C8.37,17.52,8.37,17.6,8.36,17.69Z", transform: "translate(-0.99 -1.71)" }),
        React__default['default'].createElement("path", { d: "M8.36,17.69A12.27,12.27,0,0,1,10.09,12a3.89,3.89,0,0,1,2.47-1.81,3.4,3.4,0,0,1,2.9,1.12,11.32,11.32,0,0,1,2.63,5.47,20.49,20.49,0,0,1,.4,6.05l-.74-.07a20.79,20.79,0,0,0-.22-6.1,11.5,11.5,0,0,0-2.43-5.47,2.81,2.81,0,0,0-2.53-1,3.77,3.77,0,0,0-2.28,1.74A13.65,13.65,0,0,0,8.36,17.69Zm0,0a13.19,13.19,0,0,1,1.62-6,4.18,4.18,0,0,1,2.49-2,3.35,3.35,0,0,1,3,1.09,8.56,8.56,0,0,1,1.74,2.7,16.2,16.2,0,0,1,.94,3,20.63,20.63,0,0,1,.29,6.32l-.74-.07a20.15,20.15,0,0,0-.32-5.85,11.3,11.3,0,0,0-2.38-5.22,2.87,2.87,0,0,0-2.42-1.05,3.57,3.57,0,0,0-2.25,1.56A12.66,12.66,0,0,0,8.36,17.69Z", transform: "translate(-0.99 -1.71)" }),
        React__default['default'].createElement("path", { "fill-rule": "evenodd", d: "M5.44,12.24c.79-6.89,4.19-11,7.66-9.18s5.74,8.85,5.12,15.84c0-.12,0-.23,0-.34C19,11.46,16.7,4.21,13.17,2.38s-7,2.43-7.7,9.53Z", transform: "translate(-0.99 -1.71)" }),
        React__default['default'].createElement("path", { d: "M5.44,12.24A16.1,16.1,0,0,1,7.75,4.79,5,5,0,0,1,11,2.45a4.37,4.37,0,0,1,3.71,1.46,10.8,10.8,0,0,1,2.19,3.34A19.48,19.48,0,0,1,18.08,11a26.81,26.81,0,0,1,.51,7.89l-.74-.08a26.65,26.65,0,0,0-.3-8,15.15,15.15,0,0,0-3.22-7.2A4.91,4.91,0,0,0,12.78,2.5a2.86,2.86,0,0,0-1.84-.23,3.62,3.62,0,0,0-1.71.84A7.43,7.43,0,0,0,7.92,4.59,17.76,17.76,0,0,0,5.44,12.24Zm0,0A17.29,17.29,0,0,1,7.61,4.39,7.13,7.13,0,0,1,9,2.79a3.94,3.94,0,0,1,1.88-1A3.38,3.38,0,0,1,13,2a5.53,5.53,0,0,1,1.76,1.21A11.08,11.08,0,0,1,17,6.73a21.22,21.22,0,0,1,1.23,4,26.79,26.79,0,0,1,.36,8.24l-.74-.08a26.06,26.06,0,0,0-.43-7.68A14.88,14.88,0,0,0,14.27,4.3,3.87,3.87,0,0,0,11,2.91,4.7,4.7,0,0,0,8,5,16.7,16.7,0,0,0,5.44,12.24Z", transform: "translate(-0.99 -1.71)" }),
        React__default['default'].createElement("path", { "fill-rule": "evenodd", d: "M1,15C1.27,8.14,2.48,4,3.71,5.84s2,8.85,1.82,15.84c0-.11,0-.23,0-.34C5.8,14.24,5,7,3.74,5.16S1.25,7.59,1,14.69C1,14.8,1,14.92,1,15Z", transform: "translate(-0.99 -1.71)" }),
        React__default['default'].createElement("path", { d: "M1,15A41.09,41.09,0,0,1,1.53,8.3,10.91,10.91,0,0,1,2,6.64a4.72,4.72,0,0,1,.35-.81,1.1,1.1,0,0,1,.79-.64A1,1,0,0,1,4,5.77a4.19,4.19,0,0,1,.4.79,10.84,10.84,0,0,1,.51,1.65,39.08,39.08,0,0,1,.91,6.71c.15,2.26.19,4.51.14,6.77l-.75,0c.09-2.34.1-4.69,0-7a49,49,0,0,0-.81-7A12.27,12.27,0,0,0,3.86,6a4.23,4.23,0,0,0-.36-.74C3.34,5,3.18,4.93,3.07,5a2.6,2.6,0,0,0-.78,1.34A15.33,15.33,0,0,0,1.85,8,51.23,51.23,0,0,0,1,15Zm0,0A44.28,44.28,0,0,1,1.48,8a15.09,15.09,0,0,1,.4-1.74,5.64,5.64,0,0,1,.33-.86,1.63,1.63,0,0,1,.66-.79.69.69,0,0,1,.64,0,1.6,1.6,0,0,1,.4.37,4.22,4.22,0,0,1,.44.84A11.86,11.86,0,0,1,4.9,7.52a43.33,43.33,0,0,1,.93,7.07C6,17,6,19.32,5.91,21.69l-.75,0c.08-2.24.07-4.47-.06-6.7a45.94,45.94,0,0,0-.79-6.64,10.55,10.55,0,0,0-.44-1.58A4,4,0,0,0,3.54,6c-.12-.22-.31-.39-.42-.38s-.32.19-.44.4a4.84,4.84,0,0,0-.34.73,13.85,13.85,0,0,0-.46,1.59A46.35,46.35,0,0,0,1,15Z", transform: "translate(-0.99 -1.71)" }),
        React__default['default'].createElement("path", { "fill-rule": "evenodd", d: "M23,14.69c-.26-7.1-1.48-11.37-2.74-9.53s-2.07,9.08-1.81,16.18c0,.11,0,.23,0,.34-.22-7,.59-14,1.82-15.84S22.73,8.14,23,15C23,14.92,23,14.8,23,14.69Z", transform: "translate(-0.99 -1.71)" }),
        React__default['default'].createElement("path", { d: "M23,14.69a44.94,44.94,0,0,0-.77-6.94,11.8,11.8,0,0,0-.47-1.67,4.2,4.2,0,0,0-.37-.77c-.14-.23-.35-.47-.56-.45s-.4.26-.52.49a5.34,5.34,0,0,0-.35.77,16.37,16.37,0,0,0-.43,1.67,48.44,48.44,0,0,0-.7,6.92c-.1,2.31-.1,4.64,0,7l-.75,0c0-2.26,0-4.51.15-6.76a42.14,42.14,0,0,1,1-6.7,11.83,11.83,0,0,1,.51-1.63,4.11,4.11,0,0,1,.4-.78.91.91,0,0,1,.76-.52c.38,0,.55.36.7.59a4.9,4.9,0,0,1,.33.79,13.6,13.6,0,0,1,.42,1.64A43.21,43.21,0,0,1,23,15h0Zm0,0V15h0a43.94,43.94,0,0,0-.77-6.68,11,11,0,0,0-.47-1.61A4.57,4.57,0,0,0,21.42,6c-.14-.22-.33-.46-.53-.46s-.4.21-.52.43a3.82,3.82,0,0,0-.34.74,12.62,12.62,0,0,0-.44,1.6A44.92,44.92,0,0,0,18.88,15c-.12,2.24-.12,4.48,0,6.71l-.75,0c-.08-2.34,0-4.68.1-7a44.32,44.32,0,0,1,1-7A16.44,16.44,0,0,1,19.67,6a5.08,5.08,0,0,1,.4-.81,1.07,1.07,0,0,1,.76-.59,1,1,0,0,1,.74.59,4.93,4.93,0,0,1,.35.82,16.87,16.87,0,0,1,.42,1.7A45.17,45.17,0,0,1,23,14.69Z", transform: "translate(-0.99 -1.71)" })));
};

var Icon$n = function (props) {
    return (React__default['default'].createElement(Svg, __assign({ viewBox: "0 0 24 24" }, props),
        React__default['default'].createElement("path", { d: "M12 12.75C13.63 12.75 15.07 13.14 16.24 13.65C17.32 14.13 18 15.21 18 16.38V17C18 17.55 17.55 18 17 18H7C6.45 18 6 17.55 6 17V16.39C6 15.21 6.68 14.13 7.76 13.66C8.93 13.14 10.37 12.75 12 12.75ZM4 13C5.1 13 6 12.1 6 11C6 9.9 5.1 9 4 9C2.9 9 2 9.9 2 11C2 12.1 2.9 13 4 13ZM5.13 14.1C4.76 14.04 4.39 14 4 14C3.01 14 2.07 14.21 1.22 14.58C0.48 14.9 0 15.62 0 16.43V17C0 17.55 0.45 18 1 18H4.5V16.39C4.5 15.56 4.73 14.78 5.13 14.1ZM20 13C21.1 13 22 12.1 22 11C22 9.9 21.1 9 20 9C18.9 9 18 9.9 18 11C18 12.1 18.9 13 20 13ZM24 16.43C24 15.62 23.52 14.9 22.78 14.58C21.93 14.21 20.99 14 20 14C19.61 14 19.24 14.04 18.87 14.1C19.27 14.78 19.5 15.56 19.5 16.39V18H23C23.55 18 24 17.55 24 17V16.43ZM12 6C13.66 6 15 7.34 15 9C15 10.66 13.66 12 12 12C10.34 12 9 10.66 9 9C9 7.34 10.34 6 12 6Z" })));
};

var Icon$m = function (props) {
    return (React__default['default'].createElement(Svg, __assign({ viewBox: "0 0 24 24" }, props),
        React__default['default'].createElement("path", { d: "M4 18H20C20.55 18 21 17.55 21 17C21 16.45 20.55 16 20 16H4C3.45 16 3 16.45 3 17C3 17.55 3.45 18 4 18ZM4 13H20C20.55 13 21 12.55 21 12C21 11.45 20.55 11 20 11H4C3.45 11 3 11.45 3 12C3 12.55 3.45 13 4 13ZM3 7C3 7.55 3.45 8 4 8H20C20.55 8 21 7.55 21 7C21 6.45 20.55 6 20 6H4C3.45 6 3 6.45 3 7Z" })));
};

var Icon$l = function (props) {
    return (React__default['default'].createElement(Svg, __assign({ viewBox: "0 0 24 24" }, props),
        React__default['default'].createElement("path", { d: "M4 18H15C15.55 18 16 17.55 16 17C16 16.45 15.55 16 15 16H4C3.45 16 3 16.45 3 17C3 17.55 3.45 18 4 18ZM4 13H12C12.55 13 13 12.55 13 12C13 11.45 12.55 11 12 11H4C3.45 11 3 11.45 3 12C3 12.55 3.45 13 4 13ZM3 7C3 7.55 3.45 8 4 8H15C15.55 8 16 7.55 16 7C16 6.45 15.55 6 15 6H4C3.45 6 3 6.45 3 7ZM20.3 14.88L17.42 12L20.3 9.12C20.69 8.73 20.69 8.1 20.3 7.71C19.91 7.32 19.28 7.32 18.89 7.71L15.3 11.3C14.91 11.69 14.91 12.32 15.3 12.71L18.89 16.3C19.28 16.69 19.91 16.69 20.3 16.3C20.68 15.91 20.69 15.27 20.3 14.88Z" })));
};

var Icon$k = function (props) {
    return (React__default['default'].createElement(Svg, __assign({ viewBox: "0 0 24 24" }, props),
        React__default['default'].createElement("path", { d: "M9.99998 19V14H14V19C14 19.55 14.45 20 15 20H18C18.55 20 19 19.55 19 19V12H20.7C21.16 12 21.38 11.43 21.03 11.13L12.67 3.59997C12.29 3.25997 11.71 3.25997 11.33 3.59997L2.96998 11.13C2.62998 11.43 2.83998 12 3.29998 12H4.99998V19C4.99998 19.55 5.44998 20 5.99998 20H8.99998C9.54998 20 9.99998 19.55 9.99998 19Z" })));
};

var Icon$j = function (props) {
    return (React__default['default'].createElement(Svg, __assign({ viewBox: "0 0 24 24" }, props),
        React__default['default'].createElement("path", { d: "M21.9 8.89L20.85 4.52C20.63 3.62 19.85 3 18.94 3H16.73H14.72H13H11H9.28001H7.26001H5.05001C4.15001 3 3.36001 3.63 3.15001 4.52L2.10001 8.89C1.86001 9.91 2.08001 10.95 2.72001 11.77C2.80001 11.88 2.91001 11.96 3.00001 12.06V19C3.00001 20.1 3.90001 21 5.00001 21H19C20.1 21 21 20.1 21 19V12.06C21.09 11.97 21.2 11.88 21.28 11.78C21.92 10.96 22.15 9.91 21.9 8.89ZM7.02001 5L6.44001 9.86C6.36001 10.51 5.84001 11 5.23001 11C4.74001 11 4.43001 10.71 4.30001 10.53C4.04001 10.2 3.95001 9.77 4.05001 9.36L5.05001 5H7.02001ZM18.91 4.99L19.96 9.36C20.06 9.78 19.97 10.2 19.71 10.53C19.57 10.71 19.27 11 18.77 11C18.16 11 17.63 10.51 17.56 9.86L16.98 5L18.91 4.99ZM15.51 9.52C15.56 9.91 15.44 10.3 15.18 10.59C14.95 10.85 14.63 11 14.22 11C13.55 11 13 10.41 13 9.69V5H14.96L15.51 9.52ZM11 9.69C11 10.41 10.45 11 9.71001 11C9.37001 11 9.06001 10.85 8.82001 10.59C8.57001 10.3 8.45001 9.91 8.49001 9.52L9.04001 5H11V9.69ZM18 19H6.00001C5.45001 19 5.00001 18.55 5.00001 18V12.97C5.08001 12.98 5.15001 13 5.23001 13C6.10001 13 6.89001 12.64 7.47001 12.05C8.07001 12.65 8.87001 13 9.78001 13C10.65 13 11.43 12.64 12.01 12.07C12.6 12.64 13.4 13 14.3 13C15.14 13 15.94 12.65 16.54 12.05C17.12 12.64 17.91 13 18.78 13C18.86 13 18.93 12.98 19.01 12.97V18C19 18.55 18.55 19 18 19Z" })));
};

var Icon$i = function (props) {
    return (React__default['default'].createElement(Svg, __assign({ viewBox: "0 0 24 24" }, props),
        React__default['default'].createElement("path", { "fill-rule": "nonzero", d: "M9 7.75c.414 0 .75.336.75.75v5c0 .414-.336.75-.75.75s-.75-.336-.75-.75v-5c0-.414.336-.75.75-.75zM9 6c.552 0 1-.448 1-1s-.448-1-1-1-1 .448-1 1 .448 1 1 1z", transform: "translate(3 3)" }),
        React__default['default'].createElement("path", { d: "M.25 9C.25 4.168 4.168.25 9 .25S17.75 4.168 17.75 9 13.832 17.75 9 17.75.25 13.832.25 9zM9 1.75C4.996 1.75 1.75 4.996 1.75 9S4.996 16.25 9 16.25s7.25-3.246 7.25-7.25S13.004 1.75 9 1.75z", transform: "translate(3 3)" })));
};

var Icon$h = function (props) {
    return (React__default['default'].createElement(Svg, __assign({ viewBox: "0 0 24 24" }, props),
        React__default['default'].createElement("path", { d: "M11.99 2C6.47 2 2 6.48 2 12C2 17.52 6.47 22 11.99 22C17.52 22 22 17.52 22 12C22 6.48 17.52 2 11.99 2ZM18.92 8H15.97C15.65 6.75 15.19 5.55 14.59 4.44C16.43 5.07 17.96 6.35 18.92 8ZM12 4.04C12.83 5.24 13.48 6.57 13.91 8H10.09C10.52 6.57 11.17 5.24 12 4.04ZM4.26 14C4.1 13.36 4 12.69 4 12C4 11.31 4.1 10.64 4.26 10H7.64C7.56 10.66 7.5 11.32 7.5 12C7.5 12.68 7.56 13.34 7.64 14H4.26ZM5.08 16H8.03C8.35 17.25 8.81 18.45 9.41 19.56C7.57 18.93 6.04 17.66 5.08 16ZM8.03 8H5.08C6.04 6.34 7.57 5.07 9.41 4.44C8.81 5.55 8.35 6.75 8.03 8ZM12 19.96C11.17 18.76 10.52 17.43 10.09 16H13.91C13.48 17.43 12.83 18.76 12 19.96ZM14.34 14H9.66C9.57 13.34 9.5 12.68 9.5 12C9.5 11.32 9.57 10.65 9.66 10H14.34C14.43 10.65 14.5 11.32 14.5 12C14.5 12.68 14.43 13.34 14.34 14ZM14.59 19.56C15.19 18.45 15.65 17.25 15.97 16H18.92C17.96 17.65 16.43 18.93 14.59 19.56ZM16.36 14C16.44 13.34 16.5 12.68 16.5 12C16.5 11.32 16.44 10.66 16.36 10H19.74C19.9 10.64 20 11.31 20 12C20 12.69 19.9 13.36 19.74 14H16.36Z" })));
};

var Logo$2 = function (_a) {
    _a.isDark; var props = __rest(_a, ["isDark"]);
    return (React__default['default'].createElement(Svg, __assign({ xmlns: "http://www.w3.org/2000/svg" }, props, { viewBox: "0 0 16.49 23.33" }),
        React__default['default'].createElement("path", { fill: "#936b2c", "fill-rule": "evenodd", d: "M19.48,17.41c-.21.48-.44.94-.68,1.38a5.86,5.86,0,0,1-5.63,1.94l-.12-.06a6.18,6.18,0,0,0,5.85-2.6c.21-.22.4-.44.58-.66Zm-9,5.88C6.2,21.88,3.63,15.89,4.76,9.75S10.3-.38,14.67.71L14.46.64c-4.45-1.27-9,2.75-10.12,9s1.52,12.33,6,13.6Z", transform: "translate(-4.07 -0.41)" }),
        React__default['default'].createElement("path", { fill: "#e10714", "fill-rule": "evenodd", d: "M20.56,17.25s0,.08,0,.13c-1.81,4.54-5.58,7.18-9.3,6.12-4.44-1.28-7.11-7.37-6-13.61S10.93-.37,15.37.9a6.47,6.47,0,0,1,1.25.52l-.35-.06c-3.55-.5-7,2.83-7.92,7.83-1,5.33,1.29,10.53,5.09,11.62C16.13,21.58,18.85,20.08,20.56,17.25Z", transform: "translate(-4.07 -0.41)" }))
    // <Svg viewBox="0 0 160 26" {...props}>
    //   <path
    //     d="M30.8524 19.7569C30.4803 19.7569 30.2173 19.6799 30.0633 19.5259C29.9221 19.372 29.8516 19.1282 29.8516 18.7946V7.65066C29.8516 7.31705 29.9285 7.07326 30.0825 6.91928C30.2365 6.75248 30.4931 6.66907 30.8524 6.66907H35.5679C37.3642 6.66907 38.6858 7.04759 39.5327 7.80463C40.3796 8.56167 40.803 9.69082 40.803 11.1921C40.803 12.6805 40.3796 13.8032 39.5327 14.5603C38.6987 15.3045 37.3771 15.6766 35.5679 15.6766H33.7394V18.7946C33.7394 19.1282 33.6624 19.372 33.5085 19.5259C33.3545 19.6799 33.0914 19.7569 32.7193 19.7569H30.8524ZM35.2599 12.8858C35.786 12.8858 36.1902 12.7446 36.4725 12.4624C36.7676 12.1801 36.9151 11.7566 36.9151 11.1921C36.9151 10.6147 36.7676 10.1848 36.4725 9.90253C36.1902 9.62025 35.786 9.47911 35.2599 9.47911H33.7394V12.8858H35.2599Z"
    //     fill={textColor}
    //   />
    //   <path
    //     d="M45.3484 20.0456C44.1423 20.0456 43.1735 19.6607 42.4421 18.8908C41.7236 18.1081 41.3643 17.011 41.3643 15.5996C41.3643 14.5218 41.6081 13.5787 42.0957 12.7703C42.5961 11.9619 43.2954 11.3396 44.1936 10.9034C45.1046 10.4543 46.1503 10.2297 47.3308 10.2297C48.306 10.2297 49.1657 10.3388 49.9099 10.5569C50.6669 10.7622 51.3598 11.0638 51.9885 11.4615V19.1602C51.9885 19.404 51.9436 19.5644 51.8538 19.6414C51.764 19.7184 51.5844 19.7569 51.3149 19.7569H49.3517C49.2106 19.7569 49.1015 19.7376 49.0245 19.6992C48.9475 19.6478 48.8834 19.5708 48.8321 19.4682L48.5819 18.8908C48.2097 19.2886 47.7607 19.5773 47.2346 19.7569C46.7213 19.9494 46.0926 20.0456 45.3484 20.0456ZM46.7919 17.428C47.2923 17.428 47.6837 17.3061 47.966 17.0623C48.2482 16.8186 48.3894 16.4721 48.3894 16.023V13.0205C48.1456 12.905 47.8376 12.8473 47.4655 12.8473C46.7855 12.8473 46.2402 13.0847 45.8296 13.5594C45.4318 14.0342 45.2329 14.7014 45.2329 15.5611C45.2329 16.8057 45.7526 17.428 46.7919 17.428Z"
    //     fill={textColor}
    //   />
    //   <path
    //     d="M54.667 19.7569C54.2949 19.7569 54.0319 19.6799 53.8779 19.5259C53.7239 19.372 53.6469 19.1282 53.6469 18.7946V11.1151C53.6469 10.8841 53.6854 10.7301 53.7624 10.6532C53.8522 10.5633 54.0318 10.5184 54.3013 10.5184H56.2837C56.4377 10.5184 56.5532 10.5441 56.6302 10.5954C56.72 10.6339 56.7713 10.7109 56.7841 10.8264L56.8804 11.4038C57.2397 11.0445 57.708 10.7622 58.2854 10.5569C58.8756 10.3388 59.53 10.2297 60.2486 10.2297C61.2879 10.2297 62.1283 10.5248 62.7699 11.1151C63.4115 11.6925 63.7322 12.5522 63.7322 13.6942V18.7946C63.7322 19.1282 63.6552 19.372 63.5013 19.5259C63.3601 19.6799 63.1035 19.7569 62.7314 19.7569H60.8645C60.4924 19.7569 60.2229 19.6799 60.0561 19.5259C59.9021 19.372 59.8251 19.1282 59.8251 18.7946V13.9444C59.8251 13.5594 59.7417 13.2836 59.5749 13.1167C59.4081 12.9499 59.1451 12.8665 58.7858 12.8665C58.4009 12.8665 58.0929 12.9692 57.862 13.1745C57.6438 13.3798 57.5348 13.6621 57.5348 14.0213V18.7946C57.5348 19.1282 57.4578 19.372 57.3038 19.5259C57.1627 19.6799 56.906 19.7569 56.5339 19.7569H54.667Z"
    //     fill={textColor}
    //   />
    //   <path
    //     d="M70.5354 20.0456C68.739 20.0456 67.3532 19.6286 66.3781 18.7946C65.4029 17.9605 64.9153 16.748 64.9153 15.1569C64.9153 14.1817 65.1399 13.322 65.5889 12.5778C66.038 11.8336 66.686 11.2562 67.5329 10.8456C68.3926 10.435 69.4062 10.2297 70.5739 10.2297C71.4592 10.2297 72.2034 10.3131 72.8065 10.4799C73.4224 10.6467 73.9677 10.9034 74.4425 11.2498C74.5836 11.3396 74.6542 11.4551 74.6542 11.5963C74.6542 11.6989 74.6029 11.8336 74.5002 12.0004L73.7111 13.367C73.6213 13.5466 73.5122 13.6364 73.3839 13.6364C73.3069 13.6364 73.185 13.5851 73.0182 13.4824C72.6718 13.2643 72.3446 13.1039 72.0366 13.0013C71.7415 12.8986 71.3694 12.8473 70.9203 12.8473C70.2787 12.8473 69.7591 13.0526 69.3613 13.4632C68.9764 13.8738 68.7839 14.4384 68.7839 15.1569C68.7839 15.8883 68.9828 16.4529 69.3806 16.8506C69.7783 17.2356 70.3237 17.428 71.0165 17.428C71.4271 17.428 71.7992 17.3703 72.1329 17.2548C72.4665 17.1393 72.8065 16.9789 73.1529 16.7736C73.3326 16.671 73.4609 16.6197 73.5379 16.6197C73.6534 16.6197 73.756 16.7095 73.8458 16.8891L74.7119 18.3711C74.7761 18.4994 74.8082 18.6021 74.8082 18.6791C74.8082 18.7946 74.7312 18.9036 74.5772 19.0063C74.0383 19.3527 73.4481 19.6093 72.8065 19.7761C72.1778 19.9558 71.4207 20.0456 70.5354 20.0456Z"
    //     fill={textColor}
    //   />
    //   <path
    //     d="M79.6881 20.0456C78.482 20.0456 77.5132 19.6607 76.7819 18.8908C76.0633 18.1081 75.704 17.011 75.704 15.5996C75.704 14.5218 75.9478 13.5787 76.4354 12.7703C76.9358 11.9619 77.6351 11.3396 78.5333 10.9034C79.4443 10.4543 80.4901 10.2297 81.6705 10.2297C82.6457 10.2297 83.5054 10.3388 84.2496 10.5569C85.0067 10.7622 85.6995 11.0638 86.3283 11.4615V19.1602C86.3283 19.404 86.2834 19.5644 86.1935 19.6414C86.1037 19.7184 85.9241 19.7569 85.6546 19.7569H83.6915C83.5503 19.7569 83.4412 19.7376 83.3643 19.6992C83.2873 19.6478 83.2231 19.5708 83.1718 19.4682L82.9216 18.8908C82.5495 19.2886 82.1004 19.5773 81.5743 19.7569C81.0611 19.9494 80.4323 20.0456 79.6881 20.0456ZM81.1316 17.428C81.632 17.428 82.0234 17.3061 82.3057 17.0623C82.588 16.8186 82.7291 16.4721 82.7291 16.023V13.0205C82.4853 12.905 82.1774 12.8473 81.8053 12.8473C81.1252 12.8473 80.5799 13.0847 80.1693 13.5594C79.7715 14.0342 79.5726 14.7014 79.5726 15.5611C79.5726 16.8057 80.0923 17.428 81.1316 17.428Z"
    //     fill={textColor}
    //   />
    //   <path
    //     d="M98.4184 19.0255C98.5082 19.1282 98.5531 19.2436 98.5531 19.372C98.5531 19.4874 98.5146 19.5837 98.4377 19.6607C98.3607 19.7248 98.258 19.7569 98.1297 19.7569H95.1465C94.9668 19.7569 94.8321 19.7441 94.7423 19.7184C94.6653 19.6799 94.5819 19.6093 94.4921 19.5067L91.8745 15.946V18.7946C91.8745 19.1282 91.7975 19.372 91.6435 19.5259C91.4896 19.6799 91.2265 19.7569 90.8544 19.7569H88.9875C88.6154 19.7569 88.3523 19.6799 88.1984 19.5259C88.0572 19.372 87.9866 19.1282 87.9866 18.7946V7.65066C87.9866 7.31705 88.0636 7.07326 88.2176 6.91928C88.3716 6.75248 88.6282 6.66907 88.9875 6.66907H90.8544C91.2265 6.66907 91.4896 6.75248 91.6435 6.91928C91.7975 7.07326 91.8745 7.31705 91.8745 7.65066V14.0983L94.4151 10.7879C94.4921 10.6852 94.5755 10.6147 94.6653 10.5762C94.7551 10.5377 94.8898 10.5184 95.0695 10.5184H98.0527C98.181 10.5184 98.2773 10.5569 98.3414 10.6339C98.4184 10.6981 98.4569 10.7879 98.4569 10.9034C98.4569 11.0317 98.412 11.1472 98.3222 11.2498L95.031 15.0222L98.4184 19.0255Z"
    //     fill={textColor}
    //   />
    //   <path
    //     d="M104.668 20.0456C103.59 20.0456 102.628 19.866 101.781 19.5067C100.947 19.1474 100.286 18.6085 99.7985 17.89C99.3109 17.1714 99.0671 16.2925 99.0671 15.2531C99.0671 13.6236 99.529 12.379 100.453 11.5193C101.377 10.6596 102.705 10.2297 104.437 10.2297C106.131 10.2297 107.414 10.6532 108.286 11.5C109.172 12.334 109.614 13.4953 109.614 14.9837C109.614 15.6252 109.332 15.946 108.767 15.946H102.724C102.724 16.4978 102.929 16.9212 103.34 17.2163C103.763 17.5114 104.398 17.659 105.245 17.659C105.771 17.659 106.208 17.6141 106.554 17.5243C106.913 17.4216 107.273 17.2741 107.632 17.0816C107.786 17.0174 107.889 16.9854 107.94 16.9854C108.055 16.9854 108.152 17.0623 108.229 17.2163L108.883 18.4481C108.947 18.5764 108.979 18.6727 108.979 18.7368C108.979 18.8523 108.902 18.9614 108.748 19.064C108.222 19.4105 107.626 19.6607 106.958 19.8146C106.291 19.9686 105.528 20.0456 104.668 20.0456ZM106.15 14.0406C106.15 13.553 106.009 13.1745 105.726 12.905C105.444 12.6356 105.021 12.5009 104.456 12.5009C103.892 12.5009 103.462 12.642 103.167 12.9243C102.872 13.1937 102.724 13.5658 102.724 14.0406H106.15Z"
    //     fill={textColor}
    //   />
    //   <path
    //     d="M116.211 20.0456C115.133 20.0456 114.113 19.9365 113.151 19.7184C112.189 19.4874 111.412 19.1667 110.822 18.7561C110.604 18.6149 110.495 18.4674 110.495 18.3134C110.495 18.2107 110.533 18.1017 110.61 17.9862L111.553 16.4849C111.656 16.331 111.759 16.254 111.861 16.254C111.926 16.254 112.035 16.2989 112.189 16.3887C112.663 16.6582 113.202 16.8763 113.805 17.0431C114.408 17.2099 115.005 17.2933 115.595 17.2933C116.198 17.2933 116.641 17.2035 116.923 17.0238C117.218 16.8442 117.366 16.5555 117.366 16.1577C117.366 15.7728 117.206 15.4713 116.885 15.2531C116.577 15.035 115.993 14.7591 115.133 14.4255C113.837 13.9379 112.824 13.3926 112.092 12.7896C111.374 12.1737 111.015 11.3396 111.015 10.2875C111.015 9.01718 111.47 8.04843 112.381 7.38121C113.292 6.71398 114.505 6.38037 116.019 6.38037C117.071 6.38037 117.969 6.47661 118.713 6.66907C119.47 6.84871 120.112 7.131 120.638 7.51593C120.856 7.68274 120.965 7.83671 120.965 7.97786C120.965 8.06767 120.927 8.17032 120.85 8.2858L119.907 9.78705C119.791 9.94103 119.688 10.018 119.599 10.018C119.534 10.018 119.425 9.97311 119.271 9.88329C118.527 9.3957 117.642 9.15191 116.615 9.15191C116.064 9.15191 115.64 9.24173 115.345 9.42137C115.05 9.601 114.902 9.89612 114.902 10.3067C114.902 10.589 114.979 10.82 115.133 10.9996C115.287 11.1792 115.493 11.3396 115.749 11.4808C116.019 11.6091 116.429 11.7759 116.981 11.9812L117.347 12.1159C118.296 12.488 119.04 12.8473 119.579 13.1937C120.131 13.5273 120.548 13.9444 120.83 14.4448C121.113 14.9324 121.254 15.5483 121.254 16.2925C121.254 17.4344 120.824 18.3455 119.964 19.0255C119.117 19.7056 117.866 20.0456 116.211 20.0456Z"
    //     fill={textColor}
    //   />
    //   <path
    //     d="M125.343 19.7569C125.151 19.7569 125.003 19.7248 124.9 19.6607C124.798 19.5965 124.721 19.4682 124.67 19.2757L122.187 10.9611C122.161 10.8841 122.148 10.8264 122.148 10.7879C122.148 10.6083 122.277 10.5184 122.533 10.5184H125.074C125.241 10.5184 125.362 10.5505 125.439 10.6147C125.516 10.666 125.568 10.7558 125.593 10.8841L126.633 15.2531L127.941 11.731C128.006 11.577 128.07 11.4744 128.134 11.423C128.211 11.3589 128.339 11.3268 128.519 11.3268H129.731C129.911 11.3268 130.033 11.3589 130.097 11.423C130.174 11.4744 130.245 11.577 130.309 11.731L131.598 15.2531L132.657 10.8841C132.695 10.7558 132.747 10.666 132.811 10.6147C132.875 10.5505 132.991 10.5184 133.157 10.5184H135.717C135.974 10.5184 136.102 10.6083 136.102 10.7879C136.102 10.8264 136.089 10.8841 136.064 10.9611L133.562 19.2757C133.51 19.4682 133.433 19.5965 133.331 19.6607C133.241 19.7248 133.1 19.7569 132.907 19.7569H131.021C130.841 19.7569 130.707 19.7248 130.617 19.6607C130.527 19.5837 130.45 19.4554 130.386 19.2757L129.116 15.7921L127.845 19.2757C127.794 19.4554 127.717 19.5837 127.614 19.6607C127.524 19.7248 127.39 19.7569 127.21 19.7569H125.343Z"
    //     fill={textColor}
    //   />
    //   <path
    //     d="M140.981 20.0456C139.775 20.0456 138.806 19.6607 138.075 18.8908C137.356 18.1081 136.997 17.011 136.997 15.5996C136.997 14.5218 137.241 13.5787 137.728 12.7703C138.229 11.9619 138.928 11.3396 139.826 10.9034C140.737 10.4543 141.783 10.2297 142.963 10.2297C143.938 10.2297 144.798 10.3388 145.542 10.5569C146.299 10.7622 146.992 11.0638 147.621 11.4615V19.1602C147.621 19.404 147.576 19.5644 147.486 19.6414C147.396 19.7184 147.217 19.7569 146.947 19.7569H144.984C144.843 19.7569 144.734 19.7376 144.657 19.6992C144.58 19.6478 144.516 19.5708 144.465 19.4682L144.214 18.8908C143.842 19.2886 143.393 19.5773 142.867 19.7569C142.354 19.9494 141.725 20.0456 140.981 20.0456ZM142.424 17.428C142.925 17.428 143.316 17.3061 143.598 17.0623C143.881 16.8186 144.022 16.4721 144.022 16.023V13.0205C143.778 12.905 143.47 12.8473 143.098 12.8473C142.418 12.8473 141.873 13.0847 141.462 13.5594C141.064 14.0342 140.865 14.7014 140.865 15.5611C140.865 16.8057 141.385 17.428 142.424 17.428Z"
    //     fill={textColor}
    //   />
    //   <path
    //     d="M150.28 23.6447C149.908 23.6447 149.645 23.5678 149.491 23.4138C149.35 23.2598 149.279 23.016 149.279 22.6824V11.654C149.857 11.2434 150.582 10.9034 151.454 10.6339C152.327 10.3645 153.238 10.2297 154.187 10.2297C158.062 10.2297 160 11.8721 160 15.1569C160 16.6453 159.589 17.8322 158.768 18.7176C157.947 19.6029 156.786 20.0456 155.284 20.0456C154.861 20.0456 154.45 19.9943 154.053 19.8916C153.668 19.789 153.347 19.6478 153.09 19.4682V22.6824C153.09 23.016 153.013 23.2598 152.859 23.4138C152.705 23.5678 152.442 23.6447 152.07 23.6447H150.28ZM154.457 17.4473C155.009 17.4473 155.419 17.242 155.689 16.8314C155.971 16.408 156.112 15.8434 156.112 15.1377C156.112 14.3036 155.945 13.7198 155.612 13.3862C155.291 13.0398 154.79 12.8665 154.11 12.8665C153.674 12.8665 153.328 12.9243 153.071 13.0398V16.1C153.071 16.5363 153.193 16.8699 153.437 17.1008C153.681 17.3318 154.021 17.4473 154.457 17.4473Z"
    //     fill={textColor}
    //   />
    //   <path
    //     fillRule="evenodd"
    //     clipRule="evenodd"
    //     d="M4.38998 4.50033C4.01476 2.49106 5.55649 0.634766 7.60049 0.634766C9.40427 0.634766 10.8665 2.09701 10.8665 3.90078V7.92728C11.3177 7.89544 11.7761 7.87911 12.2404 7.87911C12.6865 7.87911 13.1272 7.89418 13.5612 7.9236V3.90078C13.5612 2.09701 15.0234 0.634766 16.8272 0.634766C18.8712 0.634766 20.4129 2.49106 20.0377 4.50033L19.1539 9.23326C22.1872 10.5576 24.4809 12.8577 24.4809 15.748V17.4966C24.4809 19.8734 22.9085 21.8634 20.7102 23.2068C18.4948 24.5606 15.4978 25.3654 12.2404 25.3654C8.98304 25.3654 5.98604 24.5606 3.77065 23.2068C1.57242 21.8634 0 19.8734 0 17.4966V15.748C0 12.873 2.2701 10.5817 5.27785 9.25477L4.38998 4.50033ZM18.0212 9.85508L19.0555 4.3169C19.3159 2.92236 18.2459 1.63399 16.8272 1.63399C15.5753 1.63399 14.5604 2.64886 14.5604 3.90078V9.02479C14.2324 8.98273 13.8991 8.9494 13.5612 8.92524C13.128 8.89426 12.6873 8.87833 12.2404 8.87833C11.7753 8.87833 11.3168 8.89559 10.8665 8.92912C10.5286 8.95429 10.1953 8.98862 9.86729 9.03169V3.90078C9.86729 2.64886 8.85241 1.63399 7.60049 1.63399C6.18184 1.63399 5.11179 2.92235 5.37222 4.3169L6.40988 9.87345C3.16599 11.0784 0.999219 13.2586 0.999219 15.748V17.4966C0.999219 21.2906 6.03208 24.3662 12.2404 24.3662C18.4488 24.3662 23.4817 21.2906 23.4817 17.4966V15.748C23.4817 13.2458 21.2927 11.0562 18.0212 9.85508Z"
    //     fill="#633001"
    //   />
    //   <path
    //     d="M23.4815 17.4967C23.4815 21.2907 18.4486 24.3663 12.2402 24.3663C6.03189 24.3663 0.999023 21.2907 0.999023 17.4967V15.748H23.4815V17.4967Z"
    //     fill="#FEDC90"
    //   />
    //   <path
    //     fillRule="evenodd"
    //     clipRule="evenodd"
    //     d="M5.37202 4.31671C5.1116 2.92216 6.18164 1.63379 7.6003 1.63379C8.85222 1.63379 9.8671 2.64867 9.8671 3.90059V9.0315C10.6321 8.93102 11.4261 8.87813 12.2402 8.87813C13.0356 8.87813 13.8116 8.9286 14.5602 9.02459V3.90059C14.5602 2.64867 15.5751 1.63379 16.827 1.63379C18.2457 1.63379 19.3157 2.92216 19.0553 4.31671L18.021 9.85488C21.2925 11.056 23.4815 13.2457 23.4815 15.7478C23.4815 19.5418 18.4486 22.6174 12.2402 22.6174C6.03189 22.6174 0.999023 19.5418 0.999023 15.7478C0.999023 13.2584 3.16579 11.0782 6.40968 9.87326L5.37202 4.31671Z"
    //     fill="#D1884F"
    //   />
    //   <path
    //     d="M9.11817 15.2485C9.11817 16.2833 8.55896 17.1221 7.86914 17.1221C7.17932 17.1221 6.62012 16.2833 6.62012 15.2485C6.62012 14.2138 7.17932 13.375 7.86914 13.375C8.55896 13.375 9.11817 14.2138 9.11817 15.2485Z"
    //     fill="#633001"
    //   />
    //   <path
    //     d="M17.7363 15.2485C17.7363 16.2833 17.1771 17.1221 16.4873 17.1221C15.7975 17.1221 15.2383 16.2833 15.2383 15.2485C15.2383 14.2138 15.7975 13.375 16.4873 13.375C17.1771 13.375 17.7363 14.2138 17.7363 15.2485Z"
    //     fill="#633001"
    //   />
    // </Svg>
    );
};
var Logo$3 = React__default['default'].memo(Logo$2, function (prev, next) { return prev.isDark === next.isDark; });

var Icon$g = function (props) {
    return (React__default['default'].createElement(Svg, __assign({ viewBox: "0 0 24 24" }, props),
        React__default['default'].createElement("path", { d: "M8.6,2.3C8.2,2,7.8,2,7.4,2.3L6.8,2.6C5.5,3.4,3.9,3.9,2.3,4.1L2,4.1c-0.1,0-0.2,0.1-0.2,0.3V6c0,2.5,1,4.9,2.8,6.6l3.3,3.1\r\n\tc0.1,0.1,0.2,0.1,0.3,0l3.3-3.1c1.8-1.7,2.8-4.1,2.8-6.7V4.3c0-0.1-0.1-0.2-0.2-0.2l-0.3,0c-1.6-0.2-3.2-0.7-4.5-1.5L8.6,2.3\r\n\tL8.6,2.3z M6.6,1c0.9-0.5,2-0.5,2.8,0l0.5,0.3c1.2,0.7,2.5,1.2,3.9,1.3l0.3,0c0.9,0.1,1.6,0.8,1.6,1.7V6c0,2.9-1.2,5.7-3.3,7.7\r\n\tl-3.3,3.1c-0.7,0.7-1.8,0.7-2.4,0l-3.3-3.1c-2.1-2-3.3-4.8-3.3-7.7V4.3c0-0.9,0.7-1.7,1.6-1.7l0.3,0C3.5,2.4,4.9,2,6.1,1.3L6.6,1\r\n\tL6.6,1z" }),
        React__default['default'].createElement("path", { d: "M7,12c-0.1,0-0.2,0-0.3-0.1c-0.6-0.7-1.2-1.3-1.7-2C4.7,9.6,4.7,9.3,5,8.9C5,8.8,5.1,8.7,5.2,8.5c0.2-0.2,0.3-0.3,0.5,0\r\n\tc0.3,0.4,0.7,0.8,1.1,1.2C7,9.8,7,9.8,7.1,9.7c1.3-1.3,2.4-2.6,3.7-3.9c0.3-0.3,0.6-0.6,1-0.7c0.1,0,0.3-0.1,0.3,0\r\n\tc0.1,0.1,0,0.2-0.1,0.3C11.5,6.2,11,7,10.4,7.8C9.6,8.9,8.8,10.1,8,11.3c-0.1,0.2-0.3,0.4-0.4,0.5C7.4,11.9,7.2,12,7,12z" })));
};

var Icon$f = function (props) {
    return (React__default['default'].createElement(Svg, __assign({ viewBox: "0 0 24 24" }, props),
        React__default['default'].createElement("path", { fillRule: "evenodd", clipRule: "evenodd", d: "M4.1534 13.6089L4.15362 13.61C4.77322 16.8113 7.42207 19.3677 10.647 19.8853L10.6502 19.8858C13.0412 20.2736 15.2625 19.6103 16.9422 18.2833C11.3549 16.2878 7.9748 10.3524 9.26266 4.48816C5.69846 5.77194 3.35817 9.51245 4.1534 13.6089ZM10.0083 2.21054C4.76622 3.2533 1.09895 8.36947 2.19006 13.9901C2.97006 18.0201 6.28006 21.2101 10.3301 21.8601C13.8512 22.4311 17.0955 21.1608 19.2662 18.8587C19.2765 18.8478 19.2866 18.837 19.2968 18.8261C19.4385 18.6745 19.5757 18.5184 19.7079 18.3581C19.7105 18.355 19.713 18.3519 19.7156 18.3487C19.8853 18.1426 20.0469 17.9295 20.2001 17.7101C20.4101 17.4001 20.2401 16.9601 19.8701 16.9201C19.5114 16.8796 19.1602 16.8209 18.817 16.7452C18.7964 16.7406 18.7758 16.736 18.7552 16.7313C18.6676 16.7114 18.5804 16.6903 18.4938 16.6681C18.4919 16.6676 18.4901 16.6672 18.4882 16.6667C13.0234 15.2647 9.72516 9.48006 11.4542 4.03417C11.4549 4.03214 11.4555 4.03012 11.4562 4.0281C11.4875 3.92954 11.5205 3.83109 11.5552 3.73278C11.5565 3.72911 11.5578 3.72543 11.5591 3.72175C11.6768 3.38921 11.8136 3.05829 11.9701 2.73005C12.1301 2.39005 11.8501 2.01005 11.4701 2.03005C11.1954 2.04379 10.924 2.06848 10.6561 2.10368C10.6517 2.10427 10.6472 2.10486 10.6428 2.10545C10.4413 2.13221 10.2418 2.16492 10.0446 2.2034C10.0325 2.20576 10.0204 2.20814 10.0083 2.21054Z" })));
};

var Icon$e = function (props) {
    return (React__default['default'].createElement(Svg, __assign({ viewBox: "0 0 24 24" }, props),
        React__default['default'].createElement("path", { d: "M6 10C4.9 10 4 10.9 4 12C4 13.1 4.9 14 6 14C7.1 14 8 13.1 8 12C8 10.9 7.1 10 6 10ZM18 10C16.9 10 16 10.9 16 12C16 13.1 16.9 14 18 14C19.1 14 20 13.1 20 12C20 10.9 19.1 10 18 10ZM12 10C10.9 10 10 10.9 10 12C10 13.1 10.9 14 12 14C13.1 14 14 13.1 14 12C14 10.9 13.1 10 12 10Z" })));
};

var Icon$d = function (props) {
    return (React__default['default'].createElement(Svg, __assign({ viewBox: "0 0 24 24" }, props),
        React__default['default'].createElement("path", { d: "M12.8533 3.39627C12.4634 2.75821 11.5366 2.75821 11.1467 3.39627L7.42977 9.47855C7.02256 10.1449 7.50213 11 8.28306 11H15.7169C16.4979 11 16.9774 10.1449 16.5702 9.47855L12.8533 3.39627ZM12 5.84L13.93 9H10.06L12 5.84ZM17.5 13C15.01 13 13 15.01 13 17.5C13 19.99 15.01 22 17.5 22C19.99 22 22 19.99 22 17.5C22 15.01 19.99 13 17.5 13ZM17.5 20C16.12 20 15 18.88 15 17.5C15 16.12 16.12 15 17.5 15C18.88 15 20 16.12 20 17.5C20 18.88 18.88 20 17.5 20ZM3 19.5C3 20.6046 3.89543 21.5 5 21.5H9C10.1046 21.5 11 20.6046 11 19.5V15.5C11 14.3954 10.1046 13.5 9 13.5H5C3.89543 13.5 3 14.3954 3 15.5V19.5ZM5 15.5H9V19.5H5V15.5Z" })));
};

var Icon$c = function (_a) {
    _a.isDark; var props = __rest(_a, ["isDark"]);
    return (React__default['default'].createElement(Svg, __assign({ viewBox: "0 0 24 24" }, props),
        React__default['default'].createElement("path", { "stroke-miterlimit": "10", "stroke-width": "0.25px", d: "M13.79,8.73c0,.67,0,1.34,0,2a.3.3,0,0,1-.18.3l-3.15,1.55a.4.4,0,0,1-.32,0C9.08,12.08,8,11.55,7,11a.26.26,0,0,1-.17-.27c0-1.35,0-2.71,0-4.06A.29.29,0,0,1,7,6.4l3.12-1.55a.35.35,0,0,1,.37,0c1,.52,2.07,1,3.12,1.55a.28.28,0,0,1,.18.3C13.78,7.38,13.79,8.06,13.79,8.73Zm-3.32,3.48.09,0c.92-.46,1.85-.91,2.77-1.38a.35.35,0,0,0,.13-.26c0-1.15,0-2.3,0-3.45a1.49,1.49,0,0,0,0-.21h-.08L10.58,8.29a.3.3,0,0,0-.11.23c0,.52,0,1.05,0,1.57ZM7.14,6.86c0,1.29,0,2.54,0,3.78a.24.24,0,0,0,.13.17c.41.22.84.43,1.26.64l1.58.78a1.05,1.05,0,0,0,0-.13c0-1.21,0-2.42,0-3.62a.28.28,0,0,0-.15-.2c-.53-.28-1.06-.54-1.59-.8Zm6.11-.26-.11-.07L10.42,5.19a.32.32,0,0,0-.27,0L8.48,6l-1.12.56.07.06L10.2,8a.34.34,0,0,0,.22,0c.29-.13.56-.27.84-.41Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M10.47,12.21V10.09c0-.52,0-1.05,0-1.57a.3.3,0,0,1,.11-.23L13.37,6.9h.08a1.49,1.49,0,0,1,0,.21c0,1.15,0,2.3,0,3.45a.35.35,0,0,1-.13.26c-.92.47-1.85.92-2.77,1.38Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M7.14,6.86l1.25.62c.53.26,1.06.52,1.59.8a.28.28,0,0,1,.15.2c0,1.2,0,2.41,0,3.62a1.05,1.05,0,0,1,0,.13l-1.58-.78c-.42-.21-.85-.42-1.26-.64a.24.24,0,0,1-.13-.17C7.14,9.4,7.14,8.15,7.14,6.86Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M13.25,6.6l-2,1c-.28.14-.55.28-.84.41a.34.34,0,0,1-.22,0L7.43,6.64l-.07-.06L8.48,6l1.67-.82a.32.32,0,0,1,.27,0l2.72,1.34Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M8.79,6.66a.13.13,0,0,0,0-.25.13.13,0,0,0,0,.25Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M10.27,6.65h-.14s0,0,0,0l.18,0a.43.43,0,0,0,.16,0h0s0,0,0,0h-.23Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M12.58,8.8h-.13l.18,0h-.05Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M12.58,8.8h-.13l.18,0h-.05Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M12.58,8.8h-.13l.18,0h-.05Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M12,9.61A.24.24,0,0,1,12,9.5l0,0H11.7a.27.27,0,0,0,.06.12H12Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M8.72,6.7v0a0,0,0,0,0,0,0s0,0,0,0H8.65l-.09,0,0,0,0,0v.08l0,0h.07a.14.14,0,0,0,.08,0l0,0a.05.05,0,0,0,0,0Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M8.75,7.13l0,0h0l.08,0L9,7.06S9,7,9,7L9,7h0a.19.19,0,0,0-.08,0l-.08,0s0,0,0,0Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M9.45,7.46a.48.48,0,0,0,.16.12l.08,0s0,0,.05,0,0,0,0,0l-.08,0h0l0,0h0s0,0,0,0h0l-.06,0-.09,0H9.44v0Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M10.29,7.6c.06,0,.24-.14.17-.14s-.24.14-.17.14Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M10,7.11l0,0a.26.26,0,0,0-.09,0,.09.09,0,0,0-.07,0,.06.06,0,0,0,0,.06.16.16,0,0,0,0,.07l0,0a.26.26,0,0,0,.09,0H10a.06.06,0,0,0,0-.06.25.25,0,0,0,0-.07Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M9.49,6.74c.15,0,0-.18-.09-.18s0,.18.09.18Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M9.4,6.22S9.36,6,9.3,6s0,.23.1.23Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M9.83,6.16c.14,0,.19-.22,0-.22s-.18.22,0,.22Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M10.5,6.35c.14,0,.21-.2.05-.2s-.21.2-.05.2Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M10.78,6.77c.06,0,.18-.12.2-.12s-.18.12-.2.12Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M10.7,7.36h.06l.1,0a.18.18,0,0,0,.05-.07.06.06,0,0,0,0-.07.12.12,0,0,0-.08,0h-.06a.16.16,0,0,0-.09,0,.14.14,0,0,0-.06.07.1.1,0,0,0,0,.07.09.09,0,0,0,.07,0Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M11.46,7.15c.12,0,0-.21-.1-.21s0,.21.1.21Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M11.73,6.48c.1,0-.13-.06-.17-.06s.13.06.17.06Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M11.4,5.91l0,0h0l-.09,0-.08,0,0,0,0,0h0l.08,0a.2.2,0,0,0,.08,0l0,0Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M10.85,5.5l0,0-.07,0,0,0a.14.14,0,0,0,0,.07l.07.06.05,0a.11.11,0,0,0,.07,0s0,0,0,0,0,0,0-.06a.23.23,0,0,0-.07-.07Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M10.38,5.47c.16,0,0-.11-.11-.11s0,.11.11.11Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M9.51,5.71l-.11.06s0,0,0,0,0,0,.08,0h.15l0,0h0l.08,0s0,0,0,0l0,0h0l-.09,0Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M9,6.24s-.11-.15-.18-.15.12.15.18.15Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M8.47,6.53c.16,0,.11-.2,0-.2s-.1.2,0,.2Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M8.15,6.72S8.06,6.54,8,6.54s.1.18.16.18Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M11.75,7c.1,0,.24-.17.07-.17s-.24.17-.07.17Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M12.43,6.72c.15,0,.07-.23-.06-.23s-.07.23.06.23Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M12.11,6.47c.05,0-.07-.2-.14-.2s.06.2.14.2Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M13.09,7.67h0a.06.06,0,0,0,0-.06A.16.16,0,0,0,13,7.54H12.9a0,0,0,0,0,0,0h0a.1.1,0,0,0,0,.07l.08,0h.08s0,0,0,0Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M12.34,7.72l-.06.06s0,0,0,0a.08.08,0,0,0,0,0,0,0,0,0,0,0,0,.08.08,0,0,0,0,.07.12.12,0,0,0,.1,0,.12.12,0,0,0,.08,0l0-.06,0,0,0,0s0,0,0-.07a.11.11,0,0,0,0-.08.15.15,0,0,0-.18,0Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M11.58,8.38v0l-.05,0h-.1s-.11,0-.09.09v0l.05.05a.17.17,0,0,0,.1,0s.11,0,.09-.09Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M11.18,8.27c.11,0,.24-.18.07-.18s-.24.18-.07.18Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M11.81,8.13c.16,0,0-.11-.1-.11s0,.11.1.11Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M11.93,8.69v0s0,0,0,.06l.08.05.08,0,0,0v0a.1.1,0,0,0,0,0L12,8.69s0,0-.07,0,0,0,0,0Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M12.61,9.59c.16,0,.08-.16,0-.16s-.09.16,0,.16Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M13.35,9.46h0a.08.08,0,0,0,0-.07.16.16,0,0,0-.07-.07.09.09,0,0,0-.07,0s0,0,0,0h0a.11.11,0,0,0,0,.08.14.14,0,0,0,.07.06.09.09,0,0,0,.07,0s0,0,0,0Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M13.19,8.75c.16,0,.12-.2,0-.2s-.13.2,0,.2Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M13.14,8.2c.07,0,.27-.1.11-.1s-.27.1-.11.1Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M12.74,8.5c.07,0,0-.22-.11-.22s0,.22.11.22Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M12,9.4c.09,0-.08-.17-.14-.17s.08.17.14.17Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M11.27,9V8.92a.11.11,0,0,0,0-.07l-.09,0a.25.25,0,0,0-.09,0,.12.12,0,0,0,0,.08V9a.1.1,0,0,0,0,.07.11.11,0,0,0,.08,0,.11.11,0,0,0,.09,0,.1.1,0,0,0,0-.07Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M11,8.52c.12,0-.11-.09-.15-.09s.11.09.15.09Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M10.85,9c.17,0,.05-.11-.06-.11s0,.11.06.11Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M10.64,9.41s.27-.08.16-.08-.26.08-.16.08Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M11.51,9.36c.14,0,0-.22-.09-.22s0,.22.09.22Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M11.52,8.92c.05,0,.24-.09.2-.09s-.23.09-.2.09Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M11.77,10.38c.15,0,.15-.1,0-.1s-.15.1,0,.1Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M10.8,10.45h0a.09.09,0,0,0,0-.07l-.08,0a.14.14,0,0,0-.09,0,.07.07,0,0,0,0,0h0a.21.21,0,0,0,0,.07l.08.05h.09a0,0,0,0,0,0,0Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M10.94,9.92a.12.12,0,1,0,0-.23.12.12,0,1,0,0,.23Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M11.21,10.52c.12,0,0-.24-.06-.24s0,.24.06.24Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M11.72,10.9c.12,0,.23-.21.08-.21s-.23.21-.08.21Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M12.26,10.47c.11,0-.11-.09-.16-.09s.12.09.16.09Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M11.43,10c.09,0,.26-.13.09-.13s-.25.13-.09.13Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M12.14,10s.23-.13.17-.13-.23.13-.17.13Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M12.52,10.48c.05,0-.08-.19-.15-.19s.07.19.15.19Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M12.74,10.05c.13,0,.21-.2,0-.2s-.22.2,0,.2Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M13.43,10.12c.05,0-.07-.2-.14-.2s.06.2.14.2Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M13.05,10.61c.13,0,.19-.2,0-.2s-.19.2,0,.2Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M12.57,11.05c.14,0,0-.18-.1-.18s0,.18.1.18Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M11.79,11.37c.08,0,.26-.12.1-.12s-.26.12-.1.12Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M11.19,11.14c.12,0,.23-.17.07-.17s-.23.17-.07.17Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M10.9,11.59a.1.1,0,1,0,0-.19c-.16,0-.16.19,0,.19Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M10.83,12c.16,0,0-.14-.1-.14s0,.14.1.14Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M10.74,11.29v0a.09.09,0,0,0,0-.07.35.35,0,0,0-.05-.08.1.1,0,0,0-.07,0s0,0,0,0h0s0,.05,0,.07a.16.16,0,0,0,.06.08.15.15,0,0,0,.06.05s0,0,.05,0Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M11.38,11.74s-.05-.23-.11-.23.06.23.11.23Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M9.82,11.94s.24-.09.2-.09-.24.09-.2.09Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M9.94,11.78c.15,0,.11-.24,0-.24s-.11.24,0,.24Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M9,11.44c.05,0,0-.22-.1-.22s0,.22.1.22Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M8.2,11.08c.1,0,0-.22-.1-.22s0,.22.1.22Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M7.65,10.87c.06,0-.06-.2-.14-.2s.06.2.14.2Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M7.55,10.13c.12,0,.2-.19,0-.19s-.2.19,0,.19Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M8.07,10.69c.13,0,0-.2-.1-.2s0,.2.1.2Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M7.7,10.38c.11,0-.1-.1-.15-.1s.1.1.15.1Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M7.33,9.86c.15,0,.14-.24,0-.24s-.14.24,0,.24Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M7.41,9.12s.23-.1.2-.1-.23.1-.2.1Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M7.59,8.22c.13,0-.08-.12-.14-.12s.08.12.14.12Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M7.27,7.6c.06,0,.27-.12.15-.12s-.27.12-.15.12Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M8.26,7.78c.14,0,.2-.22,0-.22s-.2.22,0,.22Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M9.42,8.32c.11,0,.22-.11.05-.11s-.22.11-.05.11Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M9.79,9c.13,0,.21-.16,0-.16S9.62,9,9.79,9Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M9.69,9.69c.05,0,.27-.1.15-.1s-.27.1-.15.1Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M9.86,10.55c.18,0,0-.09-.06-.09s0,.09.06.09Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M9.28,10.18c.14,0,0-.22-.07-.22s0,.22.07.22Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M9.09,9.37c.06,0,.25-.15.16-.15s-.25.15-.16.15Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M8.26,8.89c.08,0,.26-.11.1-.11s-.26.11-.1.11Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M8.3,9.55c.15,0,.19-.22,0-.22s-.19.22,0,.22Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M9,9.54s-.13-.13-.2-.13.13.13.2.13Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M8.93,10.3c.12,0,0-.2-.11-.2s0,.2.11.2Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M8.93,10.9c.05,0,.24-.12.18-.12s-.23.12-.18.12Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M9.59,11.08c.14,0,.07-.24-.05-.24s-.07.24.05.24Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M9.41,11.5c.07,0,.19-.12.21-.12s-.2.12-.21.12Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M9.3,11.86c.14,0,.21-.22,0-.22s-.21.22,0,.22Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M9.89,11.32c.16,0,0-.16-.08-.16s0,.16.08.16Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M10,11c.14,0,0-.16-.12-.16s0,.16.12.16Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M9.33,10.61c.05,0,.27-.09.16-.09s-.27.09-.16.09Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M8.79,10.67c.11,0,0-.18-.13-.18s.06.18.13.18Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M8.3,10.15s.28-.05.13-.05-.28.05-.13.05Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M8.65,11c.13,0,.2-.21,0-.21s-.2.21,0,.21Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M7.89,9.85c.07,0-.1-.15-.16-.15s.1.15.16.15Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M8,9.36c.15,0,.07-.23,0-.23s-.07.23,0,.23Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M7.92,8.7c.13,0,0-.2-.1-.2s0,.2.1.2Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M8.33,8.32c.17,0,.05-.11-.05-.11s-.06.11.05.11Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M8.86,8.89s-.08-.19-.15-.19.08.19.15.19Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M8.79,9.28c.14,0,0-.18-.11-.18s0,.18.11.18Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M9.38,8.85c.12,0,0-.2-.11-.2s0,.2.11.2Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M9,8.32c.18,0,0-.1-.05-.1s-.05.1.05.1Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M10.49,7.14c.16,0,.1-.23,0-.23s-.1.23,0,.23Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M10.69,7.62c.16,0,.05-.18-.06-.18s-.06.18.06.18Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M11,7.64c.17,0,0-.15-.09-.15s0,.15.09.15Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M11.26,7.25c.14,0,.14,0,0,0s-.15,0,0,0Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M11.09,7.14c.16,0,.1-.21,0-.21s-.1.21,0,.21Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M10.27,5.93c.07,0,.18-.11.21-.11s-.18.11-.21.11Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M10.23,6.39c.13,0-.08-.13-.14-.13s.08.13.14.13Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M10.35,7.3c.05,0,.28-.09.16-.09s-.27.09-.16.09Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M10.89,7.62s-.08-.19-.14-.19.08.19.14.19Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M11.12,6.93c.09,0-.08-.15-.16-.15s.09.15.16.15Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M11.24,6.55s-.05-.23-.11-.23.06.23.11.23Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { "stroke-miterlimit": "10", "stroke-width": "0.25px", d: "M22.73,8.11c.34.88.67,1.77,1,2.65a.4.4,0,0,1-.09.49l-3.38,3.64a.66.66,0,0,1-.42.15l-5-.47a.37.37,0,0,1-.35-.28q-1-2.68-2-5.37a.4.4,0,0,1,.1-.49q1.68-1.8,3.35-3.62a.51.51,0,0,1,.48-.18c1.64.17,3.27.33,4.91.48a.4.4,0,0,1,.39.31C22,6.32,22.39,7.21,22.73,8.11Zm-2.65,6.26.11-.07q1.5-1.61,3-3.22a.43.43,0,0,0,.05-.4c-.56-1.53-1.15-3-1.73-4.57,0-.09-.08-.18-.12-.28l-.1.06q-1.5,1.62-3,3.25a.42.42,0,0,0,0,.35c.25.7.52,1.39.79,2.08ZM13,9c.65,1.71,1.27,3.36,1.91,5a.37.37,0,0,0,.25.16l2,.2,2.48.24a1.08,1.08,0,0,0,0-.17c-.6-1.6-1.2-3.2-1.82-4.8a.41.41,0,0,0-.3-.18c-.84-.1-1.68-.18-2.52-.26Zm7.94-3.41-.17,0c-1.43-.14-2.85-.29-4.27-.41a.46.46,0,0,0-.36.16c-.61.63-1.2,1.27-1.79,1.92l-1.2,1.3.12,0L17.63,9a.41.41,0,0,0,.28-.13c.31-.31.61-.64.91-1Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M20.08,14.37,19,11.57c-.27-.69-.54-1.38-.79-2.08a.42.42,0,0,1,0-.35q1.49-1.63,3-3.25l.1-.06c0,.1.09.19.12.28.58,1.52,1.17,3,1.73,4.57a.43.43,0,0,1-.05.4q-1.47,1.62-3,3.22Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M13,9,15,9.16c.84.08,1.68.16,2.52.26a.41.41,0,0,1,.3.18c.62,1.6,1.22,3.2,1.82,4.8a1.08,1.08,0,0,1,0,.17l-2.48-.24-2-.2a.37.37,0,0,1-.25-.16C14.27,12.33,13.65,10.68,13,9Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M20.94,5.56l-2.12,2.3c-.3.33-.6.66-.91,1a.41.41,0,0,1-.28.13l-4.36-.43-.12,0,1.2-1.3c.59-.65,1.18-1.29,1.79-1.92a.46.46,0,0,1,.36-.16c1.42.12,2.84.27,4.27.41Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M15,7.84a.13.13,0,0,0,0-.25.13.13,0,0,0,0,.25Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M17.06,7.07a.19.19,0,0,1-.08,0h0a.47.47,0,0,0,.17,0,.37.37,0,0,0,.18-.05h0l-.07,0h-.16Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M21.19,8.76l-.08,0H21s0,0,0,0h.23a.37.37,0,0,0,.18-.05h0l-.07,0h-.16Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M21.19,8.76l-.08,0H21s0,0,0,0h.23a.37.37,0,0,0,.18-.05h0l-.07,0h-.16Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M21.19,8.76l-.08,0H21s0,0,0,0h.23a.37.37,0,0,0,.18-.05h0l-.07,0h-.16Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M20.76,10.22a.27.27,0,0,1-.08-.07h0l-.05-.06h0l-.09,0h-.13a.53.53,0,0,0,.14.12h.23s0,0,0,0Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M15,8v-.1h0a.11.11,0,0,0-.08,0l-.08,0V8l0,0,0,.08s0,0,0,0,0,0,0,0a.11.11,0,0,0,.08,0l.08,0,0,0a.06.06,0,0,0,0,0Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M15.27,8.45h.1l.09,0,.06,0s0,0,0,0h-.1l-.09,0-.06,0s0,0,0,0Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M16.49,8.63a.62.62,0,0,0,.23.07s0,0,0,0h0l0,0,0,0a.3.3,0,0,0-.15-.07h0l-.09,0h0a.05.05,0,0,0,0,0l.08.05Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M17.53,8.3c.06,0,.24-.14.17-.14s-.24.14-.17.14Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M16.78,7.9l0,0a.14.14,0,0,0-.09,0,0,0,0,0,0,0,0,.09.09,0,0,0,0,.07.23.23,0,0,0,.07.07l0,0a.11.11,0,0,0,.08,0s.05,0,.05,0a.07.07,0,0,0,0-.07.11.11,0,0,0-.07-.06Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M16,7.63c.15,0,0-.19-.1-.19s0,.19.1.19Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M15.59,7c.05,0,0-.22-.1-.22s0,.22.1.22Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M16.15,6.65c.14,0,.19-.21,0-.21s-.19.21,0,.21Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M17.14,6.56c.15,0,.21-.19.05-.19s-.21.19-.05.19Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M17.76,7c.07,0,.18-.12.21-.12s-.18.12-.21.12Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M18,7.79l.08,0,.08,0a.11.11,0,0,0,0-.08.12.12,0,0,0-.15,0l-.08,0a.16.16,0,0,0-.08.06.09.09,0,0,0,0,.07.13.13,0,0,0,.15,0Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M18.78,7.18c.12,0,0-.21-.1-.21s0,.21.1.21Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M18.84,6.19c.1,0-.13-.05-.17-.05s.13.05.17.05Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M18.13,5.64l-.06,0H18l-.09,0-.07,0h0l.06,0H18l.09,0,.07,0h0s0,0,0,0Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M17.2,5.3l-.07,0a0,0,0,0,0-.05,0s0,0,0,0a.18.18,0,0,0,.05.07l.08,0,.07,0s0,0,.06,0,0,0,0,0a.18.18,0,0,0,0-.07l-.08,0Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M16.54,5.51c.16,0,0-.11-.11-.11s0,.11.11.11Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M15.59,6.22l-.11.12s0,0,0,0h0a.11.11,0,0,0,.07,0h.16l.11-.12s0,0,0,0l-.07,0h-.16Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M15.07,7.24s-.12-.15-.19-.15.12.15.19.15Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M14.53,7.84c.17,0,.11-.19,0-.19s-.11.19,0,.19Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M14.19,8.29s-.09-.18-.16-.18.1.18.16.18Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M19.1,6.72c.11,0,.25-.16.08-.16s-.24.16-.08.16Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M19.86,6.11c.14,0,.07-.24-.07-.24s-.07.24.07.24Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M19.3,6c.05,0-.07-.19-.14-.19s.06.19.14.19Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M21.21,7.07h0A.18.18,0,0,0,21.16,7a.32.32,0,0,0-.09,0H21A0,0,0,0,0,21,7h0l.05.06.09,0s.05,0,.07,0,0,0,0,0Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M20.35,7.51a.41.41,0,0,0-.05.09.42.42,0,0,0,0,.1.11.11,0,0,0,0,.08.12.12,0,0,0,.08,0,.14.14,0,0,0,.09,0l0,0a.08.08,0,0,0,0,0v0a.47.47,0,0,1,0-.1l0,0h0a.05.05,0,0,0,0,0s0,0,0,0a.1.1,0,0,0,0-.07l-.1,0a.18.18,0,0,0-.08,0Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M19.59,8.79l0,0s0,0-.07,0h-.1s-.05,0-.05,0a0,0,0,0,0,0,.06l0,0a.13.13,0,0,0,.07,0h.1s.05,0,.06-.05a.07.07,0,0,0,0-.06Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M19,8.75c.12,0,.24-.17.08-.17s-.24.17-.08.17Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M19.77,8.31c.16,0,0-.11-.11-.11s0,.11.11.11Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M20.33,9l0,0,.07.05.08,0h.05s0,0,0-.05l0,0a.18.18,0,0,0-.07,0,.2.2,0,0,0-.08,0s0,0-.05,0,0,0,0,.05Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M21.55,9.82c.16,0,.08-.16-.05-.16s-.08.16.05.16Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M22.46,9.29h0a.12.12,0,0,0-.05-.07s0-.05-.07-.05h-.06a.13.13,0,0,0,0,.06h0a.14.14,0,0,0,.05.08.18.18,0,0,0,.07,0s.05,0,.06,0a.06.06,0,0,0,0-.06Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M21.89,8.41c.16,0,.13-.2,0-.2s-.12.2,0,.2Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M21.6,7.69c.07,0,.27-.11.11-.11s-.27.11-.11.11Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M21.15,8.31c.07,0,0-.22-.11-.22s0,.22.11.22Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M20.57,9.92c.09,0-.08-.17-.14-.17s.08.17.14.17Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M19.48,9.73l0-.07s0,0,0,0l0,0a.14.14,0,0,0-.09,0,.16.16,0,0,0-.08.06.11.11,0,0,0,0,.08l0,.07,0,0,0,0h.09a.14.14,0,0,0,.08,0,.11.11,0,0,0,0-.08Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M18.86,9.26c.12,0-.11-.1-.15-.1s.11.1.15.1Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M18.94,10c.17,0,0-.11-.06-.11s0,.11.06.11Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M18.92,10.53s.27-.08.16-.08-.27.08-.16.08Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M20,10.06c.13,0,0-.21-.1-.21s0,.21.1.21Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M19.84,9.43c.05,0,.23-.09.2-.09s-.24.09-.2.09Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M20.86,11.28c.15,0,.15-.1,0-.1s-.15.1,0,.1Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M19.57,11.9h0a.05.05,0,0,0,0,0l0,0a.15.15,0,0,0-.09,0,.1.1,0,0,0-.07,0,0,0,0,0,0,0,0v0s0,0,0,0,0,0,0,0a.12.12,0,0,0,.08,0s.06,0,.08,0a.07.07,0,0,0,0-.06Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M19.5,11.07a.12.12,0,1,0,0-.23.12.12,0,1,0,0,.23Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M20.15,11.74c.12,0,0-.24-.06-.24s-.05.24.06.24Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M21.05,12c.12,0,.23-.21.07-.21s-.23.21-.07.21Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M21.54,11.19c.11,0-.12-.08-.16-.08s.11.08.16.08Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M20.24,11c.09,0,.26-.14.1-.14s-.26.14-.1.14Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M21.19,10.58c.06,0,.23-.13.18-.13s-.23.13-.18.13Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M21.85,11.06c.06,0-.07-.19-.15-.19s.08.19.15.19Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M22,10.33c.13,0,.21-.2.05-.2s-.21.2-.05.2Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M22.88,10.12c.05,0-.07-.2-.14-.2s.06.2.14.2Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M22.65,10.92c.13,0,.19-.2,0-.2s-.19.2,0,.2Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M22.22,11.78c.15,0,0-.18-.09-.18s0,.18.09.18Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M21.4,12.56c.08,0,.26-.12.1-.12s-.26.12-.1.12Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M20.48,12.55c.11,0,.22-.17.06-.17s-.23.17-.06.17Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M20.29,13.31c.16,0,.16-.19,0-.19a.1.1,0,1,0,0,.19Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M20.39,13.89c.16,0,0-.13-.1-.13s0,.13.1.13Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M19.91,13v0a.11.11,0,0,0,0-.08.11.11,0,0,0-.06-.07l-.06,0s0,0,0,0v0s0,0,0,.07a.16.16,0,0,0,.06.08s0,0,.06,0,0,0,0,0Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M21,13.28s-.06-.22-.11-.22.05.22.11.22Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M19.1,14.27s.24-.08.2-.08-.24.08-.2.08Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M19.11,14c.15,0,.11-.24,0-.24s-.11.24,0,.24Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M17.62,14.11c.05,0,0-.22-.1-.22s0,.22.1.22Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M16.44,14c.1,0,0-.22-.09-.22s0,.22.09.22Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M15.61,14c.07,0-.06-.2-.14-.2s.06.2.14.2Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M15.14,13.05c.12,0,.2-.19,0-.19s-.2.19,0,.19Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M16.08,13.56c.13,0,0-.2-.1-.2s0,.2.1.2Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M15.45,13.37c.12,0-.1-.11-.15-.11s.1.11.15.11Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M14.69,12.81c.16,0,.14-.24,0-.24s-.14.24,0,.24Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M14.5,11.75c.05,0,.23-.09.19-.09s-.23.09-.19.09Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M14.22,10.56c.13,0-.08-.12-.14-.12s.08.12.14.12Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M13.54,9.82c.05,0,.26-.11.14-.11s-.27.11-.14.11Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M14.89,9.57c.14,0,.2-.21,0-.21s-.2.21,0,.21Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M16.73,9.73c.11,0,.21-.12,0-.12s-.21.12,0,.12Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M17.51,10.37c.13,0,.21-.16,0-.16s-.21.16,0,.16Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M17.79,11.38c.05,0,.27-.11.15-.11s-.27.11-.15.11Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M18.42,12.48c.17,0,0-.09-.06-.09s0,.09.06.09Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M17.43,12.27c.14,0,0-.22-.07-.22s0,.22.07.22Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M16.82,11.24c.06,0,.25-.15.16-.15s-.25.15-.16.15Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M15.49,11.05c.08,0,.26-.12.1-.12s-.26.12-.1.12Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M15.83,11.91c.15,0,.19-.23,0-.23s-.19.23,0,.23Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M16.76,11.6s-.13-.13-.2-.13.13.13.2.13Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M17,12.62c.12,0,0-.21-.1-.21s0,.21.1.21Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M17.39,13.34c.05,0,.24-.11.19-.11s-.24.11-.19.11Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M18.29,13.29c.14,0,.07-.24-.05-.24s-.07.24.05.24Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M18.33,13.9c.07,0,.2-.12.21-.12s-.19.12-.21.12Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M18.31,14.44c.15,0,.22-.21.06-.21s-.22.21-.06.21Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M18.82,13.48c.16,0,0-.16-.08-.16s0,.16.08.16Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M18.75,13c.14,0,0-.16-.11-.16s0,.16.11.16Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M17.78,12.77s.27-.09.16-.09-.27.09-.16.09Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M17,13.18c.11,0-.05-.18-.13-.18s.06.18.13.18Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M16.19,12.69s.28,0,.13,0-.28,0-.13,0Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M17,13.68c.13,0,.2-.2,0-.2s-.2.2,0,.2Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M15.43,12.57c.07,0-.1-.16-.16-.16s.1.16.16.16Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M15.26,11.85c.15,0,.07-.23,0-.23s-.07.23,0,.23Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M14.89,11c.12,0,0-.21-.1-.21s0,.21.1.21Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M15.27,10.29c.17,0,.05-.1-.06-.1s-.05.1.06.1Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M16.22,10.79s-.08-.19-.15-.19.08.19.15.19Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M16.33,11.33c.15,0,0-.17-.11-.17s0,.17.11.17Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M16.89,10.47c.12,0,0-.2-.11-.2s0,.2.11.2Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M16.11,10c.17,0,.05-.1-.06-.1s-.05.1.06.1Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M17.5,7.62c.16,0,.1-.22,0-.22s-.1.22,0,.22Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M18,8.18c.16,0,.05-.18-.07-.18s-.05.18.07.18Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M18.46,8.05c.16,0,0-.15-.09-.15s0,.15.09.15Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M18.63,7.42c.14,0,.14,0,0,0s-.15,0,0,0Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M18.3,7.33c.16,0,.1-.21,0-.21s-.1.21,0,.21Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M16.67,6.1c.07,0,.19-.11.22-.11s-.19.11-.22.11Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M16.8,6.81c.12,0-.08-.13-.15-.13s.08.13.15.13Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M17.47,7.88c.05,0,.27-.09.16-.09s-.27.09-.16.09Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M18.27,8.1s-.08-.2-.14-.2.08.2.14.2Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M18.24,7.08c.09,0-.09-.15-.16-.15s.08.15.16.15Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M18.19,6.49s-.05-.23-.11-.23.05.23.11.23Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { "stroke-miterlimit": "10", "stroke-width": "0.25px", d: "M15.35,16.06c-.28.74-.57,1.48-.84,2.23a.34.34,0,0,1-.33.26L10,19a.46.46,0,0,1-.35-.14c-1-1-1.92-2.05-2.87-3.07a.28.28,0,0,1-.07-.36q.85-2.27,1.7-4.53a.33.33,0,0,1,.33-.25c1.38-.13,2.76-.27,4.13-.42a.42.42,0,0,1,.41.15c.93,1,1.88,2,2.82,3a.33.33,0,0,1,.08.41C15.91,14.55,15.63,15.3,15.35,16.06Zm-5.16,2.47.11,0c1.22-.12,2.44-.24,3.66-.38a.41.41,0,0,0,.26-.22c.49-1.28,1-2.57,1.45-3.85,0-.07.05-.15.08-.24l-.1,0L12,14.22c-.08,0-.18.12-.22.2-.23.58-.44,1.17-.66,1.75C10.78,17,10.49,17.73,10.19,18.53ZM8.73,11.18C8.19,12.62,7.66,14,7.15,15.4a.32.32,0,0,0,.07.24l1.14,1.24,1.43,1.53.08-.14c.51-1.34,1-2.69,1.51-4A.35.35,0,0,0,11.3,14L9.86,12.39Zm6.91,2.28-.09-.13-2.46-2.64a.46.46,0,0,0-.32-.1l-2.19.22L9.09,11l.05.08c.84.9,1.67,1.81,2.52,2.7a.3.3,0,0,0,.24.08L13,13.72Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M10.19,18.53c.3-.8.59-1.58.89-2.36.22-.58.43-1.17.66-1.75,0-.08.14-.19.22-.2l3.69-.38.1,0c0,.09-.05.17-.08.24-.48,1.28-1,2.57-1.45,3.85a.41.41,0,0,1-.26.22c-1.22.14-2.44.26-3.66.38Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M8.73,11.18l1.13,1.21L11.3,14a.35.35,0,0,1,.08.29c-.49,1.34-1,2.69-1.51,4l-.08.14L8.36,16.88,7.22,15.64a.32.32,0,0,1-.07-.24C7.66,14,8.19,12.62,8.73,11.18Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M15.64,13.46,13,13.72l-1.11.11a.3.3,0,0,1-.24-.08c-.85-.89-1.68-1.8-2.52-2.7L9.09,11l1.49-.16,2.19-.22a.46.46,0,0,1,.32.1l2.46,2.64Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M10.7,11.64a.13.13,0,0,0,0-.25.13.13,0,0,0,0,.25Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M12.51,12.32h0s0,0,0,0h0l-.06,0h-.23s0,0,0,0a.36.36,0,0,0,.17.07l.09,0h.09Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M14.17,15.68h0l-.07,0h-.22s0,0,0,0l.17.07h.18s0,0,0,0h0Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M14.17,15.68h0l-.07,0h-.22s0,0,0,0l.17.07h.18s0,0,0,0h0Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M14.17,15.68h0l-.07,0h-.22s0,0,0,0l.17.07h.18s0,0,0,0h0Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M13,16.23a.38.38,0,0,1,0-.15h0l-.09,0h-.12a.38.38,0,0,0,0,.15H13s0,0,0,0Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M10.53,11.65l0-.06a.06.06,0,0,0,0-.06l-.06,0a.11.11,0,0,0-.08,0,.11.11,0,0,0-.07.06l0,.05a.07.07,0,0,0,0,.06,0,0,0,0,0,0,0l.09,0,.07-.06Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M10.44,12.2l0,0s0,0,0,0a.19.19,0,0,0,.08,0l.08,0s0,0,0,0l0,0h0l-.08,0-.07,0s0,0,0,0Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M11,12.85a.41.41,0,0,0,.07.11l.06,0,.09,0h.07v0l0,0h0l0-.05a.07.07,0,0,0,0,0l-.08,0a.11.11,0,0,0-.08,0Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M12,13.35c.06,0,.24-.13.17-.13s-.24.13-.17.13Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M11.76,12.66l0,0a.18.18,0,0,0-.05-.07.15.15,0,0,0-.09,0s0,0-.06,0a.09.09,0,0,0,0,.07l0,0a.13.13,0,0,0,.06.07.12.12,0,0,0,.08,0s.05,0,.06,0a.06.06,0,0,0,0-.07Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M11.43,12c.15,0,0-.18-.1-.18s0,.18.1.18Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M11.55,11.38s0-.23-.09-.23,0,.23.09.23Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M12.06,11.52c.15,0,.19-.21,0-.21s-.19.21,0,.21Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M12.73,12c.14,0,.21-.19,0-.19s-.21.19,0,.19Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M12.85,12.64c.07,0,.18-.12.21-.12s-.18.12-.21.12Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M12.5,13.23l.07,0h.09a.11.11,0,0,0,.07-.06,0,0,0,0,0,0-.07v0l0,0-.07,0a.13.13,0,0,0-.09,0l-.08,0a.11.11,0,0,0,0,.08l0,0,0,0Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M13.45,13.28c.12,0,0-.21-.1-.21s0,.21.1.21Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M14,12.64c.1,0-.14-.05-.17-.05s.13.05.17.05Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M13.84,11.86l0,0h0l-.08,0-.08,0,0,0,0,.06h0l.08,0,.08,0s0,0,0,0Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M13.48,11.29l0,0s0-.05-.06-.07l0,0h0s0,0,0,0,0,0,0,.06l0,.06.07.07,0,0h0s0,0,0,0a.14.14,0,0,0,0-.07Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M12.94,11c.16,0,0-.11-.11-.11s0,.11.11.11Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M11.93,10.93l-.2,0,0,0s0,0,0,0l.08,0h.25s0,0,0,0A.07.07,0,0,0,12,11l-.09,0Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M11.07,11.22s-.11-.15-.18-.15.11.15.18.15Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M10.39,11.35c.16,0,.1-.19,0-.19s-.11.19,0,.19Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M9.94,11.41s-.1-.18-.16-.18.1.18.16.18Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M13.86,13.22c.11,0,.24-.17.08-.17s-.24.17-.08.17Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M14.72,13.22c.15,0,.07-.23-.06-.23s-.07.23.06.23Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M14.46,12.79s-.07-.2-.14-.2.06.2.14.2Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M15,14.54h0a0,0,0,0,0,0-.06.22.22,0,0,0-.07-.06l-.08,0s0,0-.06,0h0a.07.07,0,0,0,0,.06.11.11,0,0,0,.07.06.19.19,0,0,0,.08,0s0,0,.06,0Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M14.19,14.34l-.09,0-.09.05a.1.1,0,0,0,0,.07.08.08,0,0,0,0,.08.12.12,0,0,0,.17,0l0,0,0,0,.08,0h0l0,0a.11.11,0,0,0,0-.08.08.08,0,0,0-.05-.07.1.1,0,0,0-.09,0Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M13,14.71v0a.09.09,0,0,0,0-.05l-.09,0a.15.15,0,0,0-.09,0,.07.07,0,0,0,0,.05v0a.09.09,0,0,0,0,.06l.09,0a.15.15,0,0,0,.09,0,.07.07,0,0,0,0,0Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M12.68,14.45c.11,0,.24-.18.07-.18s-.24.18-.07.18Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M13.42,14.53c.16,0,0-.12-.11-.12s0,.12.11.12Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M13.28,15.28v.05l0,0,.08.05s0,0,.07,0h0s0,0,0,0v0a0,0,0,0,0,0,0l0,0-.08-.06-.08,0h0l0,0Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M13.7,16.5c.17,0,.08-.17,0-.17s-.08.17,0,.17Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M14.57,16.65h0a.09.09,0,0,0,0-.07l-.06-.07s-.05,0-.08,0,0,0,0,0h0a.19.19,0,0,0,0,.07.19.19,0,0,0,.06.07l.07,0a.05.05,0,0,0,.05,0Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M14.71,15.81c.16,0,.13-.2,0-.2s-.13.2,0,.2Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M14.87,15.21c.08,0,.27-.1.11-.1s-.27.1-.11.1Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M14.31,15.32c.08,0,0-.22-.1-.22s0,.22.1.22Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M13.05,16c.08,0-.08-.17-.14-.17s.07.17.14.17Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M12.42,15.25l0-.06a.08.08,0,0,0,0-.08.12.12,0,0,0-.07,0,.15.15,0,0,0-.16.08l0,.06a.11.11,0,0,0,0,.08.15.15,0,0,0,.07.05.14.14,0,0,0,.16-.08Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M12.32,14.6c.12,0-.11-.09-.15-.09s.11.09.15.09Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M12,15.11c.16,0,0-.11-.06-.11s-.05.11.06.11Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M11.59,15.52s.26-.08.16-.08-.27.08-.16.08Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M12.59,15.76c.14,0,0-.21-.09-.21s0,.21.09.21Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M12.77,15.35c.06,0,.24-.09.2-.09s-.23.09-.2.09Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M12.43,17c.14,0,.15-.1,0-.1s-.15.1,0,.1Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M11.29,16.68h0v0a0,0,0,0,0,0,0,.11.11,0,0,0-.07-.06.09.09,0,0,0-.09,0s-.05,0-.05,0h0v0a0,0,0,0,0,0,0,.11.11,0,0,0,.07.06.11.11,0,0,0,.08,0s0,0,.06,0Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M11.73,16.17c.16,0,.14-.23,0-.23s-.14.23,0,.23Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M11.78,16.93c.12,0,0-.23-.07-.23s0,.23.07.23Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M12.18,17.61c.12,0,.23-.21.08-.21s-.23.21-.08.21Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M12.93,17.31c.11,0-.12-.08-.16-.08s.12.08.16.08Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M12.21,16.53c.09,0,.25-.14.09-.14s-.26.14-.09.14Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M13,16.83c.05,0,.23-.13.17-.13s-.23.13-.17.13Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M13.23,17.42c.06,0-.07-.19-.15-.19s.07.19.15.19Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M13.67,17.08c.13,0,.21-.2.05-.2s-.22.2-.05.2Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M14.4,17.41s-.07-.2-.14-.2.06.2.14.2Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M13.78,17.83c.13,0,.19-.2,0-.2s-.19.2,0,.2Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M13.05,18.09c.14,0,0-.18-.1-.18s0,.18.1.18Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M12,18.17c.08,0,.26-.12.1-.12s-.26.12-.1.12Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M11.49,17.65c.11,0,.22-.17.06-.17s-.23.17-.06.17Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M11,18c.15,0,.15-.18,0-.18s-.16.18,0,.18Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M10.71,18.4c.16,0,0-.14-.1-.14s0,.14.1.14Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M10.89,17.59l0,0s0,0,0-.05a.19.19,0,0,0,0-.08.13.13,0,0,0-.07-.06.07.07,0,0,0-.06,0v0s0,0,0,.05a.36.36,0,0,0,0,.09l.07.06s0,0,.05,0Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M11.45,18.36s0-.23-.11-.23.05.23.11.23Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M9.61,18c.05,0,.24-.09.2-.09s-.24.09-.2.09Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M9.83,17.82c.15,0,.11-.24,0-.24s-.11.24,0,.24Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M8.86,17c.05,0,0-.22-.1-.22s0,.22.1.22Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M8.18,16.29c.09,0,0-.22-.1-.22s0,.22.1.22Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M7.64,15.82c.07,0,0-.2-.13-.2s0,.2.13.2Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M7.85,15c.13,0,.21-.19,0-.19s-.2.19,0,.19Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M8.19,15.8c.13,0,0-.2-.1-.2s0,.2.1.2Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M7.88,15.3c.12,0-.1-.11-.15-.11s.1.11.15.11Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M7.73,14.59c.15,0,.14-.24,0-.24s-.14.24,0,.24Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M8.12,13.84c.05,0,.23-.09.19-.09s-.23.09-.19.09Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M8.67,12.85c.13,0-.07-.13-.14-.13s.08.13.14.13Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M8.6,12.08c.06,0,.27-.12.14-.12s-.26.12-.14.12Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M9.64,12.66c.13,0,.2-.21,0-.21s-.21.21,0,.21Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M10.68,13.77c.11,0,.22-.11.05-.11s-.22.11-.05.11Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M10.83,14.62c.13,0,.21-.16.05-.16s-.21.16-.05.16Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M10.41,15.43c.05,0,.27-.11.15-.11s-.27.11-.15.11Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M10.23,16.41c.17,0,0-.09-.06-.09s0,.09.06.09Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M9.76,15.75c.14,0,0-.22-.07-.22s0,.22.07.22Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M9.88,14.81c.07,0,.25-.14.17-.14s-.25.14-.17.14Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M9.16,13.93c.08,0,.26-.12.1-.12s-.27.12-.1.12Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M8.94,14.66c.15,0,.19-.23,0-.23s-.18.23,0,.23Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M9.71,14.9s-.13-.13-.2-.13.13.13.2.13Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M9.31,15.73c.12,0,0-.2-.1-.2s0,.2.1.2Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M9.06,16.46s.24-.12.19-.12-.24.12-.19.12Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M9.74,16.88c.13,0,.07-.24-.06-.24s-.07.24.06.24Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M9.34,17.34c.07,0,.2-.12.21-.12s-.19.12-.21.12Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M9.08,17.65c.15,0,.22-.22.06-.22s-.22.22-.06.22Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M10,17.27c.16,0,0-.16-.08-.16s0,.16.08.16Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M10.17,16.93c.14,0,0-.16-.11-.16s0,.16.11.16Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M9.62,16.3c.05,0,.27-.09.16-.09s-.27.09-.16.09Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M9,16.08c.11,0-.06-.18-.13-.18s.06.18.13.18Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M8.66,15.35c.05,0,.28,0,.12,0s-.27,0-.12,0Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M8.7,16.45c.14,0,.21-.2,0-.2s-.2.2,0,.2Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M8.33,14.79c.08,0-.1-.16-.16-.16s.1.16.16.16Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M8.63,14.29c.14,0,.06-.23-.06-.23s-.06.23.06.23Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M8.86,13.53c.13,0,0-.21-.1-.21s0,.21.1.21Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M9.46,13.28c.17,0,.06-.1-.05-.1s-.05.1.05.1Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M9.83,14.12s-.08-.19-.15-.19.08.19.15.19Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M9.58,14.53c.15,0,0-.17-.11-.17s0,.17.11.17Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M10.42,14.3c.13,0,0-.2-.1-.2s0,.2.1.2Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M10.16,13.56c.17,0,.05-.1-.06-.1s0,.1.06.1Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M12.39,12.87c.15,0,.1-.22,0-.22s-.11.22,0,.22Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M12.4,13.49c.16,0,0-.18-.07-.18s-.05.18.07.18Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M12.74,13.65c.16,0,0-.15-.09-.15s0,.15.09.15Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M13.15,13.34c.14,0,.15,0,0,0s-.14,0,0,0Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M13.05,13.13c.16,0,.1-.21,0-.21s-.1.21,0,.21Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M12.64,11.5c.07,0,.18-.11.21-.11s-.18.11-.21.11Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M12.39,11.92c.13,0-.08-.13-.14-.13s.07.13.14.13Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M12.15,13.05s.27-.1.16-.1-.27.1-.16.1Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M12.62,13.56s-.08-.19-.14-.19.08.19.14.19Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M13.16,12.89c.09,0-.09-.16-.16-.16s.08.16.16.16Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M13.47,12.52s-.05-.23-.11-.23.05.23.11.23Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { "stroke-miterlimit": "10", "stroke-width": "0.25px", d: "M12,13.05c-.19,1-.39,2.08-.57,3.12a.44.44,0,0,1-.37.41c-1.78.5-3.56,1-5.34,1.52A.65.65,0,0,1,5.18,18L.7,14.67a.39.39,0,0,1-.17-.46c.39-2.1.78-4.21,1.15-6.31a.48.48,0,0,1,.38-.42C3.83,7,5.59,6.48,7.36,6a.57.57,0,0,1,.56.1c1.47,1.11,2.94,2.22,4.42,3.31a.46.46,0,0,1,.2.52C12.33,10.94,12.14,12,12,13.05ZM5.79,17.5a.68.68,0,0,0,.15,0q2.35-.66,4.7-1.36a.48.48,0,0,0,.28-.35c.35-1.79.67-3.58,1-5.37,0-.11,0-.22,0-.34h-.13c-1.58.46-3.16.9-4.74,1.37a.5.5,0,0,0-.24.32c-.16.81-.3,1.63-.45,2.44C6.2,15.3,6,16.38,5.79,17.5ZM2.15,8.24c-.37,2-.73,3.95-1.07,5.89a.41.41,0,0,0,.15.29c.59.46,1.19.9,1.79,1.35l2.22,1.66a.64.64,0,0,0,.07-.19c.35-1.87.7-3.75,1-5.63a.44.44,0,0,0-.18-.35c-.74-.58-1.5-1.14-2.25-1.71Zm9.57,1.34-.15-.14C10.29,8.48,9,7.52,7.73,6.57a.55.55,0,0,0-.44-.05c-.94.25-1.88.53-2.81.8l-1.91.55L2.66,8l3.92,2.93a.49.49,0,0,0,.34.05l1.43-.41Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M5.79,17.5c.21-1.12.41-2.2.61-3.29.15-.81.29-1.63.45-2.44a.5.5,0,0,1,.24-.32c1.58-.47,3.16-.91,4.74-1.37H12c0,.12,0,.23,0,.34-.33,1.79-.65,3.58-1,5.37a.48.48,0,0,1-.28.35q-2.34.7-4.7,1.36A.68.68,0,0,1,5.79,17.5Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M2.15,8.24,3.91,9.55c.75.57,1.51,1.13,2.25,1.71a.44.44,0,0,1,.18.35c-.33,1.88-.68,3.76-1,5.63a.64.64,0,0,1-.07.19L3,15.77c-.6-.45-1.2-.89-1.79-1.35a.41.41,0,0,1-.15-.29C1.42,12.19,1.78,10.25,2.15,8.24Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M11.72,9.58l-3.37,1L6.92,11a.49.49,0,0,1-.34-.05L2.66,8l-.09-.11,1.91-.55c.93-.27,1.87-.55,2.81-.8a.55.55,0,0,1,.44.05c1.29.95,2.56,1.91,3.84,2.87Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M4.81,8.34a.13.13,0,0,0,0-.25.13.13,0,0,0,0,.25Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M7.18,8.84h0s0,0,0,0h0l0,0-.06,0H6.94s0,0,0,0l.12,0a1.07,1.07,0,0,0,.25,0h.06s0,0,0,0H7.18Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M10.15,12.85h.07s0,0,0,0h-.05l0,0H10s-.05,0-.07,0,0,0,0,0l.12,0a1.07,1.07,0,0,0,.25,0h.06s0,0,0,0h0l-.07,0Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M10.15,12.85h.07s0,0,0,0h-.05l0,0H10s-.05,0-.07,0,0,0,0,0l.12,0a1.07,1.07,0,0,0,.25,0h.06s0,0,0,0h0l-.07,0Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M10.15,12.85h.07s0,0,0,0h-.05l0,0H10s-.05,0-.07,0,0,0,0,0l.12,0a1.07,1.07,0,0,0,.25,0h.06s0,0,0,0h0l-.07,0Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M8.86,13.86a.41.41,0,0,1,0-.19h0l-.09,0s-.12,0-.12,0a.45.45,0,0,0,0,.19h.22s0,0,0,0Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M4.59,8.43l0-.08s0,0,0,0H4.53l-.08.05a.1.1,0,0,0,0,.06l0,.08a0,0,0,0,0,0,0h.07l.09,0,0-.06Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M4.65,9.12l0,0h0l.08,0,.08,0s0,0,0,0l0,0h0L4.75,9l-.08.05s0,0,0,0Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M5.61,9.88a.49.49,0,0,0,.12.13.18.18,0,0,0,.07.05l.08,0h0s0,0,0,0l0,0h0s0,0,0,0v0L5.81,10l0,0,0,0-.08,0H5.6v0Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M6.91,10.27s.24-.13.17-.13-.24.13-.17.13Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M6.41,9.45l0,0a.23.23,0,0,0-.07-.07l-.08,0a.1.1,0,0,0-.05,0,.11.11,0,0,0,0,.08l0,.05s0,0,.07.06l.08,0s0,0,0,0a.08.08,0,0,0,0-.08Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M5.84,8.66c.15,0,0-.18-.1-.18s0,.18.1.18Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M5.85,7.81c.05,0,0-.23-.1-.23s0,.23.1.23Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M6.57,7.86c.14,0,.18-.21,0-.21s-.18.21,0,.21Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M7.56,8.36c.14,0,.21-.2.05-.2s-.21.2-.05.2Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M7.9,9.13C8,9.13,8.08,9,8.11,9s-.18.12-.21.12Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M7.56,10l.09,0h.1l.07-.06a.11.11,0,0,0,0-.08.1.1,0,0,0-.06,0H7.59a.16.16,0,0,0-.08.06.09.09,0,0,0,0,.07.06.06,0,0,0,.06.05Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M8.78,9.85c.12,0,0-.21-.1-.21s0,.21.1.21Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M9.36,8.92c.1,0-.13-.06-.17-.06s.13.06.17.06Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M9,8l0-.06s0,0,0,0l-.09,0S8.68,8,8.69,8l.05.07h0l.09,0S9,8,9,8Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M8.34,7.26l-.06-.07-.07-.06H8.14s0,.08,0,.1l.06.07.08.06h.06c.05,0,0-.09,0-.11Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M7.57,7c.16,0,0-.11-.11-.11s0,.11.11.11Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M6.23,7.17A.7.7,0,0,0,6,7.23s0,0,0,0h.06l.09,0h.08l.09,0h0l.08,0s0,0,0,0,0,0,0,0l-.09,0Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M5.18,7.74S5.06,7.58,5,7.58s.12.16.19.16Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M4.33,8.05c.16,0,.1-.2,0-.2s-.11.2,0,.2Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M3.74,8.24s-.1-.18-.16-.18.1.18.16.18Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M9.33,9.65c.11,0,.24-.16.08-.16s-.24.16-.08.16Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M10.43,9.46c.15,0,.07-.23-.06-.23s-.07.23.06.23Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M10,9c.06,0-.06-.2-.14-.2s.06.2.14.2Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M11.12,11.14v-.05l0,0L11,11a.11.11,0,0,0-.08,0h0a0,0,0,0,0,0,0h0v0l0,0,.08.05h.1a0,0,0,0,0,0,0Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M10,11.12a.39.39,0,0,0-.11.06l-.09.07a.08.08,0,0,0,0,.08.08.08,0,0,0,0,.07.12.12,0,0,0,.1,0h0l0,0,0,0,0,0a.33.33,0,0,1,.1-.06h0l0,0a.11.11,0,0,0,.07-.06.11.11,0,0,0,0-.08s0-.05-.07-.05Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M8.55,11.86v0s0,0,0,0l0,0-.09,0H8.33l0,0s0,0,0,0v0a0,0,0,0,0,0,0l0,0,.08,0h.09l0,0a.05.05,0,0,0,0,0Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M8.07,11.54c.12,0,.24-.18.08-.18s-.24.18-.08.18Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M9,11.5c.16,0,0-.11-.11-.11s0,.11.11.11Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M9.12,12.51v0l0,0,.08.06.08,0s0,0,0,0v0a.07.07,0,0,0,0,0l-.08-.05-.07,0s0,0,0,0Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M9.88,14c.16,0,.08-.16-.05-.16s-.08.16.05.16Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M11,14h0a.09.09,0,0,0,0-.07L11,13.86a.09.09,0,0,0-.07,0s0,0,0,0h0a.11.11,0,0,0,0,.07.19.19,0,0,0,.06.07L11,14s0,0,0,0Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M11,12.85c.17,0,.13-.2,0-.2s-.12.2,0,.2Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M11.14,12c.07,0,.27-.11.11-.11S11,12,11.14,12Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M10.39,12.3c.07,0,0-.22-.11-.22s0,.22.11.22Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M8.89,13.5c.09,0-.08-.17-.14-.17s.08.17.14.17Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M7.9,12.68V12.6a.08.08,0,0,0,0-.08.14.14,0,0,0-.09,0l-.09,0,0,0,0,.06v.08s0,.06,0,.07l.09,0a.11.11,0,0,0,.09,0l0,0s0,0,0-.05Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M7.62,11.87c.11,0-.11-.1-.16-.1s.11.1.16.1Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M7.3,12.6c.17,0,0-.1-.06-.1s0,.1.06.1Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M6.92,13.21s.27-.09.16-.09-.26.09-.16.09Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M8.24,13.3c.14,0,0-.22-.09-.22s0,.22.09.22Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M8.44,12.7c.05,0,.24-.09.2-.09s-.23.09-.2.09Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M8.36,15c.14,0,.15-.11,0-.11s-.15.11,0,.11Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M6.76,14.8h0a.21.21,0,0,0,0-.07l-.08-.05h-.1s0,0,0,0v0s0,0,0,.06a.21.21,0,0,0,.08.06h.11a.05.05,0,0,0,0,0Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M7.22,14a.12.12,0,0,0,0-.23.12.12,0,1,0,0,.23Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M7.46,15c.11,0,0-.23-.07-.23s0,.23.07.23Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M8.17,15.78c.12,0,.23-.21.08-.21s-.23.21-.08.21Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M9.06,15.26c.1,0-.12-.08-.17-.08s.12.08.17.08Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M8,14.38c.09,0,.25-.14.09-.14s-.26.14-.09.14Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M9.09,14.57c.05,0,.23-.13.17-.13s-.23.13-.17.13Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M9.46,15.32c.06,0-.07-.19-.15-.19s.08.19.15.19Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M10,14.75c.14,0,.22-.2.06-.2s-.22.2-.06.2Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M11,15s-.07-.2-.14-.2.06.2.14.2Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M10.31,15.71c.13,0,.19-.21,0-.21s-.19.21,0,.21Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M9.39,16.24c.15,0,0-.18-.09-.18s0,.18.09.18Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M8.13,16.57c.08,0,.26-.12.1-.12s-.26.12-.1.12Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M7.27,16c.12,0,.23-.18.06-.18s-.22.18-.06.18Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M6.67,16.61c.15,0,.15-.18,0-.18s-.16.18,0,.18Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M6.41,17.2c.16,0,0-.14-.1-.14s0,.14.1.14Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M6.46,16.08l0,0v0s0,0,0,0a.22.22,0,0,0,0-.08.18.18,0,0,0-.07-.05h0a0,0,0,0,0,0,0l0,0a0,0,0,0,0,0,0v0a.16.16,0,0,0,.06.08.15.15,0,0,0,.06.05h0l0,0Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M7.36,17s-.06-.23-.11-.23,0,.23.11.23Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M4.94,16.9s.23-.08.19-.08-.23.08-.19.08Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M5.12,16.62c.15,0,.12-.24,0-.24s-.12.24,0,.24Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M3.66,15.81s0-.22-.1-.22,0,.22.1.22Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M2.59,15c.1,0,0-.22-.1-.22s0,.22.1.22Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M1.78,14.55c.07,0-.05-.2-.13-.2s.05.2.13.2Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M1.89,13.4c.12,0,.2-.19,0-.19s-.2.19,0,.19Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M2.5,14.39c.13,0,0-.2-.1-.2s0,.2.1.2Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M2,13.82c.12,0-.1-.1-.15-.1s.1.1.15.1Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M1.62,12.9c.15,0,.14-.25,0-.25s-.14.25,0,.25Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M2,11.83c.06,0,.24-.1.2-.1s-.23.1-.2.1Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M2.44,10.43c.12,0-.08-.12-.15-.12s.08.12.15.12Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M2.2,9.41c.06,0,.27-.12.14-.12s-.26.12-.14.12Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M3.67,9.93c.14,0,.2-.22,0-.22s-.21.22,0,.22Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M5.31,11.14c.11,0,.22-.11.05-.11s-.22.11-.05.11Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M5.7,12.21c.13,0,.21-.17,0-.17s-.22.17,0,.17Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M5.36,13.36s.27-.1.15-.1-.27.1-.15.1Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M5.33,14.71c.17,0,0-.08-.06-.08s0,.08.06.08Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M4.55,13.94c.13,0,0-.22-.08-.22s0,.22.08.22Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M4.53,12.68c.06,0,.24-.15.16-.15s-.25.15-.16.15Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M3.36,11.7c.08,0,.26-.11.1-.11s-.26.11-.1.11Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M3.22,12.7c.15,0,.19-.23,0-.23s-.19.23,0,.23Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M4.27,12.88s-.14-.13-.2-.13.13.13.2.13Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M3.94,14c.13,0,0-.2-.1-.2s0,.2.1.2Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M3.85,15s.23-.11.18-.11-.24.11-.18.11Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M4.78,15.43c.13,0,.07-.24-.06-.24s-.07.24.06.24Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M4.43,16.11c.07,0,.19-.13.21-.13s-.2.13-.21.13Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M4.12,16.57c.15,0,.22-.22.06-.22s-.22.22-.06.22Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M5.15,15.9c.17,0,0-.16-.08-.16s0,.16.08.16Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M5.36,15.41c.14,0,0-.17-.11-.17s0,.17.11.17Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M4.54,14.69s.27-.09.16-.09-.27.09-.16.09Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M3.62,14.57c.11,0-.06-.18-.13-.18s.06.18.13.18Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M3.06,13.69s.28,0,.12,0-.27,0-.12,0Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M3.34,15.1c.14,0,.2-.21,0-.21s-.2.21,0,.21Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M2.44,13c.07,0-.1-.15-.16-.15s.1.15.16.15Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M2.71,12.29c.15,0,.07-.23,0-.23s-.07.23,0,.23Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M2.84,11.26c.12,0,0-.21-.1-.21s0,.21.1.21Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M3.58,10.81c.17,0,.06-.11-.05-.11s0,.11.05.11Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M4.23,11.81s-.08-.19-.15-.19.08.19.15.19Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M4,12.4c.14,0,0-.17-.11-.17s0,.17.11.17Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M5.06,11.9c.13,0,0-.2-.11-.2s0,.2.11.2Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M4.57,11c.17,0,0-.1-.06-.1s0,.1.06.1Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M7.3,9.56c.16,0,.1-.23,0-.23s-.1.23,0,.23Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M7.46,10.37c.16,0,0-.17-.07-.17s0,.17.07.17Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M8,10.5c.16,0,0-.15-.1-.15s0,.15.1.15Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M8.44,10c.14,0,.15,0,0,0s-.14,0,0,0Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M8.23,9.73c.16,0,.1-.2,0-.2s-.1.2,0,.2Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M7.35,7.69c.07,0,.18-.11.22-.11s-.19.11-.22.11Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M7.07,8.33c.13,0-.08-.12-.14-.12s.08.12.14.12Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M7.08,9.84s.27-.1.15-.1-.27.1-.15.1Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M7.76,10.42s-.08-.19-.14-.19.08.19.14.19Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M8.3,9.43c.09,0-.09-.16-.16-.16s.09.16.16.16Z", transform: "translate(-0.39 -4.5)" }),
        React__default['default'].createElement("path", { d: "M8.62,8.85s-.06-.23-.11-.23.05.23.11.23Z", transform: "translate(-0.39 -4.5)" })));
};

var Icon$b = function (props) {
    return (React__default['default'].createElement(Svg, __assign({ viewBox: "0 0 24 24" }, props),
        React__default['default'].createElement("path", { d: "M5.66 4.2L6.05 4.59C6.44 4.97 6.44 5.61 6.05 5.99L6.04 6C5.65 6.39 5.03 6.39 4.64 6L4.25 5.61C3.86 5.23 3.86 4.6 4.25 4.21L4.26 4.2C4.64 3.82 5.27 3.81 5.66 4.2Z" }),
        React__default['default'].createElement("path", { d: "M1.99 10.95H3.01C3.56 10.95 4 11.39 4 11.95V11.96C4 12.51 3.56 12.95 3 12.94H1.99C1.44 12.94 1 12.5 1 11.95V11.94C1 11.39 1.44 10.95 1.99 10.95Z" }),
        React__default['default'].createElement("path", { d: "M12 1H12.01C12.56 1 13 1.44 13 1.99V2.96C13 3.51 12.56 3.95 12 3.94H11.99C11.44 3.94 11 3.5 11 2.95V1.99C11 1.44 11.44 1 12 1Z" }),
        React__default['default'].createElement("path", { d: "M18.34 4.2C18.73 3.82 19.36 3.82 19.75 4.21C20.14 4.6 20.14 5.22 19.75 5.61L19.36 6C18.98 6.39 18.35 6.39 17.96 6L17.95 5.99C17.56 5.61 17.56 4.98 17.95 4.59L18.34 4.2Z" }),
        React__default['default'].createElement("path", { d: "M18.33 19.7L17.94 19.31C17.55 18.92 17.55 18.3 17.95 17.9C18.33 17.52 18.96 17.51 19.35 17.9L19.74 18.29C20.13 18.68 20.13 19.31 19.74 19.7C19.35 20.09 18.72 20.09 18.33 19.7Z" }),
        React__default['default'].createElement("path", { d: "M20 11.95V11.94C20 11.39 20.44 10.95 20.99 10.95H22C22.55 10.95 22.99 11.39 22.99 11.94V11.95C22.99 12.5 22.55 12.94 22 12.94H20.99C20.44 12.94 20 12.5 20 11.95Z" }),
        React__default['default'].createElement("path", { fillRule: "evenodd", clipRule: "evenodd", d: "M6 11.95C6 8.64 8.69 5.95 12 5.95C15.31 5.95 18 8.64 18 11.95C18 15.26 15.31 17.95 12 17.95C8.69 17.95 6 15.26 6 11.95ZM12 16C14.2091 16 16 14.2091 16 12C16 9.79086 14.2091 8 12 8C9.79086 8 8 9.79086 8 12C8 14.2091 9.79086 16 12 16Z" }),
        React__default['default'].createElement("path", { d: "M12 22.9H11.99C11.44 22.9 11 22.46 11 21.91V20.95C11 20.4 11.44 19.96 11.99 19.96H12C12.55 19.96 12.99 20.4 12.99 20.95V21.91C12.99 22.46 12.55 22.9 12 22.9Z" }),
        React__default['default'].createElement("path", { d: "M5.66 19.69C5.27 20.08 4.64 20.08 4.25 19.69C3.86 19.3 3.86 18.68 4.24 18.28L4.63 17.89C5.02 17.5 5.65 17.5 6.04 17.89L6.05 17.9C6.43 18.28 6.44 18.91 6.05 19.3L5.66 19.69Z" })));
};

var Icon$a = function (props) {
    return (React__default['default'].createElement(Svg, __assign({ viewBox: "0 0 24 24" }, props),
        React__default['default'].createElement("path", { d: "M12 3C7.02985 3 3 7.02985 3 11.9904C3 16.9606 7.02985 21 12 21C16.9701 21 21 16.9606 21 11.9904C21 7.02985 16.9701 3 12 3ZM16.4328 8.65139C16.3753 9.48614 14.8305 15.7228 14.8305 15.7228C14.8305 15.7228 14.7345 16.0874 14.3987 16.097C14.2836 16.097 14.1301 16.0874 13.9574 15.9243C13.6023 15.6269 12.7964 15.0512 12.0384 14.5235C12.0096 14.5522 11.9808 14.581 11.9424 14.6098C11.7697 14.7633 11.5107 14.984 11.2324 15.2527C11.1269 15.3486 11.0117 15.4542 10.8966 15.5693L10.887 15.5789C10.8198 15.6461 10.7623 15.694 10.7143 15.7324C10.3401 16.0394 10.3017 15.7804 10.3017 15.6461L10.5032 13.4488V13.4296L10.5128 13.4104C10.5224 13.3817 10.5416 13.3721 10.5416 13.3721C10.5416 13.3721 14.4659 9.87953 14.5714 9.50533C14.581 9.48614 14.5522 9.46695 14.5043 9.48614C14.2452 9.57249 9.72601 12.4318 9.22708 12.7484C9.19829 12.7676 9.11194 12.758 9.11194 12.758L6.91471 12.0384C6.91471 12.0384 6.65565 11.9328 6.742 11.693C6.76119 11.645 6.78998 11.597 6.89552 11.5299C7.38486 11.1844 15.8955 8.12367 15.8955 8.12367C15.8955 8.12367 16.1354 8.04691 16.2793 8.09488C16.3465 8.12367 16.3849 8.15245 16.4232 8.2484C16.4328 8.28678 16.4424 8.36354 16.4424 8.44989C16.4424 8.49787 16.4328 8.55544 16.4328 8.65139Z" })));
};

var Icon$9 = function (props) {
    return (React__default['default'].createElement(Svg, __assign({ viewBox: "0 0 24 24" }, props),
        React__default['default'].createElement("path", { fillRule: "evenodd", clipRule: "evenodd", d: "M14.3137 3L15.2631 3.94934C14.5597 5.19866 14.7398 6.81097 15.8032 7.87441C16.8667 8.93786 18.479 9.11792 19.7283 8.4146L20.6777 9.36396L17.6569 12.3848L17.1287 11.8566C16.7382 11.4661 16.105 11.4661 15.7145 11.8566C15.3239 12.2471 15.3239 12.8803 15.7145 13.2708L16.2426 13.799L9.36396 20.6777L8.49923 19.8129C9.71921 18.5286 9.69924 16.4983 8.43932 15.2384C7.1794 13.9784 5.14908 13.9585 3.86473 15.1784L3 14.3137L9.87868 7.43503L10.2145 7.77081C10.605 8.16134 11.2382 8.16134 11.6287 7.77081C12.0192 7.38029 12.0192 6.74713 11.6287 6.3566L11.2929 6.02081L14.3137 3ZM12.8995 1.58579C13.6805 0.804738 14.9469 0.804738 15.7279 1.58579L17.299 3.15684C17.6895 3.54736 17.6895 4.18053 17.299 4.57105L17.2175 4.65257C16.7183 5.15173 16.7183 5.96103 17.2175 6.4602C17.7166 6.95936 18.5259 6.95936 19.0251 6.4602L19.1066 6.37868C19.4971 5.98816 20.1303 5.98816 20.5208 6.37868L22.0919 7.94975C22.8729 8.7308 22.8729 9.99713 22.0919 10.7782L10.7782 22.0919C9.99713 22.8729 8.7308 22.8729 7.94975 22.0919L6.37869 20.5208C5.98817 20.1303 5.98817 19.4971 6.37869 19.1066L7.02511 18.4602C7.52427 17.961 7.52427 17.1517 7.02511 16.6526C6.52594 16.1534 5.71664 16.1534 5.21748 16.6526L4.57106 17.299C4.18054 17.6895 3.54737 17.6895 3.15685 17.299L1.58579 15.7279C0.804738 14.9469 0.804738 13.6805 1.58579 12.8995L12.8995 1.58579ZM13.8787 8.6066C13.4882 8.21608 12.855 8.21608 12.4645 8.6066C12.0739 8.99712 12.0739 9.63029 12.4645 10.0208L13.4645 11.0208C13.855 11.4113 14.4882 11.4113 14.8787 11.0208C15.2692 10.6303 15.2692 9.99713 14.8787 9.6066L13.8787 8.6066Z" })));
};

var Icon$8 = function (props) {
    return (React__default['default'].createElement(Svg, __assign({ viewBox: "0 0 24 24" }, props),
        React__default['default'].createElement("path", { fillRule: "evenodd", clipRule: "evenodd", d: "M18.86 4.86003L21.65 7.65003C21.84 7.84003 21.84 8.16003 21.64 8.35003L18.85 11.14C18.54 11.46 18 11.24 18 10.79V9.00003H4C3.45 9.00003 3 8.55003 3 8.00003C3 7.45003 3.45 7.00003 4 7.00003H18V5.21003C18 4.76003 18.54 4.54003 18.86 4.86003ZM5.14001 19.14L2.35001 16.35C2.16001 16.16 2.16001 15.84 2.36001 15.65L5.15001 12.86C5.46001 12.54 6.00001 12.76 6.00001 13.21V15H20C20.55 15 21 15.45 21 16C21 16.55 20.55 17 20 17H6.00001V18.79C6.00001 19.24 5.46001 19.46 5.14001 19.14Z" })));
};

var Icon$7 = function (props) {
    return (React__default['default'].createElement(Svg, __assign({ viewBox: "0 0 24 24" }, props),
        React__default['default'].createElement("path", { d: "M8.65854 19C15.4488 19 19.1659 13.2338 19.1659 8.23717C19.1659 8.07728 19.1659 7.91739 19.1561 7.7475C19.878 7.21785 20.5024 6.5483 21 5.78881C20.3366 6.08861 19.6244 6.28847 18.8732 6.38841C19.6341 5.91872 20.2195 5.17921 20.5024 4.28981C19.7902 4.72951 19 5.03931 18.1512 5.20919C17.478 4.45969 16.522 4 15.4585 4C13.4195 4 11.761 5.69887 11.761 7.78747C11.761 8.08728 11.8 8.36709 11.8585 8.6469C8.79512 8.497 6.07317 6.97801 4.24878 4.68954C3.92683 5.25916 3.75122 5.90873 3.75122 6.59827C3.75122 7.90739 4.40488 9.06662 5.39024 9.74617C4.78537 9.72618 4.21951 9.5563 3.72195 9.27648C3.72195 9.28648 3.72195 9.30646 3.72195 9.32645C3.72195 11.1552 5 12.6942 6.67805 13.034C6.36585 13.1239 6.0439 13.1639 5.70244 13.1639C5.46829 13.1639 5.23415 13.1439 5.00976 13.0939C5.47805 14.6029 6.8439 15.6922 8.46341 15.7222C7.19512 16.7415 5.60488 17.3411 3.87805 17.3411C3.58537 17.3411 3.28293 17.3311 3 17.2911C4.62927 18.3704 6.57073 19 8.65854 19Z" })));
};

var IconModule = /*#__PURE__*/Object.freeze({
    __proto__: null,
    FarmIcon: Icon$o,
    GroupsIcon: Icon$n,
    HamburgerIcon: Icon$m,
    HamburgerCloseIcon: Icon$l,
    HomeIcon: Icon$k,
    IfoIcon: Icon$j,
    InfoIcon: Icon$i,
    LanguageIcon: Icon$h,
    LogoIcon: Logo$3,
    AuditIcon: Icon$g,
    MoonIcon: Icon$f,
    MoreIcon: Icon$e,
    NftIcon: Icon$d,
    PoolIcon: Icon$c,
    SunIcon: Icon$b,
    TelegramIcon: Icon$a,
    TicketIcon: Icon$9,
    TradeIcon: Icon$8,
    TwitterIcon: Icon$7
});

var MenuButton = styled__default['default'](Button)(templateObject_1$e || (templateObject_1$e = __makeTemplateObject(["\n  color: ", ";\n  padding: 0 8px;\n  border-radius: 8px;\n  margin-top:30px;\n"], ["\n  color: ", ";\n  padding: 0 8px;\n  border-radius: 8px;\n  margin-top:30px;\n"])), function (_a) {
    var theme = _a.theme;
    return theme.colors.text;
});
MenuButton.defaultProps = {
    variant: "text",
    size: "sm",
};
var templateObject_1$e;

var StyledLink = styled__default['default'](reactRouterDom.Link)(templateObject_1$d || (templateObject_1$d = __makeTemplateObject(["\n  display: flex;\n  align-items: center;\n  .mobile-icon {\n    width: 32px;\n    ", " {\n      display: none;\n    }\n  }\n  .desktop-icon {\n    width: 156px;\n    display: none;\n    ", " {\n      display: block;\n    }\n  }\n"], ["\n  display: flex;\n  align-items: center;\n  .mobile-icon {\n    width: 32px;\n    ", " {\n      display: none;\n    }\n  }\n  .desktop-icon {\n    width: 156px;\n    display: none;\n    ", " {\n      display: block;\n    }\n  }\n"])), function (_a) {
    var theme = _a.theme;
    return theme.mediaQueries.nav;
}, function (_a) {
    var theme = _a.theme;
    return theme.mediaQueries.nav;
});
var Logo = function (_a) {
    var isPushed = _a.isPushed, togglePush = _a.togglePush, isDark = _a.isDark, href = _a.href;
    var isAbsoluteUrl = href.startsWith("http");
    var innerLogo = (React__default['default'].createElement(React__default['default'].Fragment, null,
        React__default['default'].createElement(Icon$Q, { className: "mobile-icon" }),
        isDark ? React__default['default'].createElement("div", { className: "desktop-icon" },
            React__default['default'].createElement(Image, { src: "images/logo_white.svg", height: 104, width: 104 }),
            " ") : React__default['default'].createElement("div", { className: "desktop-icon" },
            React__default['default'].createElement(Image, { src: "images/logo_night.svg", height: 104, width: 104 }))));
    return (React__default['default'].createElement(Flex, null,
        React__default['default'].createElement(MenuButton, { "aria-label": "Toggle menu", onClick: togglePush, mr: "24px" }, isPushed ? (React__default['default'].createElement(Icon$l, { width: "24px", color: "textSubtle" })) : (React__default['default'].createElement(Icon$m, { width: "24px", color: "textSubtle" }))),
        isAbsoluteUrl ? (React__default['default'].createElement(StyledLink, { as: "a", href: href, "aria-label": "LokumFinance" }, innerLogo)) : (React__default['default'].createElement(StyledLink, { to: href, "aria-label": "LokumFinance" }, innerLogo))));
};
var Logo$1 = React__default['default'].memo(Logo, function (prev, next) { return prev.isPushed === next.isPushed && prev.isDark === next.isDark; });
var templateObject_1$d;

var links = [
    {
        label: "Home",
        icon: "HomeIcon",
        href: "/",
    },
    {
        label: "Trade",
        icon: "TradeIcon",
        items: [
            {
                label: "Exchange",
                href: "https://exchange.lokum.finance/#/swap?outputCurrency=0x1099e778846baa6aad3c6f26ad42419aa7f95103",
            },
            {
                label: "Liquidity",
                href: "https://exchange.lokum.finance/#/pool?inputCurrency=BNB&outputCurrency=0x1099e778846baa6aad3c6f26ad42419aa7f95103",
            },
        ],
    },
    {
        label: "Farms",
        icon: "FarmIcon",
        href: "/farms",
    },
    {
        label: "Pools",
        icon: "PoolIcon",
        href: "/syrup",
    },
    {
        label: "NFT",
        icon: "NftIcon",
        href: "/nft",
    },
    {
        label: "Profile & Teams",
        icon: "GroupsIcon",
        items: [
            {
                label: "Leaderboard",
                href: "/teams",
            },
            {
                label: "YourProfile",
                href: "/",
            },
        ],
        calloutClass: "rainbow",
    },
    {
        label: "Info",
        icon: "InfoIcon",
        items: [
            {
                label: "Overview",
                href: "https://pancakeswap.info",
            },
            {
                label: "Tokens",
                href: "https://pancakeswap.info/tokens",
            },
            {
                label: "Pairs",
                href: "https://pancakeswap.info/pairs",
            },
            {
                label: "Accounts",
                href: "https://pancakeswap.info/accounts",
            },
        ],
    },
    {
        label: "IFO",
        icon: "IfoIcon",
        items: [
            {
                label: "Next",
                href: "/ifo",
            },
            {
                label: "History",
                href: "/ifo/history",
            },
        ],
    },
    {
        label: "More",
        icon: "MoreIcon",
        items: [
            {
                label: "Github",
                href: "https://github.com/pancakeswap",
            },
            {
                label: "Docs",
                href: "https://docs.lokum.finance",
            },
            {
                label: "Blog",
                href: "https://lokumfinance.medium.com",
            },
        ],
    },
];
var socials = [
    {
        label: "Telegram",
        icon: "TelegramIcon",
        items: [
            {
                label: "English",
                href: "https://t.me/lokumswapfinance",
            },
            {
                label: "Türkçe",
                href: "https://t.me/lokumswapfinanceTR",
            },
            {
                label: "Русский",
                href: "https://t.me/LokumfinanceRuss"
            },
            {
                label: "Filipino",
                href: "https://t.me/lokumPH"
            },
            {
                label: "Bahasa Indonesia",
                href: "https://t.me/lokumfinanceid"
            },
            {
                label: "Announcement",
                href: "https://t.me/lokumfinanceannouncement",
            }
            // {
            //   label: "Bahasa Indonesia",
            //   href: "https://t.me/PancakeSwapIndonesia",
            // },
            // {
            //   label: "中文",
            //   href: "https://t.me/PancakeSwap_CN",
            // },
            // {
            //   label: "Tiếng Việt",
            //   href: "https://t.me/PancakeSwapVN",
            // },
            // {
            //   label: "Italiano",
            //   href: "https://t.me/pancakeswap_ita",
            // },
            // {
            //   label: "русский",
            //   href: "https://t.me/pancakeswap_ru",
            // },
            // {
            //   label: "Türkiye",
            //   href: "https://t.me/pancakeswapturkiye",
            // },
            // {
            //   label: "Português",
            //   href: "https://t.me/PancakeSwapPortuguese",
            // },
            // {
            //   label: "Español",
            //   href: "https://t.me/PancakeswapEs",
            // },
            // {
            //   label: "日本語",
            //   href: "https://t.me/pancakeswapjp",
            // },
            // {
            //   label: "Français",
            //   href: "https://t.me/pancakeswapfr",
            // },
            // {
            //   label: "Announcements",
            //   href: "https://t.me/PancakeSwapAnn",
            // },
            // {
            //   label: "Whale Alert",
            //   href: "https://t.me/PancakeSwapWhales",
            // },
        ],
    },
    {
        label: "Twitter",
        icon: "TwitterIcon",
        href: "https://twitter.com/FinanceLokum",
    },
];
var MENU_HEIGHT = 64;
var MENU_ENTRY_HEIGHT = 48;
var SIDEBAR_WIDTH_FULL = 240;
var SIDEBAR_WIDTH_REDUCED = 56;

var rainbowAnimation = styled.keyframes(templateObject_1$c || (templateObject_1$c = __makeTemplateObject(["\n  0%,\n  100% {\n    background-position: 0 0;\n  }\n  50% {\n    background-position: 100% 0;\n  }\n"], ["\n  0%,\n  100% {\n    background-position: 0 0;\n  }\n  50% {\n    background-position: 100% 0;\n  }\n"])));
var LinkLabel = styled__default['default'].div(templateObject_2$5 || (templateObject_2$5 = __makeTemplateObject(["\n  color: ", ";\n  transition: color 0.4s;\n  flex-grow: 1;\n"], ["\n  color: ", ";\n  transition: color 0.4s;\n  flex-grow: 1;\n"])), function (_a) {
    var isPushed = _a.isPushed, theme = _a.theme;
    return (isPushed ? theme.colors.textSubtle : "transparent");
});
var MenuEntry = styled__default['default'].div(templateObject_3$2 || (templateObject_3$2 = __makeTemplateObject(["\n  cursor: pointer;\n  display: flex;\n  align-items: center;\n  height: ", "px;\n  padding: ", ";\n  font-size: ", ";\n  background-color: ", ";\n  color: ", ";\n  box-shadow: ", ";\n\n  a {\n    display: flex;\n    align-items: center;\n    width: 100%;\n    height: 100%;\n  }\n\n  svg {\n    fill: ", ";\n  }\n\n  &:hover {\n    background-color: ", ";\n  }\n\n  // Safari fix\n  flex-shrink: 0;\n\n  &.rainbow {\n    background-clip: text;\n    animation: ", " 3s ease-in-out infinite;\n    background: ", ";\n    background-size: 400% 100%;\n  }\n"], ["\n  cursor: pointer;\n  display: flex;\n  align-items: center;\n  height: ", "px;\n  padding: ", ";\n  font-size: ", ";\n  background-color: ", ";\n  color: ", ";\n  box-shadow: ", ";\n\n  a {\n    display: flex;\n    align-items: center;\n    width: 100%;\n    height: 100%;\n  }\n\n  svg {\n    fill: ", ";\n  }\n\n  &:hover {\n    background-color: ", ";\n  }\n\n  // Safari fix\n  flex-shrink: 0;\n\n  &.rainbow {\n    background-clip: text;\n    animation: ", " 3s ease-in-out infinite;\n    background: ", ";\n    background-size: 400% 100%;\n  }\n"])), MENU_ENTRY_HEIGHT, function (_a) {
    var secondary = _a.secondary;
    return (secondary ? "0 32px" : "0 16px");
}, function (_a) {
    var secondary = _a.secondary;
    return (secondary ? "14px" : "16px");
}, function (_a) {
    var secondary = _a.secondary, theme = _a.theme;
    return (secondary ? theme.colors.background : "transparent");
}, function (_a) {
    var theme = _a.theme;
    return theme.colors.textSubtle;
}, function (_a) {
    var isActive = _a.isActive, theme = _a.theme;
    return (isActive ? "inset 4px 0px 0px " + theme.colors.primary : "none");
}, function (_a) {
    var theme = _a.theme;
    return theme.colors.textSubtle;
}, function (_a) {
    var theme = _a.theme;
    return theme.colors.tertiary;
}, rainbowAnimation, function (_a) {
    var theme = _a.theme;
    return theme.colors.gradients.bubblegum;
});
MenuEntry.defaultProps = {
    secondary: false,
    isActive: false,
    role: "button",
};
var LinkLabelMemo = React__default['default'].memo(LinkLabel, function (prev, next) { return prev.isPushed === next.isPushed; });
var templateObject_1$c, templateObject_2$5, templateObject_3$2;

var Container$2 = styled__default['default'].div(templateObject_1$b || (templateObject_1$b = __makeTemplateObject(["\n  display: flex;\n  flex-direction: column;\n  // Safari fix\n  flex-shrink: 0;\n"], ["\n  display: flex;\n  flex-direction: column;\n  // Safari fix\n  flex-shrink: 0;\n"])));
var AccordionContent = styled__default['default'].div(templateObject_2$4 || (templateObject_2$4 = __makeTemplateObject(["\n  max-height: ", ";\n  transition: max-height 0.3s ease-out;\n  overflow: hidden;\n  border-color: ", ";\n  border-style: solid;\n  border-width: 1px 0;\n"], ["\n  max-height: ", ";\n  transition: max-height 0.3s ease-out;\n  overflow: hidden;\n  border-color: ", ";\n  border-style: solid;\n  border-width: 1px 0;\n"])), function (_a) {
    var isOpen = _a.isOpen, maxHeight = _a.maxHeight;
    return (isOpen ? maxHeight + "px" : 0);
}, function (_a) {
    var isOpen = _a.isOpen, isPushed = _a.isPushed;
    return (isOpen && isPushed ? "rgba(133, 133, 133, 0.1)" : "transparent");
});
var Accordion = function (_a) {
    var label = _a.label, icon = _a.icon, isPushed = _a.isPushed, pushNav = _a.pushNav, _b = _a.initialOpenState, initialOpenState = _b === void 0 ? false : _b, children = _a.children, className = _a.className, isActive = _a.isActive;
    var _c = React.useState(initialOpenState), isOpen = _c[0], setIsOpen = _c[1];
    var handleClick = function () {
        if (isPushed) {
            setIsOpen(function (prevState) { return !prevState; });
        }
        else {
            pushNav(true);
            setIsOpen(true);
        }
    };
    return (React__default['default'].createElement(Container$2, null,
        React__default['default'].createElement(MenuEntry, { onClick: handleClick, className: className, isActive: isActive },
            icon,
            React__default['default'].createElement(LinkLabelMemo, { isPushed: isPushed }, label),
            isOpen ? React__default['default'].createElement(Icon$1d, null) : React__default['default'].createElement(Icon$1e, null)),
        React__default['default'].createElement(AccordionContent, { isOpen: isOpen, isPushed: isPushed, maxHeight: React__default['default'].Children.count(children) * MENU_ENTRY_HEIGHT }, children)));
};
var Accordion$1 = React__default['default'].memo(Accordion, function (prev, next) { return prev.isPushed === next.isPushed; });
var templateObject_1$b, templateObject_2$4;

var MenuLink = function (_a) {
    var href = _a.href, otherProps = __rest(_a, ["href"]);
    var isHttpLink = href === null || href === void 0 ? void 0 : href.startsWith("http");
    // eslint-disable-next-line @typescript-eslint/no-explicit-any
    var Tag = isHttpLink ? "a" : reactRouterDom.NavLink;
    var props = isHttpLink ? { href: href } : { to: href };
    return React__default['default'].createElement(Tag, __assign({}, props, otherProps));
};

var Icons$2 = IconModule;
var Container$1 = styled__default['default'].div(templateObject_1$a || (templateObject_1$a = __makeTemplateObject(["\n  display: flex;\n  flex-direction: column;\n  overflow-y: auto;\n  overflow-x: hidden;\n  height: 100%;\n"], ["\n  display: flex;\n  flex-direction: column;\n  overflow-y: auto;\n  overflow-x: hidden;\n  height: 100%;\n"])));
var PanelBody = function (_a) {
    _a.isDark; var isPushed = _a.isPushed, pushNav = _a.pushNav, isMobile = _a.isMobile, links = _a.links;
    var location = reactRouterDom.useLocation();
    // Close the menu when a user clicks a link on mobile
    var handleClick = isMobile ? function () { return pushNav(false); } : undefined;
    return (React__default['default'].createElement(Container$1, null, links.map(function (entry) {
        var Icon = Icons$2[entry.icon];
        var iconElement = React__default['default'].createElement(Icon, { width: "24px", mr: "8px", isDark: true });
        var calloutClass = entry.calloutClass ? entry.calloutClass : undefined;
        if (entry.items) {
            var itemsMatchIndex = entry.items.findIndex(function (item) { return item.href === location.pathname; });
            var initialOpenState = entry.initialOpenState === true ? entry.initialOpenState : itemsMatchIndex >= 0;
            return (React__default['default'].createElement(Accordion$1, { key: entry.label, isPushed: isPushed, pushNav: pushNav, icon: iconElement, label: entry.label, initialOpenState: initialOpenState, className: calloutClass, isActive: entry.items.some(function (item) { return item.href === location.pathname; }) }, isPushed &&
                entry.items.map(function (item) { return (React__default['default'].createElement(MenuEntry, { key: item.href, secondary: true, isActive: item.href === location.pathname, onClick: handleClick },
                    React__default['default'].createElement(MenuLink, { href: item.href }, item.label))); })));
        }
        return (React__default['default'].createElement(MenuEntry, { key: entry.label, isActive: entry.href === location.pathname, className: calloutClass },
            React__default['default'].createElement(MenuLink, { href: entry.href, onClick: handleClick },
                iconElement,
                React__default['default'].createElement(LinkLabelMemo, { isPushed: isPushed }, entry.label))));
    })));
};
var templateObject_1$a;

var PriceLink = styled__default['default'].a(templateObject_1$9 || (templateObject_1$9 = __makeTemplateObject(["\n  display: flex;\n  align-items: center;\n  svg {\n    transition: transform 0.3s;\n  }\n  :hover {\n    svg {\n      transform: scale(1.2);\n    }\n  }\n"], ["\n  display: flex;\n  align-items: center;\n  svg {\n    transition: transform 0.3s;\n  }\n  :hover {\n    svg {\n      transform: scale(1.2);\n    }\n  }\n"])));
var CakePrice = function (_a) {
    var cakePriceUsd = _a.cakePriceUsd;
    return cakePriceUsd ? (React__default['default'].createElement(PriceLink, { href: "https://bscscan.com/token/0x1099e778846baa6aad3c6f26ad42419aa7f95103", target: "_blank" },
        React__default['default'].createElement(Icon$J, { width: "24px", mr: "8px" }),
        React__default['default'].createElement(Text, { color: "textSubtle", bold: true }, "$" + cakePriceUsd.toFixed(3)))) : (React__default['default'].createElement(Skeleton, { width: 80, height: 24 }));
};
var CakePrice$1 = React__default['default'].memo(CakePrice);
var templateObject_1$9;

var Icons$1 = IconModule;
var MoonIcon = Icons$1.MoonIcon, SunIcon = Icons$1.SunIcon;
var ThemeSwitcher = function (_a) {
    var isDark = _a.isDark, toggleTheme = _a.toggleTheme;
    return (React__default['default'].createElement(Button, { variant: "text", onClick: function () { return toggleTheme(!isDark); } },
        React__default['default'].createElement(Flex, { alignItems: "center" },
            React__default['default'].createElement(SunIcon, { color: isDark ? "textDisabled" : "text", width: "24px" }),
            React__default['default'].createElement(Text, { color: "textDisabled", mx: "4px" }, "/"),
            React__default['default'].createElement(MoonIcon, { color: isDark ? "text" : "textDisabled", width: "24px" }))));
};
var ThemeSwitcher$1 = React__default['default'].memo(ThemeSwitcher, function (prev, next) { return prev.isDark === next.isDark; });

var Icons = IconModule;
var SocialLinks = function () { return (React__default['default'].createElement(Flex, null, socials.map(function (social, index) {
    var Icon = Icons[social.icon];
    var iconProps = { width: "24px", color: "textSubtle", style: { cursor: "pointer" } };
    var mr = index < socials.length - 1 ? "24px" : 0;
    if (social.items) {
        return (React__default['default'].createElement(Dropdown, { key: social.label, position: "top", target: React__default['default'].createElement(Icon, __assign({}, iconProps, { mr: mr })) }, social.items.map(function (item) { return (React__default['default'].createElement(Link, { external: true, key: item.label, href: item.href, "aria-label": item.label, color: "textSubtle" }, item.label)); })));
    }
    return (React__default['default'].createElement(Link, { external: true, key: social.label, href: social.href, "aria-label": social.label, mr: mr },
        React__default['default'].createElement(Icon, __assign({}, iconProps))));
}))); };
var SocialLinks$1 = React__default['default'].memo(SocialLinks, function () { return true; });

var Container = styled__default['default'].div(templateObject_1$8 || (templateObject_1$8 = __makeTemplateObject(["\n  flex: none;\n  padding: 8px 4px;\n  background-color: ", ";\n  border-top: solid 2px rgba(133, 133, 133, 0.1);\n"], ["\n  flex: none;\n  padding: 8px 4px;\n  background-color: ", ";\n  border-top: solid 2px rgba(133, 133, 133, 0.1);\n"])), function (_a) {
    var theme = _a.theme;
    return theme.nav.background;
});
var SettingsEntry = styled__default['default'].div(templateObject_2$3 || (templateObject_2$3 = __makeTemplateObject(["\n  display: flex;\n  align-items: center;\n  justify-content: space-between;\n  height: ", "px;\n  padding: 0 8px;\n"], ["\n  display: flex;\n  align-items: center;\n  justify-content: space-between;\n  height: ", "px;\n  padding: 0 8px;\n"])), MENU_ENTRY_HEIGHT);
var SocialEntry = styled__default['default'].div(templateObject_3$1 || (templateObject_3$1 = __makeTemplateObject(["\n  display: flex;\n  align-items: center;\n  justify-content: space-between;\n  height: ", "px;\n  padding: 0 16px;\n"], ["\n  display: flex;\n  align-items: center;\n  justify-content: space-between;\n  height: ", "px;\n  padding: 0 16px;\n"])), MENU_ENTRY_HEIGHT);
var PanelFooter = function (_a) {
    var isPushed = _a.isPushed, pushNav = _a.pushNav, toggleTheme = _a.toggleTheme, isDark = _a.isDark, cakePriceUsd = _a.cakePriceUsd; _a.currentLang; _a.langs; _a.setLang;
    if (!isPushed) {
        return (React__default['default'].createElement(Container, null,
            React__default['default'].createElement(IconButton, { variant: "text", onClick: function () { return pushNav(true); } },
                React__default['default'].createElement(Icon$Z, null))));
    }
    return (React__default['default'].createElement(Container, null,
        React__default['default'].createElement(SocialEntry, null,
            React__default['default'].createElement(CakePrice$1, { cakePriceUsd: cakePriceUsd }),
            React__default['default'].createElement(SocialLinks$1, null)),
        React__default['default'].createElement(SettingsEntry, null,
            React__default['default'].createElement(ThemeSwitcher$1, { isDark: isDark, toggleTheme: toggleTheme }))));
};
var templateObject_1$8, templateObject_2$3, templateObject_3$1;

var StyledPanel = styled__default['default'].div(templateObject_1$7 || (templateObject_1$7 = __makeTemplateObject(["\n  position: fixed;\n  padding-top: ", ";\n  top: 0;\n  left: 0;\n  display: flex;\n  flex-direction: column;\n  justify-content: space-between;\n  flex-shrink: 0;\n  background-color: ", ";\n  width: ", ";\n  height: 100vh;\n  transition: padding-top 0.2s, width 0.2s;\n  border-right: ", ";\n  z-index: 11;\n  overflow: ", ";\n  transform: translate3d(0, 0, 0);\n\n  ", " {\n    border-right: 2px solid rgba(133, 133, 133, 0.1);\n    width: ", ";\n  }\n"], ["\n  position: fixed;\n  padding-top: ", ";\n  top: 0;\n  left: 0;\n  display: flex;\n  flex-direction: column;\n  justify-content: space-between;\n  flex-shrink: 0;\n  background-color: ", ";\n  width: ", ";\n  height: 100vh;\n  transition: padding-top 0.2s, width 0.2s;\n  border-right: ", ";\n  z-index: 11;\n  overflow: ", ";\n  transform: translate3d(0, 0, 0);\n\n  ", " {\n    border-right: 2px solid rgba(133, 133, 133, 0.1);\n    width: ", ";\n  }\n"])), function (_a) {
    var showMenu = _a.showMenu;
    return (showMenu ? "80px" : 0);
}, function (_a) {
    var theme = _a.theme;
    return theme.nav.background;
}, function (_a) {
    var isPushed = _a.isPushed;
    return (isPushed ? SIDEBAR_WIDTH_FULL + "px" : 0);
}, function (_a) {
    var isPushed = _a.isPushed;
    return (isPushed ? "2px solid rgba(133, 133, 133, 0.1)" : 0);
}, function (_a) {
    var isPushed = _a.isPushed;
    return (isPushed ? "initial" : "hidden");
}, function (_a) {
    var theme = _a.theme;
    return theme.mediaQueries.nav;
}, function (_a) {
    var isPushed = _a.isPushed;
    return (isPushed ? SIDEBAR_WIDTH_FULL : SIDEBAR_WIDTH_REDUCED) + "px";
});
var Panel = function (props) {
    var isPushed = props.isPushed, showMenu = props.showMenu;
    return (React__default['default'].createElement(StyledPanel, { isPushed: isPushed, showMenu: showMenu },
        React__default['default'].createElement(PanelBody, __assign({}, props)),
        React__default['default'].createElement(PanelFooter, __assign({}, props))));
};
var templateObject_1$7;

var Icon$6 = function (props) {
    return (React__default['default'].createElement(Svg, __assign({ viewBox: "0 0 96 96" }, props),
        React__default['default'].createElement("circle", { cx: "48", cy: "48", r: "48", fill: "white" }),
        React__default['default'].createElement("path", { d: "M77.7602 16.9155L51.9419 36.0497L56.7382 24.7733L77.7602 16.9155Z", fill: "#E17726" }),
        React__default['default'].createElement("path", { d: "M18.2656 16.9155L43.8288 36.2283L39.2622 24.7733L18.2656 16.9155Z", fill: "#E27625" }),
        React__default['default'].createElement("path", { d: "M68.4736 61.2808L61.6108 71.7918L76.3059 75.8482L80.4899 61.5104L68.4736 61.2808Z", fill: "#E27625" }),
        React__default['default'].createElement("path", { d: "M15.5356 61.5104L19.6941 75.8482L34.3892 71.7918L27.5519 61.2808L15.5356 61.5104Z", fill: "#E27625" }),
        React__default['default'].createElement("path", { d: "M33.5984 43.5251L29.491 49.699L44.0584 50.3624L43.5482 34.6724L33.5984 43.5251Z", fill: "#E27625" }),
        React__default['default'].createElement("path", { d: "M62.4274 43.525L52.2991 34.4937L51.9419 50.3622L66.5094 49.6989L62.4274 43.525Z", fill: "#E27625" }),
        React__default['default'].createElement("path", { d: "M34.3892 71.7922L43.1654 67.5316L35.6137 61.6128L34.3892 71.7922Z", fill: "#E27625" }),
        React__default['default'].createElement("path", { d: "M52.8345 67.5316L61.6107 71.7922L60.3861 61.6128L52.8345 67.5316Z", fill: "#E27625" }),
        React__default['default'].createElement("path", { d: "M61.6107 71.7923L52.8345 67.5317L53.5233 73.2465L53.4468 75.6446L61.6107 71.7923Z", fill: "#D5BFB2" }),
        React__default['default'].createElement("path", { d: "M34.3892 71.7923L42.5531 75.6446L42.502 73.2465L43.1654 67.5317L34.3892 71.7923Z", fill: "#D5BFB2" }),
        React__default['default'].createElement("path", { d: "M42.7062 57.8369L35.4097 55.6939L40.5631 53.3213L42.7062 57.8369Z", fill: "#233447" }),
        React__default['default'].createElement("path", { d: "M53.2937 57.8369L55.4367 53.3213L60.6412 55.6939L53.2937 57.8369Z", fill: "#233447" }),
        React__default['default'].createElement("path", { d: "M34.3893 71.7918L35.6649 61.2808L27.552 61.5104L34.3893 71.7918Z", fill: "#CC6228" }),
        React__default['default'].createElement("path", { d: "M60.3352 61.2808L61.6108 71.7918L68.4736 61.5104L60.3352 61.2808Z", fill: "#CC6228" }),
        React__default['default'].createElement("path", { d: "M66.5094 49.6987L51.9419 50.362L53.294 57.8371L55.4371 53.3215L60.6416 55.6941L66.5094 49.6987Z", fill: "#CC6228" }),
        React__default['default'].createElement("path", { d: "M35.4098 55.6941L40.5633 53.3215L42.7063 57.8371L44.0584 50.362L29.491 49.6987L35.4098 55.6941Z", fill: "#CC6228" }),
        React__default['default'].createElement("path", { d: "M29.491 49.6987L35.6139 61.6129L35.4098 55.6941L29.491 49.6987Z", fill: "#E27525" }),
        React__default['default'].createElement("path", { d: "M60.6414 55.6941L60.3862 61.6129L66.5092 49.6987L60.6414 55.6941Z", fill: "#E27525" }),
        React__default['default'].createElement("path", { d: "M44.0584 50.3618L42.7063 57.8369L44.4156 66.6641L44.7728 55.0305L44.0584 50.3618Z", fill: "#E27525" }),
        React__default['default'].createElement("path", { d: "M51.9415 50.3618L51.2527 55.005L51.5843 66.6641L53.2937 57.8369L51.9415 50.3618Z", fill: "#E27525" }),
        React__default['default'].createElement("path", { d: "M53.2938 57.8374L51.5845 66.6646L52.8346 67.532L60.3862 61.6132L60.6413 55.6943L53.2938 57.8374Z", fill: "#F5841F" }),
        React__default['default'].createElement("path", { d: "M35.4097 55.6943L35.6138 61.6132L43.1654 67.532L44.4155 66.6646L42.7062 57.8374L35.4097 55.6943Z", fill: "#F5841F" }),
        React__default['default'].createElement("path", { d: "M53.4468 75.6443L53.5233 73.2462L52.8855 72.6849H43.1143L42.502 73.2462L42.5531 75.6443L34.3892 71.792L37.2465 74.1391L43.0378 78.1445H52.962L58.7533 74.1391L61.6107 71.792L53.4468 75.6443Z", fill: "#C0AC9D" }),
        React__default['default'].createElement("path", { d: "M52.8346 67.5315L51.5845 66.6641H44.4156L43.1655 67.5315L42.5022 73.2462L43.1145 72.6849H52.8857L53.5235 73.2462L52.8346 67.5315Z", fill: "#161616" }),
        React__default['default'].createElement("path", { d: "M78.8314 37.2998L80.9999 26.7377L77.7599 16.9155L52.8345 35.4119L62.4271 43.5247L75.9485 47.4791L78.9335 43.984L77.6323 43.04L79.7243 41.1521L78.1426 39.902L80.2091 38.3458L78.8314 37.2998Z", fill: "#763E1A" }),
        React__default['default'].createElement("path", { d: "M15 26.7377L17.194 37.2998L15.7909 38.3458L17.8574 39.902L16.2756 41.1521L18.3676 43.04L17.0665 43.984L20.0514 47.4791L33.5984 43.5247L43.1655 35.4119L18.2656 16.9155L15 26.7377Z", fill: "#763E1A" }),
        React__default['default'].createElement("path", { d: "M75.9487 47.4793L62.4272 43.5249L66.5092 49.6989L60.3862 61.613L68.4736 61.511H80.4898L75.9487 47.4793Z", fill: "#F5841F" }),
        React__default['default'].createElement("path", { d: "M33.5983 43.5249L20.0513 47.4793L15.5356 61.511H27.5519L35.6137 61.613L29.4908 49.6989L33.5983 43.5249Z", fill: "#F5841F" }),
        React__default['default'].createElement("path", { d: "M51.9415 50.3617L52.8344 35.4115L56.7378 24.7729H39.262L43.1653 35.4115L44.0583 50.3617L44.3899 55.0559L44.4154 66.664H51.5843L51.6099 55.0559L51.9415 50.3617Z", fill: "#F5841F" })));
};

var Icon$5 = function (props) {
    return (React__default['default'].createElement(Svg, __assign({ viewBox: "0 0 96 96" }, props),
        React__default['default'].createElement("circle", { cx: "48", cy: "48", r: "48", fill: "white" }),
        React__default['default'].createElement("path", { fillRule: "evenodd", clipRule: "evenodd", d: "M66.4573 43.7107C64.8919 42.1452 64.8919 39.6071 66.4573 38.0416C68.0228 36.4762 70.5609 36.4762 72.1264 38.0416C73.6918 39.6071 73.6918 42.1452 72.1264 43.7107C70.5609 45.2762 68.0228 45.2762 66.4573 43.7107ZM52.9933 57.1747C51.8192 56.0006 51.8192 54.097 52.9933 52.9229C54.1674 51.7488 56.071 51.7488 57.2451 52.9229C58.4192 54.097 58.4192 56.0006 57.2451 57.1747C56.071 58.3488 54.1674 58.3488 52.9933 57.1747ZM74.2523 50.0884C73.0782 48.9143 73.0782 47.0107 74.2523 45.8366C75.4263 44.6625 77.3299 44.6625 78.504 45.8366C79.6781 47.0107 79.6781 48.9143 78.504 50.0884C77.3299 51.2625 75.4263 51.2625 74.2523 50.0884ZM67.166 57.1747C65.9919 56.0006 65.9919 54.097 67.166 52.9229C68.34 51.7488 70.2436 51.7488 71.4177 52.9229C72.5918 54.097 72.5918 56.0006 71.4177 57.1747C70.2436 58.3488 68.34 58.3488 67.166 57.1747ZM82.0472 56.466C81.2645 55.6833 81.2645 54.4142 82.0472 53.6315C82.8299 52.8488 84.099 52.8488 84.8817 53.6315C85.6644 54.4142 85.6644 55.6833 84.8817 56.466C84.099 57.2488 82.8299 57.2488 82.0472 56.466ZM74.9609 63.5523C74.1782 62.7696 74.1782 61.5005 74.9609 60.7178C75.7436 59.9351 77.0127 59.9351 77.7954 60.7178C78.5781 61.5005 78.5781 62.7696 77.7954 63.5523C77.0127 64.3351 75.7436 64.3351 74.9609 63.5523ZM59.371 50.797C57.8056 49.2315 57.8056 46.6934 59.371 45.1279C60.9365 43.5625 63.4746 43.5625 65.0401 45.1279C66.6055 46.6934 66.6055 49.2315 65.0401 50.797C63.4746 52.3625 60.9365 52.3625 59.371 50.797ZM59.371 36.6244C57.8056 35.0589 57.8056 32.5208 59.371 30.9553C60.9365 29.3899 63.4746 29.3899 65.0401 30.9553C66.6055 32.5208 66.6055 35.0589 65.0401 36.6244C63.4746 38.1898 60.9365 38.1898 59.371 36.6244ZM52.2847 43.7107C50.7193 42.1452 50.7193 39.6071 52.2847 38.0416C53.8502 36.4762 56.3883 36.4762 57.9538 38.0416C59.5192 39.6071 59.5192 42.1452 57.9538 43.7107C56.3883 45.2762 53.8502 45.2762 52.2847 43.7107ZM38.0462 43.7107C36.4808 42.1452 36.4808 39.6071 38.0462 38.0416C39.6117 36.4762 42.1498 36.4762 43.7153 38.0416C45.2807 39.6071 45.2807 42.1452 43.7153 43.7107C42.1498 45.2762 39.6117 45.2762 38.0462 43.7107ZM24.5823 57.1747C23.4082 56.0006 23.4082 54.097 24.5823 52.9229C25.7564 51.7488 27.66 51.7488 28.8341 52.9229C30.0081 54.097 30.0081 56.0006 28.8341 57.1747C27.66 58.3488 25.7564 58.3488 24.5823 57.1747ZM45.8412 50.0884C44.6671 48.9143 44.6671 47.0107 45.8412 45.8366C47.0153 44.6625 48.9189 44.6625 50.093 45.8366C51.2671 47.0107 51.2671 48.9143 50.093 50.0884C48.9189 51.2625 47.0153 51.2625 45.8412 50.0884ZM38.7549 57.1747C37.5808 56.0006 37.5808 54.097 38.7549 52.9229C39.929 51.7488 41.8326 51.7488 43.0067 52.9229C44.1807 54.097 44.1807 56.0006 43.0067 57.1747C41.8326 58.3488 39.929 58.3488 38.7549 57.1747ZM11.1183 56.466C10.3356 55.6833 10.3356 54.4142 11.1183 53.6315C11.901 52.8488 13.1701 52.8488 13.9528 53.6315C14.7356 54.4142 14.7356 55.6833 13.9528 56.466C13.1701 57.2488 11.901 57.2488 11.1183 56.466ZM18.2046 63.5523C17.4219 62.7696 17.4219 61.5005 18.2046 60.7178C18.9873 59.9351 20.2564 59.9351 21.0391 60.7178C21.8219 61.5005 21.8219 62.7696 21.0391 63.5523C20.2564 64.3351 18.9873 64.3351 18.2046 63.5523ZM46.5498 63.5523C45.7671 62.7696 45.7671 61.5005 46.5498 60.7178C47.3325 59.9351 48.6016 59.9351 49.3843 60.7178C50.1671 61.5005 50.1671 62.7696 49.3843 63.5523C48.6016 64.3351 47.3325 64.3351 46.5498 63.5523ZM17.496 50.0884C16.3219 48.9143 16.3219 47.0107 17.496 45.8366C18.6701 44.6625 20.5737 44.6625 21.7478 45.8366C22.9218 47.0107 22.9218 48.9143 21.7478 50.0884C20.5737 51.2625 18.6701 51.2625 17.496 50.0884ZM30.9599 50.797C29.3945 49.2315 29.3945 46.6934 30.9599 45.1279C32.5254 43.5625 35.0635 43.5625 36.629 45.1279C38.1944 46.6934 38.1944 49.2315 36.629 50.797C35.0635 52.3625 32.5254 52.3625 30.9599 50.797ZM30.9599 36.6244C29.3945 35.0589 29.3945 32.5208 30.9599 30.9553C32.5254 29.3899 35.0635 29.3899 36.629 30.9553C38.1944 32.5208 38.1944 35.0589 36.629 36.6244C35.0635 38.1898 32.5254 38.1898 30.9599 36.6244ZM23.8736 43.7107C22.3082 42.1452 22.3082 39.6071 23.8736 38.0416C25.4391 36.4762 27.9772 36.4762 29.5427 38.0416C31.1081 39.6071 31.1081 42.1452 29.5427 43.7107C27.9772 45.2762 25.4391 45.2762 23.8736 43.7107Z", fill: "#1D222A" })));
};

var Icon$4 = function (props) {
    return (React__default['default'].createElement(Svg, __assign({ viewBox: "0 0 96 96" }, props),
        React__default['default'].createElement("circle", { cx: "48", cy: "48", r: "48", fill: "white" }),
        React__default['default'].createElement("path", { d: "M44.3288 35.3546V21.7134H19.0926C18.581 21.7134 18.24 22.0544 18.24 22.566V41.8342C18.24 42.3457 18.581 42.6867 19.0926 42.6867H28.8119V77.8129C28.8119 78.3244 29.153 78.6654 29.6645 78.6654H45.5224C46.0339 78.6654 46.375 78.3244 46.375 77.8129V35.3546H44.3288Z", fill: "#29AEFF" }),
        React__default['default'].createElement("path", { d: "M61.8919 17.2798H55.7534H39.2134C38.7019 17.2798 38.3608 17.6208 38.3608 18.1324V73.3792C38.3608 73.8908 38.7019 74.2318 39.2134 74.2318H55.0713C55.5829 74.2318 55.9239 73.8908 55.9239 73.3792V59.397H62.0624C73.6575 59.397 83.0358 50.0187 83.0358 38.4237C83.0358 26.6581 73.487 17.2798 61.8919 17.2798Z", fill: "#2761E7" })));
};

var Icon$3 = function (props) {
    return (React__default['default'].createElement(Svg, __assign({ viewBox: "0 0 96 96" }, props),
        React__default['default'].createElement("g", { clipPath: "url(#clip0)" },
            React__default['default'].createElement("path", { d: "M48.0048 96.0097C74.5172 96.0097 96.0097 74.5172 96.0097 48.0048C96.0097 21.4925 74.5172 0 48.0048 0C21.4925 0 0 21.4925 0 48.0048C0 74.5172 21.4925 96.0097 48.0048 96.0097Z", fill: "#3375BB" }),
            React__default['default'].createElement("path", { d: "M48.0048 22.8922L49.3179 21.1833C48.9399 20.8928 48.4766 20.7354 48 20.7354C47.5233 20.7354 47.06 20.8928 46.682 21.1833L48.0048 22.8922ZM70.5783 29.5252H72.7313C72.7352 29.2396 72.6824 28.9561 72.576 28.6909C72.4696 28.4258 72.3118 28.1844 72.1116 27.9806C71.9114 27.7769 71.6729 27.6148 71.4097 27.5037C71.1465 27.3926 70.8639 27.3348 70.5783 27.3335V29.5252ZM48.0048 75.6377L46.8076 77.4335C47.1604 77.6697 47.5754 77.7958 48 77.7958C48.4245 77.7958 48.8395 77.6697 49.1924 77.4335L48.0048 75.6377ZM25.4506 29.5252V27.3625C25.165 27.3638 24.8824 27.4216 24.6192 27.5327C24.356 27.6437 24.1175 27.8058 23.9173 28.0096C23.7171 28.2134 23.5593 28.4548 23.4529 28.7199C23.3465 28.985 23.2937 29.2686 23.2976 29.5542L25.4506 29.5252ZM46.6917 24.5915C56.4626 32.1611 67.6528 31.6783 70.5879 31.6783V27.3625C67.5466 27.3625 57.8047 27.7487 49.3468 21.1833L46.6917 24.5915ZM68.4348 29.4866C68.2707 39.4892 67.8459 46.5471 67.0349 51.7704C66.2238 56.9938 65.1039 60.0448 63.6266 62.2268C62.1494 64.4089 60.257 65.8282 57.486 67.4792C54.715 69.1302 51.1716 70.9646 46.8076 73.8515L49.2406 77.4335C53.373 74.6818 56.8102 72.9246 59.7357 71.1771C62.6835 69.5717 65.2416 67.3367 67.228 64.6309C69.159 61.7344 70.4817 57.8724 71.3314 52.427C72.181 46.9815 72.6155 39.6534 72.7796 29.5542L68.4348 29.4866ZM49.2406 73.8515C44.9055 70.955 41.3718 69.1592 38.6201 67.4888C35.8684 65.8185 33.976 64.4861 32.4892 62.2268C31.0023 59.9676 29.7954 56.9648 28.9651 51.7704C28.1347 46.576 27.7678 39.4892 27.6037 29.4866L23.2976 29.5542C23.4617 39.6534 23.9058 47.0009 24.7458 52.427C25.5858 57.8531 26.8699 61.7151 28.8395 64.6309C30.8164 67.3382 33.3686 69.5739 36.3125 71.1771C39.2091 72.9246 42.6752 74.6818 46.8076 77.4335L49.2406 73.8515ZM25.4506 31.6783C28.3471 31.6783 39.547 32.1611 49.3179 24.5915L46.682 21.1833C38.2049 27.7487 28.463 27.3625 25.441 27.3625L25.4506 31.6783Z", fill: "white" })),
        React__default['default'].createElement("defs", null,
            React__default['default'].createElement("clipPath", { id: "clip0" },
                React__default['default'].createElement("rect", { width: "96", height: "96", fill: "white" })))));
};

var Icon$2 = function (props) {
    return (React__default['default'].createElement(Svg, __assign({ viewBox: "0 0 96 96" }, props),
        React__default['default'].createElement("path", { d: "M96 48C96 21.4903 74.5097 0 48 0C21.4903 0 0 21.4903 0 48C0 74.5097 21.4903 96 48 96C74.5097 96 96 74.5097 96 48Z", fill: "#3389FB" }),
        React__default['default'].createElement("path", { d: "M29.6927 35.4245C39.8036 25.5252 56.1965 25.5252 66.3074 35.4245L67.5242 36.6159C68.0298 37.1109 68.0298 37.9134 67.5242 38.4084L63.3616 42.4839C63.1088 42.7314 62.699 42.7314 62.4462 42.4839L60.7717 40.8444C53.7181 33.9384 42.282 33.9384 35.2284 40.8444L33.4351 42.6002C33.1823 42.8477 32.7725 42.8477 32.5197 42.6002L28.3571 38.5247C27.8515 38.0297 27.8515 37.2272 28.3571 36.7322L29.6927 35.4245ZM74.9161 43.8532L78.6208 47.4805C79.1264 47.9755 79.1264 48.778 78.6208 49.2729L61.9159 65.6288C61.4103 66.1237 60.5907 66.1237 60.0851 65.6288C60.0851 65.6288 60.0851 65.6288 60.0851 65.6288L48.229 54.0206C48.1026 53.8968 47.8977 53.8968 47.7713 54.0206C47.7713 54.0206 47.7713 54.0206 47.7713 54.0206L35.9153 65.6288C35.4098 66.1237 34.5902 66.1237 34.0846 65.6288C34.0846 65.6288 34.0846 65.6288 34.0846 65.6288L17.3792 49.2727C16.8736 48.7778 16.8736 47.9753 17.3792 47.4803L21.0839 43.853C21.5895 43.3581 22.4091 43.3581 22.9146 43.853L34.771 55.4614C34.8974 55.5851 35.1023 55.5851 35.2287 55.4614C35.2287 55.4614 35.2287 55.4614 35.2287 55.4614L47.0844 43.853C47.59 43.358 48.4096 43.358 48.9152 43.853C48.9152 43.853 48.9152 43.853 48.9152 43.853L60.7715 55.4614C60.8979 55.5851 61.1028 55.5851 61.2292 55.4614L73.0854 43.8532C73.5909 43.3583 74.4105 43.3583 74.9161 43.8532Z", fill: "white" })));
};

var Icon$1 = function (props) {
    return (React__default['default'].createElement(Svg, __assign({ viewBox: "0 0 32 32" }, props),
        React__default['default'].createElement("path", { d: "M24 0H8C3.58172 0 0 3.58172 0 8V24C0 28.4183 3.58172 32 8 32H24C28.4183 32 32 28.4183 32 24V8C32 3.58172 28.4183 0 24 0Z", fill: "#1E2026" }),
        React__default['default'].createElement("path", { d: "M16.2857 4L9.97035 7.6761L12.2922 9.03415L16.2857 6.7161L20.2792 9.03415L22.6011 7.6761L16.2857 4Z", fill: "#F0B90B" }),
        React__default['default'].createElement("path", { d: "M20.2792 10.9541L22.6011 12.3122V15.0283L18.6075 17.3463V21.9824L16.2857 23.3405L13.9639 21.9824V17.3463L9.97035 15.0283V12.3122L12.2922 10.9541L16.2857 13.2722L20.2792 10.9541Z", fill: "#F0B90B" }),
        React__default['default'].createElement("path", { d: "M22.6011 16.9483V19.6644L20.2792 21.0224V18.3063L22.6011 16.9483Z", fill: "#F0B90B" }),
        React__default['default'].createElement("path", { d: "M20.2561 22.9424L24.2496 20.6244V15.9883L26.5714 14.6302V21.9824L20.2561 25.6585V22.9424Z", fill: "#F0B90B" }),
        React__default['default'].createElement("path", { d: "M24.2496 11.3522L21.9278 9.99414L24.2496 8.63609L26.5714 9.99414V12.7102L24.2496 14.0683V11.3522Z", fill: "#F0B90B" }),
        React__default['default'].createElement("path", { d: "M13.9639 26.642V23.9259L16.2857 25.2839L18.6075 23.9259V26.642L16.2857 28L13.9639 26.642Z", fill: "#F0B90B" }),
        React__default['default'].createElement("path", { d: "M12.2922 21.0224L9.97035 19.6644V16.9483L12.2922 18.3063V21.0224Z", fill: "#F0B90B" }),
        React__default['default'].createElement("path", { d: "M16.2857 11.3522L13.9639 9.99414L16.2857 8.63609L18.6075 9.99414L16.2857 11.3522Z", fill: "#F0B90B" }),
        React__default['default'].createElement("path", { d: "M10.6437 9.99414L8.32183 11.3522V14.0683L6 12.7102V9.99414L8.32183 8.63609L10.6437 9.99414Z", fill: "#F0B90B" }),
        React__default['default'].createElement("path", { d: "M6 14.6302L8.32183 15.9883V20.6244L12.3154 22.9424V25.6585L6 21.9824V14.6302Z", fill: "#F0B90B" })));
};

var Icon = function (props) {
    return (React__default['default'].createElement(Svg, __assign({ viewBox: "0 0 96 96" }, props),
        React__default['default'].createElement("circle", { cx: "48", cy: "48", r: "48", fill: "#F5F5F5" }),
        React__default['default'].createElement("path", { d: "M56.5504425,41.9387033 L56.5504425,50.4659601 L47.3948342,50.4659601 L47.3948342,85.5971142 L45.0078131,84.7075452 C43.8992633,84.2955753 42.1136272,83.5937969 39.9052997,82.5918134 L38.8675775,82.1177881 L38.8675775,14.6817622 L47.9569067,11.8769231 L56.5504425,14.5267861 L56.5504425,23.7259307 L47.9569067,21.0669705 L47.3948342,21.2411155 L47.3948342,41.9387033 L56.5504425,41.9387033 Z M16,50.4659926 L16,21.7739797 L36.1702794,15.548296 L36.1702794,24.7052039 L24.526282,28.3200122 L24.526282,41.9387358 L36.1702794,41.9387358 L36.1702794,81.3806284 L33.591244,80.0543973 C25.5662786,75.923652 16,68.9585019 16,59.2339983 L16,54.6496962 L24.526282,54.6496962 L24.526282,59.2339983 C24.526282,61.2460878 25.5734263,63.3605199 27.6426978,65.5373324 L27.6426978,50.4659926 L16,50.4659926 Z M59.1389325,15.3302574 L79.8040306,21.7261873 L79.8040306,50.4659601 L67.6710627,50.4659601 L67.6710627,62.9111544 C67.6710627,62.9111544 64.9581695,66.4674811 59.1464051,69.4451657 C59.1464051,67.0682164 59.1389325,15.3302574 59.1389325,15.3302574 Z M71.2780734,41.9387033 L71.2780734,28.2783928 L67.6710627,27.1649695 L67.6710627,41.9387033 L71.2780734,41.9387033 Z M71.2780734,59.8661186 L71.2780734,54.6495662 L79.8040306,54.6495662 L79.8040306,59.8661186 C79.8040306,74.3588162 58.7760221,82.7005566 52.330058,84.9127828 L49.9859233,85.7230769 L49.9859233,76.7068496 L51.1311866,76.2744112 C61.1591444,72.5004032 71.2780734,65.962818 71.2780734,59.8661186 Z", fill: "#000000" })));
};

exports.ConnectorNames = void 0;
(function (ConnectorNames) {
    ConnectorNames["Injected"] = "injected";
    ConnectorNames["WalletConnect"] = "walletconnect";
    ConnectorNames["BSC"] = "bsc";
})(exports.ConnectorNames || (exports.ConnectorNames = {}));

var connectors = [
    {
        title: "Metamask",
        icon: Icon$6,
        connectorId: exports.ConnectorNames.Injected,
    },
    {
        title: "TrustWallet",
        icon: Icon$3,
        connectorId: exports.ConnectorNames.Injected,
    },
    {
        title: "MathWallet",
        icon: Icon$5,
        connectorId: exports.ConnectorNames.Injected,
    },
    {
        title: "TokenPocket",
        icon: Icon$4,
        connectorId: exports.ConnectorNames.Injected,
    },
    {
        title: "WalletConnect",
        icon: Icon$2,
        connectorId: exports.ConnectorNames.WalletConnect,
    },
    {
        title: "Binance Chain Wallet",
        icon: Icon$1,
        connectorId: exports.ConnectorNames.BSC,
    },
    {
        title: "SafePal Wallet",
        icon: Icon,
        connectorId: exports.ConnectorNames.Injected,
    },
];
var connectorLocalStorageKey = "connectorId";

var WalletCard = function (_a) {
    var login = _a.login, walletConfig = _a.walletConfig, onDismiss = _a.onDismiss, mb = _a.mb;
    var title = walletConfig.title, Icon = walletConfig.icon;
    return (React__default['default'].createElement(Button, { width: "100%", variant: "tertiary", onClick: function () {
            login(walletConfig.connectorId);
            window.localStorage.setItem(connectorLocalStorageKey, walletConfig.connectorId);
            onDismiss();
        }, style: { justifyContent: "space-between" }, mb: mb, id: "wallet-connect-" + title.toLocaleLowerCase() },
        React__default['default'].createElement(Text, { bold: true, color: "primary", mr: "16px" }, title),
        React__default['default'].createElement(Icon, { width: "32px" })));
};

var HelpLink = styled__default['default'](Link)(templateObject_1$6 || (templateObject_1$6 = __makeTemplateObject(["\n  display: flex;\n  align-self: center;\n  align-items: center;\n  margin-top: 24px;\n"], ["\n  display: flex;\n  align-self: center;\n  align-items: center;\n  margin-top: 24px;\n"])));
var ConnectModal = function (_a) {
    var login = _a.login, _b = _a.onDismiss, onDismiss = _b === void 0 ? function () { return null; } : _b;
    return (React__default['default'].createElement(Modal, { title: "Connect to a wallet", onDismiss: onDismiss },
        connectors.map(function (entry, index) { return (React__default['default'].createElement(WalletCard, { key: entry.title, login: login, walletConfig: entry, onDismiss: onDismiss, mb: index < connectors.length - 1 ? "8px" : "0" })); }),
        React__default['default'].createElement(HelpLink, { href: "https://docs.pancakeswap.finance/guides/faq#how-do-i-set-up-my-wallet-on-binance-smart-chain", external: true },
            React__default['default'].createElement(Icon$V, { color: "primary", mr: "6px" }),
            "Learn how to connect")));
};
var templateObject_1$6;

var StyleButton = styled__default['default'](Text).attrs({ role: "button" })(templateObject_1$5 || (templateObject_1$5 = __makeTemplateObject(["\n  position: relative;\n  display: flex;\n  align-items: center;\n  color: ", ";\n"], ["\n  position: relative;\n  display: flex;\n  align-items: center;\n  color: ", ";\n"])), function (_a) {
    var theme = _a.theme;
    return theme.colors.primary;
});
var Tooltip = styled__default['default'].div(templateObject_2$2 || (templateObject_2$2 = __makeTemplateObject(["\n  display: ", ";\n  position: absolute;\n  bottom: -22px;\n  right: 0;\n  left: 0;\n  text-align: center;\n  background-color: ", ";\n  color: ", ";\n  border-radius: 16px;\n  opacity: 0.7;\n"], ["\n  display: ", ";\n  position: absolute;\n  bottom: -22px;\n  right: 0;\n  left: 0;\n  text-align: center;\n  background-color: ", ";\n  color: ", ";\n  border-radius: 16px;\n  opacity: 0.7;\n"])), function (_a) {
    var isTooltipDisplayed = _a.isTooltipDisplayed;
    return (isTooltipDisplayed ? "block" : "none");
}, function (_a) {
    var theme = _a.theme;
    return theme.colors.contrast;
}, function (_a) {
    var theme = _a.theme;
    return theme.colors.invertedContrast;
});
var CopyToClipboard = function (_a) {
    var toCopy = _a.toCopy, children = _a.children, props = __rest(_a, ["toCopy", "children"]);
    var _b = React.useState(false), isTooltipDisplayed = _b[0], setIsTooltipDisplayed = _b[1];
    return (React__default['default'].createElement(StyleButton, __assign({ small: true, bold: true, onClick: function () {
            if (navigator.clipboard) {
                navigator.clipboard.writeText(toCopy);
                setIsTooltipDisplayed(true);
                setTimeout(function () {
                    setIsTooltipDisplayed(false);
                }, 1000);
            }
        } }, props),
        children,
        React__default['default'].createElement(Icon$W, { width: "20px", color: "primary", ml: "4px" }),
        React__default['default'].createElement(Tooltip, { isTooltipDisplayed: isTooltipDisplayed }, "Copied")));
};
var templateObject_1$5, templateObject_2$2;

var AccountModal = function (_a) {
    var account = _a.account, logout = _a.logout, _b = _a.onDismiss, onDismiss = _b === void 0 ? function () { return null; } : _b;
    return (React__default['default'].createElement(Modal, { title: "Your wallet", onDismiss: onDismiss },
        React__default['default'].createElement(Text, { fontSize: "20px", bold: true, style: { whiteSpace: "nowrap", overflow: "hidden", textOverflow: "ellipsis", marginBottom: "8px" } }, account),
        React__default['default'].createElement(Flex, { mb: "32px" },
            React__default['default'].createElement(LinkExternal, { small: true, href: "https://bscscan.com/address/" + account, mr: "16px" }, "View on BscScan"),
            React__default['default'].createElement(CopyToClipboard, { toCopy: account }, "Copy Address")),
        React__default['default'].createElement(Flex, { justifyContent: "center" },
            React__default['default'].createElement(Button, { scale: "sm", variant: "secondary", onClick: function () {
                    logout();
                    window.localStorage.removeItem(connectorLocalStorageKey);
                    onDismiss();
                } }, "Logout"))));
};

var useWalletModal = function (login, logout, account) {
    var onPresentConnectModal = useModal(React__default['default'].createElement(ConnectModal, { login: login }))[0];
    var onPresentAccountModal = useModal(React__default['default'].createElement(AccountModal, { account: account || "", logout: logout }))[0];
    return { onPresentConnectModal: onPresentConnectModal, onPresentAccountModal: onPresentAccountModal };
};

var UserBlock = function (_a) {
    var account = _a.account, login = _a.login, logout = _a.logout;
    var _b = useWalletModal(login, logout, account), onPresentConnectModal = _b.onPresentConnectModal, onPresentAccountModal = _b.onPresentAccountModal;
    var accountEllipsis = account ? account.substring(0, 4) + "..." + account.substring(account.length - 4) : null;
    return (React__default['default'].createElement("div", null, account ? (React__default['default'].createElement(Button, { scale: "sm", variant: "tertiary", onClick: function () {
            onPresentAccountModal();
        } }, accountEllipsis)) : (React__default['default'].createElement(Button, { scale: "sm", onClick: function () {
            onPresentConnectModal();
        } }, "Connect"))));
};
var UserBlock$1 = React__default['default'].memo(UserBlock, function (prevProps, nextProps) { return prevProps.account === nextProps.account; });

var StyledAvatar = styled__default['default'].div(templateObject_1$4 || (templateObject_1$4 = __makeTemplateObject(["\n  margin-left: 8px;\n  position: relative;\n\n  img {\n    border-radius: 50%;\n  }\n"], ["\n  margin-left: 8px;\n  position: relative;\n\n  img {\n    border-radius: 50%;\n  }\n"])));
var Pip = styled__default['default'].div(templateObject_2$1 || (templateObject_2$1 = __makeTemplateObject(["\n  background-color: ", ";\n  border-radius: 50%;\n  pointer-events: none;\n  height: 8px;\n  position: absolute;\n  right: 0;\n  top: 0;\n  width: 8px;\n"], ["\n  background-color: ", ";\n  border-radius: 50%;\n  pointer-events: none;\n  height: 8px;\n  position: absolute;\n  right: 0;\n  top: 0;\n  width: 8px;\n"])), function (_a) {
    var theme = _a.theme;
    return theme.colors.failure;
});
var Avatar = function (_a) {
    var profile = _a.profile;
    var _b = profile.username, username = _b === void 0 ? "Bunny" : _b, image = profile.image, profileLink = profile.profileLink, noProfileLink = profile.noProfileLink, _c = profile.showPip, showPip = _c === void 0 ? false : _c;
    var link = profile.username ? profileLink : noProfileLink;
    var isExternal = link.startsWith("http");
    var ariaLabel = "Link to profile";
    var icon = image ? (React__default['default'].createElement("img", { src: image, alt: "profile avatar", height: "32px", width: "32px" })) : (React__default['default'].createElement(Icon$M, { width: "32px", height: "32px" }));
    if (isExternal) {
        return (React__default['default'].createElement(StyledAvatar, { title: username },
            React__default['default'].createElement("a", { href: link, "aria-label": ariaLabel }, icon),
            showPip && React__default['default'].createElement(Pip, null)));
    }
    return (React__default['default'].createElement(StyledAvatar, { title: username }, showPip && React__default['default'].createElement(Pip, null)));
};
var templateObject_1$4, templateObject_2$1;

var Wrapper = styled__default['default'].div(templateObject_1$3 || (templateObject_1$3 = __makeTemplateObject(["\n  position: relative;\n  width: 100%;\n"], ["\n  position: relative;\n  width: 100%;\n"])));
var StyledNav = styled__default['default'].nav(templateObject_2 || (templateObject_2 = __makeTemplateObject(["\n  position: fixed;\n  top: ", ";\n  left: 0;\n  transition: top 0.2s;\n  display: flex;\n  justify-content: space-between;\n  align-items: center;\n  padding-left: 8px;\n  padding-right: 16px;\n  width: 100%;\n  height: ", "px;\n  background-color: ", ";\n  border-bottom: solid 2px rgba(133, 133, 133, 0.1);\n  z-index: 20;\n  transform: translate3d(0, 0, 0);\n"], ["\n  position: fixed;\n  top: ", ";\n  left: 0;\n  transition: top 0.2s;\n  display: flex;\n  justify-content: space-between;\n  align-items: center;\n  padding-left: 8px;\n  padding-right: 16px;\n  width: 100%;\n  height: ", "px;\n  background-color: ", ";\n  border-bottom: solid 2px rgba(133, 133, 133, 0.1);\n  z-index: 20;\n  transform: translate3d(0, 0, 0);\n"])), function (_a) {
    var showMenu = _a.showMenu;
    return (showMenu ? 0 : "-" + MENU_HEIGHT + "px");
}, MENU_HEIGHT, function (_a) {
    var theme = _a.theme;
    return theme.nav.background;
});
var BodyWrapper = styled__default['default'].div(templateObject_3 || (templateObject_3 = __makeTemplateObject(["\n  position: relative;\n  display: flex;\n"], ["\n  position: relative;\n  display: flex;\n"])));
var Inner = styled__default['default'].div(templateObject_4 || (templateObject_4 = __makeTemplateObject(["\n  flex-grow: 1;\n  margin-top: ", ";\n  transition: margin-top 0.2s;\n  transform: translate3d(0, 0, 0);\n  max-width: 100%;\n\n  ", " {\n    margin-left: ", ";\n    max-width: ", ";\n  }\n"], ["\n  flex-grow: 1;\n  margin-top: ", ";\n  transition: margin-top 0.2s;\n  transform: translate3d(0, 0, 0);\n  max-width: 100%;\n\n  ", " {\n    margin-left: ", ";\n    max-width: ", ";\n  }\n"])), function (_a) {
    var showMenu = _a.showMenu;
    return (showMenu ? MENU_HEIGHT + "px" : 0);
}, function (_a) {
    var theme = _a.theme;
    return theme.mediaQueries.nav;
}, function (_a) {
    var isPushed = _a.isPushed;
    return (isPushed ? SIDEBAR_WIDTH_FULL : SIDEBAR_WIDTH_REDUCED) + "px";
}, function (_a) {
    var isPushed = _a.isPushed;
    return "calc(100% - " + (isPushed ? SIDEBAR_WIDTH_FULL : SIDEBAR_WIDTH_REDUCED) + "px)";
});
var MobileOnlyOverlay = styled__default['default'](Overlay)(templateObject_5 || (templateObject_5 = __makeTemplateObject(["\n  position: fixed;\n  height: 100%;\n\n  ", " {\n    display: none;\n  }\n"], ["\n  position: fixed;\n  height: 100%;\n\n  ", " {\n    display: none;\n  }\n"])), function (_a) {
    var theme = _a.theme;
    return theme.mediaQueries.nav;
});
var Menu = function (_a) {
    var _b;
    var account = _a.account, login = _a.login, logout = _a.logout, isDark = _a.isDark, toggleTheme = _a.toggleTheme, langs = _a.langs, setLang = _a.setLang, currentLang = _a.currentLang, cakePriceUsd = _a.cakePriceUsd, links = _a.links, profile = _a.profile, children = _a.children;
    var isXl = useMatchBreakpoints().isXl;
    var isMobile = isXl === false;
    var _c = React.useState(!isMobile), isPushed = _c[0], setIsPushed = _c[1];
    var _d = React.useState(true), showMenu = _d[0], setShowMenu = _d[1];
    var refPrevOffset = React.useRef(window.pageYOffset);
    React.useEffect(function () {
        var handleScroll = function () {
            var currentOffset = window.pageYOffset;
            var isBottomOfPage = window.document.body.clientHeight === currentOffset + window.innerHeight;
            var isTopOfPage = currentOffset === 0;
            // Always show the menu when user reach the top
            if (isTopOfPage) {
                setShowMenu(true);
            }
            // Avoid triggering anything at the bottom because of layout shift
            else if (!isBottomOfPage) {
                if (currentOffset < refPrevOffset.current) {
                    // Has scroll up
                    setShowMenu(true);
                }
                else {
                    // Has scroll down
                    setShowMenu(false);
                }
            }
            refPrevOffset.current = currentOffset;
        };
        var throttledHandleScroll = throttle__default['default'](handleScroll, 200);
        window.addEventListener("scroll", throttledHandleScroll);
        return function () {
            window.removeEventListener("scroll", throttledHandleScroll);
        };
    }, []);
    // Find the home link if provided
    var homeLink = links.find(function (link) { return link.label === "Home"; });
    return (React__default['default'].createElement(Wrapper, null,
        React__default['default'].createElement(StyledNav, { showMenu: showMenu },
            React__default['default'].createElement(Logo$1, { isPushed: isPushed, togglePush: function () { return setIsPushed(function (prevState) { return !prevState; }); }, isDark: isDark, href: (_b = homeLink === null || homeLink === void 0 ? void 0 : homeLink.href) !== null && _b !== void 0 ? _b : "/" }),
            React__default['default'].createElement(Flex, null,
                React__default['default'].createElement(UserBlock$1, { account: account, login: login, logout: logout }),
                profile && React__default['default'].createElement(Avatar, { profile: profile }))),
        React__default['default'].createElement(BodyWrapper, null,
            React__default['default'].createElement(Panel, { isPushed: isPushed, isMobile: isMobile, showMenu: showMenu, isDark: isDark, toggleTheme: toggleTheme, langs: langs, setLang: setLang, currentLang: currentLang, cakePriceUsd: cakePriceUsd, pushNav: setIsPushed, links: links }),
            React__default['default'].createElement(Inner, { isPushed: isPushed, showMenu: showMenu }, children),
            React__default['default'].createElement(MobileOnlyOverlay, { show: isPushed, onClick: function () { return setIsPushed(false); }, role: "presentation" }))));
};
var templateObject_1$3, templateObject_2, templateObject_3, templateObject_4, templateObject_5;

var ToastAction = function (_a) {
    var action = _a.action;
    if (action.url.startsWith("http")) {
        return (React__default['default'].createElement(Button, __assign({ as: "a", scale: "sm", href: action.url }, getExternalLinkProps()), action.text));
    }
    return (React__default['default'].createElement(Button, { as: reactRouterDom.Link, scale: "sm", to: action.url }, action.text));
};

var types = {
    SUCCESS: "success",
    DANGER: "danger",
    WARNING: "warning",
    INFO: "info",
};

var _a;
var alertTypeMap = (_a = {},
    _a[types.INFO] = variants$2.INFO,
    _a[types.SUCCESS] = variants$2.SUCCESS,
    _a[types.DANGER] = variants$2.DANGER,
    _a[types.WARNING] = variants$2.WARNING,
    _a);
var StyledToast = styled__default['default'].div(templateObject_1$2 || (templateObject_1$2 = __makeTemplateObject(["\n  right: 16px;\n  position: fixed;\n  max-width: calc(100% - 32px);\n  transition: all 250ms ease-in;\n  width: 100%;\n\n  ", " {\n    max-width: 400px;\n  }\n"], ["\n  right: 16px;\n  position: fixed;\n  max-width: calc(100% - 32px);\n  transition: all 250ms ease-in;\n  width: 100%;\n\n  ", " {\n    max-width: 400px;\n  }\n"])), function (_a) {
    var theme = _a.theme;
    return theme.mediaQueries.sm;
});
var Toast = function (_a) {
    var toast = _a.toast, onRemove = _a.onRemove, style = _a.style, ttl = _a.ttl, props = __rest(_a, ["toast", "onRemove", "style", "ttl"]);
    var timer = React.useRef();
    var ref = React.useRef(null);
    var removeHandler = React.useRef(onRemove);
    var id = toast.id, title = toast.title, description = toast.description, type = toast.type, action = toast.action;
    var handleRemove = React.useCallback(function () { return removeHandler.current(id); }, [id, removeHandler]);
    var handleMouseEnter = function () {
        clearTimeout(timer.current);
    };
    var handleMouseLeave = function () {
        if (timer.current) {
            clearTimeout(timer.current);
        }
        timer.current = window.setTimeout(function () {
            handleRemove();
        }, ttl);
    };
    React.useEffect(function () {
        if (timer.current) {
            clearTimeout(timer.current);
        }
        timer.current = window.setTimeout(function () {
            handleRemove();
        }, ttl);
        return function () {
            clearTimeout(timer.current);
        };
    }, [timer, ttl, handleRemove]);
    return (React__default['default'].createElement(reactTransitionGroup.CSSTransition, __assign({ nodeRef: ref, timeout: 250, style: style }, props),
        React__default['default'].createElement(StyledToast, { ref: ref, onMouseEnter: handleMouseEnter, onMouseLeave: handleMouseLeave },
            React__default['default'].createElement(Alert, { title: title, variant: alertTypeMap[type], onClick: handleRemove }, action ? (React__default['default'].createElement(React__default['default'].Fragment, null,
                React__default['default'].createElement(Text, { as: "p", mb: "8px" }, description),
                React__default['default'].createElement(ToastAction, { action: action }))) : (description)))));
};
var templateObject_1$2;

var ZINDEX = 1000;
var TOP_POSITION = 80; // Initial position from the top
var StyledToastContainer = styled__default['default'].div(templateObject_1$1 || (templateObject_1$1 = __makeTemplateObject(["\n  .enter,\n  .appear {\n    opacity: 0.01;\n  }\n\n  .enter.enter-active,\n  .appear.appear-active {\n    opacity: 1;\n    transition: opacity 250ms ease-in;\n  }\n\n  .exit {\n    opacity: 1;\n  }\n\n  .exit.exit-active {\n    opacity: 0.01;\n    transition: opacity 250ms ease-out;\n  }\n"], ["\n  .enter,\n  .appear {\n    opacity: 0.01;\n  }\n\n  .enter.enter-active,\n  .appear.appear-active {\n    opacity: 1;\n    transition: opacity 250ms ease-in;\n  }\n\n  .exit {\n    opacity: 1;\n  }\n\n  .exit.exit-active {\n    opacity: 0.01;\n    transition: opacity 250ms ease-out;\n  }\n"])));
var ToastContainer = function (_a) {
    var toasts = _a.toasts, onRemove = _a.onRemove, _b = _a.ttl, ttl = _b === void 0 ? 6000 : _b, _c = _a.stackSpacing, stackSpacing = _c === void 0 ? 24 : _c;
    return (React__default['default'].createElement(StyledToastContainer, null,
        React__default['default'].createElement(reactTransitionGroup.TransitionGroup, null, toasts.map(function (toast, index) {
            var zIndex = (ZINDEX - index).toString();
            var top = TOP_POSITION + index * stackSpacing;
            return (React__default['default'].createElement(Toast, { key: toast.id, toast: toast, onRemove: onRemove, ttl: ttl, style: { top: top + "px", zIndex: zIndex } }));
        }))));
};
var templateObject_1$1;

var ResetCSS = styled.createGlobalStyle(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n  /* prettier-ignore */\n  html, body, div, span, applet, object, iframe,\n  h1, h2, h3, h4, h5, h6, p, blockquote, pre,\n  a, abbr, acronym, address, big, cite, code,\n  del, dfn, em, img, ins, kbd, q, s, samp,\n  small, strike, strong, sub, sup, tt, var,\n  b, u, i, center,\n  dl, dt, dd, ol, ul, li,\n  fieldset, form, label, legend,\n  table, caption, tbody, tfoot, thead, tr, th, td,\n  article, aside, canvas, details, embed, \n  figure, figcaption, footer, header, hgroup, \n  menu, nav, output, ruby, section, summary,\n  time, mark, audio, video {\n    margin: 0;\n    padding: 0;\n    border: 0;\n    font-size: 100%;\n    vertical-align: baseline;\n  }\n  /* HTML5 display-role reset for older browsers */\n  /* prettier-ignore */\n  article, aside, details, figcaption, figure, \n  footer, header, hgroup, menu, nav, section {\n    display: block;\n  }\n  body {\n    line-height: 1;\n    font-size: 16px;\n  }\n  ol,\n  ul {\n    list-style: disc;\n    list-style-position: inside;\n  }\n  blockquote,\n  q {\n    quotes: none;\n  }\n  blockquote:before,\n  blockquote:after,\n  q:before,\n  q:after {\n    content: \"\";\n    content: none;\n  }\n  table {\n    border-collapse: collapse;\n    border-spacing: 0;\n  }\n  a {\n    color: inherit;\n    text-decoration: none;\n  }\n  [role=\"button\"] {\n    cursor: pointer;\n  }\n  *,\n  *::before,\n  *::after {\n    box-sizing: border-box;\n  }\n  * {\n    font-family: 'Kanit', sans-serif;\n    -webkit-font-smoothing: antialiased;\n    -moz-osx-font-smoothing: grayscale;\n  }\n  /* Scrollbar */\n  ::-webkit-scrollbar {\n    width: 8px;\n  }\n  ::-webkit-scrollbar-thumb {\n    background: ", "; \n    border-radius: 8px;\n  }\n  ::-webkit-scrollbar-track {\n    box-shadow: inset 0 0 5px ", "; \n    border-radius: 10px;\n  }\n\n  /* Slider */ \n  input[type=range] {\n    -webkit-appearance: none; /* Hides the slider so that custom slider can be made */\n    width: 100%; /* Specific width is required for Firefox. */\n    background: transparent; /* Otherwise white in Chrome */\n  }\n  input[type=range]::-webkit-slider-thumb {\n    -webkit-appearance: none;\n  }\n  input[type=range]:focus {\n    outline: none; /* Removes the blue border. You should probably do some kind of focus styling for accessibility reasons though. */\n  }\n  input[type=range]::-ms-track {\n    width: 100%;\n    cursor: pointer;\n    /* Hides the slider so custom styles can be added */\n    background: transparent; \n    border-color: transparent;\n    color: transparent;\n  }  \n"], ["\n  /* prettier-ignore */\n  html, body, div, span, applet, object, iframe,\n  h1, h2, h3, h4, h5, h6, p, blockquote, pre,\n  a, abbr, acronym, address, big, cite, code,\n  del, dfn, em, img, ins, kbd, q, s, samp,\n  small, strike, strong, sub, sup, tt, var,\n  b, u, i, center,\n  dl, dt, dd, ol, ul, li,\n  fieldset, form, label, legend,\n  table, caption, tbody, tfoot, thead, tr, th, td,\n  article, aside, canvas, details, embed, \n  figure, figcaption, footer, header, hgroup, \n  menu, nav, output, ruby, section, summary,\n  time, mark, audio, video {\n    margin: 0;\n    padding: 0;\n    border: 0;\n    font-size: 100%;\n    vertical-align: baseline;\n  }\n  /* HTML5 display-role reset for older browsers */\n  /* prettier-ignore */\n  article, aside, details, figcaption, figure, \n  footer, header, hgroup, menu, nav, section {\n    display: block;\n  }\n  body {\n    line-height: 1;\n    font-size: 16px;\n  }\n  ol,\n  ul {\n    list-style: disc;\n    list-style-position: inside;\n  }\n  blockquote,\n  q {\n    quotes: none;\n  }\n  blockquote:before,\n  blockquote:after,\n  q:before,\n  q:after {\n    content: \"\";\n    content: none;\n  }\n  table {\n    border-collapse: collapse;\n    border-spacing: 0;\n  }\n  a {\n    color: inherit;\n    text-decoration: none;\n  }\n  [role=\"button\"] {\n    cursor: pointer;\n  }\n  *,\n  *::before,\n  *::after {\n    box-sizing: border-box;\n  }\n  * {\n    font-family: 'Kanit', sans-serif;\n    -webkit-font-smoothing: antialiased;\n    -moz-osx-font-smoothing: grayscale;\n  }\n  /* Scrollbar */\n  ::-webkit-scrollbar {\n    width: 8px;\n  }\n  ::-webkit-scrollbar-thumb {\n    background: ", "; \n    border-radius: 8px;\n  }\n  ::-webkit-scrollbar-track {\n    box-shadow: inset 0 0 5px ", "; \n    border-radius: 10px;\n  }\n\n  /* Slider */ \n  input[type=range] {\n    -webkit-appearance: none; /* Hides the slider so that custom slider can be made */\n    width: 100%; /* Specific width is required for Firefox. */\n    background: transparent; /* Otherwise white in Chrome */\n  }\n  input[type=range]::-webkit-slider-thumb {\n    -webkit-appearance: none;\n  }\n  input[type=range]:focus {\n    outline: none; /* Removes the blue border. You should probably do some kind of focus styling for accessibility reasons though. */\n  }\n  input[type=range]::-ms-track {\n    width: 100%;\n    cursor: pointer;\n    /* Hides the slider so custom styles can be added */\n    background: transparent; \n    border-color: transparent;\n    color: transparent;\n  }  \n"])), function (_a) {
    var theme = _a.theme;
    return theme.colors.textSubtle;
}, function (_a) {
    var theme = _a.theme;
    return theme.colors.input;
});
var templateObject_1;

var baseColors = {
    failure: "#ed4b4b",
    primary: "#af7b48",
    primaryBright: "#D69A4E",
    primaryDark: "#A25B00",
    secondary: "#2ecec2",
    success: "#5c0202",
    warning: "#FFB237",
};
var brandColors = {
    binance: "#F0B90B",
};
var lightColors = __assign(__assign(__assign({}, baseColors), brandColors), { background: "#FAF9FA", backgroundDisabled: "#E9EAEB", contrast: "#261313", invertedContrast: "#FFFFFF", input: "#eeeaf4", inputSecondary: "#d7caec", tertiary: "#EFF4F5", text: "#7a2a2a", textDisabled: "#c4bdbd", textSubtle: "#bd1515", borderColor: "#E9EAEB", card: "#FFFFFF", gradients: {
        bubblegum: "linear-gradient(139.73deg, #f5dada 0%, #fcf1eb 100%)",
    } });
var darkColors = __assign(__assign(__assign({}, baseColors), brandColors), { secondary: "#ff6a6a", background: "#462e1f", backgroundDisabled: "#3c3742", contrast: "#FFFFFF", invertedContrast: "#191326", input: "#a62828", inputSecondary: "#8d5757", primaryDark: "#d42e1f", tertiary: "#353547", text: "#fae0de", textDisabled: "#666171", textSubtle: "#ffffff", borderColor: "#911c1c", card: "#271212", gradients: {
        bubblegum: "linear-gradient(139.73deg, #5c3131 0%, #542c2a 100%)",
    } });

var light$6 = {
    background: lightColors.card,
};
var dark$6 = {
    background: darkColors.card,
};

var light$5 = {
    background: lightColors.card,
    boxShadow: "0px 2px 12px -8px rgba(25, 19, 38, 0.1), 0px 1px 1px rgba(25, 19, 38, 0.05)",
    boxShadowActive: shadows.active,
    boxShadowSuccess: shadows.success,
    boxShadowWarning: shadows.warning,
    cardHeaderBackground: "linear-gradient(111.68deg, #F2ECF2 0%, #E8F2F6 100%)",
    dropShadow: "drop-shadow(0px 1px 4px rgba(25, 19, 38, 0.15))",
};
var dark$5 = {
    background: darkColors.card,
    boxShadow: "0px 2px 12px -8px rgba(25, 19, 38, 0.1), 0px 1px 1px rgba(25, 19, 38, 0.05)",
    boxShadowActive: shadows.active,
    boxShadowSuccess: shadows.success,
    boxShadowWarning: shadows.warning,
    cardHeaderBackground: "linear-gradient(166.77deg, #553b3b 0%, #453030 100%)",
    dropShadow: "drop-shadow(0px 1px 4px rgba(25, 19, 38, 0.15))",
};

var light$4 = {
    handleBackground: lightColors.card,
};
var dark$4 = {
    handleBackground: darkColors.card,
};

var light$3 = {
    handleBackground: lightColors.card,
};
var dark$3 = {
    handleBackground: darkColors.card,
};

var light$2 = {
    background: lightColors.card,
    hover: "#EEEAF4",
};
var dark$2 = {
    background: darkColors.card,
    hover: "#473d5d",
};

var light$1 = {
    background: lightColors.card,
};
var dark$1 = {
    background: darkColors.card,
};

var light = {
    background: darkColors.card,
    text: darkColors.text,
    boxShadow: "0px 0px 2px rgba(0, 0, 0, 0.2), 0px 4px 12px -8px rgba(14, 14, 44, 0.1)",
};
var dark = {
    background: lightColors.card,
    text: lightColors.text,
    boxShadow: "0px 0px 2px rgba(0, 0, 0, 0.2), 0px 4px 12px -8px rgba(14, 14, 44, 0.1)",
};

var darkTheme = __assign(__assign({}, base), { isDark: true, alert: dark$6, colors: darkColors, card: dark$5, toggle: dark$3, nav: dark$2, modal: dark$1, radio: dark$4, tooltip: dark });

var lightTheme = __assign(__assign({}, base), { isDark: false, alert: light$6, colors: lightColors, card: light$5, toggle: light$3, nav: light$2, modal: light$1, radio: light$4, tooltip: light });

exports.AddIcon = Icon$1h;
exports.Alert = Alert;
exports.ArrowBackIcon = Icon$1g;
exports.ArrowDownIcon = Icon$1f;
exports.ArrowDropDownIcon = Icon$1e;
exports.ArrowDropUpIcon = Icon$1d;
exports.ArrowForwardIcon = Icon$1c;
exports.ArrowUpIcon = Icon$1b;
exports.AutoRenewIcon = Icon$1a;
exports.BackgroundImage = BackgroundImage;
exports.BalanceInput = BalanceInput;
exports.BaseLayout = GridLayout$1;
exports.BinanceIcon = Icon$19;
exports.BlockIcon = Icon$1j;
exports.Box = Box;
exports.Breadcrumbs = Breadcrumbs;
exports.BunnyPlaceholderIcon = Icon$18;
exports.Button = Button;
exports.ButtonMenu = ButtonMenu;
exports.ButtonMenuItem = ButtonMenuItem;
exports.CalculateIcon = Icon$15;
exports.Card = Card;
exports.CardBody = CardBody;
exports.CardFooter = CardFooter;
exports.CardHeader = CardHeader;
exports.CardRibbon = CardRibbon;
exports.CardViewIcon = Icon$16;
exports.Cards = Icon$17;
exports.CardsLayout = GridLayout;
exports.ChartIcon = Icon$14;
exports.Checkbox = Checkbox;
exports.CheckmarkCircleIcon = Icon$1l;
exports.CheckmarkIcon = Icon$13;
exports.ChevronDownIcon = Icon$12;
exports.ChevronLeftIcon = Icon$11;
exports.ChevronRightIcon = Icon$10;
exports.ChevronUpIcon = Icon$$;
exports.CloseIcon = Icon$_;
exports.CogIcon = Icon$Z;
exports.CommunityIcon = Icon$Y;
exports.Competition = Icon$X;
exports.CopyIcon = Icon$W;
exports.Dropdown = Dropdown;
exports.ErrorIcon = Icon$1k;
exports.FallingBunnies = FallingBunnies;
exports.Flex = Flex;
exports.Heading = Heading;
exports.HelpIcon = Icon$V;
exports.HistoryIcon = Icon$U;
exports.IconButton = IconButton;
exports.Image = Image;
exports.InfoIcon = Icon$1i;
exports.Input = Input$1;
exports.LaurelLeftIcon = Icon$T;
exports.LaurelRightIcon = Icon$S;
exports.Link = Link;
exports.LinkExternal = LinkExternal;
exports.ListViewIcon = Icon$R;
exports.LogoIcon = Icon$Q;
exports.LogoRoundIcon = Icon$P;
exports.Menu = Menu;
exports.MetamaskIcon = Icon$O;
exports.MinusIcon = Icon$N;
exports.Modal = Modal;
exports.ModalProvider = ModalProvider;
exports.NoProfileAvatarIcon = Icon$M;
exports.NotificationDot = NotificationDot;
exports.OpenNewIcon = Icon$L;
exports.PancakeRoundIcon = Icon$J;
exports.PancakesIcon = Icon$K;
exports.PlayCircleOutlineIcon = Icon$I;
exports.Predictions = Icon$H;
exports.PrizeIcon = Icon$G;
exports.Progress = Progress;
exports.ProgressBunny = Icon$D;
exports.Radio = Radio;
exports.RefreshIcon = Icon$q;
exports.RemoveIcon = Icon$F;
exports.ResetCSS = ResetCSS;
exports.SearchIcon = Icon$w;
exports.Skeleton = Skeleton;
exports.Slider = Slider;
exports.Spinner = Spinner;
exports.Svg = Svg;
exports.SwapVertIcon = Icon$v;
exports.SyncAltIcon = Icon$u;
exports.Tag = Tag;
exports.TestnetIcon = Icon$A;
exports.Text = Text;
exports.Ticket = Icon$z;
exports.TicketRound = Icon$y;
exports.TimerIcon = Icon$x;
exports.ToastContainer = ToastContainer;
exports.Toggle = Toggle;
exports.VerifiedIcon = Icon$E;
exports.VolumeOffIcon = Icon$t;
exports.VolumeUpIcon = Icon$s;
exports.WaitIcon = Icon$C;
exports.WarningIcon = Icon$r;
exports.Won = Icon$B;
exports.alertVariants = variants$2;
exports.byTextAscending = byTextAscending;
exports.byTextDescending = byTextDescending;
exports.connectorLocalStorageKey = connectorLocalStorageKey;
exports.dark = darkTheme;
exports.darkColors = darkColors;
exports.light = lightTheme;
exports.lightColors = lightColors;
exports.makeRender = makeRender;
exports.menuConfig = links;
exports.toastTypes = types;
exports.useKonamiCheatCode = useKonamiCheatCode;
exports.useMatchBreakpoints = useMatchBreakpoints;
exports.useModal = useModal;
exports.useParticleBurst = useParticleBurst;
exports.useTable = useTable;
exports.useWalletModal = useWalletModal;
